<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2017-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/module-marketplace-terms-of-use.html for license details.
 */

namespace XLite\Module\QSL\SpecialOffersBase\Module\CDev\Coupons\Model;

/**
 * Decorated coupon model
 * 
 * @Decorator\Depend ("CDev\Coupons")
 */
 class Coupon extends \XLite\Module\XC\FreeShipping\Module\CDev\Coupons\Model\Coupon implements \XLite\Base\IDecorator
{
    /**
     * Get order total
     *
     * @param \XLite\Model\Order $order Order
     *
     * @return float
     */
    protected function getOrderTotal(\XLite\Model\Order $order)
    {
        return parent::getOrderTotal($order) + array_reduce($this->getValidOrderItems($order), function ($carry, $item) {
            return $carry + $item->getSurchargeSum();
        }, 0);
    }
}