START TRANSACTION;
/*!40101 SET NAMES utf8, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET UNIQUE_CHECKS=0, FOREIGN_KEY_CHECKS=0 */;
/*!40111 SET SQL_NOTES=0 */;
CREATE TABLE `xlite_session_cells` (
  `cell_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`cell_id`),
  UNIQUE KEY `iname` (`id`,`name`),
  KEY `id` (`id`),
  CONSTRAINT `FK_C8BF5944BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_sessions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_mailchimp_list_segments` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `list_id` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `created_date` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `static` tinyint(1) NOT NULL,
  `useOrdersLastMonth` tinyint(1) NOT NULL,
  `ordersLastMonth` int(11) NOT NULL,
  `useOrderAmount` tinyint(1) NOT NULL,
  `orderAmount` decimal(14,4) NOT NULL,
  `useMemberships` tinyint(1) NOT NULL,
  `useProducts` tinyint(1) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_93CC76423DAE168B` (`list_id`),
  CONSTRAINT `FK_93CC76423DAE168B` FOREIGN KEY (`list_id`) REFERENCES `xlite_mailchimp_lists` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_shipping_methods` (
  `method_id` int(11) NOT NULL AUTO_INCREMENT,
  `tax_class_id` int(10) unsigned DEFAULT NULL,
  `free` tinyint(1) NOT NULL,
  `processor` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `carrier` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `position` int(11) NOT NULL,
  `added` tinyint(1) NOT NULL,
  `moduleName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fromMarketplace` tinyint(1) NOT NULL,
  `iconURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tableType` char(3) COLLATE utf8_unicode_ci DEFAULT NULL,
  `handlingFee` decimal(14,4) NOT NULL,
  `handlingFeeType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`method_id`),
  KEY `IDX_3BC5646FA94AAAE` (`tax_class_id`),
  KEY `processor` (`processor`),
  KEY `carrier` (`carrier`),
  KEY `enabled` (`enabled`),
  KEY `position` (`position`),
  CONSTRAINT `FK_3BC5646FA94AAAE` FOREIGN KEY (`tax_class_id`) REFERENCES `xlite_tax_classes` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_shipping_methods` VALUES (1,NULL,0,'fedex','','',0,0,0,'CDev_FedEx',0,NULL,NULL,0.0000,'a'),(2,NULL,0,'fedex','fedex','EUROPE_FIRST_INTERNATIONAL_PRIORITY',1,10,0,'',0,NULL,NULL,0.0000,'a'),(3,NULL,0,'fedex','fedex','FEDEX_1_DAY_FREIGHT',1,20,0,'',0,NULL,NULL,0.0000,'a'),(4,NULL,0,'fedex','fedex','FEDEX_2_DAY',1,30,0,'',0,NULL,NULL,0.0000,'a'),(5,NULL,0,'fedex','fedex','FEDEX_2_DAY_AM',1,40,0,'',0,NULL,NULL,0.0000,'a'),(6,NULL,0,'fedex','fedex','FEDEX_2_DAY_FREIGHT',1,50,0,'',0,NULL,NULL,0.0000,'a'),(7,NULL,0,'fedex','fedex','FEDEX_3_DAY_FREIGHT',1,60,0,'',0,NULL,NULL,0.0000,'a'),(8,NULL,0,'fedex','fedex','FEDEX_EXPRESS_SAVER',1,70,0,'',0,NULL,NULL,0.0000,'a'),(9,NULL,0,'fedex','fedex','FEDEX_FIRST_FREIGHT',1,80,0,'',0,NULL,NULL,0.0000,'a'),(10,NULL,0,'fedex','fedex','FEDEX_GROUND',1,90,0,'',0,NULL,NULL,0.0000,'a'),(11,NULL,0,'fedex','fedex','FIRST_OVERNIGHT',1,100,0,'',0,NULL,NULL,0.0000,'a'),(12,NULL,0,'fedex','fedex','GROUND_HOME_DELIVERY',1,110,0,'',0,NULL,NULL,0.0000,'a'),(13,NULL,0,'fedex','fedex','INTERNATIONAL_DISTRIBUTION_FREIGHT',1,120,0,'',0,NULL,NULL,0.0000,'a'),(14,NULL,0,'fedex','fedex','INTERNATIONAL_ECONOMY',1,130,0,'',0,NULL,NULL,0.0000,'a'),(15,NULL,0,'fedex','fedex','INTERNATIONAL_ECONOMY_DISTRIBUTION',1,140,0,'',0,NULL,NULL,0.0000,'a'),(16,NULL,0,'fedex','fedex','INTERNATIONAL_ECONOMY_FREIGHT',1,150,0,'',0,NULL,NULL,0.0000,'a'),(17,NULL,0,'fedex','fedex','INTERNATIONAL_FIRST',1,160,0,'',0,NULL,NULL,0.0000,'a'),(18,NULL,0,'fedex','fedex','INTERNATIONAL_PRIORITY',1,170,0,'',0,NULL,NULL,0.0000,'a'),(19,NULL,0,'fedex','fedex','INTERNATIONAL_PRIORITY_DISTRIBUTION',1,180,0,'',0,NULL,NULL,0.0000,'a'),(20,NULL,0,'fedex','fedex','INTERNATIONAL_PRIORITY_FREIGHT',1,190,0,'',0,NULL,NULL,0.0000,'a'),(21,NULL,0,'fedex','fedex','PRIORITY_OVERNIGHT',1,200,0,'',0,NULL,NULL,0.0000,'a'),(22,NULL,0,'fedex','fedex','SMART_POST',1,210,0,'',0,NULL,NULL,0.0000,'a'),(23,NULL,0,'fedex','fedex','STANDARD_OVERNIGHT',1,220,0,'',0,NULL,NULL,0.0000,'a'),(24,NULL,0,'ups','','',0,0,0,'XC_UPS',0,NULL,NULL,0.0000,'a'),(25,NULL,0,'ups','ups','NDA',1,10,0,'',0,NULL,NULL,0.0000,'a'),(26,NULL,0,'ups','ups','2DA',1,20,0,'',0,NULL,NULL,0.0000,'a'),(27,NULL,0,'ups','ups','GND',1,30,0,'',0,NULL,NULL,0.0000,'a'),(28,NULL,0,'ups','ups','WEXP',1,40,0,'',0,NULL,NULL,0.0000,'a'),(29,NULL,0,'ups','ups','WEXD',1,50,0,'',0,NULL,NULL,0.0000,'a'),(30,NULL,0,'ups','ups','STD',1,60,0,'',0,NULL,NULL,0.0000,'a'),(31,NULL,0,'ups','ups','3DS',1,70,0,'',0,NULL,NULL,0.0000,'a'),(32,NULL,0,'ups','ups','NDAS',1,80,0,'',0,NULL,NULL,0.0000,'a'),(33,NULL,0,'ups','ups','NDAE',1,90,0,'',0,NULL,NULL,0.0000,'a'),(34,NULL,0,'ups','ups','WEXPP',1,100,0,'',0,NULL,NULL,0.0000,'a'),(35,NULL,0,'ups','ups','2DAAM',1,110,0,'',0,NULL,NULL,0.0000,'a'),(36,NULL,0,'ups','ups','SAV',1,120,0,'',0,NULL,NULL,0.0000,'a'),(37,NULL,0,'ups','ups','TSTD',1,130,0,'',0,NULL,NULL,0.0000,'a'),(38,NULL,0,'ups','ups','TDC',1,140,0,'',0,NULL,NULL,0.0000,'a'),(39,NULL,0,'ups','ups','TI',1,150,0,'',0,NULL,NULL,0.0000,'a'),(40,NULL,0,'ups','ups','TEXP',1,160,0,'',0,NULL,NULL,0.0000,'a'),(41,NULL,0,'ups','ups','TEXPS',1,170,0,'',0,NULL,NULL,0.0000,'a'),(42,NULL,0,'ups','ups','WEXPF',1,180,0,'',0,NULL,NULL,0.0000,'a'),(43,NULL,0,'ups','ups','EXP',1,190,0,'',0,NULL,NULL,0.0000,'a'),(44,NULL,0,'ups','ups','EXPP',1,200,0,'',0,NULL,NULL,0.0000,'a'),(45,NULL,0,'ups','ups','EXDSM',1,210,0,'',0,NULL,NULL,0.0000,'a'),(46,NULL,0,'ups','ups','WEXDSM',1,220,0,'',0,NULL,NULL,0.0000,'a'),(47,NULL,0,'ups','ups','WEXPSM',1,230,0,'',0,NULL,NULL,0.0000,'a'),(48,NULL,0,'ups','ups','SAVSM',1,240,0,'',0,NULL,NULL,0.0000,'a'),(49,NULL,0,'ups','ups','EXPEAMSM',1,250,0,'',0,NULL,NULL,0.0000,'a'),(50,NULL,0,'ups','ups','NDAEAMSM',1,260,0,'',0,NULL,NULL,0.0000,'a'),(51,NULL,0,'ups','ups','WEXPPSM',1,270,0,'',0,NULL,NULL,0.0000,'a'),(52,NULL,1,'offline','','FREESHIP',1,30,1,'',0,NULL,'S',0.0000,'a'),(53,NULL,0,'offline','','FIXEDFEE',1,40,1,'',0,NULL,'S',0.0000,'a'),(54,NULL,0,'aupost','','',0,0,0,'CDev_AustraliaPost',0,NULL,NULL,0.0000,'a'),(55,NULL,0,'usps','','',0,0,0,'CDev_USPS',0,NULL,NULL,0.0000,'a'),(56,NULL,0,'usps','pb_usps','FCM',1,10,0,'',0,NULL,NULL,0.0000,'a'),(57,NULL,0,'usps','pb_usps','PM',1,20,0,'',0,NULL,NULL,0.0000,'a'),(58,NULL,0,'usps','pb_usps','EM',1,30,0,'',0,NULL,NULL,0.0000,'a'),(59,NULL,0,'usps','pb_usps','STDPOST',1,40,0,'',0,NULL,NULL,0.0000,'a'),(60,NULL,0,'usps','pb_usps','PRCLSEL',1,50,0,'',0,NULL,NULL,0.0000,'a'),(61,NULL,0,'usps','pb_usps','MEDIA',1,60,0,'',0,NULL,NULL,0.0000,'a'),(62,NULL,0,'usps','pb_usps','LIB',1,70,0,'',0,NULL,NULL,0.0000,'a'),(63,NULL,0,'usps','pb_usps','FCMI',1,80,0,'',0,NULL,NULL,0.0000,'a'),(64,NULL,0,'usps','pb_usps','FCPIS',1,90,0,'',0,NULL,NULL,0.0000,'a'),(65,NULL,0,'usps','pb_usps','EMI',1,100,0,'',0,NULL,NULL,0.0000,'a'),(66,NULL,0,'usps','pb_usps','PMI',1,110,0,'',0,NULL,NULL,0.0000,'a'),(67,NULL,0,'capost','','',0,0,0,'XC_CanadaPost',0,NULL,NULL,0.0000,'a'),(68,NULL,0,'capost','capost','DOM.RP',1,10,0,'',0,NULL,NULL,0.0000,'a'),(69,NULL,0,'capost','capost','DOM.EP',1,20,0,'',0,NULL,NULL,0.0000,'a'),(70,NULL,0,'capost','capost','DOM.XP',1,30,0,'',0,NULL,NULL,0.0000,'a'),(71,NULL,0,'capost','capost','DOM.XP.CERT',1,40,0,'',0,NULL,NULL,0.0000,'a'),(72,NULL,0,'capost','capost','DOM.PC',1,50,0,'',0,NULL,NULL,0.0000,'a'),(73,NULL,0,'capost','capost','DOM.LIB',1,60,0,'',0,NULL,NULL,0.0000,'a'),(74,NULL,0,'capost','capost','USA.EP',1,70,0,'',0,NULL,NULL,0.0000,'a'),(75,NULL,0,'capost','capost','USA.PW.ENV',1,80,0,'',0,NULL,NULL,0.0000,'a'),(76,NULL,0,'capost','capost','USA.PW.PAK',1,90,0,'',0,NULL,NULL,0.0000,'a'),(77,NULL,0,'capost','capost','USA.PW.PARCEL',1,100,0,'',0,NULL,NULL,0.0000,'a'),(78,NULL,0,'capost','capost','USA.SP.AIR',1,110,0,'',0,NULL,NULL,0.0000,'a'),(79,NULL,0,'capost','capost','USA.TP',1,120,0,'',0,NULL,NULL,0.0000,'a'),(80,NULL,0,'capost','capost','USA.TP.LVM',1,130,0,'',0,NULL,NULL,0.0000,'a'),(81,NULL,0,'capost','capost','USA.XP',1,140,0,'',0,NULL,NULL,0.0000,'a'),(82,NULL,0,'capost','capost','INT.XP',1,150,0,'',0,NULL,NULL,0.0000,'a'),(83,NULL,0,'capost','capost','INT.IP.AIR',1,160,0,'',0,NULL,NULL,0.0000,'a'),(84,NULL,0,'capost','capost','INT.IP.SURF',1,170,0,'',0,NULL,NULL,0.0000,'a'),(85,NULL,0,'capost','capost','INT.PW.ENV',1,180,0,'',0,NULL,NULL,0.0000,'a'),(86,NULL,0,'capost','capost','INT.PW.PAK',1,190,0,'',0,NULL,NULL,0.0000,'a'),(87,NULL,0,'capost','capost','INT.PW.PARCEL',1,200,0,'',0,NULL,NULL,0.0000,'a'),(88,NULL,0,'capost','capost','INT.SP.AIR',1,210,0,'',0,NULL,NULL,0.0000,'a'),(89,NULL,0,'capost','capost','INT.SP.SURF',1,220,0,'',0,NULL,NULL,0.0000,'a'),(90,NULL,0,'capost','capost','INT.TP',1,230,0,'',0,NULL,NULL,0.0000,'a'),(91,NULL,0,'offline','','courier',1,10,1,'',0,NULL,'S',0.0000,'a'),(92,NULL,0,'offline','','',1,20,1,'',0,NULL,'S',0.0000,'a'),(93,NULL,0,'offline','','',1,30,1,'',0,NULL,'S',0.0000,'a'),(94,NULL,0,'offline','','',1,40,1,'',0,NULL,'S',0.0000,'a'),(95,NULL,0,'offline','','',1,50,1,'',0,NULL,'S',0.0000,'a');
CREATE TABLE `xlite_categories` (
  `category_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned DEFAULT NULL,
  `ogMeta` longtext COLLATE utf8_unicode_ci NOT NULL,
  `useCustomOG` tinyint(1) NOT NULL,
  `demo` tinyint(1) NOT NULL,
  `useClasses` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `lpos` int(11) NOT NULL,
  `rpos` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `show_title` tinyint(1) NOT NULL,
  `depth` int(11) NOT NULL,
  `pos` int(11) NOT NULL,
  `root_category_look` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `metaDescType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `xcPendingExport` tinyint(1) NOT NULL,
  `lastUsage` int(11) NOT NULL,
  PRIMARY KEY (`category_id`),
  KEY `IDX_9D0DF19B727ACA70` (`parent_id`),
  KEY `lpos` (`lpos`),
  KEY `rpos` (`rpos`),
  KEY `enabled` (`enabled`),
  CONSTRAINT `FK_9D0DF19B727ACA70` FOREIGN KEY (`parent_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_categories` VALUES (1,NULL,'',0,0,'A',1,16,1,0,-1,0,'icons','A',0,0),(2,1,'',0,1,'A',2,3,1,1,0,30,NULL,'A',0,0),(3,1,'',0,1,'A',4,5,0,1,0,20,NULL,'A',0,0),(4,1,'',0,1,'A',6,7,1,1,0,10,NULL,'A',0,0),(5,1,'',0,1,'A',8,15,1,1,0,40,NULL,'A',0,0),(6,5,'',0,1,'A',9,10,1,1,1,10,NULL,'A',0,0),(7,5,'',0,1,'A',11,12,1,1,1,20,NULL,'A',0,0),(8,5,'',0,1,'A',13,14,1,1,1,30,NULL,'A',0,0);
CREATE TABLE `xlite_payment_transactions` (
  `transaction_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `method_id` int(11) DEFAULT NULL,
  `currency_id` int(10) unsigned DEFAULT NULL,
  `date` int(11) NOT NULL,
  `publicTxnId` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `method_name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `method_local_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `status` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `note` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `public_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`transaction_id`),
  KEY `IDX_33CBDC008D9F6D38` (`order_id`),
  KEY `IDX_33CBDC0019883967` (`method_id`),
  KEY `IDX_33CBDC0038248176` (`currency_id`),
  KEY `status` (`status`),
  KEY `o` (`order_id`,`status`),
  KEY `pm` (`method_id`,`status`),
  KEY `publicTxnId` (`publicTxnId`),
  CONSTRAINT `FK_33CBDC0038248176` FOREIGN KEY (`currency_id`) REFERENCES `xlite_currencies` (`currency_id`),
  CONSTRAINT `FK_33CBDC0019883967` FOREIGN KEY (`method_id`) REFERENCES `xlite_payment_methods` (`method_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_33CBDC008D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_payment_transactions` VALUES (1,1,4,NULL,1394005540,'000001-KGSP','MoneyOrdering','Money Order','S',110.6500,'','sale','000001-KGSP'),(2,2,4,NULL,1396005895,'000002-FX7B','MoneyOrdering','Money Order','S',88.6700,'','sale','000002-FX7B'),(3,3,4,NULL,1407005895,'000002-FX7B','MoneyOrdering','Money Order','S',158.9400,'','sale','000002-FX7B'),(4,4,NULL,NULL,1452604411,'000012-AS2T','SimplifyCommerceHP','Simplify Commerce Hosted Payments','F',38.0100,'Simplify_BadRequestException: \"Request data is invalid\" (status: 400, error code: validation, reference: c5a0b8b8-92ac-4908-9506-88b843ecd399)\nField error: card.number\"Card bin Country rejected by acquirer\" (country.bin.not.accepted)','sale','demostore-000012-AS2T'),(5,4,NULL,NULL,1452604437,'000013-3I22','SimplifyCommerceHP','Simplify Commerce Hosted Payments','F',38.0100,'Simplify_BadRequestException: \"Request data is invalid\" (status: 400, error code: validation, reference: 195c1b1a-44c8-46d4-8e48-ee4e65f271af)\nField error: card.number\"Card has expired.\" (card.expired)','sale','demostore-000013-3I22'),(6,5,4,NULL,1452604702,'000005-KXAQ','MoneyOrdering','Money Order','S',352.8100,'','sale','000005-KXAQ');
CREATE TABLE `xlite_page_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `page_id` int(10) unsigned DEFAULT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_ABDA1565C4663E4` (`page_id`),
  CONSTRAINT `FK_ABDA1565C4663E4` FOREIGN KEY (`page_id`) REFERENCES `xlite_pages` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_temporary_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_payment_status_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `customerName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_702453C2BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_order_payment_statuses` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_order_payment_status_translations` VALUES (1,1,'Awaiting payment','Awaiting payment','en'),(2,2,'Authorized','Authorization hold','en'),(3,3,'Partially Paid','Partially Paid','en'),(4,4,'Paid','Paid','en'),(5,5,'Declined','Declined','en'),(6,6,'Cancelled','Cancelled','en'),(7,7,'Refunded','Refunded','en');
CREATE TABLE `xlite_orders` (
  `order_id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) DEFAULT NULL,
  `orig_profile_id` int(11) DEFAULT NULL,
  `payment_status_id` int(10) unsigned DEFAULT NULL,
  `shipping_status_id` int(10) unsigned DEFAULT NULL,
  `currency_id` int(10) unsigned DEFAULT NULL,
  `fraud_status_xpc` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fraud_type_xpc` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fraud_check_transaction_id` int(11) NOT NULL,
  `is_zero_auth` tinyint(1) NOT NULL,
  `mailchimpStoreId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `demo` tinyint(1) NOT NULL,
  `shipping_id` int(11) NOT NULL,
  `shipping_method_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payment_method_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tracking` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `date` int(11) NOT NULL,
  `lastRenewDate` int(11) NOT NULL,
  `notes` longtext COLLATE utf8_unicode_ci NOT NULL,
  `adminNotes` longtext COLLATE utf8_unicode_ci NOT NULL,
  `orderNumber` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `recent` tinyint(1) NOT NULL,
  `xcPendingExport` tinyint(1) NOT NULL,
  `total` decimal(14,4) NOT NULL,
  `subtotal` decimal(14,4) NOT NULL,
  `is_order` int(11) NOT NULL,
  PRIMARY KEY (`order_id`),
  KEY `IDX_9A9BE335CCFA12B8` (`profile_id`),
  KEY `IDX_9A9BE335DBFEF46C` (`orig_profile_id`),
  KEY `IDX_9A9BE33538248176` (`currency_id`),
  KEY `date` (`date`),
  KEY `total` (`total`),
  KEY `subtotal` (`subtotal`),
  KEY `tracking` (`tracking`),
  KEY `payment_status` (`payment_status_id`),
  KEY `shipping_status` (`shipping_status_id`),
  KEY `shipping_id` (`shipping_id`),
  KEY `lastRenewDate` (`lastRenewDate`),
  KEY `orderNumber` (`orderNumber`),
  KEY `is_order` (`is_order`),
  KEY `xcPendingExport` (`xcPendingExport`),
  KEY `is_zero_auth` (`is_zero_auth`),
  CONSTRAINT `FK_9A9BE33538248176` FOREIGN KEY (`currency_id`) REFERENCES `xlite_currencies` (`currency_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_9A9BE33528DE2F95` FOREIGN KEY (`payment_status_id`) REFERENCES `xlite_order_payment_statuses` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_9A9BE3352D02518A` FOREIGN KEY (`shipping_status_id`) REFERENCES `xlite_order_shipping_statuses` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_9A9BE335CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_9A9BE335DBFEF46C` FOREIGN KEY (`orig_profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_orders` VALUES (1,2,1,4,4,840,'','',0,0,'',1,91,'Courier','','',1394005540,1523959645,'','','1',0,0,18.4900,19.9900,1),(2,3,1,4,4,840,'','',0,0,'',1,91,'Courier','','',1396005895,1523959645,'','','2',1,0,88.6700,84.9500,1),(3,4,1,4,4,840,'','',0,0,'',1,91,'Courier','','',1407005895,1523959645,'','','3',1,0,158.9400,158.9400,1),(4,5,1,5,5,840,'','',0,0,'',1,91,'Courier','Simplify Commerce Hosted Payments','',1452604403,1523959645,'','','4',1,0,38.0100,34.9900,1),(5,6,1,4,4,840,'','',0,0,'',1,91,'Courier','','',1452604702,1523959645,'','','5',0,0,352.8100,351.3100,1);
CREATE TABLE `xlite_xpc_payment_transaction_data` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `address_id` int(11) DEFAULT NULL,
  `transaction_id` int(11) DEFAULT NULL,
  `card_number` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `card_type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `card_expire` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `use_for_recharges` char(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_46DDB2932FC0CB0F` (`transaction_id`),
  KEY `IDX_46DDB293F5B7AF75` (`address_id`),
  CONSTRAINT `FK_46DDB2932FC0CB0F` FOREIGN KEY (`transaction_id`) REFERENCES `xlite_payment_transactions` (`transaction_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_46DDB293F5B7AF75` FOREIGN KEY (`address_id`) REFERENCES `xlite_profile_addresses` (`address_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_data_source_parameters` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `data_source_id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_6D9196CA1A935C57` (`data_source_id`),
  CONSTRAINT `FK_6D9196CA1A935C57` FOREIGN KEY (`data_source_id`) REFERENCES `xlite_data_sources` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_access_control_zone_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_access_control_zone_types` VALUES (1,'order');
CREATE TABLE `xlite_vendor_convo_message_reads` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `message_id` int(10) unsigned DEFAULT NULL,
  `profile_id` int(11) DEFAULT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`message_id`,`profile_id`),
  KEY `IDX_25816BBA537A1329` (`message_id`),
  KEY `IDX_25816BBACCFA12B8` (`profile_id`),
  CONSTRAINT `FK_25816BBACCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_25816BBA537A1329` FOREIGN KEY (`message_id`) REFERENCES `xlite_vendor_convo_messages` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_capost_delivery_service_options` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mandatory` tinyint(1) NOT NULL,
  `qualifierRequired` tinyint(1) NOT NULL,
  `qualifierMax` decimal(14,4) DEFAULT NULL,
  `serviceId` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_85C93F5589697FA8` (`serviceId`),
  CONSTRAINT `FK_85C93F5589697FA8` FOREIGN KEY (`serviceId`) REFERENCES `xlite_capost_delivery_services` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_tag_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_EDCE6447BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_tags` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_content_videos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_capost_parcel_manifest_link_storage` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `linkId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_73059AC5AEC98E42` (`linkId`),
  CONSTRAINT `FK_73059AC5AEC98E42` FOREIGN KEY (`linkId`) REFERENCES `xlite_order_capost_parcel_manifest_links` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_tmp_vars` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_tmp_vars` VALUES (1,'cloud_search_reg_scheduled','1'),(2,'cache_build_timestamp','i:1523959665;'),(3,'get_addonsTTL','i:1523959668;'),(4,'get_coresData','a:0:{}'),(5,'get_coresTTL','i:1523959669;');
CREATE TABLE `xlite_tax_class_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_95C1403BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_tax_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_payment_method_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `adminDescription` longtext COLLATE utf8_unicode_ci NOT NULL,
  `altAdminDescription` longtext COLLATE utf8_unicode_ci NOT NULL,
  `instruction` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_9FBF065BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_payment_methods` (`method_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_payment_method_translations` VALUES (1,1,'Purchase Order','','','','','','en'),(2,2,'Phone Ordering','','Phone: (555) 555-5555','','','','en'),(3,2,'Заказ по телефону','','Тел. (555) 555-5555','','','','ru'),(4,3,'Fax Ordering','','Fax: (555) 555-5555','','','','en'),(5,4,'Money Order','','US Banks Only','','','','en'),(6,5,'Check','','Check payment','','','','en'),(7,6,'COD','','Cash On Delivery','','','','en'),(8,7,'Cash on Delivery (FedEx)','','','','','','en'),(9,8,'PayPal Payflow Link','Credit/Debit card or PayPal','','','Accept Visa, MasterCard®, American Express, Discover and PayPal payments on your site by connecting a PayPal-hosted checkout page with your own internet merchant account. Customize the page to look like the rest of your site and make sure customer transactions are secure.','','en'),(10,9,'PayPal Partner Hosted with PCI Compliance','Credit/Debit card','','','PCI compliant payments on your site with Visa, MasterCard, American Express and Discover - without PayPal-hosted pages. Maintain full control over your customers\' checkout experience by providing a credit card form that will post your customers\' payment details from your site\'s native checkout page directly to the Gateway server.','','en'),(11,10,'PayPal Payments Advanced','Credit/Debit card or PayPal','','','Accept Visa, MasterCard®, American Express, Discover and PayPal payments securely. With this all-in-one option, customers stay on your site for the entire checkout process. It simplifies PCI compliance and opens the door to more than 100 million active PayPal customers. Requires credit approval (2-3 business days).','','en'),(12,11,'PayPal Payments Standard','PayPal','','','Add a PayPal payment button to your site to accept Visa, MasterCard®, American Express, Discover and PayPal payments securely. When your customers check out, they are redirected to PayPal to pay, then return to your site after they are finished.','','en'),(13,12,'PayPal Express Checkout','PayPal Express Checkout','','','Create a seamless checkout experience and increase your conversion rate by opening the door to over 100 million active PayPal customers who look for and use this fast, easy, and secure way to pay.','','en'),(14,13,'PayPal Credit','PayPal Credit','','','','','en'),(15,14,'PayPal Adaptive payments (legacy)','PayPal','','','This method provides automatic transfer of payments to vendor users (the type of users enabled by the Multi-vendor module). The method may not be activated unless the module <a href=\'admin.php?target=addons_list_marketplace&moduleName=XC\\MultiVendor\' target=\'_blank\'>Multi-vendor</a> is installed and enabled. To use this method, store administrator is required to have an Application ID for PayPal Adaptive Payments API.','','en'),(16,15,'Cash on Delivery (UPS)','','','','','','en'),(17,16,'Authorize.Net SIM','','','','','','en'),(18,17,'Skrill Wallet','','','','','','en'),(19,18,'Skrill Neteller','','','','','','en'),(20,19,'Skrill PSC','','','','','','en'),(21,20,'Skrill Resurs','','','','','','en'),(22,21,'Skrill All Card Types','','','','','','en'),(23,22,'Skrill Visa','','','','','','en'),(24,23,'Skrill MasterCard','','','','','','en'),(25,24,'Skrill Visa Delta/Debit','','','','','','en'),(26,25,'Skrill Visa Electron','','','','','','en'),(27,26,'Skrill Maestro','','','','','','en'),(28,27,'Skrill American Express','','','','','','en'),(29,28,'Skrill Carte Bleue','','','','','','en'),(30,29,'Skrill Dankort','','','','','','en'),(31,30,'Skrill PostePay','','','','','','en'),(32,31,'Skrill CartaSi','','','','','','en'),(33,32,'Skrill Online Bank Transfer','','','','','','en'),(34,33,'Skrill Giropay','','','','','','en'),(35,34,'Skrill Direct Debit / ELV','','','','','','en'),(36,35,'Skrill All Polish Banks','','','','','','en'),(37,36,'Skrill Sofortueberweisung','','','','','','en'),(38,37,'Skrill Nordea Solo','','','','','','en'),(39,38,'Skrill iDEAL','','','','','','en'),(40,39,'Skrill EPS (Netpay)','','','','','','en'),(41,40,'Skrill POLi','','','','','','en'),(42,41,'Skrill ePay.bg','','','','','','en'),(43,42,'Skrill Trustly','','','','','','en'),(44,43,'Skrill Alipay','','','','','','en'),(45,44,'Skrill Direct bank transfer','','','','','','en'),(46,45,'Skrill Manual bank transfer','','','','','','en'),(47,46,'Skrill Cash/Invoice','','','','','','en'),(48,47,'Skrill Unionpay','','','','','','en'),(49,48,'QuantumGateway','','','','','','en'),(50,49,'2Checkout.com','','','','','','en'),(51,50,'Cash on Delivery (USPS)','','','','','','en'),(52,51,'Barclaycard ePDQ e-Commerce','','','','','','en'),(53,52,'iDEAL Professional (Rabobank)','','','','','','en'),(54,53,'Sage Pay form protocol','','','','','','en'),(55,54,'Stripe','','','','','','en'),(56,55,'Ingenico Payment Services (Ogone)','','','','','','en'),(57,56,'Moneris (eSELECTplus- Hosted Pay Page)','','','','','','en'),(58,57,'Amazon Pay','','','','','','en'),(59,58,'PayPal powered by Braintree','','','Supported countries: US, UK & France.','','','en');
CREATE TABLE `xlite_access_control_entities` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_id` int(10) unsigned DEFAULT NULL,
  `cell_id` int(10) unsigned DEFAULT NULL,
  `uid` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_A98BAB59C54C8C93` (`type_id`),
  KEY `IDX_A98BAB59CB39D93A` (`cell_id`),
  CONSTRAINT `FK_A98BAB59CB39D93A` FOREIGN KEY (`cell_id`) REFERENCES `xlite_access_control_cells` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_A98BAB59C54C8C93` FOREIGN KEY (`type_id`) REFERENCES `xlite_access_control_entity_types` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_zone_elements` (
  `element_id` int(11) NOT NULL AUTO_INCREMENT,
  `zone_id` int(11) DEFAULT NULL,
  `element_value` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `element_type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`element_id`),
  KEY `IDX_2AF5A18A9F2C3FAB` (`zone_id`),
  KEY `type_value` (`element_type`,`element_value`),
  KEY `id_type` (`zone_id`,`element_type`),
  CONSTRAINT `FK_2AF5A18A9F2C3FAB` FOREIGN KEY (`zone_id`) REFERENCES `xlite_zones` (`zone_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_zone_elements` VALUES (1,2,'US','C'),(2,2,'VI','C'),(3,2,'UM','C'),(4,3,'US','C'),(5,3,'VI','C'),(6,3,'UM','C'),(7,3,'CA','C'),(8,3,'US_NY','S'),(9,3,'US_ME','S'),(10,3,'US_VT','S'),(11,3,'US_NH','S'),(12,3,'US_MI','S'),(13,3,'US_MN','S'),(14,3,'US_WI','S'),(15,4,'AT','C'),(16,4,'BE','C'),(17,4,'BG','C'),(18,4,'HR','C'),(19,4,'CY','C'),(20,4,'CZ','C'),(21,4,'DK','C'),(22,4,'EE','C'),(23,4,'FL','C'),(24,4,'FR','C'),(25,4,'DE','C'),(26,4,'GR','C'),(27,4,'HU','C'),(28,4,'IE','C'),(29,4,'IT','C'),(30,4,'LV','C'),(31,4,'LT','C'),(32,4,'LU','C'),(33,4,'MT','C'),(34,4,'NL','C'),(35,4,'PL','C'),(36,4,'PT','C'),(37,4,'RO','C'),(38,4,'SK','C'),(39,4,'SI','C'),(40,4,'ES','C'),(41,4,'SE','C'),(42,4,'GB','C');
CREATE TABLE `xlite_sales_taxes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_config` (
  `config_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `category` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `orderby` int(11) NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  `widgetParameters` longtext COLLATE utf8_unicode_ci COMMENT '(DC2Type:array)',
  PRIMARY KEY (`config_id`),
  UNIQUE KEY `nc` (`name`,`category`),
  KEY `orderby` (`orderby`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_config` VALUES (1,'admin_presentation','General','separator',40000,'','N;'),(2,'admin_security','Security','checkbox',1000,'N','N;'),(3,'anonymous','Shipping','separator',3000,'','N;'),(4,'anonymous_address','Shipping','text',4000,'','N;'),(5,'anonymous_country','Shipping','country',5000,'US','N;'),(6,'anonymous_state','Shipping','state',6000,'562','a:1:{s:9:\"selectOne\";b:1;}'),(7,'anonymous_custom_state','Shipping','text',7000,'','N;'),(8,'anonymous_city','Shipping','text',8000,'Los Angeles','N;'),(9,'anonymous_zipcode','Shipping','text',9000,'90001','N;'),(10,'anonymous_address_type','Shipping','\\XLite\\View\\FormField\\Select\\AddressType',10000,'R','N;'),(11,'aggregate_css','Performance','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',2000,'Y','N;'),(12,'aggregate_js','Performance','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',3000,'Y','N;'),(13,'use_view_cache','Performance','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',4000,'Y','N;'),(14,'use_dynamic_image_resizing','Performance','hidden',5000,'','N;'),(15,'use_lazy_load','Performance','hidden',5200,'','N;'),(16,'unsharp_mask_filter_on_resize','Performance','hidden',5100,'','N;'),(17,'layout_type','Layout','XLite\\View\\FormField\\Select\\LayoutType',1000,'left','N;'),(18,'layout_type_home','Layout','XLite\\View\\FormField\\Select\\LayoutType',1010,'one','N;'),(19,'cli_key','Security','',11000,'','N;'),(20,'company_address','Company','separator',38500,'','N;'),(21,'company_contacts','Company','separator',45500,'','N;'),(22,'company_fax','Company','XLite\\View\\FormField\\Input\\Text\\Phone',42000,'','N;'),(23,'company_identity','Company','separator',35000,'','N;'),(24,'company_name','Company','text',36000,'*Your company name*','N;'),(25,'company_website','Company','text',37000,'','N;'),(26,'terms_url','General','text',38000,'terms-and-conditions.html','N;'),(27,'customer_presentation','General','separator',20000,'','N;'),(28,'customer_security','Security','checkbox',100,'N','N;'),(29,'force_customers_to_https','Security','checkbox',200,'Y','N;'),(30,'date_format','Units','XLite\\View\\FormField\\Select\\DateFormat',66000,'%b %e, %Y','N;'),(31,'week_start','Units','XLite\\View\\FormField\\Select\\DayOfWeek',67000,'sun','N;'),(32,'csv_delim','Units','XLite\\View\\FormField\\Select\\CSVDelimiter',70000,',','N;'),(33,'export_import_charset','Units','XLite\\View\\FormField\\Select\\IconvCharset',72500,'UTF-8','N;'),(34,'default_language','General','',33000,'en','N;'),(35,'default_admin_language','General','',33500,'en','N;'),(36,'default_offline_payment','Payments','text',0,'','N;'),(37,'default_purchase_limit','General','XLite\\View\\FormField\\Input\\Text\\Integer',29300,'9999','a:1:{s:3:\"min\";i:1;}'),(38,'default_select_payment','Payments','text',0,'','N;'),(39,'display_check_number','General','checkbox',21500,'Y','N;'),(40,'show_out_of_stock_products','General','XLite\\View\\FormField\\Select\\ShowOutOfStockProducts',20000,'directLink','N;'),(41,'default_prod_display_mode','General','XLite\\View\\FormField\\Select\\DefaultDisplayModeForProductsList',25000,'grid','N;'),(42,'license','License','text',0,'','N;'),(43,'location_address','Company','text',39000,'*Your company address*','N;'),(44,'location_country','Company','country',40000,'US','a:2:{s:9:\"selectOne\";b:0;s:3:\"all\";b:1;}'),(45,'location_state','Company','state',41000,'591','N;'),(46,'location_custom_state','Company','text',41500,'','N;'),(47,'location_city','Company','text',42000,'New York','N;'),(48,'location_zipcode','Company','text',43000,'10001','N;'),(49,'origin_use_company','Company','checkbox',38000,'1','N;'),(50,'origin_address','Company','text',39000,'','N;'),(51,'origin_country','Company','country',40000,'US','a:2:{s:9:\"selectOne\";b:0;s:3:\"all\";b:1;}'),(52,'origin_state','Company','state',41000,'','N;'),(53,'origin_custom_state','Company','text',41500,'','N;'),(54,'origin_city','Company','text',42000,'','N;'),(55,'origin_zipcode','Company','text',43000,'','N;'),(56,'company_phone','Company','text',44000,'(555) 555-5555','N;'),(57,'login_lifetime','General','XLite\\View\\FormField\\Input\\Text\\Integer',45000,'3','a:1:{s:3:\"min\";i:1;}'),(58,'maximal_order_amount','General','XLite\\View\\FormField\\Input\\Text\\FloatInput',29000,'99999','a:1:{s:3:\"min\";i:1;}'),(59,'minimal_order_amount','General','XLite\\View\\FormField\\Input\\Text\\FloatInput',28000,'0','a:1:{s:3:\"min\";i:0;}'),(60,'order_number_counter','General','XLite\\View\\FormField\\Input\\Text\\Integer',39000,'6','N;'),(61,'cart_ttl','General','XLite\\View\\FormField\\Input\\Text\\Integer',39500,'7','N;'),(62,'internal_cron_enabled','General','checkbox',39800,'Y','N;'),(63,'orders_department','Company','XLite\\View\\FormField\\Select\\MultipleEmails',48000,'a:1:{i:0;s:17:\"admin@example.com\";}','N;'),(64,'orders_per_page','General','XLite\\View\\FormField\\Input\\Text\\Integer',43000,'30','a:1:{s:3:\"min\";i:1;}'),(65,'products_per_page','General','XLite\\View\\FormField\\Input\\Text\\Integer',25000,'12','a:1:{s:3:\"min\";i:1;}'),(66,'products_per_page_max','General','XLite\\View\\FormField\\Input\\Text\\Integer',25000,'100','a:1:{s:3:\"min\";i:1;}'),(67,'products_per_page_admin','General','XLite\\View\\FormField\\Input\\Text\\Integer',41000,'10','a:1:{s:3:\"min\";i:1;}'),(68,'force_choose_product_options','General','XLite\\View\\FormField\\Select\\ForceProductOptions',29900,'','N;'),(69,'redirect_to_cart','General','checkbox',30000,'N','N;'),(70,'shop_closed','Internal','checkbox',11000,'N','N;'),(71,'shop_currency','General','',60500,'840','N;'),(72,'trailing_zeroes','General','',60500,'0','N;'),(73,'site_administrator','Company','XLite\\View\\FormField\\Select\\MultipleEmails',46000,'a:1:{i:0;s:17:\"admin@example.com\";}','N;'),(74,'smtp_password','Email','XLite\\View\\FormField\\Input\\PasswordWithValue',16000,'','N;'),(75,'smtp_security','Email','XLite\\View\\FormField\\Select\\SMTPSecurity',17000,'no','N;'),(76,'smtp_server_port','Email','XLite\\View\\FormField\\Input\\Text\\Integer',13000,'25','a:2:{s:3:\"min\";i:0;s:3:\"max\";i:65535;}'),(77,'smtp_server_url','Email','text',12000,'','N;'),(78,'smtp_username','Email','text',15000,'','N;'),(79,'start_year','Company','XLite\\View\\FormField\\Input\\Text\\PastYear',38000,'2016','N;'),(80,'subcategories_look','General','XLite\\View\\FormField\\Select\\SubcategoriesLook',22000,'icons','N;'),(81,'default_products_sort_order','General','XLite\\View\\FormField\\Select\\DefaultProductSortOrder',22500,'default','N;'),(82,'default_search_sort_order','General','XLite\\View\\FormField\\Select\\DefaultProductSortOrder',22501,'default','N;'),(83,'support_department','Company','XLite\\View\\FormField\\Select\\MultipleEmails',49000,'a:1:{i:0;s:17:\"admin@example.com\";}','N;'),(84,'time_format','Units','XLite\\View\\FormField\\Select\\TimeFormat',67000,'%H:%M','N;'),(85,'time_zone','Units','XLite\\View\\FormField\\Select\\TimeZone',68000,'','N;'),(86,'users_department','Company','XLite\\View\\FormField\\Select\\MultipleEmails',47000,'a:1:{i:0;s:17:\"admin@example.com\";}','N;'),(87,'users_per_page','General','XLite\\View\\FormField\\Input\\Text\\Integer',42000,'30','a:1:{s:3:\"min\";i:1;}'),(88,'use_smtp','Email','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',11000,'','N;'),(89,'use_smtp_auth','Email','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',14000,'','N;'),(90,'version','Version','',0,'5.3.4.7','N;'),(91,'weight_symbol','Units','text',62000,'lbs','N;'),(92,'weight_unit','Units','XLite\\View\\FormField\\Select\\WeightUnit',61000,'lbs','N;'),(93,'weight_trailing_zeroes','Units','checkbox',62100,'Y','N;'),(94,'weight_format','Units','XLite\\View\\FormField\\Select\\FloatFormat',62200,'|.','N;'),(95,'dim_symbol','Units','text',62500,'in','N;'),(96,'dim_unit','Units','XLite\\View\\FormField\\Select\\DimUnit',62300,'in','N;'),(97,'curl_cainfo','Environment','text',11000,'','N;'),(98,'curl_capath','Environment','text',12000,'','N;'),(99,'force_login_before_checkout','General','checkbox',30500,'Y','N;'),(100,'enable_add2cart_button_grid','General','checkbox',30100,'Y','N;'),(101,'requires_shipping_default','General','',0,'1','N;'),(102,'clean_url_flag','CleanURL','XLite\\View\\FormField\\Input\\Checkbox\\CleanUrl',1000,'0','N;'),(103,'general_options','CleanURL','separator',10000,'','N;'),(104,'default_site_title','CleanURL','XLite\\View\\FormField\\Label\\TranslationLabel',11000,'default-site-title','N;'),(105,'default_site_meta_description','CleanURL','XLite\\View\\FormField\\Label\\TranslationLabel',12000,'default-meta-description','N;'),(106,'default_site_meta_keywords','CleanURL','XLite\\View\\FormField\\Label\\TranslationLabel',13000,'default-meta-keywords','N;'),(107,'home_page_title_and_meta','CleanURL','XLite\\View\\FormField\\CleanUrls\\FrontPage',14000,'','N;'),(108,'page_title_format','CleanURL','XLite\\View\\FormField\\CleanUrls\\PageTitleFormat',15000,'','N;'),(109,'company_name','CleanURL','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',15100,'1','N;'),(110,'parent_category_path','CleanURL','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',15200,'1','N;'),(111,'object_name','CleanURL','XLite\\View\\FormField\\Input\\Checkbox\\OnOffReadOnly',15300,'1','N;'),(112,'object_name_in_page_title_order','CleanURL','XLite\\View\\FormField\\Input\\Checkbox\\FirstLast',16000,'0','N;'),(113,'clean_urls_about','CleanURL','separator',20000,'','N;'),(114,'about_widget','CleanURL','XLite\\View\\FormField\\CleanUrls\\AboutCleanUrls',21000,'','N;'),(115,'allow_membership_request','General','checkbox',39900,'N','N;'),(116,'upgrade_wave_sep','Environment','separator',20000,'','N;'),(117,'upgrade_wave','Environment','XLite\\View\\FormField\\Select\\UpgradeWave',21000,'','N;'),(118,'quick_data_rebuilding','CacheManagement','checkbox',10000,'N','N;'),(119,'enabled','BannerRotation','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',10000,'1','N;'),(120,'interval','BannerRotation','XLite\\View\\FormField\\Input\\Text\\FloatInput',30000,'5','N;'),(121,'attach_pdf_invoices','NotificationAttachments','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',10000,'0','N;'),(122,'contact_us_comment','Company','XLite\\View\\FormField\\ContactUsComment',49500,'','N;'),(123,'enable_form','CDev\\ContactUs','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',100,'1','N;'),(124,'email','CDev\\ContactUs','XLite\\View\\FormField\\Input\\Text\\Email',200,'','N;'),(125,'showEmail','CDev\\ContactUs','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',300,'1','N;'),(126,'contact_us_sep_1','CDev\\ContactUs','separator',1000,'','N;'),(127,'recaptcha_public_key','CDev\\ContactUs','text',1100,'','N;'),(128,'recaptcha_private_key','CDev\\ContactUs','text',1200,'','N;'),(129,'number_of_bestsellers','CDev\\Bestsellers','XLite\\View\\FormField\\Input\\Text\\Integer',115,'4','a:1:{s:3:\"min\";i:1;}'),(130,'ttl','CDev\\Egoods','XLite\\View\\FormField\\Input\\Text\\Integer',100,'3','a:1:{s:3:\"min\";i:0;}'),(131,'attempts_limit','CDev\\Egoods','XLite\\View\\FormField\\Input\\Text\\Integer',200,'3','a:1:{s:3:\"min\";i:0;}'),(132,'enable_history','CDev\\Egoods','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',300,'1','N;'),(133,'esd_fullfilment','CDev\\Egoods','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',400,'','N;'),(134,'approve_before_download','CDev\\Egoods','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',500,'','N;'),(135,'sendfile_info','CDev\\Egoods','XLite\\Module\\CDev\\Egoods\\View\\FormField\\Label\\Sendfile',600,'','N;'),(136,'amazon_separator','CDev\\Egoods','separator',1000,'0','N;'),(137,'enable_signed_urls','CDev\\Egoods','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',1100,'0','N;'),(138,'amazon_access','CDev\\Egoods','XLite\\View\\FormField\\Input\\Text',1200,'','N;'),(139,'amazon_secret','CDev\\Egoods','XLite\\View\\FormField\\Input\\Text',1300,'','N;'),(140,'bucket','CDev\\Egoods','XLite\\View\\FormField\\Input\\Text',1400,'','N;'),(141,'bucket_region','CDev\\Egoods','hidden',1500,'','N;'),(142,'featured_products_look','CDev\\FeaturedProducts','XLite\\Module\\CDev\\FeaturedProducts\\View\\FormField\\FeaturedProductsLook',10,'grid','N;'),(143,'key','CDev\\FedEx','XLite\\View\\FormField\\Input\\Text',10,'','N;'),(144,'password','CDev\\FedEx','XLite\\View\\FormField\\Input\\PasswordWithValue',20,'','N;'),(145,'account_number','CDev\\FedEx','XLite\\View\\FormField\\Input\\Text',30,'','N;'),(146,'meter_number','CDev\\FedEx','XLite\\View\\FormField\\Input\\Text',40,'','N;'),(147,'test_mode','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',50,'','N;'),(148,'debug_enabled','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',60,'','N;'),(149,'additionalSettingsSeparator','CDev\\FedEx','separator',100,'','N;'),(150,'carrierTypesSeparator','CDev\\FedEx','separator',200,'','N;'),(151,'fdxe','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',210,'','N;'),(152,'fdxg','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',220,'','N;'),(153,'fxsp','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',230,'','N;'),(154,'fxsp_hub_id','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\HubId',235,'','N;'),(155,'fxsp_indicia','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\Indicia',240,'','N;'),(156,'rate_request_type','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\RateRequestType',300,'NONE','N;'),(157,'packaging','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\Packaging',310,'','N;'),(158,'dropoff_type','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\DropOffType',320,'','N;'),(159,'ship_date','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\ShipDate',330,'0','N;'),(160,'currency_code','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\CurrencyCode',340,'0','N;'),(161,'currency_rate','CDev\\FedEx','XLite\\View\\FormField\\Input\\Text\\FloatInput',350,'1','N;'),(162,'dimensions','CDev\\FedEx','serialized',360,'a:3:{i:0;i:10;i:1;i:10;i:2;i:10;}','N;'),(163,'max_weight','CDev\\FedEx','XLite\\View\\FormField\\Input\\Text\\FloatInput',370,'70','N;'),(164,'specialServicesSeparator','CDev\\FedEx','separator',400,'','N;'),(165,'dg_accessibility','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\DangerousGoodsAccessibility',410,'','N;'),(166,'signature','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\Signature',420,'','N;'),(167,'cacheOnDeliverySeparator','CDev\\FedEx','separator',500,'','N;'),(168,'cod_type','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\CODType',510,'ANY','N;'),(169,'advancedOptionsSeparator','CDev\\FedEx','separator',600,'','N;'),(170,'opt_saturday_pickup','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',610,'','N;'),(171,'opt_residential_delivery','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',620,'','N;'),(172,'send_insured_value','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',630,'1','N;'),(173,'ga_account','CDev\\GoogleAnalytics','text',100,'','N;'),(174,'ga_tracking_type','CDev\\GoogleAnalytics','XLite\\Module\\CDev\\GoogleAnalytics\\View\\FormField\\Select\\TrackingType',200,'1','N;'),(175,'ga_code_version','CDev\\GoogleAnalytics','XLite\\Module\\CDev\\GoogleAnalytics\\View\\FormField\\Select\\CodeVersion',300,'U','N;'),(176,'ecommerce_enabled','CDev\\GoogleAnalytics','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',400,'1','N;'),(177,'purchase_only_on_paid','CDev\\GoogleAnalytics','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',450,'1','N;'),(178,'debug_mode','CDev\\GoogleAnalytics','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',500,'','N;'),(179,'gosocial_sep_1','CDev\\GoSocial','separator',5000,'','N;'),(180,'fb_app_id','CDev\\GoSocial','text',5100,'','N;'),(181,'fb_app_namespace','CDev\\GoSocial','text',5200,'','N;'),(182,'fb_admins','CDev\\GoSocial','text',5300,'','N;'),(183,'gosocial_sep_6','CDev\\GoSocial','separator',1000,'','N;'),(184,'fb_share_use','CDev\\GoSocial','checkbox',1050,'1','N;'),(185,'gosocial_sep_2','CDev\\GoSocial','separator',1300,'','N;'),(186,'like_settings_warning','CDev\\GoSocial','XLite\\Module\\CDev\\GoSocial\\View\\FormField\\Label\\LikeSettingsWarning',1325,'1','N;'),(187,'fb_like_use','CDev\\GoSocial','checkbox',1350,'','N;'),(188,'fb_like_layout','CDev\\GoSocial','XLite\\Module\\CDev\\GoSocial\\View\\FormField\\Select\\FBLayoutStyle',1400,'button_count','N;'),(189,'fb_like_show_faces','CDev\\GoSocial','checkbox',1420,'1','N;'),(190,'fb_like_verb','CDev\\GoSocial','XLite\\Module\\CDev\\GoSocial\\View\\FormField\\Select\\FBVerbDisplay',1440,'like','N;'),(191,'fb_like_colorscheme','CDev\\GoSocial','XLite\\Module\\CDev\\GoSocial\\View\\FormField\\Select\\FBLikeColorScheme',1460,'light','N;'),(192,'gosocial_sep_21','CDev\\GoSocial','separator',1500,'','N;'),(193,'fb_comments_use','CDev\\GoSocial','checkbox',1600,'1','N;'),(194,'fb_comments_num_posts','CDev\\GoSocial','XLite\\View\\FormField\\Input\\Text\\Integer',1700,'8','a:1:{s:3:\"min\";i:1;}'),(195,'fb_comments_colorscheme','CDev\\GoSocial','XLite\\Module\\CDev\\GoSocial\\View\\FormField\\Select\\FBCommentsColorScheme',1750,'light','N;'),(196,'gosocial_sep_3','CDev\\GoSocial','separator',2000,'','N;'),(197,'tweet_use','CDev\\GoSocial','checkbox',2050,'1','N;'),(198,'tweet_show_count','CDev\\GoSocial','checkbox',2100,'1','N;'),(199,'tweet_via','CDev\\GoSocial','text',2200,'','N;'),(200,'tweet_recommend','CDev\\GoSocial','text',2300,'','N;'),(201,'tweet_hashtag','CDev\\GoSocial','text',2300,'','N;'),(202,'gosocial_sep_4','CDev\\GoSocial','separator',3000,'','N;'),(203,'gplus_use','CDev\\GoSocial','checkbox',3050,'1','N;'),(204,'gplus_page_id','CDev\\GoSocial','text',3100,'','N;'),(205,'gosocial_sep_5','CDev\\GoSocial','separator',4000,'','N;'),(206,'pinterest_use','CDev\\GoSocial','checkbox',4050,'1','N;'),(207,'show_admin_welcome','CDev\\Paypal','checkbox',100,'N','N;'),(208,'paypalLoginOptions','CDev\\Paypal','\\XLite\\Module\\CDev\\Paypal\\View\\FormField\\Instructions',200,'','N;'),(209,'loginRedirectURLProtocol','CDev\\Paypal','XLite\\Module\\CDev\\Paypal\\View\\FormField\\Select\\Protocol',300,'http','N;'),(210,'loginClientId','CDev\\Paypal','text',400,'','N;'),(211,'loginClientSecret','CDev\\Paypal','text',500,'','N;'),(212,'loginMode','CDev\\Paypal','XLite\\View\\FormField\\Select\\TestLiveMode',600,'test','N;'),(213,'loginScopes','CDev\\Paypal','XLite\\Module\\CDev\\Paypal\\View\\FormField\\Select\\Scopes',700,'a:6:{i:0;s:6:\"openid\";i:1;s:5:\"email\";i:2;s:7:\"profile\";i:3;s:7:\"address\";i:4;s:5:\"phone\";i:5;s:47:\"https://uri.paypal.com/services/expresscheckout\";}','N;'),(214,'esd_fullfilment','CDev\\PINCodes','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',400,'','N;'),(215,'approve_before_download','CDev\\PINCodes','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',500,'','N;'),(216,'sep_product_advisor_na','CDev\\ProductAdvisor','separator',10,'','N;'),(217,'na_enabled','CDev\\ProductAdvisor','checkbox',20,'Y','N;'),(218,'na_max_days','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',30,'30','a:1:{s:3:\"min\";i:0;}'),(219,'na_max_count_in_full_list','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',40,'30','a:1:{s:3:\"min\";i:0;}'),(220,'na_mark_with_label','CDev\\ProductAdvisor','XLite\\Module\\CDev\\ProductAdvisor\\View\\FormField\\Select\\MarkProducts',50,'C','N;'),(221,'na_max_count_in_block','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',80,'3','a:1:{s:3:\"min\";i:0;}'),(222,'na_from_current_category','CDev\\ProductAdvisor','checkbox',90,'N','N;'),(223,'sep_product_advisor_cs','CDev\\ProductAdvisor','separator',1000,'','N;'),(224,'cs_enabled','CDev\\ProductAdvisor','checkbox',1010,'Y','N;'),(225,'cs_mark_with_label','CDev\\ProductAdvisor','XLite\\Module\\CDev\\ProductAdvisor\\View\\FormField\\Select\\MarkProducts',1020,'C','N;'),(226,'cs_display_date','CDev\\ProductAdvisor','checkbox',1030,'Y','N;'),(227,'cs_from_current_category','CDev\\ProductAdvisor','checkbox',1050,'N','N;'),(228,'cs_max_count_in_block','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',1080,'3','a:1:{s:3:\"min\";i:0;}'),(229,'sep_product_advisor_rv','CDev\\ProductAdvisor','separator',2000,'','N;'),(230,'rv_enabled','CDev\\ProductAdvisor','checkbox',2010,'Y','N;'),(231,'rv_max_count_in_block','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',2020,'10','a:1:{s:3:\"min\";i:0;}'),(232,'sep_product_advisor_cbb','CDev\\ProductAdvisor','separator',3000,'','N;'),(233,'cbb_enabled','CDev\\ProductAdvisor','checkbox',3010,'Y','N;'),(234,'cbb_max_count_in_block','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',3020,'5','a:1:{s:3:\"min\";i:0;}'),(235,'sep_product_advisor_cvb','CDev\\ProductAdvisor','separator',4000,'','N;'),(236,'cvb_enabled','CDev\\ProductAdvisor','checkbox',4010,'Y','N;'),(237,'cvb_max_count_in_block','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',4020,'5','a:1:{s:3:\"min\";i:0;}'),(238,'sale_enabled','CDev\\Sale','checkbox',20,'Y','N;'),(239,'sale_in_current_category','CDev\\Sale','checkbox',30,'Y','N;'),(240,'sale_max_count_in_block','CDev\\Sale','text',80,'6','N;'),(241,'logo','CDev\\SimpleCMS','XLite\\Module\\CDev\\SimpleCMS\\View\\FormField\\Input\\Logo',100,'','N;'),(242,'favicon','CDev\\SimpleCMS','XLite\\Module\\CDev\\SimpleCMS\\View\\FormField\\Input\\Favicon',200,'','N;'),(243,'appleIcon','CDev\\SimpleCMS','XLite\\Module\\CDev\\SimpleCMS\\View\\FormField\\Input\\AppleIcon',250,'','N;'),(244,'page_changefreq','CDev\\XMLSitemap','XLite\\Module\\CDev\\SimpleCMS\\View\\FormField\\Select\\ChangeFrequency',400,'daily','N;'),(245,'page_priority','CDev\\XMLSitemap','XLite\\View\\FormField\\Input\\Text\\FloatInput',800,'0.5','a:3:{s:3:\"min\";i:0;s:3:\"max\";i:1;s:1:\"e\";i:1;}'),(246,'show_default_menu','CDev\\SimpleCMS','checkbox',300,'Y','N;'),(247,'welcome_changefreq','CDev\\XMLSitemap','XLite\\Module\\CDev\\XMLSitemap\\View\\FormField\\Select\\ChangeFrequency',100,'daily','N;'),(248,'category_changefreq','CDev\\XMLSitemap','XLite\\Module\\CDev\\XMLSitemap\\View\\FormField\\Select\\ChangeFrequency',200,'daily','N;'),(249,'product_changefreq','CDev\\XMLSitemap','XLite\\Module\\CDev\\XMLSitemap\\View\\FormField\\Select\\ChangeFrequency',300,'daily','N;'),(250,'welcome_priority','CDev\\XMLSitemap','XLite\\View\\FormField\\Input\\Text\\FloatInput',500,'0.5','a:3:{s:3:\"min\";i:0;s:3:\"max\";i:1;s:1:\"e\";i:1;}'),(251,'category_priority','CDev\\XMLSitemap','XLite\\View\\FormField\\Input\\Text\\FloatInput',600,'0.5','a:3:{s:3:\"min\";i:0;s:3:\"max\";i:1;s:1:\"e\";i:1;}'),(252,'product_priority','CDev\\XMLSitemap','XLite\\View\\FormField\\Input\\Text\\FloatInput',700,'0.5','a:3:{s:3:\"min\";i:0;s:3:\"max\";i:1;s:1:\"e\";i:1;}'),(253,'enable_in_stock_only_filter','XC\\ProductFilter','checkbox',100,'1','N;'),(254,'enable_price_range_filter','XC\\ProductFilter','checkbox',200,'1','N;'),(255,'enable_attributes_filter','XC\\ProductFilter','checkbox',300,'1','N;'),(256,'attributes_filter_by_category','XC\\ProductFilter','checkbox',400,'1','N;'),(257,'attributes_filter_cache_mode','XC\\ProductFilter','XLite\\Module\\XC\\ProductFilter\\View\\FormField\\Select\\CacheResetMode',500,'1','N;'),(258,'attributes_sorting_type','XC\\ProductFilter','XLite\\Module\\XC\\ProductFilter\\View\\FormField\\Select\\AttributesSortingType',600,'A','N;'),(259,'url_part_type','XC\\ProductFilter','XLite\\Module\\XC\\ProductFilter\\View\\FormField\\Select\\UrlPartType',700,'G','N;'),(260,'whoCanLeaveFeedback','XC\\Reviews','\\XLite\\Module\\XC\\Reviews\\View\\FormField\\Select\\WhoCanLeaveFeedback',10,'R','N;'),(261,'disablePendingReviews','XC\\Reviews','checkbox',20,'1','N;'),(262,'reviewsCountPerTab','XC\\Reviews','\\XLite\\View\\FormField\\Input\\Text\\Integer',30,'5','a:1:{s:3:\"min\";i:1;}'),(263,'enableCustomersFollowup','XC\\Reviews','\\XLite\\View\\FormField\\Input\\Checkbox\\OnOff',50,'','N;'),(264,'followupTimeout','XC\\Reviews','\\XLite\\View\\FormField\\Input\\Text\\Integer',60,'15','a:1:{s:3:\"min\";i:0;}'),(265,'use_custom_css','XC\\ThemeTweaker','checkbox',10,'','N;'),(266,'use_custom_js','XC\\ThemeTweaker','checkbox',20,'','N;'),(267,'userID','XC\\UPS','XLite\\View\\FormField\\Input\\Text',10,'','N;'),(268,'password','XC\\UPS','XLite\\View\\FormField\\Input\\PasswordWithValue',20,'','N;'),(269,'accessKey','XC\\UPS','XLite\\View\\FormField\\Input\\Text',30,'','N;'),(270,'shipper_number','XC\\UPS','XLite\\View\\FormField\\Input\\Text',40,'','N;'),(271,'test_mode','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',50,'1','N;'),(272,'additionalSettingsSeparator','XC\\UPS','separator',100,'','N;'),(273,'packageSettingsSeparator','XC\\UPS','separator',200,'','N;'),(274,'packaging_type','XC\\UPS','XLite\\Module\\XC\\UPS\\View\\FormField\\Select\\PackagingType',210,'00','N;'),(275,'dimensions','XC\\UPS','serialized',220,'a:3:{i:0;i:10;i:1;i:10;i:2;i:10;}','N;'),(276,'max_weight','XC\\UPS','XLite\\View\\FormField\\Input\\Text\\FloatInput',230,'150','N;'),(277,'serviceOptionsSeparator','XC\\UPS','separator',300,'','N;'),(278,'pickup_type','XC\\UPS','XLite\\Module\\XC\\UPS\\View\\FormField\\Select\\PickupType',310,'01','N;'),(279,'saturday_pickup','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',320,'','N;'),(280,'additional_handling','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',330,'','N;'),(281,'saturday_delivery','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',340,'','N;'),(282,'negotiated_rates','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',350,'','N;'),(283,'delivery_conf','XC\\UPS','XLite\\Module\\XC\\UPS\\View\\FormField\\Select\\DeliveryConfirmation',360,'0','N;'),(284,'extra_cover','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',370,'','N;'),(285,'extra_cover_value','XC\\UPS','XLite\\View\\FormField\\Input\\Text\\Price',380,'0','N;'),(286,'cacheOnDeliverySeparator','XC\\UPS','separator',400,'','N;'),(287,'currencyConversionSeparator','XC\\UPS','separator',500,'','N;'),(288,'currency_code','XC\\UPS','XLite\\View\\FormField\\Input\\Text',510,'','N;'),(289,'currency_rate','XC\\UPS','XLite\\View\\FormField\\Input\\Text\\FloatInput',520,'1','N;'),(290,'additionalOptionsSeparator','XC\\UPS','separator',600,'','N;'),(291,'debug_enabled','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',610,'1','N;'),(292,'top_news_length','XC\\News','XLite\\View\\FormField\\Input\\Text\\Integer',100,'5','a:1:{s:3:\"min\";i:1;}'),(293,'items_per_page','XC\\News','XLite\\View\\FormField\\Input\\Text\\Integer',200,'50','a:1:{s:3:\"min\";i:1;}'),(294,'news_changefreq','CDev\\XMLSitemap','XLite\\Module\\CDev\\XMLSitemap\\View\\FormField\\Select\\ChangeFrequency',400,'daily','N;'),(295,'news_priority','CDev\\XMLSitemap','XLite\\View\\FormField\\Input\\Text\\FloatInput',800,'0.5','a:3:{s:3:\"min\";i:0;s:3:\"max\";i:1;s:1:\"e\";i:1;}'),(296,'freight_shipping_calc_mode','XC\\FreeShipping','XLite\\Module\\XC\\FreeShipping\\View\\FormField\\FreightMode',10,'F','N;'),(297,'default_provider','XC\\Geolocation','XLite\\Module\\XC\\Geolocation\\View\\FormField\\Select\\DefaultProvider',10,'0','N;'),(298,'display_location_popup','XC\\Geolocation','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',20,'1','N;'),(299,'extended_database','XC\\Geolocation','XLite\\View\\FormField\\FileUploader\\ChunkUpload',30,'','a:2:{s:13:\"successAction\";s:11:\"geolocation\";s:10:\"extensions\";s:5:\".mmdb\";}'),(300,'current_database','XC\\Geolocation','XLite\\Module\\XC\\Geolocation\\View\\FormField\\Label\\CurrentDatabase',40,'','N;'),(301,'checkout_type','General','XLite\\Module\\XC\\FastLaneCheckout\\View\\FormField\\Select\\CheckoutType',200,'one-page','N;'),(302,'use_custom_colors','XC\\FroalaEditor','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',10,'','N;'),(303,'custom_colors','XC\\FroalaEditor','XLite\\Module\\XC\\FroalaEditor\\View\\FormField\\ColorPalettePicker',20,'','N;'),(304,'mailChimpSeparator','XC\\MailChimp','separator',100,'','N;'),(305,'mailChimpAPIKey','XC\\MailChimp','text',200,'','N;'),(306,'analytics360enabled','XC\\MailChimp','\\XLite\\View\\FormField\\Input\\Checkbox\\OnOff',300,'1','N;'),(307,'abandonedCartEnabled','XC\\MailChimp','\\XLite\\View\\FormField\\Input\\Checkbox\\OnOff',350,'','N;'),(308,'selectedAbandonedCartsListid','XC\\MailChimp','\\XLite\\Module\\XC\\MailChimp\\View\\FormField\\Select\\Lists',375,'','a:1:{s:10:\"dependency\";a:1:{s:4:\"show\";a:1:{s:20:\"abandonedCartEnabled\";a:1:{i:0;b:1;}}}}'),(309,'doubleOptinDisabled','XC\\MailChimp','\\XLite\\View\\FormField\\Input\\Checkbox\\OnOff',400,'','N;'),(310,'subscriptionElementType','XC\\MailChimp','XLite\\Module\\XC\\MailChimp\\View\\FormField\\Select\\ElementType',500,'checkbox','N;'),(311,'updateInterval','XC\\MailChimp','XLite\\Module\\XC\\MailChimp\\View\\FormField\\Select\\UpdateInterval',600,'never','N;'),(312,'send_coupons','XC\\MailChimp','XLite\\Module\\XC\\MailChimp\\View\\FormField\\Select\\SendCoupons',700,'all','N;'),(313,'write_key','XC\\Concierge','hidden',100,'','N;'),(314,'company_id','XC\\Concierge','hidden',200,'','N;'),(315,'user_id','XC\\Concierge','hidden',300,'','N;'),(316,'additional_config_loaded','XC\\Concierge','hidden',400,'','N;'),(317,'fcm_show_product_num','QSL\\FlyoutCategoriesMenu','checkbox',10,'N','N;'),(318,'fcm_word_wrap','QSL\\FlyoutCategoriesMenu','checkbox',20,'Y','N;'),(319,'fcm_show_triangle','QSL\\FlyoutCategoriesMenu','checkbox',30,'Y','N;'),(320,'api_key','QSL\\CloudSearch','hidden',0,'','N;'),(321,'secret_key','QSL\\CloudSearch','hidden',0,'','N;'),(322,'dashboard','QSL\\CloudSearch','\\XLite\\Module\\QSL\\CloudSearch\\View\\FormField\\Dashboard',0,'','N;'),(323,'isCloudFiltersEnabled','QSL\\CloudSearch','hidden',20,'','N;'),(324,'soffersb_override_tpl','QSL\\SpecialOffersBase','checkbox',100,'1','N;'),(325,'quantity','XC\\CustomerAttachments','\\XLite\\View\\FormField\\Input\\Text\\Integer',0,'10','a:1:{s:3:\"min\";i:0;}'),(326,'extensions','XC\\CustomerAttachments','text',0,'','a:1:{s:7:\"comment\";s:68:\"Enter file extensions separated by comma; for example, \"jpg,txt,svg\"\";}'),(327,'file_size','XC\\CustomerAttachments','\\XLite\\Module\\XC\\CustomerAttachments\\View\\FormField\\Input\\Text\\FileSizeInteger',0,'0','a:1:{s:3:\"min\";i:0;}'),(328,'allow_vendor_communication','XC\\VendorMessages','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',200,'0','N;'),(329,'show_tags_sidebar','XC\\ProductTags','checkbox',100,'','N;'),(330,'enable_tags_filter','XC\\ProductFilter','checkbox',350,'1','N;'),(331,'wizard_state','XC\\Onboarding','hidden',0,'visible','N;'),(332,'test_mode','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',10,'1','N;'),(333,'api_key','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Text',20,'','N;'),(334,'packageSettingsSeparator','CDev\\AustraliaPost','separator',100,'','N;'),(335,'package_type','CDev\\AustraliaPost','',0,'Parcel','N;'),(336,'package_box_type','CDev\\AustraliaPost','XLite\\Module\\CDev\\AustraliaPost\\View\\FormField\\PackageBoxType',110,'AUS_PARCEL_TYPE_BOXED_OTH','N;'),(337,'dimensions','CDev\\AustraliaPost','serialized',120,'a:3:{i:0;i:10;i:1;i:10;i:2;i:10;}','N;'),(338,'additionalSettingsSeparator','CDev\\AustraliaPost','separator',200,'','N;'),(339,'service_option','CDev\\AustraliaPost','XLite\\Module\\CDev\\AustraliaPost\\View\\FormField\\ServiceOption',210,'AUS_SERVICE_OPTION_STANDARD','N;'),(340,'extra_cover','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',220,'','N;'),(341,'extra_cover_value','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Text\\Price',230,'0','N;'),(342,'currency_rate','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',240,'1','N;'),(343,'enable_new_methods','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',250,'1','N;'),(344,'debug_enabled','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',260,'1','N;'),(345,'max_weight','CDev\\AustraliaPost','',0,'20','N;'),(346,'email','CDev\\Moneybookers','text',100,'','N;'),(347,'logo_url','CDev\\Moneybookers','XLite\\View\\FormField\\Input\\Text\\URL',200,'','N;'),(348,'test','CDev\\Moneybookers','checkbox',300,'0','N;'),(349,'secret_word','CDev\\Moneybookers','text',400,'','N;'),(350,'prefix','CDev\\Moneybookers','text',500,'xcart','N;'),(351,'id','CDev\\Moneybookers','',0,'','N;'),(352,'ignore_memberships','CDev\\SalesTax','checkbox',150,'Y','N;'),(353,'addressType','CDev\\SalesTax','\\XLite\\Module\\CDev\\SalesTax\\View\\FormField\\AddressType',160,'billing','N;'),(354,'taxableBase','CDev\\SalesTax','\\XLite\\Module\\CDev\\SalesTax\\View\\FormField\\TaxableBase',170,'DST+SH','N;'),(355,'dataProvider','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\DataProvider',2,'pitneyBowes','N;'),(356,'pbEmailId','CDev\\USPS','XLite\\View\\FormField\\Input\\Text',10,'','N;'),(357,'pbShipperId','CDev\\USPS','',10,'','N;'),(358,'userid','CDev\\USPS','XLite\\View\\FormField\\Input\\Text',10,'','N;'),(359,'server_url','CDev\\USPS','XLite\\View\\FormField\\Input\\Text\\URL',20,'http://stg-production.shippingapis.com/ShippingApi.dll','N;'),(360,'additionalSettingsSeparator','CDev\\USPS','separator',100,'','N;'),(361,'commonOptionsSeparator','CDev\\USPS','separator',200,'','N;'),(362,'package_size','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\PackageSize',205,'REGULAR','N;'),(363,'dimensions','CDev\\USPS','serialized',210,'a:3:{i:0;i:10;i:1;i:7;i:2;i:9;}','N;'),(364,'girth','CDev\\USPS','XLite\\View\\FormField\\Input\\Text\\FloatInput',220,'0','N;'),(365,'max_weight','CDev\\USPS','XLite\\View\\FormField\\Input\\Text\\FloatInput',230,'70','N;'),(366,'machinable','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',235,'1','N;'),(367,'currency_rate','CDev\\USPS','XLite\\View\\FormField\\Input\\Text\\FloatInput',240,'1','N;'),(368,'domesticUSPSSeparator','CDev\\USPS','separator',300,'','N;'),(369,'container','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\Container',310,'VARIABLE','N;'),(370,'first_class_mail_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\FirstClassMailType',330,'PARCEL','N;'),(371,'use_rate_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\UseRateType',350,'Rate','N;'),(372,'pb_domestic_parcel_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\PBDomesticParcelType',360,'PKG','N;'),(373,'internationalUSPSSeparator','CDev\\USPS','separator',400,'','N;'),(374,'mail_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\MailType',410,'Package','N;'),(375,'container_intl','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\ContainerIntl',420,'RECTANGULAR','N;'),(376,'commercial','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',430,'','N;'),(377,'gxg','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',440,'','N;'),(378,'gxg_pobox','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',450,'','N;'),(379,'gxg_gift','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',460,'','N;'),(380,'pb_international_parcel_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\PBInternationalParcelType',470,'PKG','N;'),(381,'cacheOnDeliverySeparator','CDev\\USPS','separator',500,'','N;'),(382,'use_cod_price','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',510,'1','N;'),(383,'cod_price','CDev\\USPS','XLite\\View\\FormField\\Input\\Text\\Price',520,'6.95','N;'),(384,'additionalOptionsSeparator','CDev\\USPS','separator',600,'','N;'),(385,'debug_enabled','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',610,'','N;'),(386,'pbSandbox','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',605,'','N;'),(387,'autoenable_new_methods','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',620,'1','N;'),(388,'xpc_shopping_cart_id','CDev\\XPaymentsConnector','XLite\\Module\\CDev\\XPaymentsConnector\\View\\FormField\\Input\\Text\\StoreID',1010,'','N;'),(389,'xpc_xpayments_url','CDev\\XPaymentsConnector','XLite\\Module\\CDev\\XPaymentsConnector\\View\\FormField\\Input\\Text\\URLipv6',1020,'','N;'),(390,'xpc_public_key','CDev\\XPaymentsConnector','textarea',1030,'','N;'),(391,'xpc_private_key','CDev\\XPaymentsConnector','textarea',1040,'','N;'),(392,'xpc_private_key_password','CDev\\XPaymentsConnector','text',1050,'','N;'),(393,'xpc_allowed_ip_addresses','CDev\\XPaymentsConnector','text',1060,'','N;'),(394,'xpc_currency','CDev\\XPaymentsConnector','XLite\\View\\FormField\\Select\\Currency',1070,'840','N;'),(395,'xpc_api_version','CDev\\XPaymentsConnector','hidden',1080,'1.3','N;'),(396,'xpc_use_iframe','CDev\\XPaymentsConnector','checkbox',1090,'1','N;'),(397,'xpc_allowed_modules_load_date','CDev\\XPaymentsConnector','hidden',2000,'0','N;'),(398,'xpc_allowed_modules','CDev\\XPaymentsConnector','hidden',2010,'','N;'),(399,'xpc_zero_auth_method_id','CDev\\XPaymentsConnector','XLite\\Module\\CDev\\XPaymentsConnector\\View\\FormField\\Select\\ZeroAuthPaymentMethods',1100,'0','N;'),(400,'xpc_zero_auth_amount','CDev\\XPaymentsConnector','XLite\\Module\\CDev\\XPaymentsConnector\\View\\FormField\\Input\\Text\\ZeroAuthAmount',1110,'0','N;'),(401,'xpc_zero_auth_description','CDev\\XPaymentsConnector','XLite\\Module\\CDev\\XPaymentsConnector\\View\\FormField\\Input\\Text\\ZeroAuthDescription',1130,'','N;'),(402,'wizard_enabled','XC\\CanadaPost','',0,'1','N;'),(403,'wizard_hash','XC\\CanadaPost','',0,'','N;'),(404,'user','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text',10,'','N;'),(405,'password','XC\\CanadaPost','XLite\\View\\FormField\\Input\\PasswordWithValue',20,'','N;'),(406,'developer_mode','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',30,'','N;'),(407,'debug_enabled','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',40,'','N;'),(408,'additionalSettingsSeparator','XC\\CanadaPost','separator',100,'','N;'),(409,'quote_type','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Select\\QuoteType',110,'C','N;'),(410,'customer_number','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text',120,'','N;'),(411,'currency_rate','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',130,'1','N;'),(412,'contractShippingSeparator','XC\\CanadaPost','separator',200,'','N;'),(413,'contract_id','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text',210,'','N;'),(414,'pick_up_type','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Select\\PickUpType',220,'','N;'),(415,'deposit_site_num','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Input\\Text\\DepositSiteNum',230,'','N;'),(416,'detailed_manifests','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',240,'1','N;'),(417,'manifest_name','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text',250,'','N;'),(418,'deliverToPostOfficeSeparator','XC\\CanadaPost','separator',300,'','N;'),(419,'deliver_to_po_enabled','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',310,'','N;'),(420,'max_post_offices','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\Integer',320,'5','N;'),(421,'parcelCharacteristicsSeparator','XC\\CanadaPost','separator',400,'','N;'),(422,'length','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',410,'10','N;'),(423,'width','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',420,'9','N;'),(424,'height','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',430,'7','N;'),(425,'max_weight','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',440,'30','N;'),(426,'document','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',450,'','N;'),(427,'unpackaged','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',460,'','N;'),(428,'mailing_tube','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',470,'','N;'),(429,'oversized','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',480,'','N;'),(430,'parcelSeparator','XC\\CanadaPost','separator',500,'','N;'),(431,'way_to_deliver','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Select\\DeliveryWayType',510,'','N;'),(432,'signature','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',520,'','N;'),(433,'age_proof','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Select\\AgeProofType',530,'','N;'),(434,'coverage','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',540,'0','N;'),(435,'non_delivery','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Select\\NonDeliveryType',550,'','N;'),(436,'time_zone','General','',0,'Europe/Moscow','N;');
CREATE TABLE `xlite_order_payment_statuses` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` char(4) COLLATE utf8_unicode_ci DEFAULT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_A2C34C8E77153098` (`code`),
  KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_order_payment_statuses` VALUES (1,'Q',10),(2,'A',20),(3,'PP',30),(4,'P',40),(5,'D',50),(6,'C',60),(7,'R',70);
CREATE TABLE `xlite_permissions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  `code` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `section` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_permissions` VALUES (1,1,'root access','All'),(2,1,'manage catalog','Catalog'),(3,1,'manage users','Users'),(4,1,'manage admins','Users'),(5,1,'manage orders','Sales'),(6,1,'manage import','Import and Export'),(7,1,'manage export','Import and Export'),(8,1,'manage banners','Content'),(9,1,'unfiltered html','Content'),(10,1,'manage coupons','Coupons'),(11,1,'manage custom pages','Content'),(12,1,'manage menus','Content'),(13,1,'manage volume discounts','Volume discounts'),(14,1,'manage reviews','Catalog'),(15,1,'manage news','Content'),(16,1,'manage conversations','Conversations');
CREATE TABLE `xlite_product_membership_links` (
  `product_id` int(10) unsigned NOT NULL,
  `membership_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`membership_id`),
  KEY `IDX_E924C4344584665A` (`product_id`),
  KEY `IDX_E924C4341FB354CD` (`membership_id`),
  CONSTRAINT `FK_E924C4341FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_E924C4344584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_attributes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_class_id` int(10) unsigned DEFAULT NULL,
  `attribute_group_id` int(10) unsigned DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL,
  `decimals` int(11) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `addToNew` char(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_9665298321B06187` (`product_class_id`),
  KEY `IDX_9665298362D643B7` (`attribute_group_id`),
  KEY `IDX_966529834584665A` (`product_id`),
  CONSTRAINT `FK_966529834584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_9665298321B06187` FOREIGN KEY (`product_class_id`) REFERENCES `xlite_product_classes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_9665298362D643B7` FOREIGN KEY (`attribute_group_id`) REFERENCES `xlite_attribute_groups` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_attributes` VALUES (1,1,NULL,NULL,1,0,0,'S',''),(50,NULL,NULL,NULL,1,0,0,'S',''),(56,NULL,NULL,7,1,0,0,'S',''),(58,NULL,NULL,9,1,0,0,'S',''),(61,NULL,NULL,13,1,0,0,'S',''),(62,NULL,NULL,16,1,0,0,'C',''),(63,NULL,NULL,16,1,0,0,'C',''),(64,NULL,NULL,16,1,0,0,'C',''),(65,NULL,NULL,16,1,0,0,'C',''),(66,NULL,NULL,31,1,0,0,'C',''),(67,NULL,NULL,31,1,0,0,'C',''),(68,NULL,NULL,31,1,0,0,'C',''),(69,NULL,NULL,32,1,0,0,'S',''),(70,NULL,NULL,40,1,0,0,'S',''),(71,2,NULL,NULL,1,0,0,'S',''),(72,2,NULL,NULL,1,0,0,'S',''),(73,2,NULL,NULL,1,0,0,'S',''),(74,2,NULL,NULL,0,0,0,'S',''),(75,2,1,NULL,1,0,0,'S',''),(76,2,1,NULL,1,0,0,'S',''),(77,2,1,NULL,1,0,0,'S',''),(78,2,3,NULL,0,0,0,'S',''),(79,2,3,NULL,0,0,0,'S',''),(80,2,3,NULL,0,0,0,'S',''),(81,2,3,NULL,0,0,0,'S',''),(82,2,3,NULL,0,0,0,'S',''),(83,2,2,NULL,1,0,0,'S',''),(84,2,2,NULL,1,0,0,'S',''),(85,2,2,NULL,0,0,0,'S',''),(86,2,2,NULL,1,0,0,'C',''),(87,NULL,NULL,4,1,0,0,'S','');
CREATE TABLE `xlite_order_capost_parcel_shipments_manifests` (
  `manifest_id` int(11) NOT NULL,
  `shipment_id` int(11) NOT NULL,
  PRIMARY KEY (`manifest_id`,`shipment_id`),
  KEY `IDX_8D3D4D8FE697B2FB` (`manifest_id`),
  KEY `IDX_8D3D4D8F7BE036FC` (`shipment_id`),
  CONSTRAINT `FK_8D3D4D8F7BE036FC` FOREIGN KEY (`shipment_id`) REFERENCES `xlite_order_capost_parcel_shipment` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_8D3D4D8FE697B2FB` FOREIGN KEY (`manifest_id`) REFERENCES `xlite_order_capost_parcel_manifests` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_shipping_markups` (
  `markup_id` int(11) NOT NULL AUTO_INCREMENT,
  `method_id` int(11) DEFAULT NULL,
  `zone_id` int(11) DEFAULT NULL,
  `min_weight` decimal(14,2) NOT NULL,
  `max_weight` decimal(14,2) NOT NULL,
  `min_total` decimal(14,2) NOT NULL,
  `max_total` decimal(14,2) NOT NULL,
  `min_items` decimal(14,0) NOT NULL,
  `max_items` decimal(14,0) NOT NULL,
  `markup_flat` decimal(14,2) NOT NULL,
  `markup_percent` decimal(14,2) NOT NULL,
  `markup_per_item` decimal(14,2) NOT NULL,
  `markup_per_weight` decimal(14,2) NOT NULL,
  PRIMARY KEY (`markup_id`),
  KEY `IDX_2BE8DC419883967` (`method_id`),
  KEY `IDX_2BE8DC49F2C3FAB` (`zone_id`),
  KEY `rate` (`method_id`,`zone_id`,`min_weight`,`min_total`,`min_items`),
  KEY `max_weight` (`max_weight`),
  KEY `max_total` (`max_total`),
  KEY `max_items` (`max_items`),
  KEY `markup_flat` (`markup_flat`),
  KEY `markup_per_item` (`markup_per_item`),
  KEY `markup_percent` (`markup_percent`),
  KEY `markup_per_weight` (`markup_per_weight`),
  CONSTRAINT `FK_2BE8DC49F2C3FAB` FOREIGN KEY (`zone_id`) REFERENCES `xlite_zones` (`zone_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_2BE8DC419883967` FOREIGN KEY (`method_id`) REFERENCES `xlite_shipping_methods` (`method_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_shipping_markups` VALUES (1,52,1,0.00,999999999.00,0.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00),(2,53,1,0.00,999999999.00,0.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00),(3,91,2,0.00,999999999.00,0.00,999999999.00,0,999999999,2.45,1.50,0.00,0.00),(4,91,3,0.00,999999999.00,0.00,999999999.00,0,999999999,2.50,1.50,0.00,0.00),(5,91,1,0.00,999999999.00,0.00,999999999.00,0,999999999,5.50,1.75,0.00,0.00),(6,92,2,0.00,999999999.00,0.00,999999999.00,0,999999999,3.45,1.75,0.00,0.00),(7,92,3,0.00,999999999.00,0.00,999999999.00,0,999999999,3.50,1.75,0.00,0.00),(8,92,1,0.00,999999999.00,0.00,999999999.00,0,999999999,6.50,1.85,0.00,0.00),(9,93,2,0.00,999999999.00,0.00,999999999.00,0,999999999,100.00,10.00,0.00,0.00),(10,94,1,0.00,999999999.00,0.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00),(11,95,1,0.00,999999999.00,50.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00);
CREATE TABLE `xlite_product_attachment_storages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `attachment_id` int(10) unsigned DEFAULT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_34701892464E68B` (`attachment_id`),
  CONSTRAINT `FK_34701892464E68B` FOREIGN KEY (`attachment_id`) REFERENCES `xlite_product_attachments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_capost_office` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `officeId` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `location` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `distance` decimal(12,2) NOT NULL,
  `bilingualDesignation` tinyint(1) NOT NULL,
  `city` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `latitude` decimal(15,5) NOT NULL,
  `longitude` decimal(15,5) NOT NULL,
  `postalCode` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `province` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `officeAddress` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `workingHours` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `orderId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_CE3DE61FFA237437` (`orderId`),
  CONSTRAINT `FK_CE3DE61FFA237437` FOREIGN KEY (`orderId`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_payment_methods` (
  `method_id` int(11) NOT NULL AUTO_INCREMENT,
  `service_name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `moduleName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `orderby` int(11) NOT NULL,
  `adminOrderby` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `moduleEnabled` tinyint(1) NOT NULL,
  `added` tinyint(1) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `fromMarketplace` tinyint(1) NOT NULL,
  `iconURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `countries` longtext COLLATE utf8_unicode_ci COMMENT '(DC2Type:array)',
  `exCountries` longtext COLLATE utf8_unicode_ci COMMENT '(DC2Type:array)',
  PRIMARY KEY (`method_id`),
  KEY `orderby` (`orderby`),
  KEY `class` (`class`,`enabled`),
  KEY `enabled` (`enabled`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_payment_methods` VALUES (1,'PurchaseOrder','Model\\Payment\\Processor\\PurchaseOrder','',20,0,0,1,1,'O',0,NULL,'N;','N;'),(2,'PhoneOrdering','Model\\Payment\\Processor\\PhoneOrdering','',30,0,1,1,1,'O',0,NULL,'N;','N;'),(3,'FaxOrdering','Model\\Payment\\Processor\\Offline','',40,0,1,1,1,'O',0,NULL,'N;','N;'),(4,'MoneyOrdering','Model\\Payment\\Processor\\Offline','',50,0,1,1,1,'O',0,NULL,'N;','N;'),(5,'Echeck','Model\\Payment\\Processor\\Check','',60,0,0,1,1,'O',0,NULL,'N;','N;'),(6,'COD','Model\\Payment\\Processor\\Offline','',70,0,1,1,1,'O',0,NULL,'N;','N;'),(7,'COD_FEDEX','Module\\CDev\\FedEx\\Model\\Payment\\Processor\\COD','CDev_FedEx',0,0,0,1,1,'O',0,NULL,'a:2:{i:0;s:2:\"CA\";i:1;s:2:\"US\";}','N;'),(8,'PayflowLink','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PayflowLink','CDev_Paypal',-10600,0,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"AU\";i:3;s:2:\"NZ\";}','N;'),(9,'PayflowTransparentRedirect','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PayflowTransparentRedirect','CDev_Paypal',-10650,0,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"AU\";i:3;s:2:\"NZ\";}','N;'),(10,'PaypalAdvanced','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PaypalAdvanced','CDev_Paypal',-10700,0,0,1,0,'C',0,NULL,'a:2:{i:0;s:2:\"US\";i:1;s:2:\"CA\";}','N;'),(11,'PaypalWPS','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PaypalWPS','CDev_Paypal',-10800,0,0,1,0,'A',0,NULL,'a:24:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"MX\";i:3;s:2:\"BE\";i:4;s:2:\"DK\";i:5;s:2:\"FR\";i:6;s:2:\"DE\";i:7;s:2:\"IE\";i:8;s:2:\"IT\";i:9;s:2:\"LU\";i:10;s:2:\"NL\";i:11;s:2:\"NO\";i:12;s:2:\"PL\";i:13;s:2:\"RU\";i:14;s:2:\"JP\";i:15;s:2:\"ES\";i:16;s:2:\"NZ\";i:17;s:2:\"BR\";i:18;s:2:\"SE\";i:19;s:2:\"GB\";i:20;s:2:\"AU\";i:21;s:2:\"CN\";i:22;s:2:\"IL\";i:23;s:2:\"SG\";}','N;'),(12,'ExpressCheckout','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\ExpressCheckout','CDev_Paypal',-102000,0,0,1,1,'C',0,NULL,'a:23:{i:0;s:2:\"US\";i:1;s:2:\"MX\";i:2;s:2:\"BE\";i:3;s:2:\"DK\";i:4;s:2:\"FR\";i:5;s:2:\"DE\";i:6;s:2:\"IE\";i:7;s:2:\"IT\";i:8;s:2:\"LU\";i:9;s:2:\"NL\";i:10;s:2:\"NO\";i:11;s:2:\"PL\";i:12;s:2:\"RU\";i:13;s:2:\"JP\";i:14;s:2:\"ES\";i:15;s:2:\"NZ\";i:16;s:2:\"BR\";i:17;s:2:\"SE\";i:18;s:2:\"GB\";i:19;s:2:\"AU\";i:20;s:2:\"CN\";i:21;s:2:\"IL\";i:22;s:2:\"SG\";}','N;'),(13,'PaypalCredit','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PaypalCredit','CDev_Paypal',-11000,0,0,1,1,'C',0,NULL,'a:2:{i:0;s:2:\"US\";i:1;s:2:\"CA\";}','N;'),(14,'PaypalAdaptive','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PaypalAdaptive','CDev_Paypal',-11100,0,0,1,0,'C',0,NULL,'N;','N;'),(15,'COD_UPS','Module\\XC\\UPS\\Model\\Payment\\Processor\\COD','XC_UPS',0,0,0,1,1,'O',0,NULL,'a:2:{i:0;s:2:\"US\";i:1;s:2:\"PR\";}','N;'),(16,'AuthorizeNet SIM','Module\\CDev\\AuthorizeNet\\Model\\Payment\\Processor\\AuthorizeNetSIM','CDev_AuthorizeNet',-101000,0,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"GB\";i:3;s:2:\"AU\";}','N;'),(17,'Moneybookers.WLT','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1010,0,0,1,0,'N',0,NULL,'a:210:{i:0;s:2:\"AX\";i:1;s:2:\"AL\";i:2;s:2:\"DZ\";i:3;s:2:\"AD\";i:4;s:2:\"AO\";i:5;s:2:\"AI\";i:6;s:2:\"AQ\";i:7;s:2:\"AG\";i:8;s:2:\"AR\";i:9;s:2:\"AM\";i:10;s:2:\"AW\";i:11;s:2:\"AU\";i:12;s:2:\"AT\";i:13;s:2:\"AZ\";i:14;s:2:\"BS\";i:15;s:2:\"BH\";i:16;s:2:\"BD\";i:17;s:2:\"BB\";i:18;s:2:\"BY\";i:19;s:2:\"BE\";i:20;s:2:\"BZ\";i:21;s:2:\"BJ\";i:22;s:2:\"BM\";i:23;s:2:\"BT\";i:24;s:2:\"BO\";i:25;s:2:\"BQ\";i:26;s:2:\"BA\";i:27;s:2:\"BV\";i:28;s:2:\"BR\";i:29;s:2:\"IO\";i:30;s:2:\"BN\";i:31;s:2:\"BG\";i:32;s:2:\"BF\";i:33;s:2:\"BI\";i:34;s:2:\"CA\";i:35;s:2:\"CV\";i:36;s:2:\"KY\";i:37;s:2:\"TD\";i:38;s:2:\"CL\";i:39;s:2:\"CN\";i:40;s:2:\"CX\";i:41;s:2:\"CC\";i:42;s:2:\"CO\";i:43;s:2:\"KM\";i:44;s:2:\"CG\";i:45;s:2:\"CG\";i:46;s:2:\"CK\";i:47;s:2:\"CR\";i:48;s:2:\"HR\";i:49;s:2:\"CW\";i:50;s:2:\"CY\";i:51;s:2:\"CZ\";i:52;s:2:\"DK\";i:53;s:2:\"DJ\";i:54;s:2:\"DM\";i:55;s:2:\"DO\";i:56;s:2:\"EC\";i:57;s:2:\"EG\";i:58;s:2:\"SV\";i:59;s:2:\"GQ\";i:60;s:2:\"ER\";i:61;s:2:\"EE\";i:62;s:2:\"ET\";i:63;s:2:\"FK\";i:64;s:2:\"FJ\";i:65;s:2:\"FI\";i:66;s:2:\"FR\";i:67;s:2:\"PF\";i:68;s:2:\"TF\";i:69;s:2:\"GM\";i:70;s:2:\"GE\";i:71;s:2:\"DE\";i:72;s:2:\"GH\";i:73;s:2:\"GI\";i:74;s:2:\"GR\";i:75;s:2:\"GD\";i:76;s:2:\"GU\";i:77;s:2:\"GT\";i:78;s:2:\"GG\";i:79;s:2:\"GY\";i:80;s:2:\"HT\";i:81;s:2:\"HM\";i:82;s:2:\"HN\";i:83;s:2:\"HK\";i:84;s:2:\"HU\";i:85;s:2:\"IS\";i:86;s:2:\"IN\";i:87;s:2:\"ID\";i:88;s:2:\"IE\";i:89;s:2:\"IM\";i:90;s:2:\"IL\";i:91;s:2:\"IT\";i:92;s:2:\"JP\";i:93;s:2:\"JE\";i:94;s:2:\"JO\";i:95;s:2:\"KZ\";i:96;s:2:\"KE\";i:97;s:2:\"KI\";i:98;s:2:\"KR\";i:99;s:2:\"XK\";i:100;s:2:\"KW\";i:101;s:2:\"KG\";i:102;s:2:\"LA\";i:103;s:2:\"LV\";i:104;s:2:\"LB\";i:105;s:2:\"LS\";i:106;s:2:\"LR\";i:107;s:2:\"LY\";i:108;s:2:\"LI\";i:109;s:2:\"LT\";i:110;s:2:\"LU\";i:111;s:2:\"MO\";i:112;s:2:\"MK\";i:113;s:2:\"MG\";i:114;s:2:\"MW\";i:115;s:2:\"MY\";i:116;s:2:\"MT\";i:117;s:2:\"MH\";i:118;s:2:\"MQ\";i:119;s:2:\"MR\";i:120;s:2:\"MU\";i:121;s:2:\"YT\";i:122;s:2:\"MX\";i:123;s:2:\"FM\";i:124;s:2:\"MD\";i:125;s:2:\"MC\";i:126;s:2:\"MN\";i:127;s:2:\"ME\";i:128;s:2:\"MS\";i:129;s:2:\"MA\";i:130;s:2:\"NR\";i:131;s:2:\"NP\";i:132;s:2:\"NL\";i:133;s:2:\"AN\";i:134;s:2:\"NZ\";i:135;s:2:\"NI\";i:136;s:2:\"NE\";i:137;s:2:\"NG\";i:138;s:2:\"NU\";i:139;s:2:\"NF\";i:140;s:2:\"NO\";i:141;s:2:\"OM\";i:142;s:2:\"PK\";i:143;s:2:\"PW\";i:144;s:2:\"PS\";i:145;s:2:\"PA\";i:146;s:2:\"PG\";i:147;s:2:\"PY\";i:148;s:2:\"PE\";i:149;s:2:\"PH\";i:150;s:2:\"PN\";i:151;s:2:\"PL\";i:152;s:2:\"PT\";i:153;s:2:\"PR\";i:154;s:2:\"QA\";i:155;s:2:\"RO\";i:156;s:2:\"RU\";i:157;s:2:\"SH\";i:158;s:2:\"KN\";i:159;s:2:\"LC\";i:160;s:2:\"PM\";i:161;s:2:\"VC\";i:162;s:2:\"WS\";i:163;s:2:\"SM\";i:164;s:2:\"ST\";i:165;s:2:\"SA\";i:166;s:2:\"RS\";i:167;s:2:\"SC\";i:168;s:2:\"SL\";i:169;s:2:\"SG\";i:170;s:2:\"SX\";i:171;s:2:\"SK\";i:172;s:2:\"SI\";i:173;s:2:\"SB\";i:174;s:2:\"SO\";i:175;s:2:\"ZA\";i:176;s:2:\"GS\";i:177;s:2:\"ES\";i:178;s:2:\"LK\";i:179;s:2:\"SR\";i:180;s:2:\"SJ\";i:181;s:2:\"SE\";i:182;s:2:\"CH\";i:183;s:2:\"TW\";i:184;s:2:\"TZ\";i:185;s:2:\"TH\";i:186;s:2:\"TG\";i:187;s:2:\"TK\";i:188;s:2:\"TO\";i:189;s:2:\"TT\";i:190;s:2:\"TN\";i:191;s:2:\"TM\";i:192;s:2:\"TC\";i:193;s:2:\"TV\";i:194;s:2:\"UA\";i:195;s:2:\"AE\";i:196;s:2:\"GB\";i:197;s:2:\"UY\";i:198;s:2:\"UZ\";i:199;s:2:\"VU\";i:200;s:2:\"VA\";i:201;s:2:\"VE\";i:202;s:2:\"VN\";i:203;s:2:\"VG\";i:204;s:2:\"VI\";i:205;s:2:\"WF\";i:206;s:2:\"EH\";i:207;s:2:\"YE\";i:208;s:2:\"ZM\";i:209;s:2:\"ZW\";}','N;'),(18,'Moneybookers.NTL','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1010,0,0,1,0,'N',0,NULL,'N;','a:43:{i:0;s:2:\"AF\";i:1;s:2:\"AM\";i:2;s:2:\"BT\";i:3;s:2:\"BV\";i:4;s:2:\"MM\";i:5;s:2:\"CN\";i:6;s:2:\"CK\";i:7;s:2:\"CU\";i:8;s:2:\"ER\";i:9;s:2:\"GS\";i:10;s:2:\"GU\";i:11;s:2:\"GN\";i:12;s:2:\"IQ\";i:13;s:2:\"KZ\";i:14;s:2:\"KG\";i:15;s:2:\"LR\";i:16;s:2:\"LY\";i:17;s:2:\"MN\";i:18;s:2:\"MP\";i:19;s:2:\"MH\";i:20;s:2:\"PW\";i:21;s:2:\"PK\";i:22;s:2:\"PR\";i:23;s:2:\"SL\";i:24;s:2:\"SO\";i:25;s:2:\"ZW\";i:26;s:2:\"SD\";i:27;s:2:\"TJ\";i:28;s:2:\"TM\";i:29;s:2:\"UG\";i:30;s:2:\"US\";i:31;s:2:\"UZ\";i:32;s:2:\"YE\";i:33;s:2:\"CC\";i:34;s:2:\"CD\";i:35;s:2:\"HM\";i:36;s:2:\"IR\";i:37;s:2:\"CI\";i:38;s:2:\"KP\";i:39;s:2:\"FM\";i:40;s:2:\"TL\";i:41;s:2:\"SY\";i:42;s:2:\"VI\";}'),(19,'Moneybookers.PSC','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1010,0,0,1,0,'N',0,NULL,'a:35:{i:0;s:2:\"AS\";i:1;s:2:\"AT\";i:2;s:2:\"BE\";i:3;s:2:\"CA\";i:4;s:2:\"HR\";i:5;s:2:\"CY\";i:6;s:2:\"CZ\";i:7;s:2:\"DK\";i:8;s:2:\"FI\";i:9;s:2:\"FR\";i:10;s:2:\"DE\";i:11;s:2:\"GU\";i:12;s:2:\"HU\";i:13;s:2:\"IE\";i:14;s:2:\"IT\";i:15;s:2:\"LV\";i:16;s:2:\"LU\";i:17;s:2:\"MT\";i:18;s:2:\"MX\";i:19;s:2:\"NL\";i:20;s:2:\"MP\";i:21;s:2:\"NO\";i:22;s:2:\"PL\";i:23;s:2:\"PT\";i:24;s:2:\"PR\";i:25;s:2:\"RO\";i:26;s:2:\"SK\";i:27;s:2:\"SI\";i:28;s:2:\"ES\";i:29;s:2:\"SE\";i:30;s:2:\"CH\";i:31;s:2:\"TR\";i:32;s:2:\"GB\";i:33;s:2:\"US\";i:34;s:2:\"VI\";}','N;'),(20,'Moneybookers.RSB','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1010,0,0,1,0,'N',0,NULL,'a:4:{i:0;s:2:\"SE\";i:1;s:2:\"NO\";i:2;s:2:\"FI\";i:3;s:2:\"DK\";}','N;'),(21,'Moneybookers.ACC','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1020,0,0,1,0,'C',0,NULL,'a:231:{i:0;s:2:\"AX\";i:1;s:2:\"CX\";i:2;s:2:\"GN\";i:3;s:2:\"AL\";i:4;s:2:\"CC\";i:5;s:2:\"GW\";i:6;s:2:\"DZ\";i:7;s:2:\"CD\";i:8;s:2:\"GY\";i:9;s:2:\"AS\";i:10;s:2:\"CK\";i:11;s:2:\"HT\";i:12;s:2:\"AD\";i:13;s:2:\"CR\";i:14;s:2:\"HM\";i:15;s:2:\"AO\";i:16;s:2:\"CO\";i:17;s:2:\"VA\";i:18;s:2:\"AI\";i:19;s:2:\"KM\";i:20;s:2:\"HN\";i:21;s:2:\"AQ\";i:22;s:2:\"CD\";i:23;s:2:\"HK\";i:24;s:2:\"AG\";i:25;s:2:\"CI\";i:26;s:2:\"HU\";i:27;s:2:\"AR\";i:28;s:2:\"HR\";i:29;s:2:\"IS\";i:30;s:2:\"AM\";i:31;s:2:\"CY\";i:32;s:2:\"IN\";i:33;s:2:\"AW\";i:34;s:2:\"CZ\";i:35;s:2:\"ID\";i:36;s:2:\"AU\";i:37;s:2:\"DK\";i:38;s:2:\"IE\";i:39;s:2:\"AT\";i:40;s:2:\"DJ\";i:41;s:2:\"IM\";i:42;s:2:\"AZ\";i:43;s:2:\"DM\";i:44;s:2:\"IL\";i:45;s:2:\"BS\";i:46;s:2:\"DO\";i:47;s:2:\"IT\";i:48;s:2:\"BH\";i:49;s:2:\"EC\";i:50;s:2:\"JM\";i:51;s:2:\"BD\";i:52;s:2:\"EG\";i:53;s:2:\"JP\";i:54;s:2:\"BB\";i:55;s:2:\"SV\";i:56;s:2:\"JE\";i:57;s:2:\"BY\";i:58;s:2:\"GQ\";i:59;s:2:\"JO\";i:60;s:2:\"BE\";i:61;s:2:\"EE\";i:62;s:2:\"KZ\";i:63;s:2:\"BZ\";i:64;s:2:\"ET\";i:65;s:2:\"KE\";i:66;s:2:\"BJ\";i:67;s:2:\"FK\";i:68;s:2:\"KI\";i:69;s:2:\"BM\";i:70;s:2:\"FO\";i:71;s:2:\"KR\";i:72;s:2:\"BT\";i:73;s:2:\"FJ\";i:74;s:2:\"KW\";i:75;s:2:\"BO\";i:76;s:2:\"FI\";i:77;s:2:\"LA\";i:78;s:2:\"BA\";i:79;s:2:\"GG\";i:80;s:2:\"LV\";i:81;s:2:\"BW\";i:82;s:2:\"FR\";i:83;s:2:\"LB\";i:84;s:2:\"BV\";i:85;s:2:\"GF\";i:86;s:2:\"LS\";i:87;s:2:\"BR\";i:88;s:2:\"PF\";i:89;s:2:\"LR\";i:90;s:2:\"BN\";i:91;s:2:\"TF\";i:92;s:2:\"LI\";i:93;s:2:\"BG\";i:94;s:2:\"GA\";i:95;s:2:\"LT\";i:96;s:2:\"BF\";i:97;s:2:\"GM\";i:98;s:2:\"LU\";i:99;s:2:\"BI\";i:100;s:2:\"GE\";i:101;s:2:\"MO\";i:102;s:2:\"KH\";i:103;s:2:\"DE\";i:104;s:2:\"MK\";i:105;s:2:\"CM\";i:106;s:2:\"GH\";i:107;s:2:\"MG\";i:108;s:2:\"CA\";i:109;s:2:\"GI\";i:110;s:2:\"MW\";i:111;s:2:\"CV\";i:112;s:2:\"GR\";i:113;s:2:\"MY\";i:114;s:2:\"KY\";i:115;s:2:\"GL\";i:116;s:2:\"SE\";i:117;s:2:\"CF\";i:118;s:2:\"GD\";i:119;s:2:\"CH\";i:120;s:2:\"TD\";i:121;s:2:\"GP\";i:122;s:2:\"TW\";i:123;s:2:\"CL\";i:124;s:2:\"GU\";i:125;s:2:\"TJ\";i:126;s:2:\"CN\";i:127;s:2:\"GT\";i:128;s:2:\"TZ\";i:129;s:2:\"MV\";i:130;s:2:\"PE\";i:131;s:2:\"TH\";i:132;s:2:\"ML\";i:133;s:2:\"PH\";i:134;s:2:\"TL\";i:135;s:2:\"MT\";i:136;s:2:\"PN\";i:137;s:2:\"TG\";i:138;s:2:\"MH\";i:139;s:2:\"PL\";i:140;s:2:\"TK\";i:141;s:2:\"MQ\";i:142;s:2:\"PT\";i:143;s:2:\"TO\";i:144;s:2:\"MR\";i:145;s:2:\"PR\";i:146;s:2:\"TT\";i:147;s:2:\"MU\";i:148;s:2:\"QA\";i:149;s:2:\"TN\";i:150;s:2:\"YT\";i:151;s:2:\"RE\";i:152;s:2:\"TR\";i:153;s:2:\"MX\";i:154;s:2:\"RO\";i:155;s:2:\"TM\";i:156;s:2:\"FM\";i:157;s:2:\"RU\";i:158;s:2:\"TC\";i:159;s:2:\"MD\";i:160;s:2:\"RW\";i:161;s:2:\"TV\";i:162;s:2:\"MC\";i:163;s:2:\"SH\";i:164;s:2:\"UG\";i:165;s:2:\"MN\";i:166;s:2:\"KN\";i:167;s:2:\"UA\";i:168;s:2:\"ME\";i:169;s:2:\"LC\";i:170;s:2:\"AE\";i:171;s:2:\"MS\";i:172;s:2:\"PM\";i:173;s:2:\"GB\";i:174;s:2:\"MA\";i:175;s:2:\"VC\";i:176;s:2:\"US\";i:177;s:2:\"MZ\";i:178;s:2:\"WS\";i:179;s:2:\"UY\";i:180;s:2:\"MM\";i:181;s:2:\"SM\";i:182;s:2:\"UZ\";i:183;s:2:\"NA\";i:184;s:2:\"ST\";i:185;s:2:\"VU\";i:186;s:2:\"NP\";i:187;s:2:\"SA\";i:188;s:2:\"VE\";i:189;s:2:\"NL\";i:190;s:2:\"SN\";i:191;s:2:\"VN\";i:192;s:2:\"AN\";i:193;s:2:\"RS\";i:194;s:2:\"VG\";i:195;s:2:\"NC\";i:196;s:2:\"SC\";i:197;s:2:\"VI\";i:198;s:2:\"NZ\";i:199;s:2:\"SL\";i:200;s:2:\"WF\";i:201;s:2:\"NI\";i:202;s:2:\"SG\";i:203;s:2:\"EH\";i:204;s:2:\"NE\";i:205;s:2:\"SK\";i:206;s:2:\"YE\";i:207;s:2:\"NG\";i:208;s:2:\"SI\";i:209;s:2:\"ZM\";i:210;s:2:\"NU\";i:211;s:2:\"SB\";i:212;s:2:\"ZW\";i:213;s:2:\"NF\";i:214;s:2:\"SO\";i:215;s:2:\"MP\";i:216;s:2:\"ZA\";i:217;s:2:\"NO\";i:218;s:2:\"GS\";i:219;s:2:\"OM\";i:220;s:2:\"ES\";i:221;s:2:\"PK\";i:222;s:2:\"LK\";i:223;s:2:\"PW\";i:224;s:2:\"SR\";i:225;s:2:\"PS\";i:226;s:2:\"SJ\";i:227;s:2:\"PA\";i:228;s:2:\"SZ\";i:229;s:2:\"PG\";i:230;s:2:\"PY\";}','N;'),(22,'Moneybookers.VSA','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1030,0,0,1,0,'C',0,NULL,'a:210:{i:0;s:2:\"AX\";i:1;s:2:\"AL\";i:2;s:2:\"DZ\";i:3;s:2:\"AD\";i:4;s:2:\"AO\";i:5;s:2:\"AI\";i:6;s:2:\"AQ\";i:7;s:2:\"AG\";i:8;s:2:\"AR\";i:9;s:2:\"AM\";i:10;s:2:\"AW\";i:11;s:2:\"AU\";i:12;s:2:\"AT\";i:13;s:2:\"AZ\";i:14;s:2:\"BS\";i:15;s:2:\"BH\";i:16;s:2:\"BD\";i:17;s:2:\"BB\";i:18;s:2:\"BY\";i:19;s:2:\"BE\";i:20;s:2:\"BZ\";i:21;s:2:\"BJ\";i:22;s:2:\"BM\";i:23;s:2:\"BT\";i:24;s:2:\"BO\";i:25;s:2:\"BQ\";i:26;s:2:\"BA\";i:27;s:2:\"BV\";i:28;s:2:\"BR\";i:29;s:2:\"IO\";i:30;s:2:\"BN\";i:31;s:2:\"BG\";i:32;s:2:\"BF\";i:33;s:2:\"BI\";i:34;s:2:\"CA\";i:35;s:2:\"CV\";i:36;s:2:\"KY\";i:37;s:2:\"TD\";i:38;s:2:\"CL\";i:39;s:2:\"CN\";i:40;s:2:\"CX\";i:41;s:2:\"CC\";i:42;s:2:\"CO\";i:43;s:2:\"KM\";i:44;s:2:\"CG\";i:45;s:2:\"CG\";i:46;s:2:\"CK\";i:47;s:2:\"CR\";i:48;s:2:\"HR\";i:49;s:2:\"CW\";i:50;s:2:\"CY\";i:51;s:2:\"CZ\";i:52;s:2:\"DK\";i:53;s:2:\"DJ\";i:54;s:2:\"DM\";i:55;s:2:\"DO\";i:56;s:2:\"EC\";i:57;s:2:\"EG\";i:58;s:2:\"SV\";i:59;s:2:\"GQ\";i:60;s:2:\"ER\";i:61;s:2:\"EE\";i:62;s:2:\"ET\";i:63;s:2:\"FK\";i:64;s:2:\"FJ\";i:65;s:2:\"FI\";i:66;s:2:\"FR\";i:67;s:2:\"PF\";i:68;s:2:\"TF\";i:69;s:2:\"GM\";i:70;s:2:\"GE\";i:71;s:2:\"DE\";i:72;s:2:\"GH\";i:73;s:2:\"GI\";i:74;s:2:\"GR\";i:75;s:2:\"GD\";i:76;s:2:\"GU\";i:77;s:2:\"GT\";i:78;s:2:\"GG\";i:79;s:2:\"GY\";i:80;s:2:\"HT\";i:81;s:2:\"HM\";i:82;s:2:\"HN\";i:83;s:2:\"HK\";i:84;s:2:\"HU\";i:85;s:2:\"IS\";i:86;s:2:\"IN\";i:87;s:2:\"ID\";i:88;s:2:\"IE\";i:89;s:2:\"IM\";i:90;s:2:\"IL\";i:91;s:2:\"IT\";i:92;s:2:\"JP\";i:93;s:2:\"JE\";i:94;s:2:\"JO\";i:95;s:2:\"KZ\";i:96;s:2:\"KE\";i:97;s:2:\"KI\";i:98;s:2:\"KR\";i:99;s:2:\"XK\";i:100;s:2:\"KW\";i:101;s:2:\"KG\";i:102;s:2:\"LA\";i:103;s:2:\"LV\";i:104;s:2:\"LB\";i:105;s:2:\"LS\";i:106;s:2:\"LR\";i:107;s:2:\"LY\";i:108;s:2:\"LI\";i:109;s:2:\"LT\";i:110;s:2:\"LU\";i:111;s:2:\"MO\";i:112;s:2:\"MK\";i:113;s:2:\"MG\";i:114;s:2:\"MW\";i:115;s:2:\"MY\";i:116;s:2:\"MT\";i:117;s:2:\"MH\";i:118;s:2:\"MQ\";i:119;s:2:\"MR\";i:120;s:2:\"MU\";i:121;s:2:\"YT\";i:122;s:2:\"MX\";i:123;s:2:\"FM\";i:124;s:2:\"MD\";i:125;s:2:\"MC\";i:126;s:2:\"MN\";i:127;s:2:\"ME\";i:128;s:2:\"MS\";i:129;s:2:\"MA\";i:130;s:2:\"NR\";i:131;s:2:\"NP\";i:132;s:2:\"NL\";i:133;s:2:\"AN\";i:134;s:2:\"NZ\";i:135;s:2:\"NI\";i:136;s:2:\"NE\";i:137;s:2:\"NG\";i:138;s:2:\"NU\";i:139;s:2:\"NF\";i:140;s:2:\"NO\";i:141;s:2:\"OM\";i:142;s:2:\"PK\";i:143;s:2:\"PW\";i:144;s:2:\"PS\";i:145;s:2:\"PA\";i:146;s:2:\"PG\";i:147;s:2:\"PY\";i:148;s:2:\"PE\";i:149;s:2:\"PH\";i:150;s:2:\"PN\";i:151;s:2:\"PL\";i:152;s:2:\"PT\";i:153;s:2:\"PR\";i:154;s:2:\"QA\";i:155;s:2:\"RO\";i:156;s:2:\"RU\";i:157;s:2:\"SH\";i:158;s:2:\"KN\";i:159;s:2:\"LC\";i:160;s:2:\"PM\";i:161;s:2:\"VC\";i:162;s:2:\"WS\";i:163;s:2:\"SM\";i:164;s:2:\"ST\";i:165;s:2:\"SA\";i:166;s:2:\"RS\";i:167;s:2:\"SC\";i:168;s:2:\"SL\";i:169;s:2:\"SG\";i:170;s:2:\"SX\";i:171;s:2:\"SK\";i:172;s:2:\"SI\";i:173;s:2:\"SB\";i:174;s:2:\"SO\";i:175;s:2:\"ZA\";i:176;s:2:\"GS\";i:177;s:2:\"ES\";i:178;s:2:\"LK\";i:179;s:2:\"SR\";i:180;s:2:\"SJ\";i:181;s:2:\"SE\";i:182;s:2:\"CH\";i:183;s:2:\"TW\";i:184;s:2:\"TZ\";i:185;s:2:\"TH\";i:186;s:2:\"TG\";i:187;s:2:\"TK\";i:188;s:2:\"TO\";i:189;s:2:\"TT\";i:190;s:2:\"TN\";i:191;s:2:\"TM\";i:192;s:2:\"TC\";i:193;s:2:\"TV\";i:194;s:2:\"UA\";i:195;s:2:\"AE\";i:196;s:2:\"GB\";i:197;s:2:\"UY\";i:198;s:2:\"UZ\";i:199;s:2:\"VU\";i:200;s:2:\"VA\";i:201;s:2:\"VE\";i:202;s:2:\"VN\";i:203;s:2:\"VG\";i:204;s:2:\"VI\";i:205;s:2:\"WF\";i:206;s:2:\"EH\";i:207;s:2:\"YE\";i:208;s:2:\"ZM\";i:209;s:2:\"ZW\";}','N;'),(23,'Moneybookers.MSC','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1040,0,0,1,0,'C',0,NULL,'a:231:{i:0;s:2:\"AX\";i:1;s:2:\"CX\";i:2;s:2:\"GN\";i:3;s:2:\"AL\";i:4;s:2:\"CC\";i:5;s:2:\"GW\";i:6;s:2:\"DZ\";i:7;s:2:\"CD\";i:8;s:2:\"GY\";i:9;s:2:\"AS\";i:10;s:2:\"CK\";i:11;s:2:\"HT\";i:12;s:2:\"AD\";i:13;s:2:\"CR\";i:14;s:2:\"HM\";i:15;s:2:\"AO\";i:16;s:2:\"CO\";i:17;s:2:\"VA\";i:18;s:2:\"AI\";i:19;s:2:\"KM\";i:20;s:2:\"HN\";i:21;s:2:\"AQ\";i:22;s:2:\"CD\";i:23;s:2:\"HK\";i:24;s:2:\"AG\";i:25;s:2:\"CI\";i:26;s:2:\"HU\";i:27;s:2:\"AR\";i:28;s:2:\"HR\";i:29;s:2:\"IS\";i:30;s:2:\"AM\";i:31;s:2:\"CY\";i:32;s:2:\"IN\";i:33;s:2:\"AW\";i:34;s:2:\"CZ\";i:35;s:2:\"ID\";i:36;s:2:\"AU\";i:37;s:2:\"DK\";i:38;s:2:\"IE\";i:39;s:2:\"AT\";i:40;s:2:\"DJ\";i:41;s:2:\"IM\";i:42;s:2:\"AZ\";i:43;s:2:\"DM\";i:44;s:2:\"IL\";i:45;s:2:\"BS\";i:46;s:2:\"DO\";i:47;s:2:\"IT\";i:48;s:2:\"BH\";i:49;s:2:\"EC\";i:50;s:2:\"JM\";i:51;s:2:\"BD\";i:52;s:2:\"EG\";i:53;s:2:\"JP\";i:54;s:2:\"BB\";i:55;s:2:\"SV\";i:56;s:2:\"JE\";i:57;s:2:\"BY\";i:58;s:2:\"GQ\";i:59;s:2:\"JO\";i:60;s:2:\"BE\";i:61;s:2:\"EE\";i:62;s:2:\"KZ\";i:63;s:2:\"BZ\";i:64;s:2:\"ET\";i:65;s:2:\"KE\";i:66;s:2:\"BJ\";i:67;s:2:\"FK\";i:68;s:2:\"KI\";i:69;s:2:\"BM\";i:70;s:2:\"FO\";i:71;s:2:\"KR\";i:72;s:2:\"BT\";i:73;s:2:\"FJ\";i:74;s:2:\"KW\";i:75;s:2:\"BO\";i:76;s:2:\"FI\";i:77;s:2:\"LA\";i:78;s:2:\"BA\";i:79;s:2:\"GG\";i:80;s:2:\"LV\";i:81;s:2:\"BW\";i:82;s:2:\"FR\";i:83;s:2:\"LB\";i:84;s:2:\"BV\";i:85;s:2:\"GF\";i:86;s:2:\"LS\";i:87;s:2:\"BR\";i:88;s:2:\"PF\";i:89;s:2:\"LR\";i:90;s:2:\"BN\";i:91;s:2:\"TF\";i:92;s:2:\"LI\";i:93;s:2:\"BG\";i:94;s:2:\"GA\";i:95;s:2:\"LT\";i:96;s:2:\"BF\";i:97;s:2:\"GM\";i:98;s:2:\"LU\";i:99;s:2:\"BI\";i:100;s:2:\"GE\";i:101;s:2:\"MO\";i:102;s:2:\"KH\";i:103;s:2:\"DE\";i:104;s:2:\"MK\";i:105;s:2:\"CM\";i:106;s:2:\"GH\";i:107;s:2:\"MG\";i:108;s:2:\"CA\";i:109;s:2:\"GI\";i:110;s:2:\"MW\";i:111;s:2:\"CV\";i:112;s:2:\"GR\";i:113;s:2:\"MY\";i:114;s:2:\"KY\";i:115;s:2:\"GL\";i:116;s:2:\"SE\";i:117;s:2:\"CF\";i:118;s:2:\"GD\";i:119;s:2:\"CH\";i:120;s:2:\"TD\";i:121;s:2:\"GP\";i:122;s:2:\"TW\";i:123;s:2:\"CL\";i:124;s:2:\"GU\";i:125;s:2:\"TJ\";i:126;s:2:\"CN\";i:127;s:2:\"GT\";i:128;s:2:\"TZ\";i:129;s:2:\"MV\";i:130;s:2:\"PE\";i:131;s:2:\"TH\";i:132;s:2:\"ML\";i:133;s:2:\"PH\";i:134;s:2:\"TL\";i:135;s:2:\"MT\";i:136;s:2:\"PN\";i:137;s:2:\"TG\";i:138;s:2:\"MH\";i:139;s:2:\"PL\";i:140;s:2:\"TK\";i:141;s:2:\"MQ\";i:142;s:2:\"PT\";i:143;s:2:\"TO\";i:144;s:2:\"MR\";i:145;s:2:\"PR\";i:146;s:2:\"TT\";i:147;s:2:\"MU\";i:148;s:2:\"QA\";i:149;s:2:\"TN\";i:150;s:2:\"YT\";i:151;s:2:\"RE\";i:152;s:2:\"TR\";i:153;s:2:\"MX\";i:154;s:2:\"RO\";i:155;s:2:\"TM\";i:156;s:2:\"FM\";i:157;s:2:\"RU\";i:158;s:2:\"TC\";i:159;s:2:\"MD\";i:160;s:2:\"RW\";i:161;s:2:\"TV\";i:162;s:2:\"MC\";i:163;s:2:\"SH\";i:164;s:2:\"UG\";i:165;s:2:\"MN\";i:166;s:2:\"KN\";i:167;s:2:\"UA\";i:168;s:2:\"ME\";i:169;s:2:\"LC\";i:170;s:2:\"AE\";i:171;s:2:\"MS\";i:172;s:2:\"PM\";i:173;s:2:\"GB\";i:174;s:2:\"MA\";i:175;s:2:\"VC\";i:176;s:2:\"US\";i:177;s:2:\"MZ\";i:178;s:2:\"WS\";i:179;s:2:\"UY\";i:180;s:2:\"MM\";i:181;s:2:\"SM\";i:182;s:2:\"UZ\";i:183;s:2:\"NA\";i:184;s:2:\"ST\";i:185;s:2:\"VU\";i:186;s:2:\"NP\";i:187;s:2:\"SA\";i:188;s:2:\"VE\";i:189;s:2:\"NL\";i:190;s:2:\"SN\";i:191;s:2:\"VN\";i:192;s:2:\"AN\";i:193;s:2:\"RS\";i:194;s:2:\"VG\";i:195;s:2:\"NC\";i:196;s:2:\"SC\";i:197;s:2:\"VI\";i:198;s:2:\"NZ\";i:199;s:2:\"SL\";i:200;s:2:\"WF\";i:201;s:2:\"NI\";i:202;s:2:\"SG\";i:203;s:2:\"EH\";i:204;s:2:\"NE\";i:205;s:2:\"SK\";i:206;s:2:\"YE\";i:207;s:2:\"NG\";i:208;s:2:\"SI\";i:209;s:2:\"ZM\";i:210;s:2:\"NU\";i:211;s:2:\"SB\";i:212;s:2:\"ZW\";i:213;s:2:\"NF\";i:214;s:2:\"SO\";i:215;s:2:\"MP\";i:216;s:2:\"ZA\";i:217;s:2:\"NO\";i:218;s:2:\"GS\";i:219;s:2:\"OM\";i:220;s:2:\"ES\";i:221;s:2:\"PK\";i:222;s:2:\"LK\";i:223;s:2:\"PW\";i:224;s:2:\"SR\";i:225;s:2:\"PS\";i:226;s:2:\"SJ\";i:227;s:2:\"PA\";i:228;s:2:\"SZ\";i:229;s:2:\"PG\";i:230;s:2:\"PY\";}','N;'),(24,'Moneybookers.VSD','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1050,0,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"GB\";i:3;s:2:\"DE\";}','N;'),(25,'Moneybookers.VSE','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1060,0,0,1,0,'C',0,NULL,'a:210:{i:0;s:2:\"AX\";i:1;s:2:\"AL\";i:2;s:2:\"DZ\";i:3;s:2:\"AD\";i:4;s:2:\"AO\";i:5;s:2:\"AI\";i:6;s:2:\"AQ\";i:7;s:2:\"AG\";i:8;s:2:\"AR\";i:9;s:2:\"AM\";i:10;s:2:\"AW\";i:11;s:2:\"AU\";i:12;s:2:\"AT\";i:13;s:2:\"AZ\";i:14;s:2:\"BS\";i:15;s:2:\"BH\";i:16;s:2:\"BD\";i:17;s:2:\"BB\";i:18;s:2:\"BY\";i:19;s:2:\"BE\";i:20;s:2:\"BZ\";i:21;s:2:\"BJ\";i:22;s:2:\"BM\";i:23;s:2:\"BT\";i:24;s:2:\"BO\";i:25;s:2:\"BQ\";i:26;s:2:\"BA\";i:27;s:2:\"BV\";i:28;s:2:\"BR\";i:29;s:2:\"IO\";i:30;s:2:\"BN\";i:31;s:2:\"BG\";i:32;s:2:\"BF\";i:33;s:2:\"BI\";i:34;s:2:\"CA\";i:35;s:2:\"CV\";i:36;s:2:\"KY\";i:37;s:2:\"TD\";i:38;s:2:\"CL\";i:39;s:2:\"CN\";i:40;s:2:\"CX\";i:41;s:2:\"CC\";i:42;s:2:\"CO\";i:43;s:2:\"KM\";i:44;s:2:\"CG\";i:45;s:2:\"CG\";i:46;s:2:\"CK\";i:47;s:2:\"CR\";i:48;s:2:\"HR\";i:49;s:2:\"CW\";i:50;s:2:\"CY\";i:51;s:2:\"CZ\";i:52;s:2:\"DK\";i:53;s:2:\"DJ\";i:54;s:2:\"DM\";i:55;s:2:\"DO\";i:56;s:2:\"EC\";i:57;s:2:\"EG\";i:58;s:2:\"SV\";i:59;s:2:\"GQ\";i:60;s:2:\"ER\";i:61;s:2:\"EE\";i:62;s:2:\"ET\";i:63;s:2:\"FK\";i:64;s:2:\"FJ\";i:65;s:2:\"FI\";i:66;s:2:\"FR\";i:67;s:2:\"PF\";i:68;s:2:\"TF\";i:69;s:2:\"GM\";i:70;s:2:\"GE\";i:71;s:2:\"DE\";i:72;s:2:\"GH\";i:73;s:2:\"GI\";i:74;s:2:\"GR\";i:75;s:2:\"GD\";i:76;s:2:\"GU\";i:77;s:2:\"GT\";i:78;s:2:\"GG\";i:79;s:2:\"GY\";i:80;s:2:\"HT\";i:81;s:2:\"HM\";i:82;s:2:\"HN\";i:83;s:2:\"HK\";i:84;s:2:\"HU\";i:85;s:2:\"IS\";i:86;s:2:\"IN\";i:87;s:2:\"ID\";i:88;s:2:\"IE\";i:89;s:2:\"IM\";i:90;s:2:\"IL\";i:91;s:2:\"IT\";i:92;s:2:\"JP\";i:93;s:2:\"JE\";i:94;s:2:\"JO\";i:95;s:2:\"KZ\";i:96;s:2:\"KE\";i:97;s:2:\"KI\";i:98;s:2:\"KR\";i:99;s:2:\"XK\";i:100;s:2:\"KW\";i:101;s:2:\"KG\";i:102;s:2:\"LA\";i:103;s:2:\"LV\";i:104;s:2:\"LB\";i:105;s:2:\"LS\";i:106;s:2:\"LR\";i:107;s:2:\"LY\";i:108;s:2:\"LI\";i:109;s:2:\"LT\";i:110;s:2:\"LU\";i:111;s:2:\"MO\";i:112;s:2:\"MK\";i:113;s:2:\"MG\";i:114;s:2:\"MW\";i:115;s:2:\"MY\";i:116;s:2:\"MT\";i:117;s:2:\"MH\";i:118;s:2:\"MQ\";i:119;s:2:\"MR\";i:120;s:2:\"MU\";i:121;s:2:\"YT\";i:122;s:2:\"MX\";i:123;s:2:\"FM\";i:124;s:2:\"MD\";i:125;s:2:\"MC\";i:126;s:2:\"MN\";i:127;s:2:\"ME\";i:128;s:2:\"MS\";i:129;s:2:\"MA\";i:130;s:2:\"NR\";i:131;s:2:\"NP\";i:132;s:2:\"NL\";i:133;s:2:\"AN\";i:134;s:2:\"NZ\";i:135;s:2:\"NI\";i:136;s:2:\"NE\";i:137;s:2:\"NG\";i:138;s:2:\"NU\";i:139;s:2:\"NF\";i:140;s:2:\"NO\";i:141;s:2:\"OM\";i:142;s:2:\"PK\";i:143;s:2:\"PW\";i:144;s:2:\"PS\";i:145;s:2:\"PA\";i:146;s:2:\"PG\";i:147;s:2:\"PY\";i:148;s:2:\"PE\";i:149;s:2:\"PH\";i:150;s:2:\"PN\";i:151;s:2:\"PL\";i:152;s:2:\"PT\";i:153;s:2:\"PR\";i:154;s:2:\"QA\";i:155;s:2:\"RO\";i:156;s:2:\"RU\";i:157;s:2:\"SH\";i:158;s:2:\"KN\";i:159;s:2:\"LC\";i:160;s:2:\"PM\";i:161;s:2:\"VC\";i:162;s:2:\"WS\";i:163;s:2:\"SM\";i:164;s:2:\"ST\";i:165;s:2:\"SA\";i:166;s:2:\"RS\";i:167;s:2:\"SC\";i:168;s:2:\"SL\";i:169;s:2:\"SG\";i:170;s:2:\"SX\";i:171;s:2:\"SK\";i:172;s:2:\"SI\";i:173;s:2:\"SB\";i:174;s:2:\"SO\";i:175;s:2:\"ZA\";i:176;s:2:\"GS\";i:177;s:2:\"ES\";i:178;s:2:\"LK\";i:179;s:2:\"SR\";i:180;s:2:\"SJ\";i:181;s:2:\"SE\";i:182;s:2:\"CH\";i:183;s:2:\"TW\";i:184;s:2:\"TZ\";i:185;s:2:\"TH\";i:186;s:2:\"TG\";i:187;s:2:\"TK\";i:188;s:2:\"TO\";i:189;s:2:\"TT\";i:190;s:2:\"TN\";i:191;s:2:\"TM\";i:192;s:2:\"TC\";i:193;s:2:\"TV\";i:194;s:2:\"UA\";i:195;s:2:\"AE\";i:196;s:2:\"GB\";i:197;s:2:\"UY\";i:198;s:2:\"UZ\";i:199;s:2:\"VU\";i:200;s:2:\"VA\";i:201;s:2:\"VE\";i:202;s:2:\"VN\";i:203;s:2:\"VG\";i:204;s:2:\"VI\";i:205;s:2:\"WF\";i:206;s:2:\"EH\";i:207;s:2:\"YE\";i:208;s:2:\"ZM\";i:209;s:2:\"ZW\";}','N;'),(26,'Moneybookers.MAE','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1070,0,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"GB\";i:1;s:2:\"ES\";i:2;s:2:\"IE\";i:3;s:2:\"AT\";}','N;'),(27,'Moneybookers.AMX','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1090,0,0,1,0,'C',0,NULL,'a:210:{i:0;s:2:\"AX\";i:1;s:2:\"AL\";i:2;s:2:\"DZ\";i:3;s:2:\"AD\";i:4;s:2:\"AO\";i:5;s:2:\"AI\";i:6;s:2:\"AQ\";i:7;s:2:\"AG\";i:8;s:2:\"AR\";i:9;s:2:\"AM\";i:10;s:2:\"AW\";i:11;s:2:\"AU\";i:12;s:2:\"AT\";i:13;s:2:\"AZ\";i:14;s:2:\"BS\";i:15;s:2:\"BH\";i:16;s:2:\"BD\";i:17;s:2:\"BB\";i:18;s:2:\"BY\";i:19;s:2:\"BE\";i:20;s:2:\"BZ\";i:21;s:2:\"BJ\";i:22;s:2:\"BM\";i:23;s:2:\"BT\";i:24;s:2:\"BO\";i:25;s:2:\"BQ\";i:26;s:2:\"BA\";i:27;s:2:\"BV\";i:28;s:2:\"BR\";i:29;s:2:\"IO\";i:30;s:2:\"BN\";i:31;s:2:\"BG\";i:32;s:2:\"BF\";i:33;s:2:\"BI\";i:34;s:2:\"CA\";i:35;s:2:\"CV\";i:36;s:2:\"KY\";i:37;s:2:\"TD\";i:38;s:2:\"CL\";i:39;s:2:\"CN\";i:40;s:2:\"CX\";i:41;s:2:\"CC\";i:42;s:2:\"CO\";i:43;s:2:\"KM\";i:44;s:2:\"CG\";i:45;s:2:\"CG\";i:46;s:2:\"CK\";i:47;s:2:\"CR\";i:48;s:2:\"HR\";i:49;s:2:\"CW\";i:50;s:2:\"CY\";i:51;s:2:\"CZ\";i:52;s:2:\"DK\";i:53;s:2:\"DJ\";i:54;s:2:\"DM\";i:55;s:2:\"DO\";i:56;s:2:\"EC\";i:57;s:2:\"EG\";i:58;s:2:\"SV\";i:59;s:2:\"GQ\";i:60;s:2:\"ER\";i:61;s:2:\"EE\";i:62;s:2:\"ET\";i:63;s:2:\"FK\";i:64;s:2:\"FJ\";i:65;s:2:\"FI\";i:66;s:2:\"FR\";i:67;s:2:\"PF\";i:68;s:2:\"TF\";i:69;s:2:\"GM\";i:70;s:2:\"GE\";i:71;s:2:\"DE\";i:72;s:2:\"GH\";i:73;s:2:\"GI\";i:74;s:2:\"GR\";i:75;s:2:\"GD\";i:76;s:2:\"GU\";i:77;s:2:\"GT\";i:78;s:2:\"GG\";i:79;s:2:\"GY\";i:80;s:2:\"HT\";i:81;s:2:\"HM\";i:82;s:2:\"HN\";i:83;s:2:\"HK\";i:84;s:2:\"HU\";i:85;s:2:\"IS\";i:86;s:2:\"IN\";i:87;s:2:\"ID\";i:88;s:2:\"IE\";i:89;s:2:\"IM\";i:90;s:2:\"IL\";i:91;s:2:\"IT\";i:92;s:2:\"JP\";i:93;s:2:\"JE\";i:94;s:2:\"JO\";i:95;s:2:\"KZ\";i:96;s:2:\"KE\";i:97;s:2:\"KI\";i:98;s:2:\"KR\";i:99;s:2:\"XK\";i:100;s:2:\"KW\";i:101;s:2:\"KG\";i:102;s:2:\"LA\";i:103;s:2:\"LV\";i:104;s:2:\"LB\";i:105;s:2:\"LS\";i:106;s:2:\"LR\";i:107;s:2:\"LY\";i:108;s:2:\"LI\";i:109;s:2:\"LT\";i:110;s:2:\"LU\";i:111;s:2:\"MO\";i:112;s:2:\"MK\";i:113;s:2:\"MG\";i:114;s:2:\"MW\";i:115;s:2:\"MY\";i:116;s:2:\"MT\";i:117;s:2:\"MH\";i:118;s:2:\"MQ\";i:119;s:2:\"MR\";i:120;s:2:\"MU\";i:121;s:2:\"YT\";i:122;s:2:\"MX\";i:123;s:2:\"FM\";i:124;s:2:\"MD\";i:125;s:2:\"MC\";i:126;s:2:\"MN\";i:127;s:2:\"ME\";i:128;s:2:\"MS\";i:129;s:2:\"MA\";i:130;s:2:\"NR\";i:131;s:2:\"NP\";i:132;s:2:\"NL\";i:133;s:2:\"AN\";i:134;s:2:\"NZ\";i:135;s:2:\"NI\";i:136;s:2:\"NE\";i:137;s:2:\"NG\";i:138;s:2:\"NU\";i:139;s:2:\"NF\";i:140;s:2:\"NO\";i:141;s:2:\"OM\";i:142;s:2:\"PK\";i:143;s:2:\"PW\";i:144;s:2:\"PS\";i:145;s:2:\"PA\";i:146;s:2:\"PG\";i:147;s:2:\"PY\";i:148;s:2:\"PE\";i:149;s:2:\"PH\";i:150;s:2:\"PN\";i:151;s:2:\"PL\";i:152;s:2:\"PT\";i:153;s:2:\"PR\";i:154;s:2:\"QA\";i:155;s:2:\"RO\";i:156;s:2:\"RU\";i:157;s:2:\"SH\";i:158;s:2:\"KN\";i:159;s:2:\"LC\";i:160;s:2:\"PM\";i:161;s:2:\"VC\";i:162;s:2:\"WS\";i:163;s:2:\"SM\";i:164;s:2:\"ST\";i:165;s:2:\"SA\";i:166;s:2:\"RS\";i:167;s:2:\"SC\";i:168;s:2:\"SL\";i:169;s:2:\"SG\";i:170;s:2:\"SX\";i:171;s:2:\"SK\";i:172;s:2:\"SI\";i:173;s:2:\"SB\";i:174;s:2:\"SO\";i:175;s:2:\"ZA\";i:176;s:2:\"GS\";i:177;s:2:\"ES\";i:178;s:2:\"LK\";i:179;s:2:\"SR\";i:180;s:2:\"SJ\";i:181;s:2:\"SE\";i:182;s:2:\"CH\";i:183;s:2:\"TW\";i:184;s:2:\"TZ\";i:185;s:2:\"TH\";i:186;s:2:\"TG\";i:187;s:2:\"TK\";i:188;s:2:\"TO\";i:189;s:2:\"TT\";i:190;s:2:\"TN\";i:191;s:2:\"TM\";i:192;s:2:\"TC\";i:193;s:2:\"TV\";i:194;s:2:\"UA\";i:195;s:2:\"AE\";i:196;s:2:\"GB\";i:197;s:2:\"UY\";i:198;s:2:\"UZ\";i:199;s:2:\"VU\";i:200;s:2:\"VA\";i:201;s:2:\"VE\";i:202;s:2:\"VN\";i:203;s:2:\"VG\";i:204;s:2:\"VI\";i:205;s:2:\"WF\";i:206;s:2:\"EH\";i:207;s:2:\"YE\";i:208;s:2:\"ZM\";i:209;s:2:\"ZW\";}','a:1:{i:0;s:2:\"US\";}'),(28,'Moneybookers.GCB','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1130,0,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"FR\";}','N;'),(29,'Moneybookers.DNK','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1140,0,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"DK\";}','N;'),(30,'Moneybookers.PSP','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1150,0,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"IT\";}','N;'),(31,'Moneybookers.CSI','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1160,0,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"IT\";}','N;'),(32,'Moneybookers.OBT','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1170,0,0,1,0,'N',0,NULL,'a:8:{i:0;s:2:\"DE\";i:1;s:2:\"GB\";i:2;s:2:\"FR\";i:3;s:2:\"IT\";i:4;s:2:\"ES\";i:5;s:2:\"HU\";i:6;s:2:\"PL\";i:7;s:2:\"AT\";}','N;'),(33,'Moneybookers.GIR','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1180,0,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"DE\";}','N;'),(34,'Moneybookers.DID','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1190,0,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"DE\";}','N;'),(35,'Moneybookers.PWY','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1270,0,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"PL\";}','N;'),(36,'Moneybookers.SFT','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1200,0,0,1,0,'N',0,NULL,'a:11:{i:0;s:2:\"DE\";i:1;s:2:\"AT\";i:2;s:2:\"BE\";i:3;s:2:\"NL\";i:4;s:2:\"IT\";i:5;s:2:\"FR\";i:6;s:2:\"PL\";i:7;s:2:\"HU\";i:8;s:2:\"SK\";i:9;s:2:\"CZ\";i:10;s:2:\"GB\";}','N;'),(37,'Moneybookers.EBT','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1220,0,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"SE\";}','N;'),(38,'Moneybookers.IDL','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1240,0,0,1,0,'N',0,NULL,'a:28:{i:0;s:2:\"BE\";i:1;s:2:\"BG\";i:2;s:2:\"CZ\";i:3;s:2:\"DK\";i:4;s:2:\"DE\";i:5;s:2:\"EE\";i:6;s:2:\"IE\";i:7;s:2:\"EL\";i:8;s:2:\"ES\";i:9;s:2:\"FR\";i:10;s:2:\"HR\";i:11;s:2:\"IT\";i:12;s:2:\"CY\";i:13;s:2:\"LV\";i:14;s:2:\"LT\";i:15;s:2:\"LU\";i:16;s:2:\"HU\";i:17;s:2:\"MT\";i:18;s:2:\"NL\";i:19;s:2:\"AT\";i:20;s:2:\"PL\";i:21;s:2:\"PT\";i:22;s:2:\"RO\";i:23;s:2:\"SI\";i:24;s:2:\"SK\";i:25;s:2:\"FI\";i:26;s:2:\"SE\";i:27;s:2:\"UK\";}','N;'),(39,'Moneybookers.NPY','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1250,0,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"AT\";}','N;'),(40,'Moneybookers.PLI','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1260,0,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"AU\";}','N;'),(41,'Moneybookers.EPY','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1450,0,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"BG\";}','N;'),(42,'Moneybookers.GLU','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,0,0,1,0,'N',0,NULL,'a:13:{i:0;s:2:\"SE\";i:1;s:2:\"FI\";i:2;s:2:\"EE\";i:3;s:2:\"DK\";i:4;s:2:\"ES\";i:5;s:2:\"IT\";i:6;s:2:\"DE\";i:7;s:2:\"PT\";i:8;s:2:\"AT\";i:9;s:2:\"LV\";i:10;s:2:\"LT\";i:11;s:2:\"NL\";i:12;s:2:\"PL\";}','N;'),(43,'Moneybookers.ALI','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,0,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"CN\";}','N;'),(44,'Moneybookers.ADB','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,0,0,1,0,'N',0,NULL,'a:2:{i:0;s:2:\"AR\";i:1;s:2:\"BR\";}','N;'),(45,'Moneybookers.AOB','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,0,0,1,0,'N',0,NULL,'a:4:{i:0;s:2:\"BR\";i:1;s:2:\"CL\";i:2;s:2:\"CN\";i:3;s:2:\"CO\";}','N;'),(46,'Moneybookers.ACI','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,0,0,1,0,'N',0,NULL,'a:7:{i:0;s:2:\"AR\";i:1;s:2:\"BR\";i:2;s:2:\"CL\";i:3;s:2:\"CN\";i:4;s:2:\"CO\";i:5;s:2:\"MX\";i:6;s:2:\"UY\";}','N;'),(47,'Moneybookers.AUP','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,0,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"CN\";}','N;'),(48,'QuantumGateway','Module\\CDev\\Quantum\\Model\\Payment\\Processor\\Quantum','CDev_Quantum',-10000,0,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"US\";}','N;'),(49,'2Checkout.com','Module\\CDev\\TwoCheckout\\Model\\Payment\\Processor\\TwoCheckout','CDev_TwoCheckout',-10500,0,0,1,0,'C',0,NULL,'N;','N;'),(50,'COD_USPS','Module\\CDev\\USPS\\Model\\Payment\\Processor\\COD','CDev_USPS',0,0,0,1,1,'O',0,NULL,'a:1:{i:0;s:2:\"US\";}','N;'),(51,'ePDQ e-Commerce','Module\\XC\\EPDQ\\Model\\Payment\\Processor\\EPDQ','XC_EPDQ',-10200,0,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"GB\";}','N;'),(52,'iDEAL Professional','Module\\XC\\IdealPayments\\Model\\Payment\\Processor\\IdealProfessional','XC_IdealPayments',-10100,0,0,1,0,'C',0,NULL,'a:28:{i:0;s:2:\"BE\";i:1;s:2:\"BG\";i:2;s:2:\"CZ\";i:3;s:2:\"DK\";i:4;s:2:\"DE\";i:5;s:2:\"EE\";i:6;s:2:\"IE\";i:7;s:2:\"EL\";i:8;s:2:\"ES\";i:9;s:2:\"FR\";i:10;s:2:\"HR\";i:11;s:2:\"IT\";i:12;s:2:\"CY\";i:13;s:2:\"LV\";i:14;s:2:\"LT\";i:15;s:2:\"LU\";i:16;s:2:\"HU\";i:17;s:2:\"MT\";i:18;s:2:\"NL\";i:19;s:2:\"AT\";i:20;s:2:\"PL\";i:21;s:2:\"PT\";i:22;s:2:\"RO\";i:23;s:2:\"SI\";i:24;s:2:\"SK\";i:25;s:2:\"FI\";i:26;s:2:\"SE\";i:27;s:2:\"UK\";}','N;'),(53,'SagePay form protocol','Module\\XC\\SagePay\\Model\\Payment\\Processor\\SagePayForm','XC_SagePay',-101500,0,0,1,0,'C',0,NULL,'a:2:{i:0;s:2:\"GB\";i:1;s:2:\"IE\";}','N;'),(54,'Stripe','Module\\XC\\Stripe\\Model\\Payment\\Stripe','XC_Stripe',-10300,0,0,1,0,'C',0,NULL,'a:22:{i:0;s:2:\"AU\";i:1;s:2:\"CA\";i:2;s:2:\"DK\";i:3;s:2:\"FI\";i:4;s:2:\"FR\";i:5;s:2:\"IE\";i:6;s:2:\"JP\";i:7;s:2:\"NO\";i:8;s:2:\"SG\";i:9;s:2:\"ES\";i:10;s:2:\"SE\";i:11;s:2:\"GB\";i:12;s:2:\"US\";i:13;s:2:\"AT\";i:14;s:2:\"BE\";i:15;s:2:\"DE\";i:16;s:2:\"HK\";i:17;s:2:\"IT\";i:18;s:2:\"LU\";i:19;s:2:\"NL\";i:20;s:2:\"PT\";i:21;s:2:\"CH\";}','N;'),(55,'Ingenico Payment Services (Ogone)','Module\\XC\\OgoneEcommerce\\Model\\Payment\\Processor\\OgoneEcommerce','XC_OgoneEcommerce',0,0,0,1,0,'C',0,NULL,'a:63:{i:0;s:2:\"FR\";i:1;s:2:\"DE\";i:2;s:2:\"IT\";i:3;s:2:\"PT\";i:4;s:2:\"ES\";i:5;s:2:\"GB\";i:6;s:2:\"HU\";i:7;s:2:\"PL\";i:8;s:2:\"RU\";i:9;s:2:\"TR\";i:10;s:2:\"AI\";i:11;s:2:\"AG\";i:12;s:2:\"AR\";i:13;s:2:\"AW\";i:14;s:2:\"BS\";i:15;s:2:\"BB\";i:16;s:2:\"BZ\";i:17;s:2:\"BM\";i:18;s:2:\"BO\";i:19;s:2:\"BR\";i:20;s:2:\"VG\";i:21;s:2:\"KY\";i:22;s:2:\"CL\";i:23;s:2:\"CO\";i:24;s:2:\"CR\";i:25;s:2:\"CU\";i:26;s:2:\"DM\";i:27;s:2:\"DO\";i:28;s:2:\"EC\";i:29;s:2:\"SV\";i:30;s:2:\"FK\";i:31;s:2:\"GF\";i:32;s:2:\"GD\";i:33;s:2:\"GP\";i:34;s:2:\"GT\";i:35;s:2:\"GY\";i:36;s:2:\"HT\";i:37;s:2:\"HN\";i:38;s:2:\"JM\";i:39;s:2:\"MQ\";i:40;s:2:\"MX\";i:41;s:2:\"MS\";i:42;s:2:\"AN\";i:43;s:2:\"NI\";i:44;s:2:\"PA\";i:45;s:2:\"PY\";i:46;s:2:\"PE\";i:47;s:2:\"PR\";i:48;s:2:\"LC\";i:49;s:2:\"KN\";i:50;s:2:\"VC\";i:51;s:2:\"SR\";i:52;s:2:\"TT\";i:53;s:2:\"TC\";i:54;s:2:\"VI\";i:55;s:2:\"UY\";i:56;s:2:\"VE\";i:57;s:2:\"CA\";i:58;s:2:\"GL\";i:59;s:2:\"PM\";i:60;s:2:\"US\";i:61;s:2:\"BL\";i:62;s:2:\"MF\";}','N;'),(56,'Moneris (eSELECTplus- Hosted Pay Page)','Module\\XC\\ESelectHPP\\Model\\Payment\\Processor\\ESelectHPP','XC_ESelectHPP',0,0,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"CA\";}','N;'),(57,'PayWithAmazon','Module\\Amazon\\PayWithAmazon\\Model\\Payment\\Processor\\PayWithAmazon','Amazon_PayWithAmazon',-101600,-101600,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"US\";i:1;s:2:\"GB\";i:2;s:2:\"DE\";i:3;s:2:\"JP\";}','N;'),(58,'PayPal powered by Braintree','Module\\QSL\\BraintreeVZ\\Model\\Payment\\Processor\\BraintreeVZ','QSL_BraintreeVZ',-101950,-101950,0,1,0,'A',0,NULL,'a:3:{i:0;s:2:\"US\";i:1;s:2:\"UK\";i:2;s:2:\"FR\";}','N;');
CREATE TABLE `xlite_role_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_27007A52BF396750` (`id`),
  CONSTRAINT `FK_27007A52BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_role_translations` VALUES (1,1,'Administrator','en'),(2,1,'Administrator','ru'),(3,2,'Coupons management','en'),(4,2,'Управление купонами','ru'),(5,3,'Content management','en'),(6,3,'Управлением контентом','ru'),(7,4,'Volume discounts management','en'),(8,4,'Управление скидками','ru');
CREATE TABLE `xlite_iframe_contents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `method` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `data` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_module_keys` (
  `keyId` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `author` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `keyValue` char(64) COLLATE utf8_unicode_ci NOT NULL,
  `keyType` int(11) NOT NULL,
  `xcnPlan` bigint(20) NOT NULL,
  `keyData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`keyId`),
  UNIQUE KEY `an` (`author`,`name`,`xcnPlan`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_attribute_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `unit` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_8BBAD04BBF396750` FOREIGN KEY (`id`) REFERENCES `xlite_attributes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_attribute_translations` VALUES (1,1,'Size','','en'),(50,50,'Manufacturer','','en'),(51,1,'Размер','','ru'),(100,50,'Производитель','','ru'),(106,56,'Color','','en'),(108,58,'Color','','en'),(111,61,'Character','','en'),(112,62,'Captain America','','en'),(113,63,'Iron Man','','en'),(114,64,'Hulk','','en'),(115,65,'Thor','','en'),(116,66,'Black','','en'),(117,67,'Pink','','en'),(118,68,'Blue','','en'),(119,69,'Color','','en'),(120,70,'Color','','en'),(126,56,'Цвет','','ru'),(128,58,'Цвет','','ru'),(131,61,'Персонаж','','ru'),(132,62,'Капитан Америка','','ru'),(133,63,'Железный человек','','ru'),(134,64,'Халк','','ru'),(135,65,'Тор','','ru'),(136,66,'Черный','','ru'),(137,67,'Розовый','','ru'),(138,68,'Синий','','ru'),(139,69,'Цвет','','ru'),(140,70,'Цвет','','ru'),(141,71,'Capacity, GB','','en'),(142,72,'Chip','','en'),(143,73,'Color','','en'),(144,74,'Sim card','','en'),(145,75,'Display type','','en'),(146,76,'Dimension, inches','','en'),(147,77,'Resolution','','en'),(148,78,'Battery type','','en'),(149,79,'Talk time','','en'),(150,80,'Standby time','','en'),(151,81,'Video playback','','en'),(152,82,'Audio playback','','en'),(153,83,'GSM model','','en'),(154,84,'Wi-Fi','','en'),(155,85,'Bluetooth','','en'),(156,86,'GPS','','en'),(157,87,'Color','','en'),(158,87,'Цвет','','ru'),(159,73,'Цвет','','ru'),(160,71,'Объем памяти, GB','','ru'),(161,72,'Chip','','ru'),(162,74,'Sim card','','ru'),(163,75,'Display type','','ru'),(164,76,'Dimension, inches','','ru'),(165,77,'Resolution','','ru'),(166,78,'Battery type','','ru'),(167,79,'Talk time','','ru'),(168,80,'Standby time','','ru'),(169,81,'Video playback','','ru'),(170,82,'Audio playback','','ru'),(171,83,'GSM model','','ru'),(172,84,'Wi-Fi','','ru'),(173,85,'Bluetooth','','ru'),(174,86,'GPS','','ru');
CREATE TABLE `xlite_membership_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_571DB741BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_membership_translations` VALUES (1,1,'Wholesaler','en'),(2,1,'Оптовый покупатель','ru');
CREATE TABLE `xlite_currencies` (
  `currency_id` int(10) unsigned NOT NULL,
  `code` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `symbol` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `prefix` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `suffix` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `e` smallint(6) NOT NULL,
  `decimalDelimiter` varchar(8) COLLATE utf8_unicode_ci NOT NULL,
  `thousandDelimiter` varchar(8) COLLATE utf8_unicode_ci NOT NULL,
  `roundUp` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'N',
  PRIMARY KEY (`currency_id`),
  UNIQUE KEY `UNIQ_903AF16077153098` (`code`),
  KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_currencies` VALUES (8,'ALL','L','L','',2,'.','','N'),(12,'DZD','د.ج','د.ج','',2,'.','','N'),(32,'ARS','$','$','',2,'.','','N'),(36,'AUD','$','$','',2,'.','','N'),(44,'BSD','$','$','',2,'.','','N'),(48,'BHD','.د.ب','.د.ب','',3,'.','','N'),(50,'BDT','৳','৳','',2,'.','','N'),(51,'AMD','դր.','դր.','',2,'.','','N'),(52,'BBD','$','$','',2,'.','','N'),(60,'BMD','$','$','',2,'.','','N'),(64,'BTN','Nu','Nu','',2,'.','','N'),(68,'BOB','$','$','',2,'.','','N'),(72,'BWP','P','P','',2,'.','','N'),(84,'BZD','$','$','',2,'.','','N'),(90,'SBD','$','$','',2,'.','','N'),(96,'BND','$','$','',2,'.','','N'),(104,'MMK','K','K','',2,'.','','N'),(108,'BIF','₣','₣','',0,'.','','N'),(116,'KHR','$','$','',2,'.','','N'),(124,'CAD','$','$','',2,'.','','N'),(132,'CVE','$','$','',2,'.','','N'),(136,'KYD','$','$','',2,'.','','N'),(144,'LKR','Re','Re','',2,'.','','N'),(152,'CLP','$','$','',0,'.','','N'),(156,'CNY','¥','¥','',2,'.','','N'),(170,'COP','$','$','',2,'.','','N'),(174,'KMF','₣','₣','',0,'.','','N'),(188,'CRC','₡','₡','',2,'.','','N'),(191,'HRK','Kn','Kn','',2,'.','','N'),(192,'CUP','$','$','',2,'.','','N'),(203,'CZK','Kč','Kč','',2,'.','','N'),(208,'DKK','kr','kr','',2,'.','','N'),(214,'DOP','$','$','',2,'.','','N'),(222,'SVC','₡','₡','',2,'.','','N'),(230,'ETB','Br','Br','',2,'.','','N'),(232,'ERN','Nfk','Nfk','',2,'.','','N'),(238,'FKP','£','£','',2,'.','','N'),(242,'FJD','$','$','',2,'.','','N'),(262,'DJF','₣','₣','',0,'.','','N'),(270,'GMD','D','D','',2,'.','','N'),(292,'GIP','£','£','',2,'.','','N'),(320,'GTQ','Q','Q','',2,'.','','N'),(324,'GNF','₣','₣','',0,'.','','N'),(328,'GYD','$','$','',2,'.','','N'),(332,'HTG','G','G','',2,'.','','N'),(340,'HNL','L','L','',2,'.','','N'),(344,'HKD','$','$','',2,'.','','N'),(348,'HUF','ƒ','ƒ','',2,'.','','N'),(352,'ISK','kr','kr','',0,'.','','N'),(356,'INR','₹','₹','',2,'.','','N'),(360,'IDR','Rp','Rp','',0,'.','','N'),(364,'IRR','﷼','﷼','',2,'.','','N'),(368,'IQD','ع.د','ع.د','',3,'.','','N'),(376,'ILS','₪','₪','',2,'.','','N'),(388,'JMD','$','$','',2,'.','','N'),(392,'JPY','¥','¥','',0,'.','','N'),(398,'KZT','₸','₸','',2,'.','','N'),(400,'JOD','د.ا','د.ا','',3,'.','','N'),(404,'KES','KSh','KSh','',2,'.','','N'),(408,'KPW','₩','₩','',2,'.','','N'),(410,'KRW','₩','₩','',0,'.','','N'),(414,'KWD','د.ك','د.ك','',3,'.','','N'),(417,'KGS','C','C','',2,'.','','N'),(418,'LAK','₭','₭','',2,'.','','N'),(422,'LBP','.ل.ل','.ل.ل','',2,'.','','N'),(426,'LSL','L','L','',2,'.','','N'),(428,'LVL','Ls','Ls','',2,'.','','N'),(430,'LRD','$','$','',2,'.','','N'),(434,'LYD','ل.د','ل.د','',3,'.','','N'),(440,'LTL','Lt','Lt','',2,'.','','N'),(446,'MOP','$','$','',2,'.','','N'),(454,'MWK','K','K','',2,'.','','N'),(458,'MYR','RM','RM','',2,'.','','N'),(462,'MVR','Rf','Rf','',2,'.','','N'),(478,'MRO','UM','UM','',0,'.','','N'),(480,'MUR','Re','Re','',2,'.','','N'),(484,'MXN','$','$','',2,'.','','N'),(496,'MNT','₮','₮','',2,'.','','N'),(498,'MDL','L','L','',2,'.','','N'),(504,'MAD','د. م.','د. م.','',2,'.','','N'),(512,'OMR','ر.ع.','ر.ع.','',3,'.','','N'),(516,'NAD','N$','N$','',2,'.','','N'),(524,'NPR','Re','Re','',2,'.','','N'),(532,'ANG','ƒ','ƒ','',2,'.','','N'),(533,'AWG','ƒ','ƒ','',2,'.','','N'),(548,'VUV','Vt','Vt','',0,'.','','N'),(554,'NZD','$','$','',2,'.','','N'),(558,'NIO','$','$','',2,'.','','N'),(566,'NGN','₦','₦','',2,'.','','N'),(578,'NOK','kr','kr','',2,'.','','N'),(586,'PKR','Re','Re','',2,'.','','N'),(590,'PAB','B/.','B/.','',2,'.','','N'),(598,'PGK','K','K','',2,'.','','N'),(600,'PYG','₲','₲','',0,'.','','N'),(604,'PEN','S/.','S/.','',2,'.','','N'),(608,'PHP','₱','₱','',2,'.','','N'),(634,'QAR','ر.ق','ر.ق','',2,'.','','N'),(643,'RUB','р.','','р.',2,'.','','N'),(646,'RWF','₣','₣','',0,'.','','N'),(654,'SHP','£','£','',2,'.','','N'),(678,'STD','Db','Db','',2,'.','','N'),(682,'SAR','ر.س','ر.س','',2,'.','','N'),(690,'SCR','Re','Re','',2,'.','','N'),(694,'SLL','Le','Le','',2,'.','','N'),(702,'SGD','$','$','',2,'.','','N'),(704,'VND','₫','₫','',0,'.','','N'),(706,'SOS','S','S','',2,'.','','N'),(710,'ZAR','R','R','',2,'.','','N'),(728,'SSP','SSP','SSP','',2,'.','','N'),(748,'SZL','L','L','',2,'.','','N'),(752,'SEK','kr','kr','',2,'.','','N'),(756,'CHF','₣','₣','',2,'.','','N'),(760,'SYP','S£','S£','',2,'.','','N'),(764,'THB','฿','฿','',2,'.','','N'),(776,'TOP','$','$','',2,'.','','N'),(780,'TTD','$','$','',2,'.','','N'),(784,'AED','د.إ','د.إ','',2,'.','','N'),(788,'TND','د.ت','د.ت','',3,'.','','N'),(800,'UGX','USh','USh','',2,'.','','N'),(807,'MKD','ден.','ден.','',2,'.','','N'),(818,'EGP','LE','LE','',2,'.','','N'),(826,'GBP','£','£','',2,'.','','N'),(834,'TZS','TSh','TSh','',2,'.','','N'),(840,'USD','$','$','',2,'.','','N'),(858,'UYU','$','$','',2,'.','','N'),(860,'UZS','сўм','сўм','',2,'.','','N'),(882,'WST','$','$','',2,'.','','N'),(886,'YER','﷼','﷼','',2,'.','','N'),(894,'ZMK','K','K','',2,'.','','N'),(901,'TWD','NT$','NT$','',2,'.','','N'),(932,'ZWL','Z$','Z$','',2,'.','','N'),(934,'TMT','m','m','',2,'.','','N'),(936,'GHS','₵','₵','',2,'.','','N'),(937,'VEF','Bs','Bs','',2,'.','','N'),(938,'SDG','£','£','',2,'.','','N'),(941,'RSD','дин.','дин.','',2,'.','','N'),(943,'MZN','MT','MT','',2,'.','','N'),(944,'AZN','m','m','',2,'.','','N'),(946,'RON','L','L','',2,'.','','N'),(949,'TRY','₤','₤','',2,'.','','N'),(950,'XAF','₣','₣','',0,'.','','N'),(951,'XCD','$','$','',2,'.','','N'),(952,'XOF','₣','₣','',0,'.','','N'),(953,'XPF','₣','₣','',0,'.','','N'),(968,'SRD','$','$','',2,'.','','N'),(969,'MGA','Ar.','Ar.','',0,'.','','N'),(971,'AFN','؋','؋','',2,'.','','N'),(972,'TJS','с.','с.','',2,'.','','N'),(973,'AOA','Kz','Kz','',2,'.','','N'),(974,'BYR','Br','','Br',0,'.','','N'),(975,'BGN','лв','лв','',2,'.','','N'),(976,'CDF','₣','₣','',2,'.','','N'),(977,'BAM','KM','KM','',2,'.','','N'),(978,'EUR','€','€','',2,'.','','N'),(980,'UAH','₴','₴','',2,'.','','N'),(981,'GEL','ლ.','ლ.','',2,'.','','N'),(985,'PLN','zł','zł','',2,'.','','N'),(986,'BRL','$','$','',2,'.','','N');
CREATE TABLE `xlite_order_capost_parcel_manifest_links` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rel` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `href` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `idx` int(11) DEFAULT NULL,
  `mediaType` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `manifestId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_7FE471EA99AD4367` (`manifestId`),
  CONSTRAINT `FK_7FE471EA99AD4367` FOREIGN KEY (`manifestId`) REFERENCES `xlite_order_capost_parcel_manifests` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_view_lists` (
  `list_id` int(11) NOT NULL AUTO_INCREMENT,
  `list_override` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `weight_override` int(11) NOT NULL,
  `override_mode` int(11) NOT NULL,
  `class` varchar(255) CHARACTER SET latin1 NOT NULL,
  `list` varchar(255) CHARACTER SET latin1 NOT NULL,
  `zone` varchar(16) CHARACTER SET latin1 NOT NULL,
  `child` varchar(512) CHARACTER SET latin1 NOT NULL,
  `weight` int(11) NOT NULL,
  `tpl` varchar(512) CHARACTER SET latin1 NOT NULL,
  `version` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`list_id`),
  KEY `tl` (`tpl`,`list`),
  KEY `lzv` (`list`,`zone`,`version`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_view_lists` VALUES (1,'',0,0,'','cart.item.info','customer','XLite\\View\\SelectedAttributeValues',20,'',NULL),(2,'',0,0,'','admin.center','admin','XLite\\View\\Attributes',16777215,'',NULL),(3,'',0,0,'','admin.main.page.header.left','admin','XLite\\View\\CoreVersionPlacer',200,'',NULL),(4,'',0,0,'','layout.main','customer','XLite\\View\\OperateAsUserNotification',0,'',NULL),(5,'',0,0,'','admin.center','admin','XLite\\View\\SafeMode',16777215,'',NULL),(6,'',0,0,'','admin.center','admin','XLite\\View\\Login',16777215,'',NULL),(7,'',0,0,'','sidebar.first','customer','XLite\\View\\TopCategories',100,'',NULL),(8,'',0,0,'','center','customer','XLite\\View\\PageNotFound',16777215,'',NULL),(9,'',0,0,'','admin.center','admin','XLite\\View\\PageNotFound',16777215,'',NULL),(10,'',0,0,'','taxes.help.section','admin','XLite\\View\\TaxBanner',10,'',NULL),(11,'',0,0,'','admin.center','admin','XLite\\View\\Attribute',16777215,'',NULL),(12,'',0,0,'','center','customer','XLite\\View\\Category',16777215,'',NULL),(13,'',0,0,'','checkout.main','customer','XLite\\View\\AllInOneSolutions',1,'',NULL),(14,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Membership',16777215,'',NULL),(15,'',0,0,'','order.actions','admin','XLite\\View\\ItemsList\\Model\\OrderTrackingNumber',9999,'',NULL),(16,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\AttributeOption',16777215,'',NULL),(17,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Product\\Admin\\Cloned',16777215,'',NULL),(18,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Product\\Admin\\Search',16777215,'',NULL),(19,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\AttributeGroup',16777215,'',NULL),(20,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Payment\\Transaction',16777215,'',NULL),(21,'',0,0,'','pager.admin.model.table.right','admin','XLite\\View\\ItemsList\\Model\\Order\\Admin\\SearchTotal',100,'',NULL),(22,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Order\\Admin\\Recent',16777215,'',NULL),(23,'',0,0,'','dashboard-center','admin','XLite\\View\\ItemsList\\Model\\Order\\Admin\\RecentBlock',100,'',NULL),(24,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Profile',16777215,'',NULL),(25,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\ProductClass',16777215,'',NULL),(26,'',0,0,'','center.bottom','customer','XLite\\View\\ItemsList\\Product\\Customer\\Category\\Main',200,'',NULL),(27,'',0,0,'','itemsList.product.cart','customer','XLite\\View\\ItemsList\\Product\\Customer\\CartTray',16777215,'',NULL),(28,'',0,0,'','admin.center','admin','XLite\\View\\ConsistencyCheck\\Page',16777215,'',NULL),(29,'',0,0,'','center','customer','XLite\\View\\Welcome',16777215,'',NULL),(30,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\InstallUpdates',16777215,'',NULL),(31,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Completed\\Backup',200,'',NULL),(32,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Completed\\StatusMessages',0,'',NULL),(33,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Completed\\Log',400,'',NULL),(34,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Completed\\EntriesList',300,'',NULL),(35,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Prepare\\StatusMessages',0,'',NULL),(36,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Prepare\\Buttons',300,'',NULL),(37,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Prepare\\EntriesList',100,'',NULL),(38,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Prepare\\PremiumLicenseModules',1,'',NULL),(39,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Prepare\\UpgradeDisallowed',1,'',NULL),(40,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\ReadyToInstall\\StatusMessages',0,'',NULL),(41,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\ReadyToInstall\\Buttons',100,'',NULL),(42,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\UpgradeWaveWarning',0,'',NULL),(43,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\EmptyCells',100,'',NULL),(44,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Tabber',1000,'',NULL),(45,'',0,0,'','center','customer','XLite\\View\\Order',16777215,'',NULL),(46,'',0,0,'','center','customer','XLite\\View\\Cart',16777215,'',NULL),(47,'',0,0,'','order','admin','XLite\\View\\OrderHistory',150,'',NULL),(48,'',0,0,'','admin.center','admin','XLite\\View\\ActivateFreeLicense',16777215,'',NULL),(49,'',0,0,'','admin.center','admin','XLite\\View\\Shipping\\EditMethod',16777215,'',NULL),(50,'',0,0,'','admin.center','admin','XLite\\View\\Shipping\\AddMethod',16777215,'',NULL),(51,'',0,0,'','center','customer','XLite\\View\\Checkout',16777215,'',NULL),(52,'',0,0,'','invoice.item.name','customer','XLite\\View\\InvoiceAttributeValues',50,'',NULL),(53,'',0,0,'','invoice.item.name','admin','XLite\\View\\InvoiceAttributeValues',20,'',NULL),(54,'',0,0,'','invoice.item.name','mail','XLite\\View\\InvoiceAttributeValues',50,'',NULL),(55,'',0,0,'','invoice.item.name','pdf','XLite\\View\\InvoiceAttributeValues',20,'',NULL),(56,'',0,0,'','order.items.item.name','admin','XLite\\View\\InvoiceAttributeValues',20,'',NULL),(57,'',0,0,'','cli.center','console','XLite\\View\\Console\\Main',16777215,'',NULL),(58,'',0,0,'','cli.center','console','XLite\\View\\Console\\Error',16777215,'',NULL),(59,'',0,0,'','cli.center','console','XLite\\View\\Console\\Db',16777215,'',NULL),(60,'',0,0,'','admin.center','admin','XLite\\View\\SalesCalculation\\Progress',16777215,'',NULL),(62,'',0,0,'','minicart.vertical.item','customer','XLite\\View\\MinicartAttributeValues',30,'',NULL),(63,'',0,0,'','admin.center','admin','XLite\\View\\RecoverPasswordAdmin',16777215,'',NULL),(64,'',0,0,'','admin.center','admin','XLite\\View\\LanguagesModify\\LanguageImport',16777215,'',NULL),(65,'',0,0,'','admin.main.page.header.right','admin','XLite\\View\\StorefrontStatus',100,'',NULL),(66,'',0,0,'','admin.center','admin','XLite\\View\\MembershipsQuickData\\Main',16777215,'',NULL),(67,'',0,0,'','dashboard-sidebar','admin','XLite\\View\\BenchmarkSummary',300,'',NULL),(68,'',0,0,'','layout.main','customer','XLite\\View\\CategoryBanner',350,'',NULL),(69,'',0,0,'','layout.main.breadcrumb','customer','XLite\\View\\Location',100,'',NULL),(70,'',0,0,'','import.completed.content','admin','XLite\\View\\Import\\Warnings',1000,'',NULL),(71,'',0,0,'','admin.center','admin','XLite\\View\\Page\\PaymentTransaction',16777215,'',NULL),(72,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Admin\\Export',16777215,'',NULL),(73,'',0,0,'','environment.before','admin','XLite\\View\\Page\\Admin\\OldPhpVersionWarning',16777215,'',NULL),(74,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Admin\\Import',16777215,'',NULL),(75,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Layout',16777215,'',NULL),(76,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Logs',16777215,'',NULL),(77,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Images',16777215,'',NULL),(78,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Performance',16777215,'',NULL),(79,'',0,0,'','center','customer','XLite\\View\\CheckoutFailed',16777215,'',NULL),(80,'',0,0,'','center','customer','XLite\\View\\ShippingEstimator\\ShippingEstimate',16777215,'',NULL),(82,'',0,0,'','center.bottom','customer','XLite\\View\\Search',100,'',NULL),(83,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\FrontPage',16777215,'',NULL),(84,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Category',16777215,'',NULL),(85,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Countries',16777215,'',NULL),(86,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\AdminProfile',16777215,'',NULL),(87,'',0,0,'','add_payment','admin','XLite\\View\\Tabs\\OnlinePaymentType',10,'',NULL),(88,'',0,0,'','add_shipping','admin','XLite\\View\\Tabs\\ShippingType',10,'',NULL),(89,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Taxes',20,'',NULL),(90,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\ShippingSettings',16777215,'',NULL),(91,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\CartCheckout',16777215,'',NULL),(92,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Shipping',16777215,'',NULL),(93,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\BackupRestore',16777215,'',NULL),(94,'',0,0,'','center','customer','XLite\\View\\Tabs\\Account',16777215,'',NULL),(95,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Statistics',16777215,'',NULL),(96,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Translations',16777215,'',NULL),(97,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Notifications',16777215,'',NULL),(98,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Localization',16777215,'',NULL),(99,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\PaymentSettings',16777215,'',NULL),(100,'',0,0,'','admin.center','admin','XLite\\View\\Dashboard',16777215,'',NULL),(101,'',0,0,'','admin.center','admin','XLite\\View\\RecentLogin',16777215,'',NULL),(102,'',0,0,'','admin.center','admin','XLite\\View\\Model\\Profile\\ForceChangePassword',16777215,'',NULL),(103,'',0,0,'','center','customer','XLite\\View\\RecoverPassword',16777215,'',NULL),(104,'',0,0,'','center','customer','XLite\\View\\BackFromPayment',16777215,'',NULL),(105,'',0,0,'','dashboard-center','admin','XLite\\View\\WelcomeBlock\\RootAdmin',50,'',NULL),(106,'',0,0,'','dashboard-center','admin','XLite\\View\\WelcomeBlock\\Admin',50,'',NULL),(107,'',0,0,'','admin.center','admin','XLite\\View\\CacheManagement',16777215,'',NULL),(108,'',0,0,'','center','customer','XLite\\View\\AccessDenied',16777215,'',NULL),(109,'',0,0,'','center','customer','XLite\\View\\SelectAddress',16777215,'',NULL),(110,'',0,0,'','crud.settings.header','admin','XLite\\View\\Promo\\SMTP',100,'',NULL),(111,'',0,0,'','carriers.before','admin','XLite\\View\\Promo\\FreeShippingHowTo',16777215,'',NULL),(112,'',0,0,'','body','customer','XLite\\View\\JSContainer',999999,'',NULL),(113,'',0,0,'','body','admin','XLite\\View\\JSContainer',10,'',NULL),(114,'',0,0,'','admin.center','admin','XLite\\View\\IntegrityCheck\\Page',16777215,'',NULL),(115,'',0,0,'','admin.center','admin','XLite\\View\\AttributeOption',16777215,'',NULL),(116,'',0,0,'','product.details.page.image.photo','customer','XLite\\View\\Product\\Details\\Customer\\Image',10,'',NULL),(117,'',0,0,'','product.details.quicklook.image','customer','XLite\\View\\Product\\Details\\Customer\\Image',10,'',NULL),(118,'',0,0,'','center','customer','XLite\\View\\Product\\Details\\Customer\\Page\\Main',16777215,'',NULL),(119,'',0,0,'','center','customer','XLite\\View\\Product\\Details\\Customer\\Page\\QuickLook',16777215,'',NULL),(122,'',0,0,'','admin.center','admin','XLite\\View\\AttributeGroup',16777215,'',NULL),(123,'',0,0,'','layout.slidebar','customer','XLite\\View\\Slidebar',10,'',NULL),(124,'',0,0,'','layout.main','customer','XLite\\View\\TopMessage',100,'',NULL),(125,'',0,0,'','admin.center','admin','XLite\\View\\RemoveData',16777215,'',NULL),(128,'',0,0,'','header.language.menu','customer','XLite\\View\\LanguageSelector\\Customer',100,'',NULL),(129,'',0,0,'','admin.center','admin','XLite\\View\\FileSelectorDialog',16777215,'',NULL),(130,'',0,0,'','dashboard-sidebar','admin','XLite\\View\\RSS\\RSSLazyLoad',400,'',NULL),(131,'',0,0,'','body','customer','XLite\\View\\Content',100,'',NULL),(132,'',0,0,'','body','admin','XLite\\View\\Content',100,'',NULL),(133,'',0,0,'','center','customer','XLite\\View\\CheckoutSuccess',16777215,'',NULL),(134,'',0,0,'','admin.main.page.content.left','admin','XLite\\View\\Menu\\Admin\\LeftMenu',100,'',NULL),(135,'',0,0,'','admin.main.page.header','admin','XLite\\View\\Menu\\Admin\\Marketplace\\TopMenuNode',300,'',NULL),(136,'',0,0,'','admin.main.page.header','admin','XLite\\View\\Menu\\Admin\\QuickMenu\\TopMenuNode',400,'',NULL),(137,'',0,0,'','admin.main.page.header.right','admin','XLite\\View\\Menu\\Admin\\LanguageSelector\\TopMenuNode',200,'',NULL),(138,'',0,0,'','admin.main.page.header','admin','XLite\\View\\Menu\\Admin\\Info\\TopMenuNode',200,'',NULL),(139,'',0,0,'','admin.main.page.header.right','admin','XLite\\View\\Menu\\Admin\\Account\\TopMenuNode',300,'',NULL),(140,'',0,0,'','slidebar.menu','customer','XLite\\View\\Menu\\Customer\\Top',50,'',NULL),(141,'',0,0,'','header.menu','customer','XLite\\View\\Menu\\Customer\\Top',50,'',NULL),(142,'',0,0,'','layout.main.footer','customer','XLite\\View\\Menu\\Customer\\Footer',100,'',NULL),(143,'',0,0,'','center','customer','XLite\\View\\ChangeAttributeValues',16777215,'',NULL),(144,'',0,0,'','layout.header.categories','customer','XLite\\View\\TopCategoriesSlidebar',10,'',NULL),(145,'',0,0,'','layout.header.mobile','customer','XLite\\View\\MobileHeader',100,'',NULL),(146,'',0,0,'','center.bottom','customer','XLite\\View\\Subcategories',100,'',NULL),(147,'',0,0,'','admin.center','admin','XLite\\View\\Accounting',16777215,'',NULL),(148,'',0,0,'','admin.main.page.header.right','admin','XLite\\View\\Job\\HeaderJobsState',90,'',NULL),(149,'',0,0,'','admin.center','admin','XLite\\View\\ProductSelections',16777215,'',NULL),(150,'',0,0,'','admin.center','admin','XLite\\View\\Payment\\Method',16777215,'',NULL),(151,'',0,0,'','center','customer','XLite\\View\\Payment\\Iframe',16777215,'',NULL),(152,'',0,0,'','admin.center','admin','XLite\\View\\Payment\\AddMethod',16777215,'',NULL),(153,'',0,0,'','admin.main.page.header.left','admin','XLite\\View\\CoreVersion',200,'',NULL),(154,'',0,0,'','main','admin','XLite\\View\\AdminPanel',100,'',NULL),(155,'',0,0,'','center','customer','XLite\\View\\Authorization',16777215,'',NULL),(157,'',0,0,'','admin.main.page.header_wrapper','admin','XLite\\View\\UpgradeTopBox',1000,'',NULL),(158,'',0,0,'','dashboard-sidebar','admin','XLite\\View\\Order\\Statistics\\MiniInformer',100,'',NULL),(159,'',0,0,'','admin.center','admin','XLite\\View\\Order\\Search\\Search',16777215,'',NULL),(160,'',0,0,'','order.actions','admin','XLite\\View\\Order\\Actions',200,'',NULL),(161,'',0,0,'','order.details.payment_actions','admin','XLite\\View\\Order\\Details\\Admin\\PaymentActionsUnit',16777215,'',NULL),(162,'',0,0,'','page.tabs.after','admin','XLite\\View\\Order\\Details\\Admin\\NextPrevious',200,'',NULL),(163,'',0,0,'','order.children','customer','XLite\\View\\Invoice',30,'',NULL),(164,'',0,0,'','center','customer','XLite\\View\\CheckoutCanceled',16777215,'',NULL),(165,'',0,0,'','orders.panel','customer','XLite\\View\\Sort\\Order',20,'',NULL),(166,'',0,0,'','center','customer','XLite\\View\\InvoicePage',16777215,'',NULL),(167,'',0,0,'','admin.main.page.header','admin','XLite\\View\\HeaderSearch',500,'',NULL),(168,'',0,0,'','checkout.review.surcharge.info','customer','XLite\\View\\SurchargeInfo\\CODSurchargeInfo',10,'',NULL),(169,'',0,0,'','taxes.top.section','admin','XLite\\View\\TaxBannerAlert',10,'',NULL),(170,'',0,0,'','admin.main.page.header','admin','XLite\\View\\QueryMarketplace',0,'',NULL),(171,'',0,0,'','order.children','admin','XLite\\View\\PackingSlip',30,'',NULL),(172,'',0,0,'','admin.main.page.header_wrapper','admin','XLite\\View\\ActivateTopBox',500,'',NULL),(173,'',0,0,'','center','customer','XLite\\View\\Terms',16777215,'',NULL),(174,'',0,0,'','admin.center','admin','XLite\\View\\BrowseServer',16777215,'',NULL),(175,'',0,0,'','admin.center','admin','XLite\\View\\ProductClass',16777215,'',NULL),(176,'',0,0,'','admin.center','admin','XLite\\View\\CommonResources',16777215,'',NULL),(177,'',0,0,'','layout.main','customer','XLite\\View\\CommonResources',16777215,'',NULL),(178,'',0,0,'','page.tabs.after','admin','XLite\\View\\Button\\PrintInvoice',200,'',NULL),(179,'',0,0,'','marketplace.addons-filters','admin','XLite\\View\\Button\\Addon\\ActivateLicenseKey',300,'',NULL),(180,'',0,0,'','marketplace.addons-filters','admin','XLite\\View\\Button\\Addon\\EnterLicenseKey',300,'',NULL),(181,'',0,0,'','modules.pager.buttons','admin','XLite\\View\\Button\\AllAddons',100,'',NULL),(182,'',0,0,'','page.tabs.after','admin','XLite\\View\\Button\\PrintPackingSlip',100,'',NULL),(183,'',0,0,'','layout.main.breadcrumb','admin','XLite\\View\\AdminLocation',100,'',NULL),(184,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\UploadAddons',16777215,'',NULL),(185,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\Purchased',16777215,'',NULL),(186,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\Install',16777215,'',NULL),(187,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\ModuleWarnings',16777215,'',NULL),(188,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\KeysNotice',0,'',NULL),(189,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\ModuleLicense',16777215,'',NULL),(190,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\Manage',16777215,'',NULL),(191,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\LicenseKey',16777215,'',NULL),(192,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\TrialNotice',0,'',NULL),(193,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\AddonKey',16777215,'',NULL),(194,'',0,0,'','itemsList.module.manage.columns.module-main-section.actions','admin','XLite\\View\\ModulesManager\\Action\\Main',10,'',NULL),(195,'',0,0,'','itemsList.module.manage.columns.module-main-section.actions','admin','XLite\\View\\ModulesManager\\Action\\Uninstall',100,'',NULL),(196,'',0,0,'','itemsList.module.manage.columns.module-main-section.actions','admin','XLite\\View\\ModulesManager\\Action\\ManageLayout',17,'',NULL),(197,'',0,0,'','itemsList.module.manage.columns.module-main-section.actions','admin','XLite\\View\\ModulesManager\\Action\\Settings',15,'',NULL),(198,'',0,0,'','itemsList.module.manage.columns.module-main-section.actions','admin','XLite\\View\\ModulesManager\\Action\\Pack',30,'',NULL),(199,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\InstallationType',16777215,'',NULL),(200,'',0,0,'','admin.center','admin','XLite\\View\\HttpsSettings',16777215,'',NULL),(202,'',0,0,'','checkout.main','customer','XLite\\View\\Checkout\\Steps',200,'',NULL),(203,'',0,0,'','checkout.review.selected.placeOrder','customer','XLite\\View\\Checkout\\Payment',100,'',NULL),(204,'',0,0,'','checkout.shipping.selected.sub.payment','customer','XLite\\View\\Checkout\\PaymentMethodsList',300,'',NULL),(205,'',0,0,'','checkout.review.selected','customer','XLite\\View\\Checkout\\CartItems',10,'',NULL),(206,'',0,0,'','center','customer','XLite\\View\\BackToTop',16777215,'',NULL),(207,'',0,0,'','admin.center','admin','XLite\\View\\Tabber',1000,'',NULL),(208,'',0,0,'','layout.header.right','customer','XLite\\View\\Minicart',100,'',NULL),(209,'',0,0,'','admin.center','admin','XLite\\View\\Promotions',16777215,'',NULL),(210,'',0,0,'','center','customer','XLite\\View\\AccessControl',16777215,'',NULL),(211,'',0,0,'','sidebar.footer','customer','XLite\\View\\PoweredBy',16777215,'',NULL),(212,'',0,0,'','center','customer','XLite\\Module\\Amazon\\PayWithAmazon\\View\\AmazonCheckout',16777215,'',NULL),(213,'',0,0,'','center.top','customer','XLite\\Module\\Amazon\\PayWithAmazon\\View\\CheckoutButton',100,'',NULL),(214,'',0,0,'','center.bottom','customer','XLite\\Module\\CDev\\Bestsellers\\View\\Bestsellers',400,'',NULL),(215,'',0,0,'','center','customer','XLite\\Module\\CDev\\Bestsellers\\View\\BestsellersPage',16777215,'',NULL),(216,'',0,0,'','center','customer','XLite\\Module\\CDev\\ContactUs\\View\\ContactUs',16777215,'',NULL),(217,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\Coupons\\View\\Coupon',16777215,'',NULL),(218,'',0,0,'','coupons.itemsList.footer','admin','XLite\\Module\\CDev\\Coupons\\View\\Panel\\Coupons',16777215,'',NULL),(219,'',0,0,'','cart.panel.box','customer','XLite\\Module\\CDev\\Coupons\\View\\CartCoupons',200,'',NULL),(221,'',0,0,'','checkout_fastlane.sections.details','customer','XLite\\Module\\CDev\\Coupons\\View\\CartCoupons',200,'',NULL),(222,'',0,0,'','invoice.item.name','customer','XLite\\Module\\CDev\\Egoods\\View\\Order\\ItemBox',16777215,'',NULL),(223,'',0,0,'','invoice.item.name','mail','XLite\\Module\\CDev\\Egoods\\View\\Order\\ItemBox',16777215,'',NULL),(224,'',0,0,'','page.tabs.after','admin','XLite\\Module\\CDev\\Egoods\\View\\Button\\BlockAll',0,'',NULL),(225,'',0,0,'','page.tabs.after','admin','XLite\\Module\\CDev\\Egoods\\View\\Button\\RenewAll',0,'',NULL),(226,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\FeaturedProducts\\View\\FProducts',16777215,'',NULL),(227,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\FeaturedProducts\\View\\ProductSelections',16777215,'',NULL),(228,'',0,0,'','center.bottom','customer','XLite\\Module\\CDev\\FeaturedProducts\\View\\Customer\\FeaturedProducts',300,'',NULL),(229,'',0,0,'','product.details.page.tab.description.file-attachments','customer','XLite\\Module\\CDev\\FileAttachments\\View\\Product\\Customer',10,'',NULL),(230,'',0,0,'','body','customer','XLite\\Module\\CDev\\GoSocial\\View\\ExternalSDK\\Facebook',999998,'',NULL),(231,'',0,0,'','product.modify.list','admin','XLite\\Module\\CDev\\GoSocial\\View\\ProductModify',1015,'',NULL),(232,'',0,0,'','product.details.page.tab.comments','customer','XLite\\Module\\CDev\\GoSocial\\View\\FacebookComments',16777215,'',NULL),(233,'',0,0,'','buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\Tweet',200,'',NULL),(234,'',0,0,'','buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\Facebook',100,'',NULL),(235,'',0,0,'','buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\Pinterest',400,'',NULL),(236,'',0,0,'','buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\GooglePlus',300,'',NULL),(237,'',0,0,'','buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\FacebookLike',50,'',NULL),(238,'',0,0,'','layout.footer','customer','XLite\\Module\\CDev\\GoogleAnalytics\\View\\GAActions',16777215,'',NULL),(239,'',0,0,'','body','admin','XLite\\Module\\CDev\\GoogleAnalytics\\View\\GAActions',16777215,'',NULL),(240,'',0,0,'','head','customer','XLite\\Module\\CDev\\GoogleAnalytics\\View\\Header\\Traditional',16777215,'',NULL),(241,'',0,0,'','head','customer','XLite\\Module\\CDev\\GoogleAnalytics\\View\\Header\\Universal',16777215,'',NULL),(242,'',0,0,'','head','admin','XLite\\Module\\CDev\\GoogleAnalytics\\View\\Header\\Universal',16777215,'',NULL),(243,'',0,0,'','tabs.content','admin','XLite\\Module\\CDev\\GoogleAnalytics\\View\\TabberLink',16777215,'',NULL),(244,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\Moneybookers\\View\\MoneybookersSettings',16777215,'',NULL),(245,'',0,0,'','product.pinCodes','admin','XLite\\Module\\CDev\\PINCodes\\View\\ItemsList\\Model\\PinCode\\Admin\\Manage',500,'',NULL),(246,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\PINCodes\\View\\AddPinCodesDialog',16777215,'',NULL),(247,'',0,0,'','invoice.item.name','customer','XLite\\Module\\CDev\\PINCodes\\View\\InvoicePinCodes',200,'',NULL),(248,'',0,0,'','invoice.item.name','admin','XLite\\Module\\CDev\\PINCodes\\View\\InvoicePinCodes',30,'',NULL),(249,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\Paypal\\View\\Tabs\\Settings',16777215,'',NULL),(250,'',0,0,'','dashboard-center','admin','XLite\\Module\\CDev\\Paypal\\View\\WelcomeBlock\\Paypal',20,'',NULL),(251,'',0,0,'','cart.panel.totals','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Cart\\ExpressCheckout',100,'',NULL),(252,'',0,0,'','cart.panel.totals','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Cart\\ButtonsSeparator',90,'',NULL),(253,'',0,0,'','minicart.horizontal.buttons','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Minicart\\ExpressCheckout',100,'',NULL),(254,'',0,0,'','minicart.horizontal.buttons','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Minicart\\ButtonsSeparator',90,'',NULL),(255,'',0,0,'','checkout.review.selected.placeOrder','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\ExpressCheckout',450,'',NULL),(256,'',0,0,'','checkout_fastlane.sections.place-order.before','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\ExpressCheckout',100,'',NULL),(257,'',0,0,'','checkout.review.selected.placeOrder','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\PaypalCredit',450,'',NULL),(258,'',0,0,'','checkout_fastlane.sections.place-order.before','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\PaypalCredit',100,'',NULL),(259,'',0,0,'','center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\ViewedBought',800,'',NULL),(260,'',0,0,'','sidebar.second','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\NewArrivals',600,'',NULL),(261,'',0,0,'','center','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\ComingSoonPage',16777215,'',NULL),(262,'',0,0,'','sidebar.second','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\ComingSoon',700,'',NULL),(263,'',0,0,'','center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\BoughtBought',700,'',NULL),(264,'',0,0,'','center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\RecentlyViewed',500,'',NULL),(265,'',0,0,'','center','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\NewArrivalsPage',16777215,'',NULL),(266,'',0,0,'','center','customer','XLite\\Module\\CDev\\Sale\\View\\SalePage',16777215,'',NULL),(267,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\Sale\\View\\SaleSelectedDialog',16777215,'',NULL),(268,'',0,0,'','sidebar.first','customer','XLite\\Module\\CDev\\Sale\\View\\SaleBlock',1000,'',NULL),(269,'',0,0,'','center','customer','XLite\\Module\\CDev\\SimpleCMS\\View\\CustomerPage',16777215,'',NULL),(270,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\ItemsList\\Model\\Page',16777215,'',NULL),(271,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\Page\\LogoFavicon',16777215,'',NULL),(272,'',0,0,'','admin.main.page.content.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\MenuFormattedPath',7,'',NULL),(273,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\Page',16777215,'',NULL),(274,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\UserPermissions\\View\\Roles',16777215,'',NULL),(275,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\UserPermissions\\View\\Role',16777215,'',NULL),(276,'',0,0,'','checkout.review.selected','customer','XLite\\Module\\CDev\\VolumeDiscounts\\View\\CheckoutPromo',14,'',NULL),(277,'',0,0,'','checkout.review.inactive','customer','XLite\\Module\\CDev\\VolumeDiscounts\\View\\CheckoutPromo',14,'',NULL),(278,'',0,0,'','cart.panel.totals','customer','XLite\\Module\\CDev\\VolumeDiscounts\\View\\CartPromo',300,'',NULL),(279,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\XMLSitemap\\View\\Admin\\SitemapTabs',16777215,'',NULL),(280,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\XPaymentsConnector\\View\\PopupAddInfo',16777215,'',NULL),(281,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\XPaymentsConnector\\View\\PopupSavedCards',16777215,'',NULL),(282,'',0,0,'','center','customer','XLite\\Module\\CDev\\XPaymentsConnector\\View\\AddNewCard',16777215,'',NULL),(283,'',0,0,'','center','admin','XLite\\Module\\CDev\\XPaymentsConnector\\View\\SavedCards',16777215,'',NULL),(284,'',0,0,'','center','customer','XLite\\Module\\CDev\\XPaymentsConnector\\View\\XpcPopup',16777215,'',NULL),(285,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\XPaymentsConnector\\View\\AdminAddNewCard',16777215,'',NULL),(286,'',0,0,'','admin.center','admin','XLite\\Module\\QSL\\BraintreeVZ\\View\\BraintreeCreditCardsAdmin',16777215,'',NULL),(287,'',0,0,'','admin.center','admin','XLite\\Module\\QSL\\BraintreeVZ\\View\\Tabs\\Config',16777215,'',NULL),(288,'',0,0,'','sidebar.single','customer','XLite\\Module\\QSL\\CloudSearch\\View\\CloudFilters\\FiltersBoxPlaceholder',110,'',NULL),(289,'',0,0,'','sidebar.first','customer','XLite\\Module\\QSL\\CloudSearch\\View\\CloudFilters\\FiltersBoxPlaceholder',110,'',NULL),(290,'',0,0,'','center','customer','XLite\\Module\\QSL\\SpecialOffersBase\\View\\SpecialOfferPage',16777215,'',NULL),(291,'',0,0,'','center.bottom','customer','XLite\\Module\\QSL\\SpecialOffersBase\\View\\ItemsList\\Promotions\\ProductOffers',105,'',NULL),(292,'',0,0,'','center','customer','XLite\\Module\\QSL\\SpecialOffersBase\\View\\ItemsList\\Promotions\\SpecialOffersPage',16777215,'',NULL),(293,'',0,0,'','center.bottom','customer','XLite\\Module\\QSL\\SpecialOffersBase\\View\\ItemsList\\Promotions\\HomeOffers',105,'',NULL),(294,'',0,0,'','center.bottom','customer','XLite\\Module\\QSL\\SpecialOffersBase\\View\\ItemsList\\Promotions\\CategoryOffers',105,'',NULL),(295,'',0,0,'','admin.center','admin','XLite\\Module\\QSL\\SpecialOffersBase\\View\\Page\\SpecialOffer',16777215,'',NULL),(296,'',0,0,'','admin.center','admin','XLite\\Module\\QSL\\SpecialOffersBase\\View\\Page\\SpecialOffers',16777215,'',NULL),(297,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\BulkEditing\\View\\FormModel\\Product',16777215,'',NULL),(298,'',0,0,'','center','customer','XLite\\Module\\XC\\CanadaPost\\View\\TrackingDetails',16777215,'',NULL),(299,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CanadaPost\\View\\TrackingDetails',16777215,'',NULL),(300,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CanadaPost\\View\\ProductsReturns',16777215,'',NULL),(301,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CanadaPost\\View\\ProductsReturn',16777215,'',NULL),(302,'',0,0,'','invoice.bottom','customer','XLite\\Module\\XC\\CanadaPost\\View\\Invoice\\DeliveryToPost',15,'',NULL),(303,'',0,0,'','invoice.bottom','customer','XLite\\Module\\XC\\CanadaPost\\View\\Invoice\\Tracking',25,'',NULL),(304,'',0,0,'','center','customer','XLite\\Module\\XC\\CanadaPost\\View\\ReturnProducts',16777215,'',NULL),(305,'',0,0,'','checkout.shipping.selected.sub.payment','customer','XLite\\Module\\XC\\CanadaPost\\View\\Checkout\\PostOfficesList',210,'',NULL),(306,'',0,0,'','head','admin','XLite\\Module\\XC\\Concierge\\View\\Initialization',16777215,'',NULL),(307,'',0,0,'','layout.header.right','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\HeaderSettings',30,'',NULL),(308,'',0,0,'','itemsList.product.grid.customer.header','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\FiltersMobile',40,'',NULL),(309,'',0,0,'','itemsList.product.list.customer.header','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\FiltersMobile',40,'',NULL),(310,'',0,0,'','itemsList.product.table.customer.header','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\FiltersMobile',40,'',NULL),(311,'',0,0,'','product.details.page.image','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\Product\\Details\\Customer\\GalleryMobile',11,'',NULL),(312,'',0,0,'','slidebar.settings','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\WrapperSlidebar',200,'',NULL),(313,'',0,0,'','layout.header.bar.locale.menu','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\WrapperSingle',30,'',NULL),(314,'',0,0,'','layout.header.right.settings','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\Wrapper',200,'',NULL),(315,'',0,0,'','layout.header.bar','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\LocaleIndicator',80,'',NULL),(316,'',0,0,'','layout.header.bar.links.logged','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\Menu\\Customer\\OrdersList',300,'',NULL),(317,'',0,0,'','contact_us.parts.last','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\ContactsContactUsFooter',10,'',NULL),(318,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\GlobalTabs',16777215,'',NULL),(319,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\ProductTabs',16777215,'',NULL),(320,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\ProductTab',16777215,'',NULL),(321,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\GlobalTab',16777215,'',NULL),(322,'',0,0,'','center','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\AttachmentPopup',16777215,'',NULL),(323,'',0,0,'','invoice.item.name','admin','XLite\\Module\\XC\\CustomerAttachments\\View\\AttachmentsList',100,'',NULL),(324,'',0,0,'','product.details.page.info','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\Product\\CustomerAttachmentsInput',45,'',NULL),(325,'',0,0,'','product.details.quicklook.info','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\Product\\CustomerAttachmentsInput',65,'',NULL),(326,'',0,0,'','cart.item.info','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\AddPopup',80,'',NULL),(327,'',0,0,'','center','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\CheckoutFastlane',16777215,'',NULL),(328,'',0,0,'','checkout_fastlane','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\Blocks\\AddressMetadata',99999,'',NULL),(329,'',0,0,'','checkout_fastlane','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\Blocks\\AddressForm\\BillingMetadata',99999,'',NULL),(330,'',0,0,'','checkout_fastlane','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\Blocks\\AddressForm\\ShippingMetadata',99999,'',NULL),(331,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\FroalaEditor\\View\\Settings',16777215,'',NULL),(332,'',0,0,'','crud.modulesettings.header','admin','XLite\\Module\\XC\\Geolocation\\View\\Settings\\GeolocationHeader',100,'',NULL),(334,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\ItemsList\\Model\\MailChimpGroupNames',16777215,'',NULL),(335,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\ItemsList\\Model\\MailChimpGroup',16777215,'',NULL),(336,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\Tabs\\Settings',16777215,'',NULL),(337,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\MailChimpSegments',200,'',NULL),(338,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\MailChimpLists',200,'',NULL),(339,'',0,0,'','crud.modulesettings.header','admin','XLite\\Module\\XC\\MailChimp\\View\\Settings\\MailChimpHeader',100,'',NULL),(340,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\MailChimpSegment',200,'',NULL),(341,'',0,0,'','center','customer','XLite\\Module\\XC\\News\\View\\Page\\Customer\\NewsMessages',16777215,'',NULL),(342,'',0,0,'','center','customer','XLite\\Module\\XC\\News\\View\\Page\\Customer\\NewsMessage',16777215,'',NULL),(343,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\News\\View\\NewsMessages',16777215,'',NULL),(344,'',0,0,'','sidebar.first','customer','XLite\\Module\\XC\\News\\View\\TopNewsSideBar',16777215,'',NULL),(345,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\News\\View\\NewsMessage',16777215,'',NULL),(346,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\NewsletterSubscriptions\\View\\ItemsList\\Subscribers',16777215,'',NULL),(348,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\NewsletterSubscriptions\\View\\MailChimpPlaceholder',0,'',NULL),(350,'',0,0,'','head','customer','XLite\\Module\\XC\\NextPreviousProduct\\View\\Initialization',1305,'',NULL),(351,'',0,0,'','dashboard-sidebar','admin','XLite\\Module\\XC\\Onboarding\\View\\Dashboard\\WizardStatus',50,'',NULL),(352,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\Onboarding\\View\\Wizard',16777215,'',NULL),(353,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\Onboarding\\View\\MiniWizardStatus',100,'',NULL),(354,'',0,0,'','center','customer','XLite\\Module\\XC\\ProductComparison\\View\\ComparisonTable',16777215,'',NULL),(355,'',0,0,'','product.details.page.info.buttons.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',120,'',NULL),(356,'',0,0,'','product.details.page.info.buttons-added.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',120,'',NULL),(359,'',0,0,'','comparison_table.data','customer','XLite\\Module\\XC\\ProductComparison\\View\\ComparisonTable\\Attributes',300,'',NULL),(360,'',0,0,'','center.bottom','customer','XLite\\Module\\XC\\ProductFilter\\View\\ItemsList\\Product\\Customer\\Category\\CategoryFilter',200,'',NULL),(361,'',0,0,'','sidebar.filter','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter\\Attributes',300,'',NULL),(362,'',0,0,'','sidebar.filter','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter\\InStockOnly',200,'',NULL),(363,'',0,0,'','sidebar.filter','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter\\PriceRange',100,'',NULL),(364,'',0,0,'','sidebar.first','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter',300,'',NULL),(365,'',0,0,'','sidebar.filter','customer','XLite\\Module\\XC\\ProductTags\\View\\Filter\\Tags',400,'',NULL),(366,'',0,0,'','product.details.page.info','customer','XLite\\Module\\XC\\ProductTags\\View\\TagsList',15,'',NULL),(367,'',0,0,'','sidebar.first','customer','XLite\\Module\\XC\\ProductTags\\View\\TagsBox',200,'',NULL),(368,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ProductTags\\View\\Tags',16777215,'',NULL),(369,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\Reviews\\View\\ItemsList\\Model\\Review',16777215,'',NULL),(370,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\Reviews\\View\\Review',16777215,'',NULL),(371,'',0,0,'','product.details.page.tab.reviews','customer','XLite\\Module\\XC\\Reviews\\View\\Product\\ReviewsTab',16777215,'',NULL),(372,'',0,0,'','center','customer','XLite\\Module\\XC\\Reviews\\View\\Customer\\ProductReviews',16777215,'',NULL),(373,'',0,0,'','product.reviews.tab','customer','XLite\\Module\\XC\\Reviews\\View\\Customer\\ReviewsTab',300,'',NULL),(374,'',0,0,'','center','customer','XLite\\Module\\XC\\Sitemap\\View\\Page\\Customer\\Map',16777215,'',NULL),(375,'',0,0,'','layout.main','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweakerPanel',0,'',NULL),(376,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweakerTemplates',16777215,'',NULL),(377,'',0,0,'','themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\CssEditor',100,'',NULL),(378,'',0,0,'','themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\WebmasterMode',100,'',NULL),(379,'',0,0,'','themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\InlineEditor',100,'',NULL),(380,'',0,0,'','themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\LayoutEditor',100,'',NULL),(381,'',0,0,'','themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\LabelsEditor',100,'',NULL),(382,'',0,0,'','themetweaker-panel-extensions','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\Modal',999,'',NULL),(383,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\Tabs\\CustomCssJS',16777215,'',NULL),(384,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\NotificationEditor',16777215,'',NULL),(385,'',0,0,'','layout_settings.settings','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\PanelHelp',100,'',NULL),(386,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweakerTemplate',16777215,'',NULL),(387,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\FlexyToTwig',16777215,'',NULL),(388,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\UpdateInventory\\View\\UpdateInventory',16777215,'',NULL),(389,'',0,0,'','center.bottom','customer','XLite\\Module\\XC\\Upselling\\View\\ItemsList\\UpsellingProducts',700,'',NULL),(390,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\Upselling\\View\\ProductSelections',16777215,'',NULL),(391,'',0,0,'','layout.header.bar.links.logged','customer','XLite\\Module\\XC\\VendorMessages\\View\\CustomerTopLink',100,'',NULL),(392,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Admin\\Messages',16777215,'',NULL),(393,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Conversation',16777215,'',NULL),(394,'',0,0,'','center','customer','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Conversation',16777215,'',NULL),(395,'',0,0,'','center','customer','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Customer\\OrderMessages',16777215,'',NULL),(396,'',0,0,'','product.vendor_info.popover_content','customer','XLite\\Module\\XC\\VendorMessages\\View\\ContactNow',40,'',NULL),(397,'',0,0,'','vendorpage.vendor_info','customer','XLite\\Module\\XC\\VendorMessages\\View\\ContactNow',2000,'',NULL),(398,'',0,0,'','invoice.base.totals.after','pdf','',20,'order/invoice/parts/totals.includedModifiers.twig',NULL),(399,'',0,0,'','invoice.item','pdf','',40,'order/invoice/parts/items/item.total.twig',NULL),(400,'',0,0,'','invoice.item','pdf','',20,'order/invoice/parts/items/item.price.twig',NULL),(401,'',0,0,'','invoice.base.totals.after','customer','',20,'order/invoice/parts/totals.includedModifiers.twig',NULL),(402,'',0,0,'','invoice.item','customer','',40,'order/invoice/parts/items/item.total.twig',NULL),(403,'',0,0,'','invoice.item','customer','',20,'order/invoice/parts/items/item.price.twig',NULL),(404,'',0,0,'','order.status','customer','',20,'order/parts/status.shipping.twig',NULL),(405,'',0,0,'','order.links','customer','',100,'order/parts/link.print.twig',NULL),(406,'',0,0,'','order.children','customer','',20,'order/parts/links.twig',NULL),(407,'',0,0,'','order.status','customer','',10,'order/parts/status.payment.twig',NULL),(408,'',0,0,'','order.children','customer','',10,'order/parts/status.twig',NULL),(409,'',0,0,'','recover.password.fields','customer','',200,'recover_password/parts/form.user.twig',NULL),(410,'',0,0,'','recover.password','customer','',100,'recover_password/parts/note.twig',NULL),(411,'',0,0,'','recover.password','customer','',200,'recover_password/parts/form.twig',NULL),(412,'',0,0,'','recover.password.fields','customer','',300,'recover_password/parts/form.button.twig',NULL),(413,'',0,0,'','recover.password.fields','customer','',100,'recover_password/parts/form.email.twig',NULL),(414,'',0,0,'','customer.signin.links','customer','',200,'authorization/parts/link.forgot.twig',NULL),(415,'',0,0,'','customer.signin.fields','customer','',500,'authorization/parts/field.links.twig',NULL),(416,'',0,0,'','customer.signin.fields','customer','',400,'authorization/parts/field.button.twig',NULL),(417,'',0,0,'','customer.signin.popup.fields','customer','',400,'authorization/parts/field.button.twig',NULL),(418,'',0,0,'','customer.signin.fields','customer','',200,'authorization/parts/field.password.twig',NULL),(419,'',0,0,'','customer.signin.popup.fields','customer','',200,'authorization/parts/field.password.twig',NULL),(420,'',0,0,'','customer.signin.links','customer','',100,'authorization/parts/link.create.twig',NULL),(421,'',0,0,'','customer.signin.links','customer','',200,'authorization/parts/link.bullet.twig',NULL),(422,'',0,0,'','customer.signin.fields','customer','',100,'authorization/parts/field.name.twig',NULL),(423,'',0,0,'','customer.signin.popup.fields','customer','',100,'authorization/parts/field.name.twig',NULL),(424,'',0,0,'','customer.signin.fields','customer','',300,'authorization/parts/field.message.twig',NULL),(425,'',0,0,'','customer.signin.popup.fields','customer','',300,'authorization/parts/field.message.twig',NULL),(426,'',0,0,'','footer','customer','',100,'footer/parts/css_aggrefation.twig',NULL),(427,'',0,0,'','pager.itemsTotal','customer','',20,'pager/parts/items_total.twig',NULL),(428,'',0,0,'','productBlock.info','customer','',100,'product_box/parts/photo.twig',NULL),(429,'',0,0,'','productBlock.info','customer','',400,'product_box/parts/add2cart.twig',NULL),(430,'',0,0,'','orders.children.actions','customer','',100,'items_list/order/parts/actions.reorder.twig',NULL),(431,'',0,0,'','orders.children.view_all_items_link','customer','',10,'items_list/order/parts/view_all_items_link.twig',NULL),(432,'',0,0,'','orders.children.spec','customer','',300,'items_list/order/parts/spec.date.twig',NULL),(433,'',0,0,'','orders.children.spec','customer','',500,'items_list/order/parts/spec.total.twig',NULL),(434,'',0,0,'','orders.children.spec','customer','',100,'items_list/order/parts/spec.switcher.twig',NULL),(435,'',0,0,'','orders.children.spec','customer','',200,'items_list/order/parts/spec.number.twig',NULL),(436,'',0,0,'','orders.children.spec','customer','',600,'items_list/order/parts/spec.count.twig',NULL),(437,'',0,0,'','orders.children.spec','customer','',400,'items_list/order/parts/spec.break.twig',NULL),(438,'',0,0,'','orders.children.shipping','customer','',100,'items_list/order/parts/shipping.name.twig',NULL),(439,'',0,0,'','itemsList.product.list.customer.body','customer','',40,'items_list/product/center/list/parts/body/body.twig',NULL),(440,'',0,0,'','itemsList.product.list.customer.body','customer','',20,'items_list/product/center/list/parts/body/thumbnail.twig',NULL),(441,'',0,0,'','itemsList.product.table.customer.captions','customer','',40,'items_list/product/parts/table.captions.price.twig',NULL),(445,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',0,'items_list/product/parts/common.drag-n-drop-handle.twig',NULL),(446,'',0,0,'','itemsList.product.table.customer.columns','customer','',50,'items_list/product/parts/common.button-add2cart.twig',NULL),(451,'',0,0,'','itemsList.product.list.customer.photo','customer','',10,'items_list/product/parts/common.product-thumbnail-aligned-top.twig',NULL),(452,'',0,0,'','itemsList.product.small_thumbnails.customer.info','customer','',20,'items_list/product/parts/small-thumbnails.details.twig',NULL),(453,'',0,0,'','itemsList.product.grid.customer.info.photo','customer','',999,'items_list/product/parts/common.quicklook-button.twig',NULL),(454,'',0,0,'','itemsList.product.list.customer.quicklook','customer','',999,'items_list/product/parts/common.quicklook-button.twig',NULL),(455,'',0,0,'','productBlock.info','customer','',999,'items_list/product/parts/common.quicklook-button.twig',NULL),(456,'',0,0,'','itemsList.product.list.customer.info','customer','',30,'items_list/product/parts/common.product-description.twig',NULL),(457,'',0,0,'','itemsList.product.table.customer.captions','customer','',10,'items_list/product/parts/table.captions.sku.twig',NULL),(458,'',0,0,'','itemsList.product.table.customer.captions','customer','',25,'items_list/product/parts/table.captions.labels.twig',NULL),(459,'',0,0,'','itemsList.product.list.customer.info','customer','',1000,'items_list/product/parts/list.button-add2cart.twig',NULL),(460,'',0,0,'','itemsList.product.table.customer.captions','customer','',20,'items_list/product/parts/table.captions.name.twig',NULL),(462,'',0,0,'','itemsList.product.table.customer.captions','customer','',30,'items_list/product/parts/table.captions.qty.twig',NULL),(463,'',0,0,'','itemsList.product.grid.customer.info','customer','',20,'items_list/product/parts/common.product-name.twig',NULL),(465,'',0,0,'','itemsList.product.small_thumbnails.customer.details','customer','',20,'items_list/product/parts/common.product-name.twig',NULL),(466,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',200,'items_list/product/parts/common.product-name.twig',NULL),(467,'',0,0,'','itemsList.product.text_links.customer.info','customer','',100,'items_list/product/parts/common.product-name.twig',NULL),(468,'',0,0,'','productBlock.info','customer','',200,'items_list/product/parts/common.product-name.twig',NULL),(469,'',0,0,'','itemsList.product.table.customer.columns','customer','',10,'items_list/product/parts/common.product-sku.twig',NULL),(470,'',0,0,'','itemsList.product.grid.customer.info','customer','',10,'items_list/product/parts/grid.photo.twig',NULL),(471,'',0,0,'','itemsList.product.small_thumbnails.customer.info','customer','',10,'items_list/product/parts/grid.photo.twig',NULL),(472,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',100,'items_list/product/parts/grid.photo.twig',NULL),(473,'',0,0,'','itemsList.product.table.customer.columns','customer','',20,'items_list/product/parts/common.product-link.twig',NULL),(474,'',0,0,'','itemsList.product.grid.customer.info','customer','',30,'items_list/product/parts/common.product-price.twig',NULL),(475,'',0,0,'','itemsList.product.small_thumbnails.customer.details','customer','',25,'items_list/product/parts/common.product-price.twig',NULL),(476,'',0,0,'','itemsList.product.list.customer.info','customer','',40,'items_list/product/parts/common.product-price.twig',NULL),(477,'',0,0,'','itemsList.product.table.customer.columns','customer','',40,'items_list/product/parts/common.product-price.twig',NULL),(478,'',0,0,'','productBlock.info','customer','',300,'items_list/product/parts/common.product-price.twig',NULL),(479,'',0,0,'','itemsList.product.grid.customer.info','customer','',998,'items_list/product/parts/common.labels.twig',NULL),(481,'',0,0,'','itemsList.product.list.customer.photo','customer','',998,'items_list/product/parts/common.labels.twig',NULL),(482,'',0,0,'','itemsList.product.table.customer.columns','customer','',25,'items_list/product/parts/common.labels.twig',NULL),(483,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',998,'items_list/product/parts/common.labels.twig',NULL),(484,'',0,0,'','productBlock.info.photo','customer','',998,'items_list/product/parts/common.labels.twig',NULL),(485,'',0,0,'','product.details.page.image','customer','',17,'items_list/product/parts/common.labels.twig',NULL),(486,'',0,0,'','itemsList.product.grid.customer.info.photo','customer','',10,'items_list/product/parts/common.product-thumbnail.twig',NULL),(487,'',0,0,'','itemsList.product.small_thumbnails.customer.info.photo','customer','',10,'items_list/product/parts/common.product-thumbnail.twig',NULL),(488,'',0,0,'','itemsList.product.big_thumbnails.customer.info.photo','customer','',10,'items_list/product/parts/common.product-thumbnail.twig',NULL),(489,'',0,0,'','productBlock.info.photo','customer','',100,'items_list/product/parts/common.product-thumbnail.twig',NULL),(491,'',0,0,'','itemsList.product.table.customer.captions','customer','',50,'items_list/product/parts/table.captions.add2cart-button.twig',NULL),(492,'',0,0,'','itemsList.product.table.customer.buttons','customer','',50,'items_list/product/parts/common.button-buy-selected.twig',NULL),(501,'',0,0,'','jscontainer.js','customer','',100,'jscontainer/parts/js.twig',NULL),(502,'',0,0,'','jscontainer.js','customer','',300,'jscontainer/parts/register_resources.twig',NULL),(503,'',0,0,'','jscontainer.js','customer','',200,'jscontainer/parts/js_aggregation.twig',NULL),(505,'',0,0,'','product.details.quicklook.info','customer','',18,'product/details/parts/common.stock.twig',NULL),(506,'',0,0,'','product.details.page','customer','',20,'product/details/parts/page.image.twig',NULL),(507,'',0,0,'','product.details.page.info.buttons-added.cart-buttons','customer','',30,'product/details/parts/common.add-button.twig',NULL),(508,'',0,0,'','product.details.quicklook.info.buttons-added.cart-buttons','customer','',30,'product/details/parts/common.add-button.twig',NULL),(509,'',0,0,'','product.details.page.info.buttons.cart-buttons','customer','',20,'product/details/parts/common.add-button.twig',NULL),(510,'',0,0,'','product.details.quicklook.info.buttons.cart-buttons','customer','',20,'product/details/parts/common.add-button.twig',NULL),(512,'',0,0,'','product.details.page','customer','',40,'product/details/parts/page.tabs.twig',NULL),(513,'',0,0,'','product.details.common.product-attributes.attributes','customer','',10,'product/details/parts/common.product-attributes-list.twig',NULL),(514,'',0,0,'','product.details.page.info','customer','',10,'product/details/parts/common.product-title.twig',NULL),(517,'',0,0,'','product.details.page','customer','',1000,'product/details/parts/common.javascript-add2cart.twig',NULL),(518,'',0,0,'','product.details.page.tab.description','customer','',100,'product/details/parts/common.product-description.twig',NULL),(519,'',0,0,'','product.details.page.info','customer','',100,'product/details/parts/common.info.buttons.twig',NULL),(520,'',0,0,'','product.details.quicklook.info','customer','',100,'product/details/parts/common.info.buttons.twig',NULL),(522,'',0,0,'','product.details.quicklook','customer','',30,'product/details/parts/quicklook.info.twig',NULL),(523,'',0,0,'','product.details.page.info','customer','',40,'product/details/parts/common.price.twig',NULL),(524,'',0,0,'','product.details.quicklook.info','customer','',40,'product/details/parts/common.price.twig',NULL),(525,'',0,0,'','product.details.page','customer','',30,'product/details/parts/page.info.twig',NULL),(528,'',0,0,'','product.details.page.info.buttons','customer','',10,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL),(529,'',0,0,'','product.details.page.info.buttons-added','customer','',10,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL),(530,'',0,0,'','product.details.quicklook.info.buttons','customer','',20,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL),(531,'',0,0,'','product.details.quicklook.info.buttons-added','customer','',20,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL),(532,'',0,0,'','product.details.page.info','customer','',42,'product/details/parts/common.notify-on-price-drop.twig',NULL),(533,'',0,0,'','product.details.quicklook','customer','',20,'product/details/parts/quicklook.image.twig',NULL),(534,'',0,0,'','product.details.page.info','customer','',15,'product/details/parts/common.rate.twig',NULL),(535,'',0,0,'','product.details.page.info','customer','',18,'product/details/parts/common.stock-level.twig',NULL),(536,'',0,0,'','product.details.quicklook.info','customer','',18,'product/details/parts/common.stock-level.twig',NULL),(537,'',0,0,'','product.details.quicklook.rotator','customer','',20,'product/details/parts/quicklook.rotator.twig',NULL),(538,'',0,0,'','product.details.page.info.buttons.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL),(539,'',0,0,'','product.details.page.info.buttons-added.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL),(540,'',0,0,'','product.details.quicklook.info.buttons.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL),(541,'',0,0,'','product.details.quicklook.info.buttons-added.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL),(546,'',0,0,'','product.details.page.tab.description','customer','',50,'product/details/parts/common.product-common-attributes.twig',NULL),(547,'',0,0,'','product.details.page.tab.description','customer','',100,'product/details/parts/common.product-main-attributes.twig',NULL),(548,'',0,0,'','product.details.page.tab.attributes','customer','',10,'product/details/parts/page.tabs.attributes.twig',NULL),(549,'',0,0,'','product.details.common.product-attributes.elements','customer','',100,'product/details/common_attributes/common.product-attributes.weight.twig',NULL),(550,'',0,0,'','product.details.common.product-attributes.elements','customer','',200,'product/details/common_attributes/common.product-attributes.sku.twig',NULL),(553,'',0,0,'','product.simple-search-form.simple-box.elements','customer','',10,'product/search/simple-search-parts/input.twig',NULL),(554,'',0,0,'','product.simple-search-form.simple-box.elements','customer','',20,'product/search/simple-search-parts/submit.twig',NULL),(555,'',0,0,'','product.simple-search-form.simple-box','customer','',10,'product/search/simple-search-parts/simple-box.twig',NULL),(556,'',0,0,'','products.search.conditions.phrase','customer','',100,'product/search/parts/phrase.all.twig',NULL),(557,'',0,0,'','products.search.conditions.advanced','customer','',100,'product/search/parts/advanced.options.twig',NULL),(558,'',0,0,'','products.search.conditions.phrase','customer','',200,'product/search/parts/phrase.any.twig',NULL),(559,'',0,0,'','products.search.conditions.substring','customer','',100,'product/search/parts/substring.input.twig',NULL),(560,'',0,0,'','products.search.conditions.advanced.options','customer','',300,'product/search/parts/advanced.options.sku.twig',NULL),(561,'',0,0,'','products.search.conditions.substring','customer','',200,'product/search/parts/substring.button.twig',NULL),(562,'',0,0,'','products.search.conditions-responsive.substring','customer','',200,'product/search/parts/substring.button.twig',NULL),(563,'',0,0,'','products.search.conditions.advanced.options','customer','',100,'product/search/parts/advanced.options.title.twig',NULL),(564,'',0,0,'','products.search.conditions.advanced.options','customer','',200,'product/search/parts/advanced.options.descr.twig',NULL),(565,'',0,0,'','products.search.conditions.advanced','customer','',200,'product/search/parts/advanced.category.twig',NULL),(566,'',0,0,'','products.search.conditions.phrase','customer','',300,'product/search/parts/phrase.phrase.twig',NULL),(567,'',0,0,'','product.quantity-box','customer','',20,'product/quantity_box/parts/quantity_box.twig',NULL),(569,'',0,0,'','minicart.horizontal.buttons','customer','',5,'mini_cart/horizontal/parts/cart.twig',NULL),(570,'',0,0,'','minicart.horizontal.buttons','customer','',20,'mini_cart/horizontal/parts/disabled_reason.twig',NULL),(571,'',0,0,'','minicart.horizontal.buttons','customer','',10,'mini_cart/horizontal/parts/checkout.twig',NULL),(572,'',0,0,'','minicart.horizontal.children','customer','',10,'mini_cart/horizontal/parts/items.twig',NULL),(573,'',0,0,'','minicart.horizontal.item','customer','',10,'mini_cart/horizontal/parts/item.name.twig',NULL),(574,'',0,0,'','minicart.horizontal.item','customer','',20,'mini_cart/horizontal/parts/item.price.twig',NULL),(575,'',0,0,'','minicart.horizontal.children','customer','',5,'mini_cart/horizontal/parts/link.twig',NULL),(576,'',0,0,'','signin-anonymous-title','customer','',200,'signin/signin_anonymous_box.twig',NULL),(577,'',0,0,'','signin-anonymous-title','customer','',20,'signin/signin_title.twig',NULL),(578,'',0,0,'','checkout.signin.form','customer','',10,'signin/parts_login_form/email.twig',NULL),(579,'',0,0,'','checkout.signin.form','customer','',20,'signin/parts_login_form/password.twig',NULL),(580,'',0,0,'','checkout.signin.form','customer','',30,'signin/parts_login_form/button.twig',NULL),(581,'',0,0,'','signin.main','customer','',10,'signin/signin.twig',NULL),(582,'',0,0,'','customer.checkout.signin','customer','',10,'signin/signin_login_form.twig',NULL),(583,'',0,0,'','head','customer','',3,'header/parts/alternate_lang.twig',NULL),(584,'',0,0,'','head','customer','',1000,'header/parts/link_favicon.twig',NULL),(585,'',0,0,'','head','customer','',500,'header/parts/meta_generator.twig',NULL),(586,'',0,0,'','head','customer','',100,'header/parts/title.twig',NULL),(587,'',0,0,'','head.css','customer','',100,'header/parts/parts.css/css.twig',NULL),(588,'',0,0,'','head.css','customer','',200,'header/parts/parts.css/css_aggregation.twig',NULL),(589,'',0,0,'','head','customer','',1300,'header/parts/script_config.twig',NULL),(590,'',0,0,'','head','customer','',550,'header/parts/meta_title.twig',NULL),(591,'',0,0,'','head','customer','',1100,'header/parts/link_css.twig',NULL),(592,'',0,0,'','head','customer','',2,'header/parts/canonical.twig',NULL),(593,'',0,0,'','head','customer','',200,'header/parts/meta_content_type.twig',NULL),(594,'',0,0,'','head','customer','',1,'header/parts/base.twig',NULL),(595,'',0,0,'','head','customer','',650,'header/parts/meta_viewport.twig',NULL),(596,'',0,0,'','head','customer','',700,'header/parts/meta_mobile_capable.twig',NULL),(597,'',0,0,'','head','customer','',800,'header/parts/meta_compat_ie.twig',NULL),(598,'',0,0,'','head','customer','',700,'header/parts/meta_upgrade_insecure.twig',NULL),(599,'',0,0,'','head','customer','',1500,'header/parts/preloaded_labels.twig',NULL),(600,'',0,0,'','head','customer','',700,'header/parts/meta_keywords.twig',NULL),(601,'',0,0,'','head','customer','',1310,'header/parts/layout_options.twig',NULL),(602,'',0,0,'','head','customer','',600,'header/parts/meta_description.twig',NULL),(603,'',0,0,'','head','customer','',16777215,'header/meta.twig',NULL),(604,'',0,0,'','operate_as_user','customer','',10,'operate_as_user/parts/desc.twig',NULL),(605,'',0,0,'','operate_as_user','customer','',30,'operate_as_user/parts/login.twig',NULL),(606,'',0,0,'','operate_as_user','customer','',20,'operate_as_user/parts/name.twig',NULL),(607,'',0,0,'','operate_as_user','customer','',40,'operate_as_user/parts/finish-button.twig',NULL),(608,'',0,0,'','cart.panel.totals','customer','',25,'shopping_cart/parts/total.separator.twig',NULL),(610,'',0,0,'','cart.item.info','customer','',10,'shopping_cart/parts/item.info.name.twig',NULL),(611,'',0,0,'','cart.item','customer','',30,'shopping_cart/parts/item.info.twig',NULL),(612,'',0,0,'','cart.item.info','customer','',100,'shopping_cart/parts/item.info.out.twig',NULL),(613,'',0,0,'','cart.totals','customer','',30,'shopping_cart/parts/cartItems.includedModifiers.twig',NULL),(614,'',0,0,'','cart.children','customer','',30,'shopping_cart/parts/totals.twig',NULL),(615,'',0,0,'','cart.children','customer','',10,'shopping_cart/parts/items.twig',NULL),(616,'',0,0,'','checkout.cart','customer','',10,'shopping_cart/parts/items.twig',NULL),(617,'',0,0,'','cart.buttons','customer','',20,'shopping_cart/parts/button.clear.twig',NULL),(618,'',0,0,'','cart.panel','customer','',10,'shopping_cart/parts/panel.totals.twig',NULL),(619,'',0,0,'','cart.panel.totals','customer','',20,'shopping_cart/parts/total.modifiers.twig',NULL),(620,'',0,0,'','cart.totals','customer','',10,'shopping_cart/parts/total.subtotal.twig',NULL),(621,'',0,0,'','cart.panel.totals','customer','',10,'shopping_cart/parts/total.subtotal.twig',NULL),(622,'',0,0,'','cart.panel.totals','customer','',40,'shopping_cart/parts/total.button.twig',NULL),(623,'',0,0,'','cart.item','customer','',40,'shopping_cart/parts/item.price.twig',NULL),(624,'',0,0,'','cart.panel','customer','',20,'shopping_cart/parts/panel.box.twig',NULL),(625,'',0,0,'','cart.children','customer','',20,'shopping_cart/parts/buttons.twig',NULL),(626,'',0,0,'','cart.item','customer','',20,'shopping_cart/parts/item.image.twig',NULL),(628,'',0,0,'','cart.group','customer','',10,'shopping_cart/parts/group.title.twig',NULL),(630,'',0,0,'','cart.panel.totals','customer','',50,'shopping_cart/parts/total.disabled.reason.twig',NULL),(631,'',0,0,'','cart.panel.totals','customer','',30,'shopping_cart/parts/total.total.twig',NULL),(632,'',0,0,'','cart.panel.totals','customer','',35,'shopping_cart/parts/total.includedModifiers.twig',NULL),(633,'',0,0,'','cart.item','customer','',50,'shopping_cart/parts/item.qty.twig',NULL),(634,'',0,0,'','cart.bottom.right','customer','',20,'shopping_cart/checkout_buttons.twig',NULL),(635,'',0,0,'','shippingEstimator.main','customer','',10,'shopping_cart/shipping_estimator/parts/main.address.twig',NULL),(636,'',0,0,'','shippingEstimator.address','customer','',10,'shopping_cart/shipping_estimator/parts/address.country.twig',NULL),(637,'',0,0,'','shippingEstimator.address','customer','',40,'shopping_cart/shipping_estimator/parts/address.type.twig',NULL),(638,'',0,0,'','shippingEstimator.address','customer','',20,'shopping_cart/shipping_estimator/parts/address.state.twig',NULL),(639,'',0,0,'','shippingEstimator.address','customer','',25,'shopping_cart/shipping_estimator/parts/address.city.twig',NULL),(640,'',0,0,'','shippingEstimator.main','customer','',20,'shopping_cart/shipping_estimator/parts/main.methods.twig',NULL),(641,'',0,0,'','shippingEstimator.address','customer','',30,'shopping_cart/shipping_estimator/parts/address.zipcode.twig',NULL),(642,'',0,0,'','checkout.review.selected.items','customer','',10,'checkout/steps/review/parts/items.subtotal.twig',NULL),(643,'',0,0,'','checkout.review.inactive.items','customer','',10,'checkout/steps/review/parts/items.subtotal.twig',NULL),(644,'',0,0,'','checkout.review.selected.placeOrder','customer','',400,'checkout/steps/review/parts/place_order.button.twig',NULL),(645,'',0,0,'','checkout.review.selected.placeOrder','customer','',200,'checkout/steps/review/parts/place_order.note.twig',NULL),(646,'',0,0,'','checkout.review.selected','customer','',20,'checkout/steps/review/parts/place_order.twig',NULL),(647,'',0,0,'','checkout.review.selected.items','customer','',30,'checkout/steps/review/parts/items.modifiers.twig',NULL),(648,'',0,0,'','checkout.review.selected.placeOrder','customer','',500,'checkout/steps/review/parts/place_order.agree_note.twig',NULL),(649,'',0,0,'','checkout.review.selected.items','customer','',20,'checkout/steps/review/parts/items.list.twig',NULL),(650,'',0,0,'','checkout.review.inactive.items','customer','',20,'checkout/steps/review/parts/items.list.twig',NULL),(651,'',0,0,'','checkout.review.selected.items','customer','',35,'checkout/steps/review/parts/items.separator.twig',NULL),(652,'',0,0,'','checkout.review.inactive.items','customer','',35,'checkout/steps/review/parts/items.separator.twig',NULL),(653,'',0,0,'','checkout.review.selected.items','customer','',50,'checkout/steps/review/parts/items.paid.twig',NULL),(654,'',0,0,'','checkout.review.inactive.items','customer','',50,'checkout/steps/review/parts/items.paid.twig',NULL),(655,'',0,0,'','checkout.review.selected.items','customer','',45,'checkout/steps/review/parts/items.includedModifiers.twig',NULL),(656,'',0,0,'','checkout.review.selected.items','customer','',40,'checkout/steps/review/parts/items.total.twig',NULL),(657,'',0,0,'','checkout.review.inactive.items','customer','',40,'checkout/steps/review/parts/items.total.twig',NULL),(659,'',0,0,'','checkout.shipping.selected','customer','',200,'checkout/steps/shipping/parts/subsection.payment.twig',NULL),(660,'',0,0,'','checkout.payment.address.email','customer','',100,'checkout/steps/shipping/parts/address.billing.create.twig',NULL),(661,'',0,0,'','checkout.shipping.selected.sub.shipping','customer','',100,'checkout/steps/shipping/parts/address.first.twig',NULL),(662,'',0,0,'','checkout.shipping.address.email','customer','',100,'checkout/steps/shipping/parts/address.shipping.create.twig',NULL),(663,'',0,0,'','checkout.shipping.selected.sub.payment','customer','',200,'checkout/steps/shipping/parts/shippingMethods.twig',NULL),(664,'',0,0,'','checkout.shipping.selected.sub.payment','customer','',100,'checkout/steps/shipping/parts/address.second.twig',NULL),(665,'',0,0,'','checkout.shipping.selected','customer','',100,'checkout/steps/shipping/parts/subsection.shipping.twig',NULL),(666,'',0,0,'','checkout.cart','customer','',20,'checkout/parts/cart.totals.twig',NULL),(667,'',0,0,'','checkout.success','customer','',200,'checkout/success/parts/invoice.twig',NULL),(668,'',0,0,'','checkout.success','customer','',100,'checkout/success/parts/panel.twig',NULL),(669,'',0,0,'','checkout.success.panel','customer','',300,'checkout/success/parts/panel_line.twig',NULL),(670,'',0,0,'','checkout.success.panel','customer','',200,'checkout/success/parts/buttons.twig',NULL),(671,'',0,0,'','checkout.success.panel.buttons','customer','',200,'checkout/success/parts/button.print.twig',NULL),(672,'',0,0,'','checkout.success.panel','customer','',100,'checkout/success_message.twig',NULL),(674,'',0,0,'','layout.header.bar.links.newby','customer','',101,'modules/Amazon/PayWithAmazon/login/signin/layout.header.bar.links.newby.twig',NULL),(675,'',0,0,'','customer.signin','customer','',100,'modules/Amazon/PayWithAmazon/login/signin/signin.twig',NULL),(676,'',0,0,'','add2cart_popup.item.buttons','customer','',1000,'modules/Amazon/PayWithAmazon/checkout_button/add2cart_popup.twig',NULL),(677,'',0,0,'','cart.panel.totals','customer','',1000,'modules/Amazon/PayWithAmazon/checkout_button/cart.twig',NULL),(678,'',0,0,'','minicart.horizontal.buttons','customer','',1000,'modules/Amazon/PayWithAmazon/checkout_button/mini_cart.twig',NULL),(679,'',0,0,'','head','customer','',1310,'modules/Amazon/PayWithAmazon/header/parts/amazon_config.twig',NULL),(680,'',0,0,'','comparison_table.header_fixed','customer','',100,'modules/XC/ProductComparison/comparison_table/parts/product_name.twig',NULL),(681,'',0,0,'','comparison_table.data','customer','',200,'modules/XC/ProductComparison/comparison_table/parts/weight.twig',NULL),(682,'',0,0,'','comparison_table.header','customer','',100,'modules/XC/ProductComparison/comparison_table/parts/images.twig',NULL),(683,'',0,0,'','comparison_table.data','customer','',100,'modules/XC/ProductComparison/comparison_table/parts/prices.twig',NULL),(684,'',0,0,'','comparison_table.header_fixed','customer','',200,'modules/XC/ProductComparison/comparison_table/parts/buttons.twig',NULL),(685,'',0,0,'','product.details.page.info','customer','',105,'modules/XC/CustomProductTabs/product/brief_info.twig',NULL),(686,'',0,0,'','invoice.item.name','customer','',100,'modules/XC/CustomerAttachments/order/invoice/parts/items/item.attachments.twig',NULL),(687,'',0,0,'','customer.attachments.popup','customer','',100,'modules/XC/CustomerAttachments/parts/add_files.twig',NULL),(688,'',0,0,'','customer.attachments.popup.item','customer','',90,'modules/XC/CustomerAttachments/parts/file_name.twig',NULL),(689,'',0,0,'','customer.attachments.popup.item','customer','',40,'modules/XC/CustomerAttachments/parts/delete_btn.twig',NULL),(690,'',0,0,'','customer.attachments.popup','customer','',50,'modules/XC/CustomerAttachments/parts/files_table.twig',NULL),(691,'',0,0,'','next_previous.product.body','customer','',100,'modules/XC/NextPreviousProduct/product/parts/body.link.twig',NULL),(692,'',0,0,'','next_previous.product.body','customer','',200,'modules/XC/NextPreviousProduct/product/parts/body.cookie_data.twig',NULL),(693,'',0,0,'','next_previous.product.body','customer','',300,'modules/XC/NextPreviousProduct/product/parts/body.dropdown.twig',NULL),(694,'',0,0,'','next_previous.product.body.dropdown','customer','',100,'modules/XC/NextPreviousProduct/product/parts/dropdown_parts/image.twig',NULL),(695,'',0,0,'','next_previous.product.body.dropdown','customer','',200,'modules/XC/NextPreviousProduct/product/parts/dropdown_parts/name.twig',NULL),(696,'',0,0,'','next_previous.product.body.dropdown','customer','',300,'modules/XC/NextPreviousProduct/product/parts/dropdown_parts/price.twig',NULL),(697,'',0,0,'','itemsList.product.grid.customer.info','customer','',20,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(698,'',0,0,'','itemsList.product.grid.customer.recently.info','customer','',20,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(699,'',0,0,'','itemsList.product.list.customer.info','customer','',20,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(700,'',0,0,'','itemsList.product.table.customer.column.after','customer','',20,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(701,'',0,0,'','itemsList.product.small_thumbnails.customer.details','customer','',20,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(702,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',200,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(703,'',0,0,'','itemsList.product.text_links.customer.info','customer','',100,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(704,'',0,0,'','productBlock.info','customer','',200,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(705,'',0,0,'','location-select.main','customer','',10,'modules/XC/Geolocation/location_popup/parts/main.address.twig',NULL),(706,'',0,0,'','location-select.address','customer','',10,'modules/XC/Geolocation/location_popup/parts/address.country.twig',NULL),(707,'',0,0,'','location-select.address','customer','',40,'modules/XC/Geolocation/location_popup/parts/address.type.twig',NULL),(708,'',0,0,'','location-select.address','customer','',20,'modules/XC/Geolocation/location_popup/parts/address.state.twig',NULL),(709,'',0,0,'','location-select.address','customer','',30,'modules/XC/Geolocation/location_popup/parts/address.zipcode.twig',NULL),(710,'',0,0,'','itemsList.newsMessages.customer.center.row','customer','',250,'modules/XC/News/news_messages/list/parts/cell.brief.twig',NULL),(711,'',0,0,'','itemsList.newsMessages.customer.center.row','customer','',200,'modules/XC/News/news_messages/list/parts/cell.name.twig',NULL),(712,'',0,0,'','itemsList.newsMessages.customer.center.row','customer','',100,'modules/XC/News/news_messages/list/parts/cell.date.twig',NULL),(713,'',0,0,'','newsMessage.details','customer','',300,'modules/XC/News/page/news_message/parts/body.twig',NULL),(714,'',0,0,'','newsMessage.details','customer','',200,'modules/XC/News/page/news_message/parts/date.twig',NULL),(715,'',0,0,'','newsMessage.details','customer','',400,'modules/XC/News/page/news_message/parts/link.twig',NULL),(716,'',0,0,'','itemsList.newsMessages.customer.top.row','customer','',250,'modules/XC/News/top_news_messages/list/parts/cell.brief.twig',NULL),(717,'',0,0,'','itemsList.newsMessages.customer.top.row','customer','',200,'modules/XC/News/top_news_messages/list/parts/cell.name.twig',NULL),(718,'',0,0,'','itemsList.newsMessages.customer.top.row','customer','',100,'modules/XC/News/top_news_messages/list/parts/cell.date.twig',NULL),(719,'',0,0,'','themetweaker-panel--tabs','customer','',50,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.inline_editor.twig',NULL),(720,'',0,0,'','themetweaker-panel--tabs','customer','',10,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.webmaster.twig',NULL),(721,'',0,0,'','themetweaker-panel--tabs','customer','',20,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.custom_css.twig',NULL),(722,'',0,0,'','themetweaker-panel--tabs','customer','',0,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.hide.twig',NULL),(723,'',0,0,'','themetweaker-panel--header','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.twig',NULL),(724,'',0,0,'','themetweaker-panel--tabs','customer','',30,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.layout_editor.twig',NULL),(725,'',0,0,'','themetweaker-panel--header','customer','',200,'modules/XC/ThemeTweaker/themetweaker_panel/panel/actions.twig',NULL),(726,'',0,0,'','themetweaker-panel--body','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel/content.twig',NULL),(727,'',0,0,'','themetweaker-panel--actions','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel/actions.switcher.twig',NULL),(728,'',0,0,'','themetweaker-panel--tabs','customer','',40,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.labels_editor.twig',NULL),(729,'',0,0,'','themetweaker-panel--actions','customer','',999,'modules/XC/ThemeTweaker/themetweaker_panel/panel/actions.save.twig',NULL),(730,'',0,0,'','themetweaker-panel-extensions','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel_extensions/shortcut.twig',NULL),(731,'',0,0,'','themetweaker-panel-extensions','customer','',200,'modules/XC/ThemeTweaker/themetweaker_panel/panel_extensions/confirm_exit_modal.twig',NULL),(732,'',0,0,'','layout_editor','customer','',100,'modules/XC/ThemeTweaker/themetweaker/layout_editor/panel_parts/help_message.twig',NULL),(733,'',0,0,'','layout_editor','customer','',20,'modules/XC/ThemeTweaker/themetweaker/layout_editor/panel_parts/hidden_blocks.twig',NULL),(734,'',0,0,'','layout_editor','customer','',10,'modules/XC/ThemeTweaker/themetweaker/layout_editor/panel_parts/hidden_count.twig',NULL),(735,'',0,0,'','list-item.actions','customer','',10,'modules/XC/ThemeTweaker/themetweaker/layout_editor/list_item_parts/action_hide.twig',NULL),(736,'',0,0,'','list-item.actions','customer','',10,'modules/XC/ThemeTweaker/themetweaker/layout_editor/list_item_parts/action_unhide.twig',NULL),(737,'',0,0,'','inline_editor','customer','',200,'modules/XC/ThemeTweaker/themetweaker/inline_editable/tinymce_warning_modal.twig',NULL),(738,'',0,0,'','head.css','customer','',9999,'modules/XC/ThemeTweaker/themetweaker/custom_css/css.twig',NULL),(739,'',0,0,'','order.links','customer','',10,'modules/XC/VendorMessages/order/parts/link.messages.twig',NULL),(740,'',0,0,'','orders.children.spec','customer','',350,'modules/XC/VendorMessages/order/list/parts/spec.messages.twig',NULL),(741,'',0,0,'','NewsletterSubscriptions.footer.success-block','customer','',100,'modules/XC/NewsletterSubscriptions/form/parts/success.twig',NULL),(742,'',0,0,'','NewsletterSubscriptions.footer.form-block','customer','',100,'modules/XC/NewsletterSubscriptions/form/parts/form.twig',NULL),(743,'',0,0,'','NewsletterSubscriptions.footer.error-block','customer','',100,'modules/XC/NewsletterSubscriptions/form/parts/error.twig',NULL),(744,'',0,0,'','products.search.conditions.advanced.options','customer','',400,'modules/XC/ProductTags/product/search/parts/advanced.options.tag.twig',NULL),(745,'',0,0,'','checkout_fastlane.blocks.payment_methods.available','customer','',10,'modules/XC/FastLaneCheckout/blocks/payment_methods/available/payment_tpl.twig',NULL),(746,'',0,0,'','checkout_fastlane.blocks.address.billing.prepend','customer','',10,'modules/XC/FastLaneCheckout/blocks/address_form/address_book.twig',NULL),(747,'',0,0,'','checkout_fastlane.blocks.address.shipping.prepend','customer','',10,'modules/XC/FastLaneCheckout/blocks/address_form/address_book.twig',NULL),(748,'',0,0,'','checkout_fastlane.blocks.address.billing.email','customer','',100,'modules/XC/FastLaneCheckout/blocks/address_form/billing/address.create.twig',NULL),(749,'',0,0,'','checkout_fastlane.blocks.address.billing.before','customer','',10,'modules/XC/FastLaneCheckout/blocks/address_form/billing/same.twig',NULL),(750,'',0,0,'','checkout_fastlane.blocks.address.shipping.email','customer','',100,'modules/XC/FastLaneCheckout/blocks/address_form/shipping/address.create.twig',NULL),(751,'',0,0,'','checkout_fastlane.blocks.popup_address_form.shipping','customer','',999,'modules/XC/FastLaneCheckout/blocks/popup_address_form/apply_to_billing.twig',NULL),(752,'',0,0,'','checkout_fastlane.blocks.popup_address_form.billing','customer','',999,'modules/XC/FastLaneCheckout/blocks/popup_address_form/apply_to_shipping.twig',NULL),(753,'',0,0,'','select-address.after','customer','',100,'modules/XC/FastLaneCheckout/select_address/add_button.twig',NULL),(754,'',0,0,'','checkout_fastlane.sections.address','customer','',10,'modules/XC/FastLaneCheckout/sections/address/shipping.twig',NULL),(755,'',0,0,'','checkout_fastlane.sections.address','customer','',20,'modules/XC/FastLaneCheckout/sections/address/billing.twig',NULL),(756,'',0,0,'','checkout_fastlane.sections.details.left','customer','',15,'modules/XC/FastLaneCheckout/sections/details/shipping_details.twig',NULL),(757,'',0,0,'','checkout_fastlane.sections.details.right','customer','',19,'modules/XC/FastLaneCheckout/sections/details/order_total.twig',NULL),(758,'',0,0,'','checkout_fastlane.sections.details.left','customer','',10,'modules/XC/FastLaneCheckout/sections/details/order_details.twig',NULL),(759,'',0,0,'','checkout_fastlane.sections.payment.right','customer','',10,'modules/XC/FastLaneCheckout/sections/payment/methods.twig',NULL),(760,'',0,0,'','checkout_fastlane.sections.payment.left','customer','',30,'modules/XC/FastLaneCheckout/sections/payment/note.twig',NULL),(761,'',0,0,'','checkout_fastlane.sections.payment.left','customer','',0,'modules/XC/FastLaneCheckout/sections/payment/heading.left.twig',NULL),(762,'',0,0,'','checkout_fastlane.sections.payment.left','customer','',20,'modules/XC/FastLaneCheckout/sections/payment/billing.twig',NULL),(763,'',0,0,'','checkout_fastlane.sections.payment','customer','',10,'modules/XC/FastLaneCheckout/sections/payment/columns.twig',NULL),(764,'',0,0,'','checkout_fastlane.sections.payment.right','customer','',0,'modules/XC/FastLaneCheckout/sections/payment/heading.right.twig',NULL),(765,'',0,0,'','checkout_fastlane.sections.after','customer','',10,'modules/XC/FastLaneCheckout/sections/details_box.twig',NULL),(766,'',0,0,'','checkout_fastlane.sections.shipping.right','customer','',10,'modules/XC/FastLaneCheckout/sections/shipping/methods.twig',NULL),(767,'',0,0,'','checkout_fastlane.sections.shipping.left','customer','',10,'modules/XC/FastLaneCheckout/sections/shipping/email.twig',NULL),(768,'',0,0,'','checkout_fastlane.sections.shipping.left','customer','',30,'modules/XC/FastLaneCheckout/sections/shipping/note.twig',NULL),(769,'',0,0,'','checkout_fastlane.sections.shipping.left','customer','',0,'modules/XC/FastLaneCheckout/sections/shipping/heading.left.twig',NULL),(770,'',0,0,'','checkout_fastlane.sections.shipping.left','customer','',20,'modules/XC/FastLaneCheckout/sections/shipping/address.twig',NULL),(771,'',0,0,'','checkout_fastlane.sections.shipping','customer','',10,'modules/XC/FastLaneCheckout/sections/shipping/columns.twig',NULL),(772,'',0,0,'','checkout_fastlane.sections.shipping.right','customer','',0,'modules/XC/FastLaneCheckout/sections/shipping/heading.right.twig',NULL),(773,'',0,0,'','checkout_fastlane.sections.details.right','customer','',20,'modules/XC/FastLaneCheckout/sections/section_change_button.twig',NULL),(776,'',0,0,'','checkout_fastlane.header.right','customer','',10,'modules/XC/FastLaneCheckout/checkout_fastlane/header/navigation.twig',NULL),(777,'',0,0,'','checkout_fastlane','customer','',10,'modules/XC/FastLaneCheckout/checkout_fastlane/header.twig',NULL),(778,'',0,0,'','checkout_fastlane','customer','',20,'modules/XC/FastLaneCheckout/checkout_fastlane/sections.twig',NULL),(780,'',0,0,'','product.details.quicklook.info','customer','',19,'modules/XC/FreeShipping/free_ship.label.twig',NULL),(781,'',0,0,'','checkout.review.selected.placeOrder','customer','',350,'modules/XC/MailChimp/model/profile/subscriptions_list.twig',NULL),(782,'',0,0,'','checkout_fastlane.sections.place-order.before','customer','',100,'modules/XC/MailChimp/model/profile/subscriptions_list.twig',NULL),(783,'',0,0,'','checkout.review.selected.items','customer','',2000,'modules/XC/MailChimp/model/profile/subscriptions_list.twig',NULL),(784,'',0,0,'','reviews.general','customer','',20,'modules/XC/Reviews/button/add_review.twig',NULL),(785,'',0,0,'','reviews.product.rating.average','customer','',100,'modules/XC/Reviews/product/details/rating.twig',NULL),(786,'',0,0,'','product.details.page.info','customer','',17,'modules/XC/Reviews/product_details.rating.twig',NULL),(787,'',0,0,'','review.add.fields','customer','',400,'modules/XC/Reviews/review/parts/field.review.twig',NULL),(788,'',0,0,'','review.add.fields','customer','',200,'modules/XC/Reviews/review/parts/field.reviewer_name.twig',NULL),(789,'',0,0,'','review.add.fields','customer','',100,'modules/XC/Reviews/review/parts/field.rating.twig',NULL),(790,'',0,0,'','review.add.buttons','customer','',500,'modules/XC/Reviews/review/parts/buttons.twig',NULL),(791,'',0,0,'','review.add.fields','customer','',300,'modules/XC/Reviews/review/parts/field.email.twig',NULL),(792,'',0,0,'','reviews.page.rating','customer','',200,'modules/XC/Reviews/average_rating/text.twig',NULL),(793,'',0,0,'','reviews.tooltip.rating','customer','',200,'modules/XC/Reviews/average_rating/text.twig',NULL),(794,'',0,0,'','reviews.product.rating','customer','',100,'modules/XC/Reviews/average_rating/form.twig',NULL),(796,'',0,0,'','reviews.tab.rating','customer','',200,'modules/XC/Reviews/average_rating/form.twig',NULL),(797,'',0,0,'','reviews.product.rating.form.content','customer','',100,'modules/XC/Reviews/average_rating/rating.twig',NULL),(798,'',0,0,'','reviews.page.rating','customer','',300,'modules/XC/Reviews/average_rating/details.twig',NULL),(799,'',0,0,'','reviews.rating.details','customer','',200,'modules/XC/Reviews/average_rating/details.twig',NULL),(800,'',0,0,'','reviews.page.rating','customer','',200,'modules/XC/Reviews/average_rating/separator.twig',NULL),(803,'',0,0,'','product.reviews.tab','customer','',500,'modules/XC/Reviews/reviews_tab/parts/tab.all_reviews_link.twig',NULL),(804,'',0,0,'','product.reviews.tab','customer','',200,'modules/XC/Reviews/reviews_tab/parts/tab.reviews_list_header.twig',NULL),(805,'',0,0,'','reviews.review.response','customer','',300,'modules/XC/Reviews/reviews_page/parts/response.text.twig',NULL),(806,'',0,0,'','reviews.review.title','customer','',200,'modules/XC/Reviews/reviews_page/parts/title.right.twig',NULL),(807,'',0,0,'','reviews.review','customer','',100,'modules/XC/Reviews/reviews_page/parts/review.title.twig',NULL),(808,'',0,0,'','reviews.review','customer','',200,'modules/XC/Reviews/reviews_page/parts/review.rating.twig',NULL),(809,'',0,0,'','reviews.review.title','customer','',100,'modules/XC/Reviews/reviews_page/parts/title.left.twig',NULL),(810,'',0,0,'','product.reviews.page','customer','',200,'modules/XC/Reviews/reviews_page/parts/page.reviews_list_header.twig',NULL),(811,'',0,0,'','reviews.review.response','customer','',100,'modules/XC/Reviews/reviews_page/parts/response.title.twig',NULL),(812,'',0,0,'','reviews.review','customer','',300,'modules/XC/Reviews/reviews_page/parts/review.text.twig',NULL),(813,'',0,0,'','product.reviews.page','customer','',300,'modules/XC/Reviews/reviews_page/parts/page.reviews_list.twig',NULL),(814,'',0,0,'','product.reviews.page','customer','',100,'modules/XC/Reviews/reviews_page/parts/page.product.twig',NULL),(815,'',0,0,'','reviews.review','customer','',500,'modules/XC/Reviews/reviews_page/parts/review.response.twig',NULL),(816,'',0,0,'','reviews','customer','',16777215,'modules/XC/Reviews/reviews_page/reviews.twig',NULL),(817,'',0,0,'','invoice.bottom.d2po','customer','',10,'modules/XC/CanadaPost/order/invoice/parts/bottom.d2po.details.twig',NULL),(818,'',0,0,'','order.links','customer','',30,'modules/XC/CanadaPost/order/parts/link.return.twig',NULL),(819,'',0,0,'','capost_create_return.form','customer','',200,'modules/XC/CanadaPost/products_return/create/parts/main.form.message.twig',NULL),(820,'',0,0,'','capost_create_return.form','customer','',300,'modules/XC/CanadaPost/products_return/create/parts/main.form.button.twig',NULL),(821,'',0,0,'','capost_create_return.form.captions','customer','',5,'modules/XC/CanadaPost/products_return/create/parts/table.captions.field.twig',NULL),(822,'',0,0,'','capost_create_return.form.captions','customer','',15,'modules/XC/CanadaPost/products_return/create/parts/table.captions.image.twig',NULL),(823,'',0,0,'','capost_create_return.form.captions','customer','',30,'modules/XC/CanadaPost/products_return/create/parts/table.captions.ret_amount.twig',NULL),(824,'',0,0,'','capost_create_return.form','customer','',100,'modules/XC/CanadaPost/products_return/create/parts/main.form.products.twig',NULL),(825,'',0,0,'','capost_create_return.form.columns','customer','',20,'modules/XC/CanadaPost/products_return/create/parts/table.common.name.twig',NULL),(826,'',0,0,'','capost_create_return.form.columns','customer','',10,'modules/XC/CanadaPost/products_return/create/parts/table.common.field.twig',NULL),(827,'',0,0,'','capost_create_return.form.columns','customer','',30,'modules/XC/CanadaPost/products_return/create/parts/table.common.ret_amount.twig',NULL),(828,'',0,0,'','capost_create_return.form.captions','customer','',10,'modules/XC/CanadaPost/products_return/create/parts/table.captions.sku.twig',NULL),(829,'',0,0,'','capost_create_return.form.captions','customer','',20,'modules/XC/CanadaPost/products_return/create/parts/table.captions.name.twig',NULL),(830,'',0,0,'','capost_create_return.form.columns','customer','',25,'modules/XC/CanadaPost/products_return/create/parts/table.common.amount.twig',NULL),(831,'',0,0,'','capost_create_return.form.columns','customer','',10,'modules/XC/CanadaPost/products_return/create/parts/table.common.sku.twig',NULL),(832,'',0,0,'','capost_create_return','customer','',100,'modules/XC/CanadaPost/products_return/create/parts/main.info.twig',NULL),(833,'',0,0,'','capost_create_return.form.columns','customer','',15,'modules/XC/CanadaPost/products_return/create/parts/table.common.image.twig',NULL),(834,'',0,0,'','capost_create_return.form.captions','customer','',25,'modules/XC/CanadaPost/products_return/create/parts/table.captions.amount.twig',NULL),(835,'',0,0,'','capost_create_return','customer','',200,'modules/XC/CanadaPost/products_return/create/parts/main.form.twig',NULL),(837,'',0,0,'','customer.signin','customer','',100,'modules/CDev/Paypal/login/signin/signin.paypal.twig',NULL),(838,'',0,0,'','layout.header.bar.links.newby','customer','',101,'modules/CDev/Paypal/login/signin/layout.header.bar.links.newby.twig',NULL),(839,'',0,0,'','cart.panel','customer','',15,'modules/CDev/Paypal/banner/cartPage/nearCheckoutButton.twig',NULL),(840,'',0,0,'','product.details.page.info','customer','',105,'modules/CDev/Paypal/banner/ProductDetailsPages/nearAddToCartButton.twig',NULL),(841,'',0,0,'','center','customer','',10,'modules/CDev/Paypal/banner/homePage/aboveProducts.twig',NULL),(842,'',0,0,'','center.bottom','customer','',99999,'modules/CDev/Paypal/banner/homePage/belowProducts.twig',NULL),(843,'',0,0,'','center.top','customer','',100,'modules/CDev/Paypal/banner/categoryPages/aboveProducts.twig',NULL),(844,'',0,0,'','center.bottom','customer','',99999,'modules/CDev/Paypal/banner/categoryPages/belowProducts.twig',NULL),(845,'',0,0,'','product.details.page.info.buttons-added.cart-buttons','customer','',40,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL),(846,'',0,0,'','product.details.quicklook.info.buttons-added.cart-buttons','customer','',40,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL),(847,'',0,0,'','product.details.page.info.buttons.cart-buttons','customer','',30,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL),(848,'',0,0,'','product.details.quicklook.info.buttons.cart-buttons','customer','',30,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL),(849,'',0,0,'','add2cart_popup.item.buttons','customer','',300,'modules/CDev/Paypal/add2cart_popup/express_checkout.twig',NULL),(850,'',0,0,'','itemsList.product.list.customer.info','customer','',1100,'modules/CDev/Paypal/item_list/product/parts/express_checkout.twig',NULL),(851,'',0,0,'','itemsList.product.grid.customer.info','customer','',20,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(852,'',0,0,'','itemsList.product.list.customer.info','customer','',20,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(853,'',0,0,'','itemsList.product.small_thumbnails.customer.details','customer','',20,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(854,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',200,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(855,'',0,0,'','itemsList.product.text_links.customer.info','customer','',100,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(856,'',0,0,'','productBlock.info','customer','',200,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(857,'',0,0,'','invoice.bottom.address.billing','customer','',30,'modules/CDev/XPaymentsConnector/invoice/invoice.twig',NULL),(858,'',0,0,'','customer.account.saved_cards.before','customer','',100,'modules/CDev/XPaymentsConnector/account/saved_cards.header.twig',NULL),(859,'',0,0,'','customer.account.add_new_card.before','customer','',100,'modules/CDev/XPaymentsConnector/account/saved_cards.header.twig',NULL),(860,'',0,0,'','customer.account.add_new_card.before','customer','',200,'modules/CDev/XPaymentsConnector/account/add_new_card.header.twig',NULL),(861,'',0,0,'','customer.account.add_new_card.address','customer','',100,'modules/CDev/XPaymentsConnector/account/add_new_card.address.twig',NULL),(862,'',0,0,'','customer.account.saved_cards.table','customer','',100,'modules/CDev/XPaymentsConnector/account/saved_cards.table.twig',NULL),(863,'',0,0,'','customer.account.add_new_card.form','customer','',100,'modules/CDev/XPaymentsConnector/account/add_new_card.form.twig',NULL),(864,'',0,0,'','checkout.review.selected','customer','',20,'modules/CDev/XPaymentsConnector/checkout/script.twig',NULL),(865,'',0,0,'','checkout_fastlane.sections.payment.left','customer','',500,'modules/CDev/XPaymentsConnector/checkout/script.twig',NULL),(866,'',0,0,'','static_page.info','customer','',100,'modules/CDev/SimpleCMS/page/parts/content.twig',NULL),(867,'',0,0,'','product.plain_price.tail.market_price.text','customer','',200,'modules/CDev/MarketPrice/details/you_save.twig',NULL),(868,'',0,0,'','product.plain_price.tail.market_price.label','customer','',100,'modules/CDev/MarketPrice/details/label.twig',NULL),(869,'',0,0,'','product.plain_price.tail.market_price.text','customer','',100,'modules/CDev/MarketPrice/details/market_price.twig',NULL),(870,'',0,0,'','product.plain_price.tail','customer','',45,'modules/CDev/MarketPrice/details.twig',NULL),(873,'',0,0,'','itemsList.product.text_links.customer.recently.info','customer','',100,'modules/CDev/ProductAdvisor/parts/info_textlinks.twig',NULL),(874,'',0,0,'','itemsList.product.grid.customer.recently.info','customer','',100,'modules/CDev/ProductAdvisor/parts/info.twig',NULL),(877,'',0,0,'','product.plain_price.tail.sale_price.text','customer','',100,'modules/CDev/Sale/details/sale_price.twig',NULL),(878,'',0,0,'','product.plain_price.tail.sale_price.text','customer','',200,'modules/CDev/Sale/details/you_save.twig',NULL),(879,'',0,0,'','product.plain_price.tail.sale_price.label','customer','',100,'modules/CDev/Sale/details/label.twig',NULL),(880,'',0,0,'','product.plain_price.tail','customer','',40,'modules/CDev/Sale/label.twig',NULL),(881,'',0,0,'','static_page.info','customer','',100000,'modules/CDev/GoSocial/page/parts/share.twig',NULL),(883,'',0,0,'','cart.panel.totals.modifier','customer','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL),(884,'',0,0,'','checkout.review.selected.items.modifier','customer','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL),(885,'',0,0,'','invoice.base.totals.modifier.name','customer','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL),(886,'',0,0,'','cart.item.info','customer','',1000,'modules/CDev/Coupons/item.freeship.twig',NULL),(887,'',0,0,'','product.details.page.tab.description','customer','',50,'modules/CDev/FileAttachments/file_attachments.twig',NULL),(888,'',0,0,'','invoice.bottom.address.billing','customer','',30,'modules/QSL/BraintreeVZ/invoice/credit_card.twig',NULL),(889,'',0,0,'','cart.item','customer','',60,'modules/QSL/SpecialOffersBase/shopping_cart/parts/item.subtotal.twig',NULL),(890,'',0,0,'','order_status.wrapper','customer','',10,'common/order_status_wrapper.twig',NULL),(891,'',0,0,'','surcharge.common','customer','',100,'common/surcharge_parts/surcharge.twig',NULL),(892,'',0,0,'','product.plain_price','customer','',10,'common/price_parts/price.twig',NULL),(893,'',0,0,'','product.plain_price_only','customer','',10,'common/price_parts/price.twig',NULL),(894,'',0,0,'','order_status.nowrapper','customer','',10,'common/order_status_nowrapper.twig',NULL),(895,'',0,0,'','layout.main.footer','customer','',1000,'layout/footer/main.footer.section.twig',NULL),(896,'',0,0,'','layout.footer','customer','',500,'layout/footer/main.footer.twig',NULL),(897,'',0,0,'','layout.header.bar','customer','',100,'layout/header/header.bar.links.twig',NULL),(898,'',0,0,'','layout.header.bar.links.logged','customer','',200,'layout/header/header.bar.links.logged.account.twig',NULL),(899,'',0,0,'','layout.header','customer','',190,'layout/header/header.bar.checkout.logos.twig',NULL),(900,'',0,0,'','layout.header.bar.links.logged','customer','',500,'layout/header/header.bar.links.logged.logout.twig',NULL),(901,'',0,0,'','layout.header','customer','',200,'layout/header/header.bar.twig',NULL),(904,'',0,0,'','layout.header.bar.links.newby','customer','',200,'layout/header/header.bar.links.newby.register.twig',NULL),(905,'',0,0,'','layout.main','customer','',200,'layout/header/main.header.twig',NULL),(907,'',0,0,'','layout.header.bar.links.newby','customer','',100,'layout/header/header.bar.links.newby.login.twig',NULL),(908,'',0,0,'','layout.header','customer','',100,'layout/header/header.logo.twig',NULL),(909,'',0,0,'','layout.responsive.search','customer','',200,'layout/header/header.bar.mobilesearch.twig',NULL),(914,'',0,0,'','layout.header.bar','customer','',100,'layout/header/header.bar.links.logged.twig',NULL),(916,'',0,0,'','layout.main.center','customer','',100,'layout/content/main.center.left.twig',NULL),(917,'',0,0,'','layout.main.center','customer','',300,'layout/content/main.center.right.twig',NULL),(918,'',0,0,'','layout.main','customer','',400,'layout/content/main.center.twig',NULL),(919,'',0,0,'','layout.main.center','customer','',200,'layout/content/main.center.center.twig',NULL),(920,'',0,0,'','itemsList.product.grid.customer.info','customer','',998,'items_list/product/parts/common.marks.twig',NULL),(921,'',0,0,'','itemsList.product.list.customer.photo','customer','',998,'items_list/product/parts/common.marks.twig',NULL),(922,'',0,0,'','itemsList.product.table.customer.columns','customer','',45,'items_list/product/parts/common.marks.twig',NULL),(923,'',0,0,'','itemsList.product.table.customer.columns','customer','',9999999,'items_list/product/parts/table.product-representation.twig',NULL),(924,'',0,0,'','product.details.quicklook.info','customer','',10,'product/details/parts/common.product-title-link.twig',NULL),(925,'',0,0,'','minicart.horizontal.item','customer','',18,'mini_cart/horizontal/parts/item.amount.twig',NULL),(926,'',0,0,'','minicart.horizontal.item','customer','',5,'mini_cart/horizontal/parts/item.image.twig',NULL),(927,'',0,0,'','signin-anonymous-title.continue','customer','',100,'signin/parts/continue.email.twig',NULL),(928,'',0,0,'','signin-anonymous-title.continue','customer','',110,'signin/parts/continue.button.twig',NULL),(929,'',0,0,'','cart.panel.totals.modifier','customer','',16777215,'shopping_cart/parts/item.shipping.estimator.twig',NULL),(930,'',0,0,'','cart.panel','customer','',10,'shopping_cart/parts/button.continue.twig',NULL),(931,'',0,0,'','cart.children','customer','',10,'shopping_cart/parts/button.continue.twig',NULL),(932,'',0,0,'','layout.main.footer','customer','',50,'layout/footer/main.footer.contacts.twig',NULL),(933,'',0,0,'','layout.header.right.mobile','customer','',100,'layout/header/header.right.mobile.minicart.twig',NULL),(934,'',0,0,'','layout.header.right','customer','',10,'layout/header/header.right.search.twig',NULL),(935,'',0,0,'','layout.header.right.mobile','customer','',10,'layout/header/header.right.search.twig',NULL),(936,'',0,0,'','layout.header.bar.links.logged','customer','',-100,'layout/header/header.bar.links.logged.email.twig',NULL),(937,'',0,0,'','slidebar.additional-menu.links','customer','',10,'layout/header/header_settings/profile.twig',NULL),(938,'',0,0,'','slidebar.additional-menu','customer','',1000,'layout/header/header_settings/logout.twig',NULL),(939,'',0,0,'','layout.header.right.settings','customer','',1000,'layout/header/header_settings/logout.twig',NULL),(940,'',0,0,'','slidebar.additional-menu','customer','',400,'layout/header/header_settings/login.twig',NULL),(941,'',0,0,'','layout.header.right.settings','customer','',400,'layout/header/header_settings/login.twig',NULL),(942,'',0,0,'','slidebar.additional-menu','customer','',-100,'layout/header/header_settings/email.twig',NULL),(943,'',0,0,'','layout.header.right.settings','customer','',-100,'layout/header/header_settings/email.twig',NULL),(944,'',0,0,'','slidebar.additional-menu','customer','',390,'layout/header/header_settings/settings.twig',NULL),(945,'',0,0,'','slidebar.additional-menu','customer','',100,'layout/header/header_settings/links.twig',NULL),(946,'',0,0,'','layout.header.right.settings','customer','',100,'layout/header/header_settings/links.twig',NULL),(947,'',0,0,'','layout.header.mobile.menu','customer','',1000,'layout/header/mobile_header_parts/right_menu.twig',NULL),(948,'',0,0,'','header.menu','customer','',1000,'layout/header/mobile_header_parts/additional_menu.twig',NULL),(949,'',0,0,'','layout.header.mobile.menu','customer','',10,'layout/header/mobile_header_parts/logo.twig',NULL),(950,'',0,0,'','layout.header.bar.locale','customer','',20,'layout/header/locale/language.twig',NULL),(951,'',0,0,'','layout.header.bar.locale','customer','',10,'layout/header/locale/country.twig',NULL),(952,'',0,0,'','layout.header.bar.locale','customer','',30,'layout/header/locale/currency.twig',NULL),(953,'',0,0,'','contact_us.parts','customer','',10,'contact_us/parts/contact_us.address.twig',NULL),(954,'',0,0,'','invoice.head','mail','',10,'order/invoice/parts/title.twig',NULL),(955,'',0,0,'','invoice.bottom.lines','mail','',20,'order/invoice/parts/bottom.statuses.twig',NULL),(956,'',0,0,'','invoice.item.name','mail','',100,'modules/XC/CustomerAttachments/order/invoice/parts/items/item.attachments.twig',NULL),(957,'',0,0,'','invoice.base','mail','',60,'modules/CDev/XPaymentsConnector/fraud_check.twig',NULL),(958,'',0,0,'','invoice.bottom.address.billing','mail','',30,'modules/CDev/XPaymentsConnector/invoice.twig',NULL),(959,'',0,0,'','invoice.base','mail','',60,'modules/CDev/XPaymentsConnector/kount.twig',NULL),(960,'',0,0,'','invoice.item.name','mail','',10,'modules/CDev/PINCodes/invoice_item_pin_codes.twig',NULL),(961,'',0,0,'','tracking.info','mail','',10,'order_tracking_information/parts/tracking_info.twig',NULL),(962,'',0,0,'','welcome-block.non-root.title','admin','',10,'welcome_block/admin/title.twig',NULL),(963,'',0,0,'','welcome-block.non-root.content','admin','',10,'welcome_block/admin/block.items.twig',NULL),(964,'',0,0,'','welcome-block.non-root','admin','',100,'welcome_block/admin/block.twig',NULL),(965,'',0,0,'','welcome-block.non-root.content','admin','',20,'welcome_block/admin/block.footer.twig',NULL),(966,'',0,0,'','welcome-block.root.title','admin','',10,'welcome_block/root_admin/title.twig',NULL),(967,'',0,0,'','welcome-block.root.content','admin','',10,'welcome_block/root_admin/block.items.twig',NULL),(968,'',0,0,'','welcome-block.root','admin','',100,'welcome_block/root_admin/block.twig',NULL),(969,'',0,0,'','welcome-block.root.content','admin','',20,'welcome_block/root_admin/block.footer.twig',NULL),(970,'',0,0,'','order.operations','admin','',50,'order/page/parts/staff_note.twig',NULL),(971,'',0,0,'','order','admin','',400,'order/page/parts/operations.twig',NULL),(972,'',0,0,'','order.actions.statuses','admin','',200,'order/page/parts/action.payment_status.twig',NULL),(973,'',0,0,'','order.payment','admin','',200,'order/page/parts/payment.address.twig',NULL),(974,'',0,0,'','order.title.row','admin','',100,'order/page/parts/title.twig',NULL),(975,'',0,0,'','order.operations','admin','',100,'order/page/parts/line1.twig',NULL),(976,'',0,0,'','order.actions.statuses','admin','',100,'order/page/parts/action.shipping_status.twig',NULL),(977,'',0,0,'','order.actions.paymentActionsRow','admin','',100,'order/page/parts/action.transactions.twig',NULL),(978,'',0,0,'','order.payment','admin','',100,'order/page/parts/payment.method.twig',NULL),(979,'',0,0,'','order.actions.statuses','admin','',1000,'order/page/parts/action.row.twig',NULL),(980,'',0,0,'','order','admin','',100,'order/page/parts/title.row.twig',NULL),(981,'',0,0,'','order.actions','admin','',1000,'order/page/parts/action.statuses.twig',NULL),(982,'',0,0,'','order.title.box','admin','',200,'order/page/parts/title.box.history.twig',NULL),(983,'',0,0,'','order.items.bottom','admin','',100,'order/page/parts/totals.twig',NULL),(984,'',0,0,'','order.base.totals','admin','',300,'order/page/parts/totals.total.twig',NULL),(985,'',0,0,'','order.items.bottom','admin','',200,'order/page/parts/customerNotes.twig',NULL),(986,'',0,0,'','order.base.totals','admin','',200,'order/page/parts/totals.modifiers.twig',NULL),(987,'',0,0,'','order.actions.paymentActionsRow','admin','',200,'order/page/parts/action.payment_actions.twig',NULL),(988,'',0,0,'','order.shipping','admin','',200,'order/page/parts/shipping.address.twig',NULL),(989,'',0,0,'','order','admin','',1000,'order/page/parts/antifraud_ad.twig',NULL),(990,'',0,0,'','order.base.totals','admin','',100,'order/page/parts/totals.subtotal.twig',NULL),(991,'',0,0,'','order.items.wrapper','admin','',10,'order/page/parts/items/items.twig',NULL),(992,'',0,0,'','order.item','admin','',10,'order/page/parts/items/item.name.twig',NULL),(993,'',0,0,'','order.items.head','admin','',30,'order/page/parts/items/items.head.qty.twig',NULL),(994,'',0,0,'','order.item','admin','',40,'order/page/parts/items/item.total.twig',NULL),(995,'',0,0,'','order.item','admin','',20,'order/page/parts/items/item.price.twig',NULL),(996,'',0,0,'','order.items.head','admin','',20,'order/page/parts/items/items.head.price.twig',NULL),(997,'',0,0,'','order.item.name','admin','',10,'order/page/parts/items/item.sku.twig',NULL),(998,'',0,0,'','order.items.head','admin','',40,'order/page/parts/items/items.head.total.twig',NULL),(999,'',0,0,'','order.items.head','admin','',10,'order/page/parts/items/items.head.name.twig',NULL),(1000,'',0,0,'','order.item','admin','',30,'order/page/parts/items/item.qty.twig',NULL),(1001,'',0,0,'','order.operations','admin','',300,'order/page/parts/line3.twig',NULL),(1002,'',0,0,'','order.items.wrapper','admin','',100,'order/page/parts/items_bottom_box.twig',NULL),(1003,'',0,0,'','order.operations','admin','',30,'order/page/parts/placed.twig',NULL),(1004,'',0,0,'','order.note','admin','',100,'order/page/parts/note.note.twig',NULL),(1005,'',0,0,'','order.title.row','admin','',200,'order/page/parts/title.box.twig',NULL),(1006,'',0,0,'','order.shipping','admin','',100,'order/page/parts/shipping.method.twig',NULL),(1007,'',0,0,'','packing_slip.base','admin','',25,'order/packing_slip/parts/body/body.note.twig',NULL),(1008,'',0,0,'','packing_slip.items','admin','',10,'order/packing_slip/parts/body/totals.twig',NULL),(1009,'',0,0,'','packing_slip.base','admin','',30,'order/packing_slip/parts/body/items.twig',NULL),(1010,'',0,0,'','packing_slip.items.head','admin','',10,'order/packing_slip/parts/body/items/items.head.sku.twig',NULL),(1011,'',0,0,'','packing_slip.items.head','admin','',40,'order/packing_slip/parts/body/items/items.head.qty_ship.twig',NULL),(1012,'',0,0,'','packing_slip.item','admin','',20,'order/packing_slip/parts/body/items/item.name.twig',NULL),(1013,'',0,0,'','packing_slip.items.head','admin','',30,'order/packing_slip/parts/body/items/items.head.qty.twig',NULL),(1014,'',0,0,'','packing_slip.item','admin','',10,'order/packing_slip/parts/body/items/item.name.sku.twig',NULL),(1015,'',0,0,'','packing_slip.item','admin','',40,'order/packing_slip/parts/body/items/item.qty_ship.twig',NULL),(1016,'',0,0,'','packing_slip.items.head','admin','',20,'order/packing_slip/parts/body/items/items.head.name.twig',NULL),(1017,'',0,0,'','packing_slip.item','admin','',30,'order/packing_slip/parts/body/items/item.qty.twig',NULL),(1018,'',0,0,'','packing_slip.footer','admin','',20,'order/packing_slip/parts/footer/footer.additional.twig',NULL),(1019,'',0,0,'','packing_slip.base','admin','',60,'order/packing_slip/parts/footer/footer.twig',NULL),(1020,'',0,0,'','packing_slip.addresses','admin','',10,'order/packing_slip/parts/addresses/addresses.purchaser.twig',NULL),(1021,'',0,0,'','packing_slip.addresses.shipping','admin','',10,'order/packing_slip/parts/addresses/purchaser.address.shipping.twig',NULL),(1022,'',0,0,'','packing_slip.base','admin','',20,'order/packing_slip/parts/addresses/addresses.twig',NULL),(1023,'',0,0,'','packing_slip.addresses','admin','',20,'order/packing_slip/parts/addresses/addresses.merchant.twig',NULL),(1024,'',0,0,'','packing_slip.addresses.billing','admin','',10,'order/packing_slip/parts/addresses/purchaser.address.billing.twig',NULL),(1025,'',0,0,'','packing_slip.base','admin','',10,'order/packing_slip/parts/head/head.twig',NULL),(1026,'',0,0,'','packing_slip.head','admin','',20,'order/packing_slip/parts/head/head.logo.twig',NULL),(1027,'',0,0,'','packing_slip.head','admin','',10,'order/packing_slip/parts/head/head.title.twig',NULL),(1028,'',0,0,'','order.history.base.events.details.info','admin','',10,'order/history/parts/event_details.twig',NULL),(1029,'',0,0,'','order.history.base.events.details.info','admin','',30,'order/history/parts/event_details_data.twig',NULL),(1030,'',0,0,'','order.history.base','admin','',10,'order/history/parts/block.twig',NULL),(1031,'',0,0,'','order.history.base.events','admin','',10,'order/history/parts/event_block_header.twig',NULL),(1032,'',0,0,'','order.history.base.events.details.info','admin','',20,'order/history/parts/event_details_comment.twig',NULL),(1033,'',0,0,'','order.history.base.events.details','admin','',20,'order/history/parts/event_details_action.twig',NULL),(1034,'',0,0,'','order.history.base.events.details','admin','',10,'order/history/parts/event_date.twig',NULL),(1035,'',0,0,'','order.history.base.events.details','admin','',30,'order/history/parts/event_description.twig',NULL),(1036,'',0,0,'','order.history.base.events.details','admin','',150,'order/history/parts/event_details_author.twig',NULL),(1037,'',0,0,'','order.history.base.events','admin','',20,'order/history/parts/event.twig',NULL),(1038,'',0,0,'','searchPanel.order.admin.main.actions','admin','',16777215,'search_panel/order/clear_search.twig',NULL),(1039,'',0,0,'','admin.main.page.content.center','admin','',10,'center.twig',NULL),(1040,'',0,0,'','address.order.main','admin','',300,'address/order/parts/shipping.twig',NULL),(1041,'',0,0,'','address.order.main','admin','',400,'address/order/parts/buttons.twig',NULL),(1042,'',0,0,'','address.order.main','admin','',100,'address/order/parts/info.twig',NULL),(1043,'',0,0,'','address.order.main','admin','',200,'address/order/parts/billing.twig',NULL),(1044,'',0,0,'','address.text.main','admin','',100,'address/text/parts/field.twig',NULL),(1045,'',0,0,'','admin.main.page.footer.left','admin','',100,'footer/right/marketplace_terms.twig',NULL),(1046,'',0,0,'','admin.main.page.footer.right','admin','',300,'footer/right/social_link.twig',NULL),(1047,'',0,0,'','admin.main.page.footer.right','admin','',100,'footer/right/site.twig',NULL),(1048,'',0,0,'','pager.itemsTotal','admin','',20,'pager/parts/items_total.twig',NULL),(1049,'',0,0,'','pager.admin.model.table.left','admin','',300,'pager/model/table/parts/more.twig',NULL),(1050,'',0,0,'','pager.admin.model.table.left','admin','',100,'pager/model/table/parts/page.twig',NULL),(1051,'',0,0,'','pager.admin.model.table.left','admin','',400,'pager/model/table/parts/items_per_page.twig',NULL),(1052,'',0,0,'','itemsList.productclass.header.before','admin','',10,'product_classes/header_note.twig',NULL),(1053,'',0,0,'','itemsList.state.header','admin','',10,'states/header.twig',NULL),(1054,'',0,0,'','payment.methods.list.line','admin','',100,'items_list/payment/methods/parts/line.header.twig',NULL),(1055,'',0,0,'','payment.methods.list.header','admin','',100,'items_list/payment/methods/parts/header.icon.twig',NULL),(1056,'',0,0,'','payment.methods.list.header','admin','',500,'items_list/payment/methods/parts/header.alt_icon.twig',NULL),(1057,'',0,0,'','payment.methods.list.header','admin','',200,'items_list/payment/methods/parts/header.title.twig',NULL),(1058,'',0,0,'','payment.methods.list.row','admin','',300,'items_list/payment/methods/parts/action.right.twig',NULL),(1059,'',0,0,'','payment.methods.list.header','admin','',400,'items_list/payment/methods/parts/header.description.twig',NULL),(1060,'',0,0,'','payment.methods.list.line','admin','',200,'items_list/payment/methods/parts/line.row.twig',NULL),(1061,'',0,0,'','payment.methods.list.header','admin','',300,'items_list/payment/methods/parts/header.switcher.twig',NULL),(1062,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',70,'items_list/product/table/parts/columns/inventory.twig',NULL),(1063,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',20,'items_list/product/table/parts/columns/sku.twig',NULL),(1064,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',30,'items_list/product/table/parts/columns/name.twig',NULL),(1065,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',60,'items_list/product/table/parts/columns/price.twig',NULL),(1066,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',50,'items_list/product/table/parts/columns/position.twig',NULL),(1067,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',10,'items_list/product/table/parts/columns/checkbox.twig',NULL),(1068,'',0,0,'','itemsList.product.table.admin.search.header','admin','',70,'items_list/product/table/parts/header/inventory.twig',NULL),(1069,'',0,0,'','itemsList.product.table.admin.search.header','admin','',20,'items_list/product/table/parts/header/sku.twig',NULL),(1070,'',0,0,'','itemsList.product.table.admin.search.header','admin','',30,'items_list/product/table/parts/header/name.twig',NULL),(1071,'',0,0,'','itemsList.product.table.admin.search.header','admin','',60,'items_list/product/table/parts/header/price.twig',NULL),(1072,'',0,0,'','itemsList.product.table.admin.search.header','admin','',50,'items_list/product/table/parts/header/position.twig',NULL),(1073,'',0,0,'','itemsList.product.table.admin.search.header','admin','',10,'items_list/product/table/parts/header/checkbox.twig',NULL),(1074,'',0,0,'','itemsList.product.modify.brief.admin.columns','admin','',70,'items_list/product/modify/brief/parts/columns/inventory.twig',NULL),(1075,'',0,0,'','itemsList.product.modify.brief.admin.columns','admin','',20,'items_list/product/modify/brief/parts/columns/sku.twig',NULL),(1076,'',0,0,'','itemsList.product.modify.brief.admin.columns','admin','',30,'items_list/product/modify/brief/parts/columns/name.twig',NULL),(1077,'',0,0,'','itemsList.product.modify.brief.admin.columns','admin','',60,'items_list/product/modify/brief/parts/columns/price.twig',NULL),(1078,'',0,0,'','itemsList.product.modify.brief.admin.header','admin','',70,'items_list/product/modify/brief/parts/header/inventory.twig',NULL),(1079,'',0,0,'','itemsList.product.modify.brief.admin.header','admin','',20,'items_list/product/modify/brief/parts/header/sku.twig',NULL),(1080,'',0,0,'','itemsList.product.modify.brief.admin.header','admin','',30,'items_list/product/modify/brief/parts/header/name.twig',NULL),(1081,'',0,0,'','itemsList.product.modify.brief.admin.header','admin','',60,'items_list/product/modify/brief/parts/header/price.twig',NULL),(1082,'',0,0,'','itemsList.product.modify.common.admin.columns','admin','',70,'items_list/product/modify/common/parts/columns/inventory.twig',NULL),(1083,'',0,0,'','itemsList.product.modify.common.admin.columns','admin','',20,'items_list/product/modify/common/parts/columns/sku.twig',NULL),(1084,'',0,0,'','itemsList.product.modify.common.admin.columns','admin','',30,'items_list/product/modify/common/parts/columns/name.twig',NULL),(1085,'',0,0,'','itemsList.product.modify.common.admin.columns','admin','',60,'items_list/product/modify/common/parts/columns/price.twig',NULL),(1086,'',0,0,'','itemsList.product.modify.common.admin.columns','admin','',10,'items_list/product/modify/common/parts/columns/checkbox.twig',NULL),(1087,'',0,0,'','itemsList.product.modify.common.admin.header','admin','',70,'items_list/product/modify/common/parts/header/inventory.twig',NULL),(1088,'',0,0,'','itemsList.product.modify.common.admin.header','admin','',20,'items_list/product/modify/common/parts/header/sku.twig',NULL),(1089,'',0,0,'','itemsList.product.modify.common.admin.header','admin','',30,'items_list/product/modify/common/parts/header/name.twig',NULL),(1090,'',0,0,'','itemsList.product.modify.common.admin.header','admin','',60,'items_list/product/modify/common/parts/header/price.twig',NULL),(1091,'',0,0,'','itemsList.product.modify.common.admin.header','admin','',10,'items_list/product/modify/common/parts/header/checkbox.twig',NULL),(1092,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',200,'items_list/module/manage/parts/columns/xcn_notice.twig',NULL),(1093,'',0,0,'','itemsList.module.manage.columns.icon','admin','',200,'items_list/module/manage/parts/columns/icon/image.twig',NULL),(1094,'',0,0,'','itemsList.module.install.columns.icon','admin','',200,'items_list/module/manage/parts/columns/icon/image.twig',NULL),(1095,'',0,0,'','itemsList.module.sales-channels.columns.icon','admin','',200,'items_list/module/manage/parts/columns/icon/image.twig',NULL),(1096,'',0,0,'','itemsList.module.purchased.columns.icon','admin','',200,'items_list/module/manage/parts/columns/icon/image.twig',NULL),(1097,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages','admin','',30,'items_list/module/manage/parts/columns/module-description-section/cannot_enable.twig',NULL),(1098,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable.twig',NULL),(1099,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable.twig',NULL),(1100,'',0,0,'','itemsList.module.purchased.columns.module-description-section','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable.twig',NULL),(1101,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages','admin','',40,'items_list/module/manage/parts/columns/module-description-section/upgrade_notes.twig',NULL),(1102,'',0,0,'','itemsList.module.manage.columns.module-description-section','admin','',30,'items_list/module/manage/parts/columns/module-description-section/messages.twig',NULL),(1103,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.core_upgrade_needed','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_2.twig',NULL),(1104,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.core_upgrade_needed','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_2.twig',NULL),(1105,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.core_upgrade_needed','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_2.twig',NULL),(1106,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.core_upgrade_needed','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_2.twig',NULL),(1107,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.core_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_1_enable.twig',NULL),(1108,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.core_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_1_install.twig',NULL),(1109,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies.twig',NULL),(1110,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies.twig',NULL),(1111,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies.twig',NULL),(1112,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies.twig',NULL),(1113,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed.twig',NULL),(1114,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed.twig',NULL),(1115,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed.twig',NULL),(1116,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed.twig',NULL),(1117,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.dependencies','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list.twig',NULL),(1118,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.dependencies','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list.twig',NULL),(1119,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.dependencies','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list.twig',NULL),(1120,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.dependencies','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list.twig',NULL),(1121,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.dependencies','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note_mutual.twig',NULL),(1122,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.dependencies','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note_mutual.twig',NULL),(1123,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.dependencies','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note_mutual.twig',NULL),(1124,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.dependencies','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note_mutual.twig',NULL),(1125,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.dependencies.details','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/details/link.twig',NULL),(1126,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.dependencies.details','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/details/link.twig',NULL),(1127,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.dependencies.details','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/details/link.twig',NULL),(1128,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.dependencies.details','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/details/link.twig',NULL),(1129,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.dependencies','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note.twig',NULL),(1130,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.dependencies','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note.twig',NULL),(1131,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.dependencies','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note.twig',NULL),(1132,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.dependencies','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note.twig',NULL),(1133,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.dependencies','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list_mutual.twig',NULL),(1134,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.dependencies','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list_mutual.twig',NULL),(1135,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.dependencies','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list_mutual.twig',NULL),(1136,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.dependencies','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list_mutual.twig',NULL),(1137,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed.twig',NULL),(1138,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed.twig',NULL),(1139,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed.twig',NULL),(1140,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed.twig',NULL),(1141,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.module_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed/note.twig',NULL),(1142,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.module_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed/note.twig',NULL),(1143,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.module_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed/note.twig',NULL),(1144,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.module_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed/note.twig',NULL),(1145,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages','admin','',40,'items_list/module/manage/parts/columns/module-description-section/update_notes.twig',NULL),(1146,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',15,'items_list/module/manage/parts/columns/module-description-section/translation_notice.twig',NULL),(1147,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages','admin','',30,'items_list/module/manage/parts/columns/module-description-section/cannot_disable.twig',NULL),(1148,'',0,0,'','itemsList.module.manage.columns.module-description-section','admin','',10,'items_list/module/manage/parts/columns/module-description-section/description.twig',NULL),(1149,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',10,'items_list/module/manage/parts/columns/module-description-section/description.twig',NULL),(1150,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section','admin','',10,'items_list/module/manage/parts/columns/module-description-section/description.twig',NULL),(1151,'',0,0,'','itemsList.module.purchased.columns.module-description-section','admin','',10,'items_list/module/manage/parts/columns/module-description-section/description.twig',NULL),(1152,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',1000,'items_list/module/manage/parts/columns/module-main-section/js_code.twig',NULL),(1153,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',40,'items_list/module/manage/parts/columns/module-main-section/request_for_upgrade.twig',NULL),(1154,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',40,'items_list/module/manage/parts/columns/module-main-section/request_for_upgrade.twig',NULL),(1155,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',40,'items_list/module/manage/parts/columns/module-main-section/request_for_upgrade.twig',NULL),(1156,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',40,'items_list/module/manage/parts/columns/module-main-section/request_for_upgrade.twig',NULL),(1157,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',25,'items_list/module/manage/parts/columns/module-main-section/version.twig',NULL),(1158,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',20,'items_list/module/manage/parts/columns/module-main-section/author.twig',NULL),(1159,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',20,'items_list/module/manage/parts/columns/module-main-section/author.twig',NULL),(1160,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',20,'items_list/module/manage/parts/columns/module-main-section/author.twig',NULL),(1161,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',20,'items_list/module/manage/parts/columns/module-main-section/author.twig',NULL),(1162,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',21,'items_list/module/manage/parts/columns/module-main-section/author_email.twig',NULL),(1163,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',21,'items_list/module/manage/parts/columns/module-main-section/author_email.twig',NULL),(1164,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',21,'items_list/module/manage/parts/columns/module-main-section/author_email.twig',NULL),(1165,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',21,'items_list/module/manage/parts/columns/module-main-section/author_email.twig',NULL),(1166,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',30,'items_list/module/manage/parts/columns/module-main-section/actions.twig',NULL),(1167,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',10,'items_list/module/manage/parts/columns/module-main-section/name.twig',NULL),(1168,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',10,'items_list/module/manage/parts/columns/module-main-section/name.twig',NULL),(1169,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',10,'items_list/module/manage/parts/columns/module-main-section/name.twig',NULL),(1170,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',10,'items_list/module/manage/parts/columns/module-main-section/name.twig',NULL),(1171,'',0,0,'','itemsList.module.manage.columns','admin','',50,'items_list/module/manage/parts/columns/main.twig',NULL),(1172,'',0,0,'','itemsList.module.install.columns','admin','',50,'items_list/module/manage/parts/columns/main.twig',NULL),(1173,'',0,0,'','itemsList.module.sales-channels.columns','admin','',50,'items_list/module/manage/parts/columns/main.twig',NULL),(1174,'',0,0,'','itemsList.module.purchased.columns','admin','',50,'items_list/module/manage/parts/columns/main.twig',NULL),(1175,'',0,0,'','itemsList.module.manage.columns','admin','',30,'items_list/module/manage/parts/columns/icon.twig',NULL),(1176,'',0,0,'','itemsList.module.install.columns','admin','',30,'items_list/module/manage/parts/columns/icon.twig',NULL),(1177,'',0,0,'','itemsList.module.sales-channels.columns','admin','',30,'items_list/module/manage/parts/columns/icon.twig',NULL),(1178,'',0,0,'','itemsList.module.purchased.columns','admin','',30,'items_list/module/manage/parts/columns/icon.twig',NULL),(1179,'',0,0,'','itemsList.module.manage.columns','admin','',70,'items_list/module/manage/parts/columns/description.twig',NULL),(1180,'',0,0,'','itemsList.module.install.columns','admin','',70,'items_list/module/manage/parts/columns/description.twig',NULL),(1181,'',0,0,'','itemsList.module.sales-channels.columns','admin','',70,'items_list/module/manage/parts/columns/description.twig',NULL),(1182,'',0,0,'','itemsList.module.purchased.columns','admin','',70,'items_list/module/manage/parts/columns/description.twig',NULL),(1183,'',0,0,'','itemsList.module.manage.sections','admin','',400,'items_list/module/manage/parts/sections/list.twig',NULL),(1184,'',0,0,'','modules-manage.top-controls','admin','',100,'items_list/module/manage/parts/sections/header.twig',NULL),(1185,'',0,0,'','itemsList.module.manage.sections','admin','',100,'items_list/module/manage/parts/sections/javascript.twig',NULL),(1186,'',0,0,'','marketplace.top-controls','admin','',500,'items_list/module/install/items_list/list.twig',NULL),(1187,'',0,0,'','marketplace.top-controls','admin','',200,'items_list/module/install/items_list/banner.twig',NULL),(1188,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/upgrade_notes.twig',NULL),(1189,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/upgrade_notes.twig',NULL),(1190,'',0,0,'','itemsList.module.purchased.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/upgrade_notes.twig',NULL),(1191,'',0,0,'','itemsList.module.install.columns.module-main-section.actions','admin','',100,'items_list/module/install/parts/columns/info/purchase.twig',NULL),(1192,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section.actions','admin','',100,'items_list/module/install/parts/columns/info/purchase.twig',NULL),(1193,'',0,0,'','itemsList.module.purchased.columns.module-main-section.actions','admin','',100,'items_list/module/install/parts/columns/info/purchase.twig',NULL),(1194,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/xcn_notice.twig',NULL),(1195,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/xcn_notice.twig',NULL),(1196,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/xcn_notice.twig',NULL),(1197,'',0,0,'','itemsList.module.install.columns.module-main-section.actions','admin','',100,'items_list/module/install/parts/columns/info/install.twig',NULL),(1198,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/install.twig',NULL),(1199,'',0,0,'','itemsList.module.purchased.columns.module-main-section.actions','admin','',100,'items_list/module/install/parts/columns/info/install.twig',NULL),(1200,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/not_avail_notice.twig',NULL),(1201,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/not_avail_notice.twig',NULL),(1202,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/not_avail_notice.twig',NULL),(1203,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',100,'items_list/module/install/parts/columns/info/already_installed.twig',NULL),(1204,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',100,'items_list/module/install/parts/columns/info/already_installed.twig',NULL),(1205,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',100,'items_list/module/install/parts/columns/info/already_installed.twig',NULL),(1206,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',30,'items_list/module/install/parts/columns/info/actions.twig',NULL),(1207,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',30,'items_list/module/install/parts/columns/info/actions.twig',NULL),(1208,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',30,'items_list/module/install/parts/columns/info/actions.twig',NULL),(1209,'',0,0,'','itemsList.module.install.columns.icon','admin','',210,'items_list/module/install/parts/columns/info/price.twig',NULL),(1210,'',0,0,'','itemsList.module.sales-channels.columns.icon','admin','',210,'items_list/module/install/parts/columns/info/price.twig',NULL),(1211,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/info/tags.twig',NULL),(1212,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/info/tags.twig',NULL),(1213,'',0,0,'','itemsList.module.purchased.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/info/tags.twig',NULL),(1214,'',0,0,'','itemsList.module.install.columns.module-description-section.info-element','admin','',10,'items_list/module/install/parts/columns/info/vote.twig',NULL),(1215,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',400,'items_list/module/install/parts/columns/info/purchase_state.twig',NULL),(1216,'',0,0,'','itemsList.module.purchased.columns.module-description-section','admin','',400,'items_list/module/install/parts/columns/info/purchase_state.twig',NULL),(1217,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',25,'items_list/module/install/parts/columns/info/popularity.twig',NULL),(1218,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',25,'items_list/module/install/parts/columns/info/popularity.twig',NULL),(1219,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',25,'items_list/module/install/parts/columns/info/popularity.twig',NULL),(1220,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',15,'items_list/module/install/parts/columns/info.twig',NULL),(1221,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',15,'items_list/module/install/parts/columns/info.twig',NULL),(1222,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',15,'items_list/module/install/parts/columns/info.twig',NULL),(1223,'',0,0,'','marketplace.top-controls','admin','',400,'items_list/module/install/parts/header.twig',NULL),(1224,'',0,0,'','marketplace.addons-filters','admin','',200,'items_list/module/install/parts/sections/addons_search_box.twig',NULL),(1225,'',0,0,'','marketplace.top-controls','admin','',100,'items_list/module/install/parts/sections/filter.twig',NULL),(1226,'',0,0,'','marketplace.top-controls','admin','',300,'items_list/module/install/parts/sections/sorting.twig',NULL),(1227,'',0,0,'','marketplace.addons-filters','admin','',250,'items_list/module/install/parts/sections/my_purchases.twig',NULL),(1228,'',0,0,'','itemsList.module.install.footer','admin','',10,'items_list/module/install/parts/footer.twig',NULL),(1229,'',0,0,'','marketplace.top-controls','admin','',700,'items_list/module/install/footer.twig',NULL),(1230,'',0,0,'','sales-channels.top-controls','admin','',400,'items_list/module/sales_channels/items_list/list.twig',NULL),(1231,'',0,0,'','sales-channels.top-controls','admin','',500,'items_list/module/sales_channels/items_list/footer.twig',NULL),(1232,'',0,0,'','sales-channels.top-controls','admin','',300,'items_list/module/sales_channels/items_list/clear.twig',NULL),(1233,'',0,0,'','itemsList.module.purchased.columns.icon','admin','',210,'items_list/module/purchased/parts/columns/info/price.twig',NULL),(1234,'',0,0,'','itemsList.orders.search.cell.status','admin','',16777215,'items_list/model/table/order/cell.actions.twig',NULL),(1235,'',0,0,'','itemsList.orders.search.cell.status','admin','',16777215,'items_list/model/table/order/cell.payment_actions.twig',NULL),(1236,'',0,0,'','itemsList.category.cell.subcategories','admin','',100,'items_list/model/table/category/parts/info.subcategories.twig',NULL),(1237,'',0,0,'','itemsList.category.cell.info','admin','',100,'items_list/model/table/category/parts/info.products.twig',NULL),(1238,'',0,0,'','itemsList.orderitem.cell.price','admin','',100,'items_list/model/table/order_item/restore.twig',NULL),(1239,'',0,0,'','itemsList.orderitem.dumpCell.price','admin','',100,'items_list/model/table/order_item/restore.twig',NULL),(1240,'',0,0,'','itemsList.country.cell.states','admin','',100,'items_list/model/table/countries/parts/cell.states.twig',NULL),(1241,'',0,0,'','itemsList.shipping-methods.cell.rates','admin','',100,'items_list/model/table/shipping/methods/cell.rates.twig',NULL),(1242,'',0,0,'','itemsList.profile.search.footer','admin','',20,'profile/add_user.twig',NULL),(1243,'',0,0,'','itemsList.profile.search.footer','admin','',10,'profile/delete_user.twig',NULL),(1244,'',0,0,'','dashboard-center','admin','',200,'dashboard/parts/center/panel.twig',NULL),(1245,'',0,0,'','dashboard','admin','',100,'dashboard/parts/body_markup.twig',NULL),(1246,'',0,0,'','crud.settings.field','admin','',100,'email_settings/queues_note.twig',NULL),(1247,'',0,0,'','crud.modulesettings.formHeader','admin','',50,'promotions/simple_blocks/modules_settings.twig',NULL),(1248,'',0,0,'','form_model.product.inventory.before','admin','',5,'promotions/simple_blocks/wholesale.twig',NULL),(1249,'',0,0,'','crud.currency.currency.formHeader','admin','',50,'promotions/simple_blocks/multicurrency.twig',NULL),(1250,'',0,0,'','crud.notificationattachments.formHeader','admin','',50,'promotions/simple_blocks/pdf_invoice.twig',NULL),(1251,'',0,0,'','crud.bannerrotation.formHeader','admin','',50,'promotions/simple_blocks/banner_system.twig',NULL),(1252,'',0,0,'','crud.settings.footer','admin','',100,'settings/email.twig',NULL),(1253,'',0,0,'','crud.settings.footer','admin','',200,'settings/clean_view_cache.twig',NULL),(1254,'',0,0,'','crud.settings.footer','admin','',100,'settings/clean_aggregation.twig',NULL),(1255,'',0,0,'','admin.center','admin','',16777215,'settings/module.twig',NULL),(1256,'',0,0,'','file-uploader.menu','admin','',20,'file_uploader/parts/menu.view.twig',NULL),(1257,'',0,0,'','file-uploader.menu','admin','',100,'file_uploader/parts/menu.delete.twig',NULL),(1258,'',0,0,'','file-uploader.menu','admin','',30,'file_uploader/parts/menu.upload.twig',NULL),(1259,'',0,0,'','file-uploader.menu','admin','',50,'file_uploader/parts/menu.alt.twig',NULL),(1260,'',0,0,'','file-uploader.menu','admin','',10,'file_uploader/parts/menu.message.twig',NULL),(1261,'',0,0,'','install-addon.buttons','admin','',16777215,'modules_manager/license/select_type_button.twig',NULL),(1262,'',0,0,'','install-addon.buttons','admin','',16777215,'modules_manager/license/install_button.twig',NULL),(1263,'',0,0,'','installation_types.buttons','admin','',16777215,'modules_manager/installation_type/buttons.twig',NULL),(1264,'',0,0,'','admin.main.page.header','admin','',16777215,'top_links/version_notes/parts/key_notice.twig',NULL),(1265,'',0,0,'','admin.main.page.header','admin','',20,'top_links/version_notes/parts/base.twig',NULL),(1266,'',0,0,'','itemsList.removedata.header','admin','',100,'page/remove_data/parts/remove.twig',NULL),(1267,'',0,0,'','layout_settings','admin','',10,'layout_settings/parts/layout_settings.settings.twig',NULL),(1268,'',0,0,'','layout_settings','admin','',20,'layout_settings/parts/layout_settings.change_template.twig',NULL),(1269,'',0,0,'','layout_settings.settings','admin','',40,'layout_settings/settings/parts/settings.settings_form.twig',NULL),(1270,'',0,0,'','layout_settings.settings','admin','',30,'layout_settings/settings/parts/settings.layout_type.twig',NULL),(1271,'',0,0,'','layout_settings.settings','admin','',20,'layout_settings/settings/parts/settings.current_template.twig',NULL),(1272,'',0,0,'','itemsList.methods.header','admin','',10,'payment/appearance/note.twig',NULL),(1273,'',0,0,'','payment.method.add.offline','admin','',16777215,'payment/add_method/parts/add_offline_method.twig',NULL),(1274,'',0,0,'','itemsList.onlinemethods.header','admin','',10,'payment/add_method/parts/payment_gateways.note.twig',NULL),(1275,'',0,0,'','jscontainer.js','admin','',100,'jscontainer/parts/js.twig',NULL),(1276,'',0,0,'','jscontainer.js','admin','',300,'jscontainer/parts/register_resources.twig',NULL),(1277,'',0,0,'','jscontainer.js','admin','',200,'jscontainer/parts/js_aggregation.twig',NULL),(1278,'',0,0,'','product.search.conditions.by-keywords','admin','',30,'product/search/parts/by_conditions_parts/by_description.twig',NULL),(1279,'',0,0,'','product.search.conditions.by-keywords','admin','',10,'product/search/parts/by_conditions_parts/by_title.twig',NULL),(1280,'',0,0,'','product.search.conditions.by-keywords','admin','',20,'product/search/parts/by_conditions_parts/by_sku.twig',NULL),(1282,'',0,0,'','product.inventory.parts','admin','',40,'product/inventory/low_limit_amount.twig',NULL),(1283,'',0,0,'','product.inventory.parts','admin','',30,'product/inventory/low_limit_selector.twig',NULL),(1284,'',0,0,'','product.inventory.parts','admin','',100,'product/inventory/buttons.twig',NULL),(1286,'',0,0,'','product.attributes.actions','admin','',10,'product/attributes/parts/action.remove.twig',NULL),(1287,'',0,0,'','itemsList.attributegroup.footer','admin','',10,'attribute_groups/note.twig',NULL),(1288,'',0,0,'','import.begin.options','admin','',100,'import/parts/option.update_only.twig',NULL),(1289,'',0,0,'','import.failed.buttons','admin','',100,'import/parts/failed.buttons.reupload.twig',NULL),(1290,'',0,0,'','import.begin.options','admin','',200,'import/parts/option.delete_temporary_files.twig',NULL),(1291,'',0,0,'','import.failed.content.errors','admin','',100,'import/parts/common.errors.twig',NULL),(1292,'',0,0,'','import.completed.content.errors','admin','',100,'import/parts/common.errors.twig',NULL),(1293,'',0,0,'','import.begin.content','admin','',100,'import/parts/begin.files.twig',NULL),(1294,'',0,0,'','import.begin.options','admin','',50,'import/parts/option.ignore_images_verification.twig',NULL),(1295,'',0,0,'','import.begin.buttons','admin','',100,'import/parts/begin.buttons.import.twig',NULL),(1296,'',0,0,'','import.begin.content','admin','',200,'import/parts/begin.options.twig',NULL),(1297,'',0,0,'','import.completed.content','admin','',100,'import/parts/completed.messages.twig',NULL),(1298,'',0,0,'','import.begin.options','admin','',400,'import/parts/option.delimiter.twig',NULL),(1299,'',0,0,'','import.completed.buttons','admin','',100,'import/parts/completed.buttons.new_import.twig',NULL),(1300,'',0,0,'','import.begin.options','admin','',300,'import/parts/option.charset.twig',NULL),(1301,'',0,0,'','import.begin.content.files','admin','',100,'import/parts/begin.files.orders_note.twig',NULL),(1302,'',0,0,'','import.failed.content','admin','',100,'import/parts/failed.errors.twig',NULL),(1303,'',0,0,'','import.failed.buttons','admin','',200,'import/parts/failed.buttons.proceed.twig',NULL),(1304,'',0,0,'','admin.main.page.header.left','admin','',100,'main_center/page_container_parts/header_parts/logo.twig',NULL),(1305,'',0,0,'','admin.main.page.header','admin','',100,'main_center/page_container_parts/header_parts/menu_control.twig',NULL),(1306,'',0,0,'','head','admin','',80,'header/parts/favicon.twig',NULL),(1307,'',0,0,'','head','admin','',40,'header/parts/ie.twig',NULL),(1308,'',0,0,'','head','admin','',10,'header/parts/title.twig',NULL),(1309,'',0,0,'','head.css','admin','',100,'header/parts/parts.css/css.twig',NULL),(1310,'',0,0,'','head.css','admin','',200,'header/parts/parts.css/css_aggregation.twig',NULL),(1311,'',0,0,'','head','admin','',100,'header/parts/js_static.twig',NULL),(1312,'',0,0,'','head','admin','',70,'header/parts/nofollow.twig',NULL),(1313,'',0,0,'','head','admin','',700,'header/parts/meta_mobile-capable.twig',NULL),(1314,'',0,0,'','head','admin','',90,'header/parts/css.twig',NULL),(1315,'',0,0,'','head','admin','',1500,'header/parts/preloaded_labels.twig',NULL),(1316,'',0,0,'','head','admin','',20,'header/parts/content-type.twig',NULL),(1317,'',0,0,'','head','admin','',40,'header/parts/noindex.twig',NULL),(1318,'',0,0,'','zones.zone.details','admin','',200,'zones/details/parts/field.state.twig',NULL),(1319,'',0,0,'','zones.zone.details','admin','',100,'zones/details/parts/field.country.twig',NULL),(1320,'',0,0,'','zones.zone','admin','',300,'zones/details/parts/actions.twig',NULL),(1321,'',0,0,'','zones.zone.details','admin','',500,'zones/details/parts/field.address.twig',NULL),(1322,'',0,0,'','zones.zone.details','admin','',400,'zones/details/parts/field.zipcode.twig',NULL),(1323,'',0,0,'','zones.zone','admin','',200,'zones/details/parts/details.twig',NULL),(1324,'',0,0,'','zones.zone.details','admin','',300,'zones/details/parts/field.city.twig',NULL),(1325,'',0,0,'','zones.zone','admin','',100,'zones/details/parts/field.name.twig',NULL),(1326,'',0,0,'','top_sellers.selectors','admin','',10,'top_sellers/parts/availability_selector.twig',NULL),(1327,'',0,0,'','top_sellers.selectors','admin','',20,'top_sellers/parts/period_selector.twig',NULL),(1328,'',0,0,'','crud.bannerrotation.formFooter','admin','',200,'banner_rotation/parts/images.twig',NULL),(1329,'',0,0,'','browseServer','admin','',100,'browse_server/parts/items.twig',NULL),(1330,'',0,0,'','browseServer.item','admin','',100,'browse_server/parts/item.name.twig',NULL),(1331,'',0,0,'','browseServer','admin','',200,'browse_server/parts/buttons.twig',NULL),(1332,'',0,0,'','payment.methods.list.header','admin','',9999,'modules/Amazon/PayWithAmazon/method_style.twig',NULL),(1333,'',0,0,'','onboarding-wizard.header','admin','',50,'modules/XC/Onboarding/wizard/close_button.twig',NULL),(1334,'',0,0,'','onboarding-wizard.header','admin','',100,'modules/XC/Onboarding/wizard/header.twig',NULL),(1335,'',0,0,'','payment.methods.list.header','admin','',400,'modules/XC/SagePay/sagepay_description.twig',NULL),(1336,'',0,0,'','payment_status.after.SagePay_form_protocol','admin','',100,'modules/XC/SagePay/payment_status.twig',NULL),(1337,'',0,0,'','images_settings','admin','',100,'modules/XC/ThemeTweaker/images_settings/parts/custom_images.twig',NULL),(1338,'',0,0,'','form_model.xc.bulkediting.product.after','admin','',100,'modules/XC/BulkEditing/bulk_edit/selected.twig',NULL),(1339,'',0,0,'','itemsList.xc.bulkediting.category.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL),(1340,'',0,0,'','itemsList.xc.bulkediting.inventory.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL),(1341,'',0,0,'','itemsList.xc.bulkediting.priceandmembership.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL),(1342,'',0,0,'','itemsList.xc.bulkediting.shippinginfo.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL),(1343,'',0,0,'','product.search.conditions.by-keywords','admin','',40,'modules/XC/ProductTags/product/search/parts/by_conditions_parts/by_tag.twig',NULL),(1344,'',0,0,'','itemsList.xc.reviews.review.header','admin','',16777215,'modules/XC/Reviews/reviews/buttons/addReview.twig',NULL),(1345,'',0,0,'','itemsList.xc.reviews.productreview.header','admin','',16777215,'modules/XC/Reviews/reviews/buttons/addReview.twig',NULL),(1346,'',0,0,'','crud.modulesettings.formHeader','admin','',50,'modules/XC/Reviews/review/promo_settings.twig',NULL),(1347,'',0,0,'','crud.review.footer','admin','',100,'modules/XC/Reviews/review/promo.twig',NULL),(1348,'',0,0,'','order.shipping','admin','',250,'modules/XC/CanadaPost/order/page/parts/shipping.d2po.twig',NULL),(1349,'',0,0,'','searchPanel.xc.canadapost.productsreturn.admin.main.actions','admin','',16777215,'modules/XC/CanadaPost/search_panel/return/clear_search.twig',NULL),(1350,'',0,0,'','capost_return.form','admin','',300,'modules/XC/CanadaPost/products_return/parts/form.files.twig',NULL),(1351,'',0,0,'','capost_return.form.actions.left','admin','',100,'modules/XC/CanadaPost/products_return/parts/form.action.left.status.twig',NULL),(1352,'',0,0,'','capost_return.form.actions.right','admin','',100,'modules/XC/CanadaPost/products_return/parts/form.action.right.note.twig',NULL),(1353,'',0,0,'','capost_return','admin','',200,'modules/XC/CanadaPost/products_return/parts/form.twig',NULL),(1354,'',0,0,'','capost_return.form','admin','',100,'modules/XC/CanadaPost/products_return/parts/form.actions.twig',NULL),(1355,'',0,0,'','capost_return.form','admin','',200,'modules/XC/CanadaPost/products_return/parts/form.products.twig',NULL),(1356,'',0,0,'','capost_return','admin','',100,'modules/XC/CanadaPost/products_return/parts/created.twig',NULL),(1357,'',0,0,'','capost_return.form','admin','',400,'modules/XC/CanadaPost/products_return/parts/form.notes.twig',NULL),(1358,'',0,0,'','welcome-block.paypal','admin','',100,'modules/CDev/Paypal/welcome_block/paypal/block.twig',NULL),(1359,'',0,0,'','welcome-block.paypal.content','admin','',20,'modules/CDev/Paypal/welcome_block/paypal/block.footer.twig',NULL),(1360,'',0,0,'','welcome-block.paypal.content','admin','',10,'modules/CDev/Paypal/welcome_block/paypal/block.content.twig',NULL),(1361,'',0,0,'','order.payment','admin','',110,'modules/CDev/Paypal/order/payment.id.twig',NULL),(1362,'',0,0,'','order.actions.paymentActionsRow','admin','',100,'modules/CDev/Paypal/order/refund_in_progress.twig',NULL),(1363,'',0,0,'','payment.methods.list.row.after.ExpressCheckout','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.expressCheckout.twig',NULL),(1364,'',0,0,'','payment.methods.list.row.after.PayflowLink','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.twig',NULL),(1365,'',0,0,'','payment.methods.list.row.after.PaypalAdvanced','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.twig',NULL),(1366,'',0,0,'','payment.methods.list.row.after.PaypalWPS','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.twig',NULL),(1367,'',0,0,'','payment_status.after.ExpressCheckout','admin','',100,'modules/CDev/Paypal/settings/ExpressCheckout/payment_status.twig',NULL),(1368,'',0,0,'','itemsList.shipping-methods.header','admin','',20,'modules/CDev/USPS/refresh.twig',NULL),(1369,'',0,0,'','browseServer.item','admin','',200,'modules/CDev/Egoods/encrypt_mark.twig',NULL),(1370,'',0,0,'','order.actions.paymentActionsRow','admin','',19000,'modules/CDev/XPaymentsConnector/order/order/payment_actions/recharge.twig',NULL),(1371,'',0,0,'','order','admin','',1100,'modules/CDev/XPaymentsConnector/order/fraud_status/check.twig',NULL),(1372,'',0,0,'','order','admin','',1000,'modules/CDev/XPaymentsConnector/order/fraud_status/kount.twig',NULL),(1373,'',0,0,'','order.operations','admin','',290,'modules/CDev/XPaymentsConnector/order/transactions/body.twig',NULL),(1374,'',0,0,'','admin.account.saved_cards.before','admin','',100,'modules/CDev/XPaymentsConnector/account/saved_cards.header.twig',NULL),(1375,'',0,0,'','admin.account.add_new_card.address','admin','',100,'modules/CDev/XPaymentsConnector/account/add_new_card.address.twig',NULL),(1376,'',0,0,'','admin.account.saved_cards.table','admin','',100,'modules/CDev/XPaymentsConnector/account/saved_cards.table.twig',NULL),(1377,'',0,0,'','admin.account.add_new_card.form','admin','',100,'modules/CDev/XPaymentsConnector/account/add_new_card.form.twig',NULL),(1378,'',0,0,'','payment.methods.body','admin','',150,'modules/CDev/Moneybookers/register.twig',NULL),(1379,'',0,0,'','itemsList.cdev.simplecms.menu.header','admin','',10,'modules/CDev/SimpleCMS/menus/default_option.twig',NULL),(1380,'',0,0,'','product.modify.list','admin','',550,'modules/CDev/MarketPrice/price.twig',NULL),(1381,'',0,0,'','product.modify.list','admin','',832,'modules/CDev/ProductAdvisor/product/parts/coming_soon.twig',NULL),(1382,'',0,0,'','product.modify.list','admin','',832,'modules/CDev/ProductAdvisor/product/parts/new_arrival.twig',NULL),(1383,'',0,0,'','product.inventory.parts','admin','',10,'modules/CDev/PINCodes/inv_track_selector.twig',NULL),(1384,'',0,0,'','product.pinCodes','admin','',300,'modules/CDev/PINCodes/product/pins_status.twig',NULL),(1385,'',0,0,'','product.pinCodes','admin','',10,'modules/CDev/PINCodes/product/script_init.twig',NULL),(1386,'',0,0,'','product.pinCodes','admin','',100,'modules/CDev/PINCodes/product/enabled_checkbox.twig',NULL),(1387,'',0,0,'','product.pinCodes','admin','',400,'modules/CDev/PINCodes/product/actions.twig',NULL),(1388,'',0,0,'','product.pinCodes','admin','',200,'modules/CDev/PINCodes/product/auto_generate.twig',NULL),(1389,'',0,0,'','product.inventory.parts','admin','',20,'modules/CDev/PINCodes/inv_track_amount.twig',NULL),(1390,'',0,0,'','itemsList.products.search.cell.name','admin','',10,'modules/CDev/Sale/product/sale_label.twig',NULL),(1391,'',0,0,'','itemsList.product_selector.cell.name','admin','',10,'modules/CDev/Sale/product/sale_label.twig',NULL),(1392,'',0,0,'','sale_discount_types','admin','',20,'modules/CDev/Sale/sale_discount_types/parts/percent.twig',NULL),(1393,'',0,0,'','sale_discount_types','admin','',40,'modules/CDev/Sale/sale_discount_types/parts/hidden_percent.twig',NULL),(1394,'',0,0,'','sale_discount_types','admin','',10,'modules/CDev/Sale/sale_discount_types/parts/price.twig',NULL),(1395,'',0,0,'','sale_discount_types','admin','',30,'modules/CDev/Sale/sale_discount_types/parts/hidden_price.twig',NULL),(1396,'',0,0,'','itemsList.product.admin.featured.columns','admin','',40,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/category.twig',NULL),(1397,'',0,0,'','itemsList.product.admin.featured.columns','admin','',20,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/sku.twig',NULL),(1398,'',0,0,'','itemsList.product.admin.featured.columns','admin','',30,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/name.twig',NULL),(1399,'',0,0,'','itemsList.product.admin.featured.columns','admin','',10,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/checkbox.twig',NULL),(1400,'',0,0,'','itemsList.product.admin.featured.header','admin','',40,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/category.twig',NULL),(1401,'',0,0,'','itemsList.product.admin.featured.header','admin','',20,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/sku.twig',NULL),(1402,'',0,0,'','itemsList.product.admin.featured.header','admin','',30,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/name.twig',NULL),(1403,'',0,0,'','itemsList.product.admin.featured.header','admin','',10,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/checkbox.twig',NULL),(1404,'',0,0,'','itemsList.category.cell.featured_products','admin','',100,'modules/CDev/FeaturedProducts/items_list/category/parts/info.featured_products.twig',NULL),(1405,'',0,0,'','coupons.itemsList.header','admin','',100,'modules/CDev/Coupons/coupons/list/add.twig',NULL),(1406,'',0,0,'','itemsList.coupons.cell.code','admin','',16777215,'modules/CDev/Coupons/coupons/list/code.twig',NULL),(1407,'',0,0,'','invoice.base.totals.modifier.name','admin','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL),(1408,'',0,0,'','order.payment','admin','',120,'modules/QSL/BraintreeVZ/order/credit_card.twig',NULL),(1409,'',0,0,'','payment_status.after.PayPal_powered_by_Braintree','admin','',20,'modules/QSL/BraintreeVZ/config/status.twig',NULL),(1410,'',0,0,'','qsl.specialoffersbase.special_offers.list.create','admin','',100,'modules/QSL/SpecialOffersBase/special_offers/create/type.twig',NULL),(1411,'',0,0,'','qsl.specialoffersbase.special_offers.list.create','admin','',200,'modules/QSL/SpecialOffersBase/special_offers/create/action.create.twig',NULL),(1412,'',0,0,'','qsl.specialoffersbase.special_offers.list.search.conditions','admin','',100,'modules/QSL/SpecialOffersBase/special_offers/conditions/name.twig',NULL),(1413,'',0,0,'','qsl.specialoffersbase.special_offers.list.search.conditions','admin','',200,'modules/QSL/SpecialOffersBase/special_offers/conditions/action.search.twig',NULL),(1414,'',0,0,'','tabs.after.items','admin','',100,'profiles/parts/actions.twig',NULL),(1415,'',0,0,'','profiles.search.dateTypes','admin','',100,'profiles/parts/search_form/date_type.registered.twig',NULL),(1416,'',0,0,'','profiles.search.dateTypes','admin','',200,'profiles/parts/search_form/date_type.logged.twig',NULL),(1417,'',0,0,'','languages.add-language','admin','',300,'languages/languages/parts/import_language.twig',NULL),(1418,'',0,0,'','file_select_dialog.file_selections','admin','',400,'file_selector/parts/local_server_input.twig',NULL),(1419,'',0,0,'','file_select_dialog.file_selections','admin','',100,'file_selector/parts/local_computer_label.twig',NULL),(1420,'',0,0,'','file_select_dialog.file_selections','admin','',600,'file_selector/parts/url_input.twig',NULL),(1421,'',0,0,'','file_select_dialog.file_selections_url','admin','',600,'file_selector/parts/url_input.twig',NULL),(1422,'',0,0,'','file_select_dialog.file_selections','admin','',300,'file_selector/parts/local_server_label.twig',NULL),(1423,'',0,0,'','file_select_dialog.actions','admin','',100,'file_selector/parts/file_select_actions.twig',NULL),(1424,'',0,0,'','file_select_dialog.file_selections','admin','',700,'file_selector/parts/url_copy_to_local.twig',NULL),(1425,'',0,0,'','file_select_dialog.file_selections_url','admin','',700,'file_selector/parts/url_copy_to_local.twig',NULL),(1426,'',0,0,'','file_select_dialog.file_selections','admin','',500,'file_selector/parts/url_label.twig',NULL),(1427,'',0,0,'','file_select_dialog.file_selections_url','admin','',500,'file_selector/parts/url_label.twig',NULL),(1428,'',0,0,'','file_select_dialog.file_selections','admin','',200,'file_selector/parts/local_computer_input.twig',NULL),(1429,'',0,0,'','images_settings','admin','',40,'images_settings/parts/layout_settings.cloud_zoom.twig',NULL),(1430,'',0,0,'','images_settings','admin','',55,'images_settings/parts/lazy_load.twig',NULL),(1431,'',0,0,'','images_settings','admin','',35,'images_settings/parts/unsharp_mask.twig',NULL),(1432,'',0,0,'','images_settings','admin','',30,'images_settings/parts/resize_quality.twig',NULL),(1433,'',0,0,'','images_settings','admin','',50,'images_settings/parts/layout_settings.cloud_zoom_mode.twig',NULL),(1434,'',0,0,'','images_settings','admin','',60,'images_settings/parts/default_settings.twig',NULL),(1435,'',0,0,'','images_settings','admin','',20,'images_settings/parts/resize_images.twig',NULL),(1436,'',0,0,'','product.plain_price','admin','',10,'common/price_parts/price.twig',NULL),(1437,'',0,0,'','product.plain_price_only','admin','',10,'common/price_parts/price.twig',NULL),(1438,'',0,0,'','edit_shipping','admin','',16777215,'shipping/add_method/parts/offline_create.twig',NULL),(1439,'',0,0,'','crud.shipping.offline.formFooter','admin','',16777215,'shipping/add_method/parts/rates.twig',NULL),(1440,'',0,0,'','itemsList.shipping-methods.header','admin','',10,'shipping/methods.status.twig',NULL),(1441,'',0,0,'','itemsList.notification.header','admin','',100,'notifications/list.twig',NULL),(1442,'',0,0,'','itemsList.notification.cell.name','admin','',100,'notifications/cell.name.twig',NULL),(1443,'',0,0,'','crud.notificationattachments.formHeader','admin','',100,'notifications/parts/warning.twig',NULL),(1444,'',0,0,'','itemsList.notification.cell.enabledForAdmin','admin','',100,'notifications/cell.enabledForAdmin.twig',NULL),(1445,'',0,0,'','upgrade.step.ready_to_install.buttons.sections.right','admin','',200,'upgrade/step/ready_to_install/buttons/parts/try_again.twig',NULL),(1446,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.permissions.buttons','admin','',200,'upgrade/step/ready_to_install/buttons/parts/try_again.twig',NULL),(1447,'',0,0,'','upgrade.step.ready_to_install.buttons.sections.left','admin','',200,'upgrade/step/ready_to_install/buttons/parts/install.twig',NULL),(1448,'',0,0,'','upgrade.step.ready_to_install.buttons.sections','admin','',100,'upgrade/step/ready_to_install/buttons/parts/left.twig',NULL),(1449,'',0,0,'','upgrade.step.ready_to_install.buttons.sections','admin','',200,'upgrade/step/ready_to_install/buttons/parts/right.twig',NULL),(1450,'',0,0,'','upgrade.step.ready_to_install.buttons.sections.left','admin','',100,'upgrade/step/ready_to_install/buttons/parts/agree.twig',NULL),(1451,'',0,0,'','upgrade.step.ready_to_install.buttons.sections.left','admin','',150,'upgrade/step/ready_to_install/buttons/parts/remove_agree.twig',NULL),(1452,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.permissions.buttons','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/permissions/buttons/copy.twig',NULL),(1453,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/columns/changelog_link.twig',NULL),(1454,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/columns/version.twig',NULL),(1455,'',0,0,'','upgrade.step.completed.entries_list.sections.table.columns','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/columns/version.twig',NULL),(1456,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/table/columns/component.twig',NULL),(1457,'',0,0,'','upgrade.step.completed.entries_list.sections.table.columns','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/table/columns/component.twig',NULL),(1458,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns','admin','',200,'upgrade/step/ready_to_install/entries_list/parts/table/columns/status.twig',NULL),(1459,'',0,0,'','upgrade.step.completed.entries_list.sections.table.columns','admin','',200,'upgrade/step/ready_to_install/entries_list/parts/table/columns/status.twig',NULL),(1460,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns.changelog','admin','',350,'upgrade/step/ready_to_install/entries_list/parts/table/columns/changelog.twig',NULL),(1461,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns.error','admin','',400,'upgrade/step/ready_to_install/entries_list/parts/table/columns/error.twig',NULL),(1462,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.header','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/header/version.twig',NULL),(1463,'',0,0,'','upgrade.step.completed.entries_list.sections.table.header','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/header/version.twig',NULL),(1464,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.header','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/table/header/component.twig',NULL),(1465,'',0,0,'','upgrade.step.completed.entries_list.sections.table.header','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/table/header/component.twig',NULL),(1466,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.header','admin','',200,'upgrade/step/ready_to_install/entries_list/parts/table/header/status.twig',NULL),(1467,'',0,0,'','upgrade.step.completed.entries_list.sections.table.header','admin','',200,'upgrade/step/ready_to_install/entries_list/parts/table/header/status.twig',NULL),(1468,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.header','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/header/changelog.twig',NULL),(1469,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/table.twig',NULL),(1470,'',0,0,'','upgrade.step.completed.entries_list.sections','admin','',200,'upgrade/step/ready_to_install/entries_list/parts/table.twig',NULL),(1471,'',0,0,'','upgrade.step.completed.backup.actions','admin','',300,'upgrade/step/completed/backup/part/actions/restore_backup.twig',NULL),(1472,'',0,0,'','upgrade.step.completed.backup.actions','admin','',100,'upgrade/step/completed/backup/part/actions/soft_reset.twig',NULL),(1473,'',0,0,'','upgrade.step.ready_to_install.create_backup.actions','admin','',100,'upgrade/step/completed/backup/part/actions/soft_reset.twig',NULL),(1474,'',0,0,'','upgrade.step.ready_to_install.create_backup.actions','admin','',50,'upgrade/step/completed/backup/part/actions/restore_snapshot.twig',NULL),(1475,'',0,0,'','upgrade.step.completed.backup.actions','admin','',200,'upgrade/step/completed/backup/part/actions/hard_reset.twig',NULL),(1476,'',0,0,'','upgrade.step.ready_to_install.create_backup.actions','admin','',200,'upgrade/step/completed/backup/part/actions/hard_reset.twig',NULL),(1477,'',0,0,'','upgrade.step.completed.backup.sections','admin','',100,'upgrade/step/completed/backup/part/description.twig',NULL),(1478,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table.info','admin','',100,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/info/name.twig',NULL),(1479,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table.info.module','admin','',100,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/info/module/version.twig',NULL),(1480,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table.info.module','admin','',200,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/info/module/author.twig',NULL),(1481,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table.info','admin','',200,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/info/module.twig',NULL),(1482,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table','admin','',200,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/info.twig',NULL),(1483,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table','admin','',100,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/icon.twig',NULL),(1484,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections','admin','',200,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table.twig',NULL),(1485,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections','admin','',100,'upgrade/step/prepare/incompatible_entries_upgrade/parts/description.twig',NULL),(1486,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections','admin','',300,'upgrade/step/prepare/incompatible_entries_update/parts/agree.twig',NULL),(1487,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections.table.columns','admin','',100,'upgrade/step/prepare/incompatible_entries_update/parts/table/columns/name.twig',NULL),(1488,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections.table.columns','admin','',200,'upgrade/step/prepare/incompatible_entries_update/parts/table/columns/icon.twig',NULL),(1489,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections.table.columns','admin','',300,'upgrade/step/prepare/incompatible_entries_update/parts/table/columns/checkbox.twig',NULL),(1490,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections','admin','',200,'upgrade/step/prepare/incompatible_entries_update/parts/table.twig',NULL),(1491,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections','admin','',100,'upgrade/step/prepare/incompatible_entries_update/parts/description.twig',NULL),(1492,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table.info','admin','',100,'upgrade/step/prepare/entries_list_upgrade/parts/table/info/name.twig',NULL),(1493,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table.info.module','admin','',100,'upgrade/step/prepare/entries_list_upgrade/parts/table/info/module/version.twig',NULL),(1494,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table.info.module','admin','',200,'upgrade/step/prepare/entries_list_upgrade/parts/table/info/module/author.twig',NULL),(1495,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table.info.module','admin','',300,'upgrade/step/prepare/entries_list_upgrade/parts/table/info/module/status.twig',NULL),(1496,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table.info','admin','',200,'upgrade/step/prepare/entries_list_upgrade/parts/table/info/module.twig',NULL),(1497,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table','admin','',200,'upgrade/step/prepare/entries_list_upgrade/parts/table/info.twig',NULL),(1498,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table','admin','',100,'upgrade/step/prepare/entries_list_upgrade/parts/table/icon.twig',NULL),(1499,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections','admin','',100,'upgrade/step/prepare/entries_list_upgrade/parts/table.twig',NULL),(1500,'',0,0,'','upgrade.step.prepare.buttons.sections','admin','',50,'upgrade/step/prepare/buttons/parts/expired_keys.twig',NULL),(1501,'',0,0,'','upgrade.step.prepare.buttons.sections','admin','',200,'upgrade/step/prepare/buttons/parts/continue.twig',NULL),(1502,'',0,0,'','upgrade.step.prepare.buttons.sections','admin','',200,'upgrade/step/prepare/buttons/parts/trial_notice.twig',NULL),(1503,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',600,'upgrade/step/prepare/entries_list_update/parts/table/columns/size.twig',NULL),(1504,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',500,'upgrade/step/prepare/entries_list_update/parts/table/columns/version_new.twig',NULL),(1505,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',400,'upgrade/step/prepare/entries_list_update/parts/table/columns/version_separator.twig',NULL),(1506,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',300,'upgrade/step/prepare/entries_list_update/parts/table/columns/version_old.twig',NULL),(1507,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',100,'upgrade/step/prepare/entries_list_update/parts/table/columns/name.twig',NULL),(1508,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',200,'upgrade/step/prepare/entries_list_update/parts/table/columns/status.twig',NULL),(1509,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.header','admin','',300,'upgrade/step/prepare/entries_list_update/parts/table/header/size.twig',NULL),(1510,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.header','admin','',200,'upgrade/step/prepare/entries_list_update/parts/table/header/version.twig',NULL),(1511,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.header','admin','',100,'upgrade/step/prepare/entries_list_update/parts/table/header/component.twig',NULL),(1512,'',0,0,'','upgrade.step.prepare.entries_list_update.sections','admin','',100,'upgrade/step/prepare/entries_list_update/parts/table.twig',NULL),(1513,'',0,0,'','upgrade.install_updates.sections','admin','',100,'upgrade/install_updates/parts/top.twig',NULL),(1514,'',0,0,'','upgrade.install_updates.sections','admin','',200,'upgrade/install_updates/parts/form.twig',NULL),(1515,'',0,0,'','upgrade.install_updates.sections.form.info','admin','',300,'upgrade/install_updates/parts/form/info/version.twig',NULL),(1516,'',0,0,'','upgrade.install_updates.sections.form.info','admin','',100,'upgrade/install_updates/parts/form/info/name.twig',NULL),(1517,'',0,0,'','upgrade.install_updates.sections.form.info.module','admin','',100,'upgrade/install_updates/parts/form/info/module/author.twig',NULL),(1518,'',0,0,'','upgrade.install_updates.sections.form.info.module','admin','',200,'upgrade/install_updates/parts/form/info/module/status.twig',NULL),(1519,'',0,0,'','upgrade.install_updates.sections.form.info','admin','',200,'upgrade/install_updates/parts/form/info/module.twig',NULL),(1520,'',0,0,'','upgrade.install_updates.sections.form','admin','',200,'upgrade/install_updates/parts/form/info.twig',NULL),(1521,'',0,0,'','upgrade.install_updates.sections.form','admin','',100,'upgrade/install_updates/parts/form/icon.twig',NULL),(1522,'',0,0,'','upgrade.install_updates.sections','admin','',300,'upgrade/install_updates/parts/advanced_link.twig',NULL),(1523,'',0,0,'','export.completed.content','admin','',200,'export/parts/completed.downloadLarge.twig',NULL),(1524,'',0,0,'','export.begin.options','admin','',200,'export/parts/option.attrs.twig',NULL),(1525,'',0,0,'','export.popup.completed.content','admin','',100,'export/parts/popup.completed.message.twig',NULL),(1526,'',0,0,'','export.begin.buttons','admin','',100,'export/parts/begin.buttons.export.twig',NULL),(1527,'',0,0,'','export.begin.content','admin','',100,'export/parts/begin.sections.twig',NULL),(1528,'',0,0,'','export.begin.content','admin','',200,'export/parts/begin.options.twig',NULL),(1529,'',0,0,'','export.completed.content','admin','',100,'export/parts/completed.download.twig',NULL),(1530,'',0,0,'','export.popup.completed.content','admin','',100,'export/parts/completed.download.twig',NULL),(1531,'',0,0,'','export.failed.buttons','admin','',100,'export/parts/failed.buttons.export.twig',NULL),(1532,'',0,0,'','export.begin.options','admin','',400,'export/parts/option.delimiter.twig',NULL),(1533,'',0,0,'','export.begin.options','admin','',300,'export/parts/option.charset.twig',NULL),(1534,'',0,0,'','export.failed.content','admin','',100,'export/parts/failed.errors.twig',NULL),(1535,'',0,0,'','export.completed.buttons','admin','',100,'export/parts/completed.buttons.export.twig',NULL),(1536,'',0,0,'','export.begin.options','admin','',100,'export/parts/option.files.twig',NULL),(1537,'',0,0,'','invoice.bottom.method.shipping','common','',20,'order/invoice/parts/bottom.methods.shipping.twig',NULL),(1538,'',0,0,'','invoice.subhead.companyAddress','common','',100,'order/invoice/parts/head.companyAddress.name.twig',NULL),(1539,'',0,0,'','invoice.bottom.address.billing','common','',10,'order/invoice/parts/bottom.address.billing.twig',NULL),(1540,'',0,0,'','invoice.subhead.companyAddress','common','',200,'order/invoice/parts/head.companyAddress.address.twig',NULL),(1541,'',0,0,'','invoice.head','common','',10,'order/invoice/parts/title.twig',NULL),(1542,'',0,0,'','invoice.base','common','',10,'order/invoice/parts/head.twig',NULL),(1543,'',0,0,'','invoice.base','common','',55,'order/invoice/parts/instruction.twig',NULL),(1544,'',0,0,'','invoice.bottom.lines','common','',10,'order/invoice/parts/bottom.methods.twig',NULL),(1545,'',0,0,'','invoice.base.totals.after','common','',20,'order/invoice/parts/totals.includedModifiers.twig',NULL),(1546,'',0,0,'','invoice.base','common','',60,'order/invoice/parts/totals.twig',NULL),(1547,'',0,0,'','invoice.subhead.companyAddress','common','',300,'order/invoice/parts/head.companyAddress.phone.twig',NULL),(1548,'',0,0,'','invoice.subhead','common','',20,'order/invoice/parts/head.address.twig',NULL),(1549,'',0,0,'','invoice.subhead','common','',10,'order/invoice/parts/bottom.twig',NULL),(1550,'',0,0,'','invoice.base.totals.after','common','',10,'order/invoice/parts/totals.total.twig',NULL),(1551,'',0,0,'','invoice.head','common','',20,'order/invoice/parts/head.logo.twig',NULL),(1552,'',0,0,'','invoice.base','common','',40,'order/invoice/parts/note.twig',NULL),(1553,'',0,0,'','invoice.base','common','',20,'order/invoice/parts/subhead.twig',NULL),(1554,'',0,0,'','invoice.base.totals','common','',200,'order/invoice/parts/totals.modifiers.twig',NULL),(1555,'',0,0,'','invoice.bottom.method.payment','common','',20,'order/invoice/parts/bottom.methods.payment.twig',NULL),(1556,'',0,0,'','invoice.base.totals','common','',100,'order/invoice/parts/totals.subtotal.twig',NULL),(1557,'',0,0,'','invoice.subhead.companyAddress','common','',500,'order/invoice/parts/head.companyAddress.website.twig',NULL),(1558,'',0,0,'','invoice.base','common','',50,'order/invoice/parts/items/items.twig',NULL),(1559,'',0,0,'','invoice.item','common','',10,'order/invoice/parts/items/item.name.twig',NULL),(1560,'',0,0,'','invoice.items.head','common','',30,'order/invoice/parts/items/items.head.qty.twig',NULL),(1561,'',0,0,'','invoice.item','common','',40,'order/invoice/parts/items/item.total.twig',NULL),(1562,'',0,0,'','invoice.item','common','',20,'order/invoice/parts/items/item.price.twig',NULL),(1563,'',0,0,'','invoice.items.head','common','',10,'order/invoice/parts/items/items.head.item.twig',NULL),(1564,'',0,0,'','invoice.items.head','common','',20,'order/invoice/parts/items/items.head.price.twig',NULL),(1565,'',0,0,'','invoice.item.name','common','',10,'order/invoice/parts/items/item.sku.twig',NULL),(1566,'',0,0,'','invoice.items.head','common','',40,'order/invoice/parts/items/items.head.total.twig',NULL),(1567,'',0,0,'','invoice.item','common','',30,'order/invoice/parts/items/item.qty.twig',NULL),(1568,'',0,0,'','invoice.bottom.address.shipping','common','',20,'order/invoice/parts/bottom.address.shipping.twig',NULL),(1569,'',0,0,'','invoice.subhead.companyAddress','common','',400,'order/invoice/parts/head.companyAddress.fax.twig',NULL),(1570,'',0,0,'','product.plain_price','common','',10,'common/price_parts/price.twig',NULL),(1571,'',0,0,'','product.plain_price_only','common','',10,'common/price_parts/price.twig',NULL),(1572,'',0,0,'','minicart.horizontal.item.name','customer','XLite\\View\\MinicartAttributeValues',10,'',NULL),(1573,'',0,0,'','product.details.page.image','customer','XLite\\View\\Product\\Details\\Customer\\PhotoBox',5,'',NULL),(1574,'',0,0,'','product.details.page','customer','XLite\\View\\Product\\Details\\Customer\\Gallery',15,'',NULL),(1575,'',0,0,'','product.details.quicklook','customer','XLite\\View\\Product\\Details\\Customer\\Gallery',15,'',NULL),(1576,'',0,0,'','layout.main','customer','XLite\\View\\BannerRotation\\BannerRotation',350,'',NULL),(1577,'',0,0,'','checkout.review.selected','customer','XLite\\Module\\CDev\\Coupons\\View\\CartCoupons',200,'',NULL),(1578,'',0,0,'','product.details.page','customer','XLite\\Module\\XC\\NextPreviousProduct\\View\\Product\\Details\\Customer\\NextPreviousProduct',17,'',NULL),(1579,'',0,0,'','layout.main.footer.before','customer','XLite\\Module\\XC\\NewsletterSubscriptions\\View\\SubscribeBlock',10,'',NULL),(1580,'',0,0,'','product.details.quicklook.info.buttons.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',120,'',NULL),(1581,'',0,0,'','product.details.quicklook.info.buttons-added.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',129,'',NULL),(1582,'',0,0,'','layout.header.right','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\ProductCompareIndicator',50,'',NULL),(1583,'',0,0,'','layout.header.right.mobile','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\ProductCompareIndicator',50,'',NULL),(1584,'',0,0,'','slidebar.additional-menu.links','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\ProductCompareLink',20,'',NULL),(1585,'',0,0,'','itemsList.product.grid.customer.marks','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Products',200,'',NULL),(1586,'',0,0,'','itemsList.product.list.customer.marks','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Products',200,'',NULL),(1587,'',0,0,'','itemsList.product.table.customer.marks','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Products',200,'',NULL),(1588,'',0,0,'','customer.signin.popup.fields','customer','',500,'authorization/parts/field.links.twig',NULL),(1589,'',0,0,'','center.top','customer','',1000,'layout/content/main.location.twig',NULL),(1590,'',0,0,'','product.details.page.info','customer','',5,'layout/content/product.location.twig',NULL),(1591,'',0,0,'','layout.header','customer','',300,'layout/header/top_menu.twig',NULL),(1592,'',0,0,'','layout.header','customer','',350,'layout/header/header.right.twig',NULL),(1593,'',0,0,'','layout.header.bar','customer','',50,'layout/header/header.bar.search.twig',NULL),(1594,'',0,0,'','layout.header.right.mobile','customer','',1100,'layout/header/header.bar.checkout.logos.twig',NULL),(1595,'',0,0,'','layout.header.mobile.menu','customer','',2000,'layout/header/mobile_header_parts/slidebar_menu.twig',NULL),(1596,'',0,0,'','itemsList.product.small_thumbnails.customer.info.photo','customer','',30,'items_list/product/parts/common.labels.twig',NULL),(1597,'',0,0,'','product.details.quicklook.image','customer','',17,'items_list/product/parts/common.labels.twig',NULL),(1598,'',0,0,'','cart.item','customer','',100,'shopping_cart/parts/item.remove.twig',NULL),(1599,'',0,0,'','cart.item.info','customer','',15,'shopping_cart/parts/item.info.weight.twig',NULL),(1600,'',0,0,'','itemsList.product.grid.customer.info','customer','',24,'product/details/stock/label.twig',NULL),(1601,'',0,0,'','itemsList.product.list.customer.info','customer','',32,'product/details/stock/label.twig',NULL),(1602,'',0,0,'','itemsList.product.grid.customer.header','customer','',10,'items_list/product/parts/common.sort-options.twig',NULL),(1603,'',0,0,'','itemsList.product.list.customer.header','customer','',10,'items_list/product/parts/common.sort-options.twig',NULL),(1604,'',0,0,'','itemsList.product.table.customer.header','customer','',10,'items_list/product/parts/common.sort-options.twig',NULL),(1605,'',0,0,'','itemsList.product.grid.customer.header','customer','',20,'items_list/product/parts/common.display-modes.twig',NULL),(1606,'',0,0,'','itemsList.product.list.customer.header','customer','',20,'items_list/product/parts/common.display-modes.twig',NULL),(1607,'',0,0,'','itemsList.product.table.customer.header','customer','',20,'items_list/product/parts/common.display-modes.twig',NULL),(1608,'',0,0,'','itemsList.product.list.customer.info','customer','',20,'items_list/product/center/list/parts/common.product-name.twig',NULL),(1609,'',0,0,'','itemsList.product.grid.customer.marks','customer','',100,'items_list/product/parts/common.added-mark.twig',NULL),(1610,'',0,0,'','itemsList.product.list.customer.marks','customer','',100,'items_list/product/parts/common.added-mark.twig',NULL),(1611,'',0,0,'','itemsList.product.table.customer.marks','customer','',100,'items_list/product/parts/common.added-mark.twig',NULL),(1612,'',0,0,'','product.details.page.image.photo','customer','',100,'product/details/parts/common.loupe.twig',NULL),(1613,'',0,0,'','product.details.page.info','customer','',18,'product/details/parts/common.briefDescription.twig',NULL),(1614,'',0,0,'','product.details.page.info','customer','',16,'product/details/parts/common.stock.twig',NULL),(1615,'',0,0,'','product.details.page.info','customer','',35,'product/details/parts/common.product-editable-attributes.twig',NULL),(1616,'',0,0,'','product.details.quicklook.info','customer','',30,'product/details/parts/common.product-editable-attributes.twig',NULL),(1617,'',0,0,'','product.details.quicklook.image','customer','',30,'product/details/parts/common.more-info-link.twig',NULL),(1618,'',0,0,'','itemsList.product.grid.customer.info.photo','customer','',998,'items_list/product/parts/grid.button-add2cart-wrapper.twig',NULL),(1619,'',0,0,'','product.details.page.image','customer','',10,'product/details/parts/common.product-added.twig',NULL),(1620,'',0,0,'','product.details.quicklook.image','customer','',5,'product/details/parts/common.product-added.twig',NULL),(1621,'',0,0,'','checkout.payment.address.before','customer','',10,'checkout/steps/shipping/parts/address.billing.same.twig',NULL),(1622,'',0,0,'','product.details.page.image','customer','',20,'modules/CDev/GoSocial/product/details/parts/common.share.twig',NULL),(1623,'',0,0,'','product.details.page.info','customer','',17,'modules/XC/FreeShipping/free_ship.label.twig',NULL),(1624,'',0,0,'','product.details.page.info','customer','',16,'modules/CDev/ProductAdvisor/product/details/parts/common.coming_soon.twig',NULL),(1625,'',0,0,'','product.details.quicklook.info','customer','',16,'modules/CDev/ProductAdvisor/product/details/parts/common.coming_soon.twig',NULL),(1626,'',0,0,'','itemsList.product.grid.customer.info','customer','',27,'modules/CDev/ProductAdvisor/expected.twig',NULL),(1627,'',0,0,'','itemsList.product.list.customer.info','customer','',33,'modules/CDev/ProductAdvisor/expected.twig',NULL),(1628,'',0,0,'','itemsList.product.grid.customer.info','customer','',16,'modules/XC/Reviews/product.items_list.rating.twig',NULL),(1629,'',0,0,'','itemsList.product.list.customer.info','customer','',35,'modules/XC/Reviews/product.items_list.rating.twig',NULL),(1630,'',0,0,'','product.details.quicklook.image','customer','',20,'modules/XC/Reviews/product_details.rating.twig',NULL),(1631,'',0,0,'','reviews.page.rating','customer','',100,'modules/XC/Reviews/reviews_page/parts/average_rating.form.twig',NULL),(1632,'',0,0,'','signin-anonymous-title','customer','',300,'modules/Amazon/PayWithAmazon/login/signin/signin.checkout.twig',NULL),(1633,'',0,0,'','signin-anonymous-title','customer','',300,'modules/CDev/Paypal/login/signin/signin.checkout.paypal.twig',NULL),(1634,'',0,0,'','checkout_fastlane.header.top','customer','XLite\\View\\AllInOneSolutions',100,'',NULL),(1635,'',0,0,'','checkout_fastlane.header.top','customer','',100,'layout/header/header.bar.checkout.logos.twig',NULL);
CREATE TABLE `xlite_xpc_payment_data_cells` (
  `data_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`data_id`),
  KEY `IDX_CD89A76F2FC0CB0F` (`transaction_id`),
  KEY `tn` (`transaction_id`,`name`),
  CONSTRAINT `FK_CD89A76F2FC0CB0F` FOREIGN KEY (`transaction_id`) REFERENCES `xlite_payment_transactions` (`transaction_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_access_control_cells` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `hash` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `returnData` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `resendMethod` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash` (`hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_capost_parcel_shipment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `shipmentId` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `shipmentStatus` varchar(14) COLLATE utf8_unicode_ci DEFAULT NULL,
  `trackingPin` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `returnTrackingPin` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `poNumber` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `parcelId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_7954C1A5A9ACC87` (`parcelId`),
  CONSTRAINT `FK_7954C1A5A9ACC87` FOREIGN KEY (`parcelId`) REFERENCES `xlite_order_capost_parcels` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_newsletter_subscriptions_subscribers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`),
  KEY `IDX_D0911E5FCCFA12B8` (`profile_id`),
  CONSTRAINT `FK_D0911E5FCCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_language_labels` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`label_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_language_labels` VALUES (4179,' page and make sure that:'),(3276,'\"Cash on delivery\" status'),(4178,'\"Site management\"'),(2064,'\"X product\" options'),(1188,'\"{{number}}\" tracking number is added'),(1189,'\"{{number}}\" tracking number is removed'),(1843,'\"{{product}} product\" attributes'),(2014,'# selected'),(1,'%'),(2086,'\'RESULT\' argument not found'),(2081,'\'status\' request argument can not found'),(3464,'(disabled role)'),(4073,'(like categories, weight, description, color)'),(2079,'(optional)'),(4089,'(without writing a single line of code) - 2 min'),(446,'+12130000000'),(1787,'- OR -'),(251,'-- No categories --'),(2601,'...Downloading {{entry}}...{{status}}'),(2599,'...Hooks {{hooksCount}}'),(2598,'...Hooks {{hooksCount}}, Items {{itemsCount}}...'),(2597,'...Invoke {{type}} hook for {{entry}}...'),(2600,'...Unpacking {{entry}}...{{status}}'),(3878,'1 day'),(3873,'1 hour'),(3869,'1 minute'),(3881,'1 week'),(4252,'1.1 (X-Payments 1.0.5 and earlier)'),(4253,'1.2 (X-Payments 2.0 and X-Payments 1.0.6)'),(4300,'1.3 (X-Payments 2.1)'),(3870,'10 minutes'),(442,'1000 Example street'),(3877,'12 hours'),(4114,'120+ supported payment gateways, such as PayPal, Authorize.net and etc.'),(399,'14days'),(3871,'15 minutes'),(4388,'18 years'),(4389,'19 years'),(3879,'2 days'),(3874,'2 hours'),(4174,'2Checkout.com account number'),(3872,'30 minutes'),(400,'30days'),(3875,'4 hours'),(3880,'5 days'),(3876,'6 hours'),(398,'7days'),(445,'90001'),(2602,'<span>X</span> items'),(3782,'A - Z'),(1485,'A DB error occurred while uninstalling the module X'),(4010,'A dispute has been opened successfully'),(2237,'A new category will be created'),(450,'A new customer? Enter your e-mail'),(2234,'A new membership will be created'),(2235,'A new product class will be created'),(2233,'A new product will be created'),(3596,'A new review has been submitted for the product \"{{name}}\".'),(2236,'A new tax class will be created'),(3286,'A single domain'),(451,'ABA routing number'),(4135,'API Login ID'),(3325,'API access password'),(3324,'API access username'),(3329,'API certificate'),(3328,'API certificate filename'),(3318,'API credentials for payments and post-checkout operations'),(3327,'API signature'),(387,'APRIL'),(391,'AUGUST'),(2475,'About X remaining'),(2775,'About clean urls'),(452,'Absolute'),(453,'Accept'),(2725,'Accept[TT]'),(454,'Accepted orders'),(4482,'Access Key ID'),(456,'Access denied!'),(457,'Access information'),(458,'Access is locked out'),(459,'Access level'),(2745,'Access level cannot be changed (from {{prevValue}} to {{value}}) for existing profile ({{login}})'),(460,'Account'),(461,'Account details'),(259,'Account settings'),(462,'Account status'),(463,'Account summary'),(2607,'Accounting'),(2389,'Action'),(1481,'Action X::Y, M'),(41,'Activate'),(39,'Activate existing key'),(38,'Activate free license'),(3062,'Activate free license & remove premium features.'),(45,'Activate free license description'),(1667,'Activate key'),(464,'Activate license key'),(2509,'Activate purchased skin'),(2286,'Activate your X-Cart'),(2284,'Activate your X-Cart installation'),(2285,'Activate your X-Cart installation first'),(32,'Activate your license key'),(465,'Activate your paid module license'),(466,'Active'),(467,'Active from'),(468,'Active till'),(469,'Add'),(3408,'Add PIN codes'),(470,'Add Product'),(4080,'Add a few [more products] to your catalog or proceed to the next step - whatever makes you happy.'),(471,'Add alternative payment method'),(1913,'Add attribute'),(2696,'Add banner'),(472,'Add category'),(473,'Add child'),(2692,'Add comment here'),(2862,'Add countries'),(3228,'Add coupon'),(474,'Add discount'),(475,'Add featured products'),(2069,'Add featured products for \"X\"'),(3273,'Add featured products for the front page'),(476,'Add file'),(4050,'Add first product'),(477,'Add image'),(146,'Add language'),(478,'Add markup'),(479,'Add new'),(480,'Add new address'),(481,'Add new country'),(3221,'Add new coupon'),(4254,'Add new credit card'),(482,'Add new exception'),(145,'Add new label'),(149,'Add new language'),(483,'Add new membership level'),(484,'Add new option'),(485,'Add new option group'),(486,'Add new state'),(487,'Add offline payment method'),(4070,'Add other options'),(4035,'Add other products to compare'),(488,'Add payment method'),(2830,'Add product'),(1969,'Add products'),(1647,'Add rates'),(3722,'Add related products'),(3609,'Add response'),(3527,'Add review'),(3100,'Add sales channel'),(489,'Add shipping method'),(1652,'Add state'),(1651,'Add states'),(3963,'Add status'),(490,'Add subcategory'),(2396,'Add to bag'),(51,'Add to cart'),(4038,'Add to compare'),(1191,'Add tracking number'),(491,'Add user'),(492,'Add your _products_'),(3547,'Add your own review'),(493,'Add zone'),(2415,'Add-on does not exist.'),(494,'Add-ons'),(495,'Add/update options'),(496,'Added'),(3227,'Added coupons'),(2938,'Added files'),(2201,'Added items'),(497,'Added to cart'),(3784,'Added to comparison table'),(3375,'Additional criteria to match for PayPal account verification'),(3307,'Additional settings'),(910,'Addons Marketplace'),(498,'Address'),(499,'Address book'),(500,'Address details'),(501,'Address field'),(502,'Address fields'),(4157,'Address for sales tax calculation'),(1846,'Address has been deleted'),(1841,'Address is not selected'),(4439,'Address line verification: X'),(1842,'Address not found'),(503,'Address pattern'),(1840,'Address type has wrong value'),(4440,'Address zipcode verification: X'),(2563,'Address zone'),(3815,'Addresses'),(1778,'Addresses list is empty'),(4212,'Adds the sender’s signature and the date on CN22 and CP72 shipping labels. Enter the signature as a string. The Sender’s signature date is automatically populated.'),(504,'Admin'),(1327,'Admin has requested a change of password for your account. Please change the password before you proceed.'),(505,'Administration Zone'),(3926,'Administrative name'),(506,'Administrator'),(1539,'Administrator Zone'),(2430,'Administrator account cannot be deleted via customer interface.'),(2325,'Administrator header'),(4386,'Administrator notes'),(2326,'Administrator signature'),(2329,'Administrator subject'),(2330,'Administrator text'),(2407,'Advanced Order Management'),(4107,'Advanced shipping options'),(4112,'Advanced shipping settings'),(3284,'Advanced statistics with Google Analytics'),(2078,'After activation Skrill will give you access to a new section in your Skrill account called \"Merchant tools\". Please choose a secret word (do not use your password for this) and enter it into the merchant tools section and below.'),(1302,'After clicking this button, your hard/soft reset links will be regenerated. You need it in case old links were compromised.'),(1426,'After the problem has been fixed, try to connect again.'),(2751,'After the problem has been fixed, try to connect again.\', {\'clear_cache\': url(\'addons_list_marketplace'),(1511,'After the upgrade is completed please check your website. If you find that the site is inoperative, please try to do the following'),(3952,'After you install and enable one of special offer addons, this page will provide tools to configure promotions.'),(1832,'Aggregation cache has been cleaned'),(3706,'Air service center'),(248,'All'),(679,'All Addresses (default zone)'),(365,'All Order Statuses'),(415,'All User Types'),(507,'All add-ons'),(2948,'All addons'),(2156,'All attributes'),(3509,'All classes from this category'),(4014,'All communication threads'),(1854,'All countries'),(508,'All customers'),(2752,'All items'),(2198,'All items cannot be removed from the order.'),(2133,'All levels'),(413,'All membership levels'),(509,'All memberships'),(3414,'All newest products'),(3736,'All news'),(2137,'All orders'),(2122,'All payment statuses'),(2676,'All payment transaction statuses'),(511,'All products on sale'),(1777,'All rights reserved.'),(512,'All shipping methods'),(2123,'All shipping statuses'),(513,'All shipping zones'),(765,'All states'),(2399,'All statuses'),(6,'All tags'),(510,'All the necessary adaptation will be done by the developer.'),(514,'All the products are in sufficient quantities'),(515,'All time'),(3415,'All upcoming products'),(2406,'All user types'),(3578,'All users'),(1783,'All words'),(3978,'Allow buyers to attach files to this product'),(3868,'Allow this product to be used as a MailChimp segment condition'),(3973,'Allowed file extensions: X'),(3512,'Alphabetical'),(518,'Alphabetically'),(1683,'Already added'),(1722,'Already exists'),(519,'Already have an account?'),(2668,'Also the system has detected problems with the following modules'),(2778,'Also, to manage your redirects you can define 301 redirects in .htaccess file.'),(3053,'Also, you can review X-Cart recommended hosting providers'),(112,'Alt'),(520,'Alternative payment methods'),(521,'Alternative text'),(295,'Alternatively, upload file sqldump.sql.php to the var/backup/ sub-directory click on the \"Restore from server\" button'),(2753,'Although you can switch the store to use the secure protocol for the website pages, most Internet browsers will likely display a warning message scaring your website visitors away.'),(2626,'Amazon'),(4479,'Amazon Seller ID'),(4508,'Amazon callback URL help'),(4507,'Amazon could not process the transaction due to an internal processing error.'),(4506,'Amazon has rejected the authorisation.'),(4491,'AmazonRefresh'),(4492,'AmazonRefundRefresh'),(522,'Amount'),(523,'Amount: high to low'),(524,'Amount: low to high'),(1865,'An attempt to update settings of unknown payment method'),(2352,'An error occurred while sending the request'),(2468,'An error occurred, please try again. If the problem persists, contact the administrator.'),(2469,'An error occurred, please try again. If the problem persists, contact the administrator. (txnNote)'),(1737,'An upgrade is a dangerous process that may result in a crashed website.'),(525,'An upgrade is a dangerous process that may result in a crashed website. It is strongly recommended to create a full back up of your shop (the code and the database) and download it to a local computer before proceeding to the next step.'),(1934,'Anonymous'),(2134,'Anonymous (access level)'),(220,'Anonymous Customer'),(221,'Anonymous Customer, _Registered User with the same email_'),(2024,'Anonymous Customers'),(3593,'Anonymous reviewer'),(3449,'Anonymous users only'),(526,'Another state'),(134,'Any availability status'),(420,'Any category'),(137,'Any class'),(527,'Any membership level'),(528,'Any product class'),(2545,'Any profile'),(3522,'Any rating'),(3797,'Any special needs?'),(421,'Any status'),(2181,'Any stock status'),(3448,'Any visitors'),(1784,'Any word'),(529,'Any zone'),(2619,'App type'),(530,'Appearance'),(3194,'Applied discount coupon'),(3084,'Apply attribute value changes for all the products'),(531,'Apply destination'),(532,'Apply price'),(3491,'Apply sort and view settings for all products'),(2931,'Apply sorting globally'),(3082,'Apply unsharp mask filter on resize'),(1756,'Apply value changes globally'),(1755,'Apply value changes locally'),(3538,'Approve'),(3529,'Approve review'),(4475,'Approved URL'),(533,'Are you sure you want to continue?'),(534,'Are you sure you want to delete the selected user?'),(2643,'Are you sure you want to delete this filter?'),(1680,'Are you sure you want to delete this profile?'),(535,'Are you sure you want to disable this add-on?'),(2831,'Are you sure you want to enable https anyway?'),(536,'Are you sure you want to enable this add-on?'),(4404,'Are you sure you want to transmit this shipment?'),(2394,'Are you sure you want to uninstall selected add-ons?'),(537,'Are you sure you want to uninstall this add-on?'),(4402,'Are you sure you want to void this shipment?'),(538,'Are you sure you wish to delete the selected zones?'),(539,'Are you sure?'),(540,'Arrival date'),(542,'Ask.com'),(2450,'Assign entered Clean URL to this page anyway'),(543,'Assigned classes'),(541,'Asynchronous'),(3990,'Attach file'),(3976,'Attach files'),(4353,'Attached files'),(3974,'Attached files:'),(3985,'Attachment X is deleted'),(3281,'Attachment has been deleted successfully'),(544,'Attachment is not deleted'),(3241,'Attachment removed'),(545,'Attachments'),(546,'Attachments have been updated successfully'),(3050,'Attention!'),(3150,'Attention! You are creating an account with full access. Roles warning'),(1583,'Attribute'),(28,'Attribute data will be lost. warning text'),(1582,'Attribute group'),(1579,'Attribute name'),(1574,'Attribute option'),(3121,'Attribute value ID'),(1580,'Attribute values'),(3122,'Attribute values (select)'),(140,'Attributes'),(768,'Attributes block'),(335,'Attributes for X product class'),(1844,'Attributes have been successfully changed'),(1894,'Attributes have been updated successfully'),(1909,'Attributes imported'),(547,'Australia Post settings'),(2103,'Auth'),(3308,'Auth and Capture'),(3309,'Auth only'),(548,'Authentication'),(549,'Authentication code'),(550,'Author'),(2058,'Authorization and Capture'),(2059,'Authorization only'),(4303,'Authorization period, days'),(4493,'Authorization status: {{status}}'),(551,'Authorization then capture'),(4301,'Authorize amount for card setup'),(4271,'Authorize/charge the difference'),(2713,'Authorize[TT]'),(367,'Authorized'),(1833,'Authorized amount'),(552,'Auto'),(3860,'Auto-Updated'),(2754,'Autogenerate'),(1681,'Autogenerate Clean URL'),(2076,'Autogenerated'),(2635,'Automate Shipping Refunds'),(2612,'Automate shipping'),(2614,'Automate your shipping process with the services of our partners: print shipping labels, grab shipping orders info from eBay, ETSY, Amazon and other marketplaces; integrate with several shipping carriers in one spot and more.'),(3411,'Automatically'),(553,'Availability'),(3263,'Available after purchase'),(3248,'Available for download'),(554,'Available for sale'),(2542,'Avalara, a leader in US sales tax automation, provides a solution that can make your life easier by providing accurate and up-to-date tax rates for products you sell.'),(3554,'Average rating'),(2894,'Awaiting processing'),(555,'B'),(263,'BEGIN - END of TOTAL'),(1821,'Back'),(1788,'Back to Login form'),(2673,'Back to Trial mode'),(3676,'Back to Webmaster mode'),(767,'Back to Zones list'),(4259,'Back to credit cards'),(556,'Back to file select'),(557,'Back to layout settings'),(558,'Back to methods'),(1789,'Back to modules'),(3681,'Back to notification settings'),(2333,'Back to notifications list'),(559,'Back to order list'),(3564,'Back to product details'),(3827,'Back to products'),(3884,'Back to segments list'),(2589,'Back to shipping methods'),(3623,'Back to templates list'),(321,'Backend payment transaction X issued'),(2755,'Background export is in progress'),(560,'Backup'),(561,'Backup database'),(2036,'Backup your store with Backup Master'),(562,'Bank Account Number'),(921,'Bank name'),(3340,'Banner on Cart page'),(3338,'Banner on Category pages'),(3337,'Banner on Home page'),(3339,'Banner on Product details pages'),(2695,'Banner rotation'),(3556,'Based on'),(3577,'Be the first and leave a feedback.'),(1616,'Before editing attributes specific for the chosen type you should save the changes'),(2535,'Before enabling HTTPS protocol read this article:'),(2282,'Before installing a paid addon for this installation, you need to activate your X-Cart license.'),(4133,'Before you can start configure Australia Post module you should update available options from Australia Post. Please click button below.'),(3928,'Begin offer date'),(3929,'Begin offer hour'),(563,'Benchmark completed in '),(564,'Benchmark result under 3000ms is considered good'),(565,'Bestsellers'),(2652,'Bill to'),(2866,'Billing'),(566,'Billing address'),(2089,'Billing address is not defined'),(567,'Billing address is not defined yet'),(1824,'Billing address is the same as Shipping'),(2870,'Billing to'),(568,'Bing'),(4109,'Bingo! You\'ve added carrier as a shipping carrier'),(3650,'Block is disabled'),(3649,'Block is enabled'),(2067,'Blocked'),(3247,'Blocked by administrator'),(2859,'Body'),(4370,'Box maximum weight'),(569,'Brief description'),(570,'Brief descrption'),(3486,'Brief info'),(3492,'Brief info help'),(571,'Browse server'),(3825,'Bulk Edit processing in progress...'),(3817,'Bulk edit'),(3819,'Bulk edit all'),(3822,'Bulk edit has been processed successfully.'),(3823,'Bulk edit processing has been interrupted.'),(3824,'Bulk edit processing may take a while to complete. Please do not close this page until the process is fully completed.'),(3828,'Bulk edit selected'),(2211,'Buy'),(2484,'Buy Business Edition'),(572,'Buy more'),(2439,'Buy prolongation'),(1798,'C.O.D. fee included'),(573,'CLOSE'),(2004,'CM'),(4199,'COD value'),(574,'CSS & JavaScript'),(2384,'CSV delimiter'),(2162,'CSV file has the wrong filename format.'),(3046,'CSV format tables'),(1984,'CSV or ZIP files, total max size: {{size}}'),(4438,'CVC verification: X'),(1809,'CVV2'),(2470,'Cache management'),(575,'Cache rebuild is already started, please wait'),(2473,'Calculate quick data'),(2474,'Calculate quick data help text'),(576,'Calculate rates'),(2476,'Calculating quick data...'),(444,'California'),(1811,'Call us: '),(3249,'Can be downloaded only after buying the product'),(2550,'Can be provided only for offline shipping methods.'),(2552,'Can be provided only for online shipping methods.'),(3319,'Can be set up later'),(3392,'Can not be disabled for products with manually defined PIN codes'),(577,'Can\'t be disabled. The module is required by:'),(578,'Can\'t connect to the Addons Marketplace server'),(2031,'Can\'t connect to the marketplace server'),(4343,'Canada Post module allows to use online shipping rates calculation via Canada Post'),(4381,'Canada Post settings'),(4411,'CanadaPost settings'),(161,'Cancel'),(4230,'Cancel import and keep current payment methods'),(3434,'Cancel sale'),(3437,'Cancel sale for all'),(369,'Canceled'),(2683,'Canceled[S]'),(2964,'Canceling'),(3982,'Cannot attach the file. The maximum attached file size may not exceed X MB'),(3981,'Cannot attach the file. The number of attached files may not exceed X'),(1900,'Cannot autogenerate clean URL for the product name \"{{name}}\". Please specify it manually.'),(2936,'Cannot check the files for this module'),(2195,'Cannot create temporary order for modification'),(2338,'Cannot gather modules from the marketplace. Please try later.'),(3674,'Cannot get flexy content'),(3394,'Cannot remove a sold PIN code'),(300,'Cannot set X permissions for subdirectories:'),(2104,'Capture'),(4487,'Capture mode'),(2717,'Capture multiple[TT]'),(2716,'Capture partially[TT]'),(579,'Capture status'),(2715,'Capture[TT]'),(1834,'Captured amount'),(4394,'Card (hold) for pick up'),(2298,'Card number'),(4295,'Card saved'),(2295,'Card type'),(4296,'Card was not saved due to payment processor error'),(1804,'Cardholder name'),(4276,'Cards saved by the customer for the future orders in this shop. No real credit cards were saved, only special token on the side of the payment processor, that can be used in this store only.'),(4219,'Cards which can be used for your future orders in this shop. No real credit cards were saved, only special token on the side of the payment processor, that can be used in this store only.'),(1182,'Carrier'),(2586,'Carrier service'),(2587,'Carrier service name'),(2585,'Carrier services'),(2554,'Carrier-calculated rates'),(1819,'Cart'),(580,'Cart & checkout'),(2178,'Cart contains products with wrong quantity'),(2177,'Cart contains products with wrong quantity. Please correct this to proceed'),(230,'Cart is empty'),(3946,'Cart promo text'),(3947,'Cart qualified text'),(2072,'Cash on delivery'),(581,'Catalog'),(582,'Categories'),(4048,'Categories and tags'),(1910,'Categories imported'),(2973,'Categories processed'),(2976,'Categories processed: X out of Y'),(2975,'Categories processed: X out of Y with errors'),(2977,'Categories processed: {{count}}'),(583,'Category'),(102,'Category icon'),(3043,'Category id or path is required'),(584,'Category info'),(585,'Category name'),(586,'Category name contains invalid symbols'),(2750,'Category name should not be empty'),(587,'Category page title'),(588,'Category path contains invalid symbols'),(3045,'Category with id X not found, new category will be created'),(589,'Change'),(590,'Change address'),(1810,'Change attributes'),(3148,'Change fulfillment status for selected'),(591,'Change method'),(592,'Change options'),(1428,'Change password'),(593,'Change payment info'),(3147,'Change payment status for selected'),(595,'Change shipping'),(594,'Change shipping info'),(2199,'Changed items'),(2200,'Changed options'),(3641,'Changes may be incompatible with TinyMCE. Are you sure to proceed?'),(1753,'Changes of attributes globally'),(1754,'Changes of attributes locally'),(2213,'Character set'),(4304,'Charged amount'),(1735,'Check again'),(596,'Check all'),(3672,'Check directory permissions'),(2525,'Check for available free disk space has failed'),(2832,'Check for updates'),(597,'Check number'),(3812,'Check shipping info'),(4294,'Check the settings.'),(598,'Checking'),(599,'Checking integrity, please wait...'),(234,'Checkout'),(3799,'Checkout type'),(600,'Choose'),(4446,'Choose Webhook tab and press + add URL button'),(601,'Choose _payment methods_'),(2511,'Choose a new template'),(3813,'Choose another address'),(2297,'Choose card type'),(3511,'Choose classes...'),(602,'Choose file'),(603,'Choose from a variety of bundled payment solutions to accept credit cards and other methods of payment on your website'),(604,'Choose method'),(2872,'Choose shipping'),(605,'Choose shipping method'),(1791,'Choose the product options first'),(2483,'Choose the right plan'),(3762,'Choose your location'),(1627,'Choosing \"URLs\" will link the exported data to your public files (product and category images, downloadable files shown on product pages, and so on) through direct URLs'),(2296,'Chose credit card type'),(606,'City'),(1440,'City masks'),(2157,'Classes & Attributes'),(1861,'Classes & attributes'),(3508,'Classes for product filter'),(607,'Clean URL'),(2757,'Clean URLs'),(660,'Clean URLs are disabled'),(658,'Clean URLs are disabled. More info'),(2756,'Clean URLs are disabled. More info\', {\'more_info_url\': url(\'settings\', \''),(659,'Clean URLs are enabled'),(662,'Clean URLs functionality may not be enabled. More info'),(612,'Clean aggregation cache'),(72,'Clean aggregation cache help text'),(613,'Clean widgets cache'),(73,'Clean widgets cache help text'),(614,'CleanURL'),(611,'Clean_urls_error_message'),(1535,'Cleanup'),(1532,'Cleanup queries'),(2890,'Clear all caches'),(2891,'Clear all caches text'),(1795,'Clear all fields'),(615,'Clear bag'),(56,'Clear cart'),(4036,'Clear list'),(132,'Clear search'),(4450,'Click Connect with Stripe to be redirected to Stripe.com'),(616,'Click here to access/add subcategories'),(4158,'Click here to specify tax rates that will apply only to shipping charges'),(4072,'Click here to upload product image'),(4084,'Click here to upload your logo. Recommended 400x150px (PNG, JPG or SVG)'),(617,'Click here to view states of country'),(1607,'Click if you do not want to add this value to new products or class’s assigns automatically'),(1608,'Click if you want to add this value to new products or class’s assigns automatically'),(3866,'Click rate'),(4224,'Click the button below to re-import payment methods from X-Payments.'),(2212,'Click the link to increase product amount'),(1646,'Click to add rates'),(1650,'Click to add states'),(1714,'Click to close'),(3283,'Click to edit'),(1653,'Click to edit all this label translations'),(1645,'Click to edit rates'),(1649,'Click to edit states'),(3077,'Click to expand menu'),(3809,'Click to finish your order'),(1713,'Click to open'),(3811,'Click to proceed to the next step'),(3818,'Click to specify'),(618,'Click to unblock'),(199,'Clicking the Place order button you accept: Terms and Conditions'),(4484,'Client ID'),(1566,'Clone'),(2956,'Clone selected'),(1565,'Clone this product'),(141,'Cloned products'),(376,'Close'),(4009,'Close dispute'),(619,'Close storefront'),(4057,'Close wizard'),(1942,'Closed'),(2620,'Cloud Service'),(2621,'Cloud Zoom'),(2622,'Cloud Zoom mode'),(2623,'Cloud Zoom mode Inside'),(2624,'Cloud Zoom mode Outside'),(3915,'CloudSearch sets default sort order to relevance'),(620,'Code'),(2898,'Column X is required'),(3416,'Coming soon'),(2380,'Coming soon (title)'),(3427,'Coming soon...'),(1706,'Comma'),(621,'Comment'),(622,'Comments'),(2000,'Commercial'),(4393,'Commercial - will return the contracted price between Canada Post and the contract holder'),(1198,'Common tax settings'),(2126,'Communication log'),(4016,'Communication threads with open disputes'),(4015,'Communication threads with unread messages'),(1928,'Compact view'),(623,'Company'),(624,'Company name'),(2088,'Compare'),(1812,'Compare products'),(1541,'Compare your result with other servers'),(4034,'Comparison table - X items'),(1725,'Complete'),(1825,'Complete billing address'),(625,'Completed'),(626,'Component'),(4292,'Conection with X-Payments is OK.'),(2991,'Config file'),(627,'Configuration'),(4244,'Configuration has been successfully deployed'),(1641,'Configure'),(3702,'Configure Tag Manager'),(628,'Configure _shipping methods_'),(4427,'Configure manually'),(3285,'Configure the Google Analytics module to view the advanced statistics'),(3272,'Configure your X-Cart installation to support large file downloads.'),(4286,'Configure your gateway'),(4090,'Configure your geographic settings to connect with local customers'),(629,'Configure your store'),(4316,'Configuring of the payment methods presented possible in the X-Payments backoffice only. In case of any problems you need to review the X-Payments Connector module settings and if it\'s ok, review payment configurations settings on the X-Payments side.'),(158,'Confirm deletion'),(630,'Confirm password'),(2490,'Confirmation'),(1723,'Confirmation does not match'),(180,'Congratulations! Your order has been placed successfully'),(4287,'Connect'),(4289,'Connect to X-Payments. Do 3 easy steps.'),(3896,'Connect with your MailChimp account'),(3786,'Connect your store to MailChimp'),(4291,'Connected!'),(2779,'Connecting to the marketplace...'),(4279,'Connection'),(4293,'Connection failed!'),(4308,'Connection with X-Payments is OK.'),(3117,'Consistency check'),(3126,'Consistency has not yet been checked. Initiate an consistency check by clicking the button \"Refresh consistency status\".'),(4156,'Contact Skrill at newbusiness@paysafe.com'),(3151,'Contact Us page settings'),(4123,'Contact our expert'),(3999,'Contact seller'),(3438,'Contact us'),(3063,'Contact us if you have any questions.'),(31,'Contact us trial notice'),(3271,'Contact your hosting provider to make sure X-Sendfile is installed on the server.'),(631,'Contacts'),(632,'Content'),(3836,'Content has script tags (Froala)'),(3457,'Content page title'),(633,'Continue'),(1826,'Continue as guest'),(57,'Continue shopping'),(70,'Continue...'),(4216,'Convenience - Verify addresses and buy & print compliant USPS labels directly from the X-Cart application'),(4026,'Conversation'),(4028,'Conversation: X'),(4027,'Conversations'),(2700,'Convert failed transactions into real orders'),(3667,'Convert templates'),(113,'Copy'),(4444,'Copy Webhook URL and go to Account settings'),(634,'Copy file to local server'),(4235,'Copy the value of the Configuration field from X-Payments Online Store Details page, paste the string here and click Deploy. All the connection settings will be specified automatically.'),(114,'Copy to clipboard'),(111,'Copy to file system'),(1693,'Core version'),(635,'Core version: '),(3466,'Could not add the discount because another discount already exists for the specified subtotal range and membership level'),(3389,'Could not assign X PIN codes to order #Y.'),(2465,'Could not assign upgrade access level to your license keys'),(3467,'Could not update the discount because another discount already exists for the specified subtotal range and membership level'),(2836,'Couldn\'t download the banner {{value}} from URL'),(2702,'Couldn\'t download the image {{value}} from URL'),(2043,'Couldn\'t move X images. See log for details.'),(2042,'Couldn\'t move image X'),(1530,'Count'),(4392,'Counter - will return the regular price paid by retail consumers'),(636,'Countries'),(2306,'Countries information has been successfully updated'),(637,'Countries, states and zones'),(638,'Country'),(639,'Country is not selected'),(4486,'Country of Merchant account'),(3223,'Coupon'),(3231,'Coupon cannot be combined with other coupons'),(640,'Coupon code'),(3201,'Coupon discount'),(3219,'Coupon discount can be limited to customers with these membership levels'),(3218,'Coupon discount can be limited to these product classes'),(641,'Coupons'),(642,'Create'),(644,'Create SQL file'),(645,'Create a backup'),(646,'Create account'),(647,'Create an account for later use'),(648,'Create category'),(2423,'Create label'),(649,'Create new account'),(1981,'Create new items and update existing items'),(3741,'Create news message'),(643,'Create profile'),(4347,'Create return'),(4213,'Create shipment'),(4108,'Create shipping rate'),(1313,'Create zone'),(650,'Created'),(4354,'Created on'),(4239,'Credit card'),(1805,'Credit card number'),(2305,'Credit card security code (if present)'),(1979,'Critical error'),(1514,'Critical errors have been detected in the files you are trying to import. Check the manual to correct the errors and try again.'),(1701,'Curl options'),(1700,'Curl version'),(651,'Currency'),(2987,'Current password'),(2194,'Current price for the selected configuration and quantity: X'),(2504,'Current template'),(2077,'Custom'),(653,'Custom CSS'),(3095,'Custom CSS & JS'),(100,'Custom HTML title'),(654,'Custom JavaScript'),(652,'Custom addons'),(1989,'Custom attributes'),(655,'Custom images'),(1917,'Custom offline shipping'),(2555,'Custom table rates'),(656,'Custom translation'),(219,'Customer'),(2132,'Customer access level'),(3707,'Customer counter'),(2323,'Customer header'),(2196,'Customer information'),(3540,'Customer name'),(218,'Customer note'),(3565,'Customer reviews'),(2324,'Customer signature'),(2327,'Customer subject'),(2328,'Customer text'),(657,'Customer zip/postal code'),(1543,'Customer zone is closed for maintenance.'),(3986,'Customer`s attachments were changed'),(1906,'Customers'),(1907,'Customers imported'),(3417,'Customers who bought this product also bought'),(3418,'Customers who viewed this product bought'),(4088,'Customize your store with Layout Editor option'),(395,'DECEMBER'),(2627,'DHL'),(2005,'DM'),(3708,'Daily Pickup'),(1515,'Data has not been found'),(664,'Data have been deleted successfully'),(665,'Data have been saved successfully'),(666,'Database backup created successfully'),(1882,'Database restored successfully!'),(667,'Date'),(3153,'Date and time in the store'),(3152,'Date and time on the server'),(1794,'Date range'),(407,'Date range should less than %d days'),(406,'Date range should longer than %d days'),(3214,'Date when customers can start using the coupon'),(3215,'Date when the coupon expires'),(4264,'Date, time'),(3419,'Date: newest first'),(3420,'Date: oldest first'),(668,'Day'),(375,'Days'),(669,'Dear'),(313,'Dear X'),(670,'Dear customer'),(671,'Decline'),(2726,'Decline[TT]'),(672,'Declined'),(4476,'Declined URL'),(4305,'Declined amount'),(673,'Default'),(674,'Default customer address'),(1915,'Default for admins'),(675,'Default for customer zone and can not disabled or deleted'),(676,'Default for customer zone and cannot be disabled or deleted'),(1914,'Default for customers'),(2677,'Default image settings'),(677,'Default images settings'),(1576,'Default option'),(2770,'Default site meta description'),(2771,'Default site meta keywords'),(2769,'Default site title'),(138,'Default tax class'),(1617,'Default value'),(433,'Default zone tooltip text'),(1098,'Default-sort-option'),(680,'Define classes'),(160,'Delete'),(4077,'Delete Demo products'),(169,'Delete Language'),(681,'Delete SQL file'),(2429,'Delete account'),(682,'Delete all'),(1615,'Delete all files'),(3975,'Delete attachment'),(2642,'Delete filter option'),(69,'Delete item'),(683,'Delete profile'),(684,'Delete selected'),(685,'Delete selected profile'),(1518,'Delete temporary files after the import is completed'),(686,'Delete the image'),(687,'Delete this address?'),(4348,'Deliver to Post Office'),(60,'Delivery'),(3709,'Delivery confirmation - adult signature required'),(3710,'Delivery confirmation - no signature'),(3711,'Delivery confirmation - signature required'),(4192,'Delivery cost'),(3814,'Delivery method'),(688,'Delivery methods'),(2547,'Delivery time'),(4351,'Delivery to Post Office'),(277,'Depending on the size of your data file, importing may take some time.'),(2107,'Deploy'),(52,'Description'),(3943,'Description & Promotions'),(4302,'Description of the card setup payment'),(4083,'Design your online store to fit your brand'),(2051,'Destination address'),(689,'Destination zone'),(690,'Details'),(4127,'Developer docs'),(2961,'Developer wave'),(2370,'Developers docs'),(4306,'Difference'),(4037,'Differences only'),(4371,'Dimensions (cm)'),(691,'Directories and files permissions'),(356,'Directory X does not have permissions to write. Please set necessary permissions to directory X.'),(4426,'Directory X is not writable'),(1912,'Directory does not have permissions to write'),(1705,'Directory is empty'),(165,'Disable'),(2955,'Disable all'),(692,'Disable all modules in the system'),(3726,'Disable mutual links'),(2953,'Disable selected'),(693,'Disable suspicious modules'),(694,'Disabled'),(2999,'Disabled functions'),(1610,'Disabled in catalog'),(168,'Disabled language can not be set as default for customer zone'),(1899,'Disabled language cannot be default.'),(695,'Disabled language cannot be set as default for customer zone'),(2115,'Disabled modules hooks message body'),(2114,'Disabled modules hooks message head'),(2949,'Disabled only'),(788,'Disables all addons except ones that are provided by X-Cart Team & Qualiteam (soft reset)'),(787,'Disables all addons except ones that are provided by X-Cart Team (hard reset)'),(1202,'Disables all modules except ones that were downloaded from marketplace (soft reset)'),(3645,'Discard changes'),(4448,'Disconnect'),(696,'Discount'),(697,'Discount amount'),(698,'Discount type'),(4159,'Discounted subtotal'),(4160,'Discounted subtotal + Shipping cost'),(3092,'Discounts'),(699,'Display \'inc/ex VAT\' labels next to prices'),(1200,'Display common settings'),(3951,'Display short promo text and image on Special Offers page'),(3949,'Display short promo text and image on matching category pages'),(3950,'Display short promo text and image on matching product pages'),(3948,'Display short promo text and image on the home page'),(3330,'Display the \"Buy Now with PayPal\" button'),(700,'Display type'),(1923,'Displays the number of labels translated to the language'),(4020,'Dispute'),(4007,'Dispute closed by X'),(4017,'Dispute is open X by Y'),(4006,'Dispute opened by X'),(4025,'Disputes'),(701,'Do not close this page!'),(1742,'Do not replace selected files and ignore their newer versions'),(4396,'Do not safe drop'),(2140,'Do not see your payment method? Find it on our Marketplace'),(2780,'Do not see your payment method? Find it on our Marketplace\', {\'url\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Payment processing'),(2180,'Do not select anything if you want to make the product visible to all customers.'),(702,'Do not show at startup anymore'),(3510,'Do not show the filter'),(4298,'Do not use card setup'),(1517,'Do not verify images to increase speed of the process'),(4152,'Do you have questions?'),(4097,'Do you need to ship your products?'),(2604,'Do you really want to close storefront?'),(3727,'Do you really want to delete all relations from this product?'),(703,'Do you really want to delete selected items?'),(3039,'DocBlocks support'),(4372,'Document'),(4355,'Documents'),(2661,'Does not match license type (requires {{list}} edition)'),(3351,'Don\'t have account yet?'),(4433,'Don\'t have account yet? Sign up for SagePay now!'),(4458,'Don\'t have an account?'),(4145,'Don\'t have an account? Sign up for free'),(3429,'Don\'t label'),(4079,'Done! We ve just deleted all your demo products'),(704,'Dont have account yet?'),(4144,'Dont have an account? Sign Up Now'),(2035,'Don’t forget to create a backup!'),(1715,'Double quote'),(1985,'Download CSV files'),(705,'Download SQL file'),(1628,'Download all files in a single archive'),(2711,'Download error file'),(3253,'Download link did not found'),(3251,'Download link is blocked'),(3254,'Download link is not active'),(3255,'Download link is renew'),(3252,'Download links is blocked'),(3256,'Download links is renew'),(706,'Downloaded components'),(707,'Downloading updates'),(708,'Downloading updates, please wait...'),(3244,'Downloads left'),(709,'Drag and drop me to the bag'),(3689,'Drag-n-drop blocks'),(1516,'Drop existing items before import'),(710,'Drop items here to shop'),(711,'Drupal frontend'),(334,'Duplicated clean URL: X'),(282,'During the import was recorded X errors. You can get them by downloading the log files.'),(3892,'E-Commerce features setup'),(1813,'E-Mail'),(3316,'E-Mail address to receive PayPal payment'),(3258,'E-goods'),(712,'E-mail'),(713,'E-mail is not defined yet'),(2878,'E-mail will also be updated in all the related orders.'),(3368,'EACHRECEIVER'),(2628,'ETSY'),(4217,'Easy payment options - Ship Now Pay Later with a Pitney Bowes Line of Credit or use a credit card.'),(1648,'Edit'),(3488,'Edit Globally'),(3803,'Edit address'),(3729,'Edit all'),(1684,'Edit attribute'),(1606,'Edit attribute values'),(1549,'Edit attributes'),(714,'Edit charges for:'),(2507,'Edit custom options'),(3804,'Edit email'),(170,'Edit label'),(171,'Edit labels'),(423,'Edit labels (X)'),(716,'Edit page'),(715,'Edit payment method data'),(1643,'Edit product'),(717,'Edit profile'),(439,'Edit rates (X)'),(3528,'Edit review'),(428,'Edit states (X)'),(361,'Edit subcategories (X)'),(3682,'Edit template based on'),(3678,'Edit via Webmaster mode'),(3546,'Edit your review'),(3620,'Edited templates'),(323,'Editing attribute groups on this page won\'t affect other product classes which use these groups'),(3261,'Egoods free'),(3260,'Egoods paid'),(3935,'Eligible membership levels'),(718,'Email'),(719,'Email &amp; password'),(3184,'Email Address'),(236,'Email address'),(4147,'Email address of your Skrill account'),(2026,'Email again'),(720,'Email body'),(2319,'Email notifications'),(3790,'Email or login'),(721,'Email settings'),(2032,'Empty \"class\" parameter is passed to the {{method}}'),(166,'Enable'),(722,'Enable HTTPS'),(2954,'Enable all'),(608,'Enable clean URL'),(661,'Enable clean URLs'),(3725,'Enable mutual links'),(2952,'Enable selected'),(4474,'Enable the Use Enhanced Cancel option.'),(2448,'Enable the option \"Assign entered Clean URL to this page anyway\" to dissociate the entered Clean URL from the page it is currently used for and assign it to the page of the object being edited.'),(2867,'Enable this if you would like us to use your shipping address as your billing address'),(723,'Enabled'),(2321,'Enabled for administrator'),(2322,'Enabled for customer'),(1609,'Enabled in catalog'),(2950,'Enabled only'),(3930,'End offer date'),(3931,'End offer hour'),(3685,'Enter Order number'),(4399,'Enter Return # or Order #'),(728,'Enter X more characters to start search'),(202,'Enter a correct email'),(2447,'Enter a different Clean URL value for this page'),(2840,'Enter a keyword to search.'),(3612,'Enter a name to be published with the review'),(207,'Enter a negative number'),(204,'Enter a number'),(206,'Enter a positive number'),(203,'Enter an integer'),(3222,'Enter code'),(724,'Enter coupon code'),(366,'Enter date range'),(3298,'Enter description of the purchase that will be displayed on PayPal payment page.'),(3791,'Enter email address'),(3968,'Enter file extensions separated by comma; for example, \"jpg,txt,svg\"'),(2641,'Enter filter name'),(412,'Enter keyword'),(725,'Enter keywords'),(726,'Enter license key'),(1962,'Enter pattern here'),(4071,'Enter product name'),(2781,'Enter product name or SKU'),(1965,'Enter search pattern'),(727,'Enter shipping address'),(3297,'Enter the email address associated with your PayPal account.'),(1797,'Enter the shipping address to see delivery methods available to you'),(3899,'Enter your MailChimp API key manually'),(1827,'Enter your e-mail'),(40,'Enter your license key here'),(3061,'Enter your premium license key'),(3657,'Entity was successfully saved'),(729,'Environment'),(730,'Environment info'),(731,'Error'),(609,'Error code explanation:'),(4249,'Error had occured during the requesting of payment methods from X-Payments. See log files for details.'),(2837,'Error of banner loading. Make sure the \"images\" directory has write permissions.'),(2256,'Error of image loading. Make sure the \"images\" directory has write permissions.'),(2703,'Error of image verification ({{value}}). Make sure you have specified the correct image file or URL.'),(1878,'Error of uploading file.'),(3658,'Error on saving image'),(2709,'Errors'),(2941,'Errors files'),(732,'Estimate shipping cost'),(733,'Estimate your server performance'),(734,'Estimated for'),(46,'Evaluation notice'),(2777,'Every object stores history with 8 clean urls which were previously used for this object.'),(735,'Everything you need'),(4092,'Ex.'),(1782,'Exact phrase'),(736,'Example'),(443,'Example city'),(737,'Examples'),(4120,'Excellent! Now you can get paid'),(738,'Exception'),(3942,'Exclusion special offers'),(2544,'Existing Avalara user?'),(1799,'Existing Customer?'),(3651,'Exit editor'),(3638,'Exit product preview'),(2438,'Exp. date'),(739,'Expand the functionality of your store by installing and using add-on modules'),(1929,'Expanded view'),(3426,'Expected on'),(1807,'Expiration date'),(370,'Expired'),(3245,'Expired by TTL'),(3243,'Expired by limit'),(3246,'Expires in'),(740,'Export'),(2782,'Export all'),(1635,'Export cannot be started because it is disabled or there is another running export process'),(1629,'Export completed'),(1633,'Export failed'),(1636,'Export in CSV'),(1634,'Export not started'),(2608,'Export orders'),(2154,'Export product data with'),(741,'Export products'),(1624,'Export public files as'),(2783,'Export selected'),(1623,'Export settings'),(355,'Exported in X'),(1630,'Exporting data...'),(742,'Extensions'),(385,'FEBRUARY'),(381,'FR'),(3746,'FREE'),(3748,'FREE SHIPPING'),(2513,'FREE quote'),(2617,'FREE trial'),(743,'Facebook'),(744,'Failed'),(745,'Failed to add detailed image'),(746,'Failed to add the attachment'),(747,'Failed to add the attachment. The file download is forbidden'),(3280,'Failed to re-upload attachment'),(1890,'Failed to update category image'),(3443,'Failed to update page image'),(1911,'Failed write to file'),(357,'Failed write to file X. There may not be enough disc-space. Please check if there is enough disc-space.'),(748,'Failed/Declined'),(2682,'Failed[S]'),(1736,'Failure'),(1803,'Failure reason:'),(3684,'Failure sending test email to X'),(3675,'Failure to convert flexy-template. Check for syntax errors'),(1594,'Failure: File has the wrong format.'),(3798,'Fast Lane checkout'),(3440,'Favicon'),(1670,'Fax'),(3274,'Featured'),(749,'Featured products'),(2629,'FedEx'),(3275,'FedEx module allows to use online shipping rates calculation via FedEx.'),(750,'Field is required!'),(3987,'File Attaching is mandatory for this product'),(3983,'File attachments are not allowed for this product'),(2732,'File can not be uploaded'),(3282,'File description'),(3268,'File is available by public URL'),(2421,'File is not an image'),(2422,'File is not uploaded'),(1870,'File not found'),(3015,'File permissions'),(302,'File size exceeds the maximum size'),(751,'File title'),(3154,'File uploading error 1'),(3155,'File uploading error 2'),(3156,'File uploading error 3'),(3157,'File uploading error 4'),(3158,'File uploading error 6'),(3159,'File uploading error 7'),(3160,'File uploading error 8'),(3005,'File uploads'),(3984,'File uploads forbidden by web server'),(2784,'File was successfully uploaded'),(4342,'File with certificate should be located in the directory {{certsDir}}'),(2595,'Files cannot be updated'),(4451,'Fill out the form with your Company info to setup your account and start processing payments immedately'),(3853,'Filter by order amount'),(3851,'Filter by order frequency'),(3855,'Filter by profile membership'),(3856,'Filter by specific products'),(2645,'Filter has been removed'),(2644,'Filter has been successfully saved'),(2482,'Filter transactions by status'),(1963,'Find countries'),(2141,'Find in Marketplace'),(1286,'Find language in marketplace'),(1964,'Find states'),(2480,'Find transactions by ID'),(752,'Find us on'),(753,'Find us on Facebook'),(2541,'Finished operating as user'),(754,'First name'),(3883,'First name or last name are empty. Please add a new address to your address book or modify existing and fill in those fields in order to subscribe to this list.'),(3611,'First name, Last name or E-mail'),(2881,'First, restore your website from the created backup - this is the fastest way to get your store back online.'),(3800,'Firstname'),(3919,'Fixed-amount discount (X)'),(3918,'Fixed-sum discount (X)'),(755,'Flat markup'),(2581,'Flat shipping charge per item ordered.'),(2583,'Flat shipping charge per weight unit ordered (for example, per pound or per kilogram - depending on the weight units used by your store).'),(2580,'Flat shipping charge. This value will be added to the shipping rate regardless of the weight, price and number of items ordered.'),(3670,'Flexy templates have been removed'),(3662,'Flexy to twig converter'),(3663,'Flexy-template'),(3677,'Flexy-to-twig converter warning'),(756,'Footer menu'),(2029,'For any emergency you can use the hard, soft and restore-state links'),(1691,'For details refer to'),(29,'For details refer to X-Cart license'),(757,'For the period'),(2111,'Force customer to choose product options before the product can be added to cart'),(1780,'Forgot password'),(758,'Forgot password?'),(1547,'Forgot your password?'),(759,'Format'),(2304,'Four-digit number on the front side of your card'),(65,'Free'),(3172,'Free & paid'),(760,'Free add-ons'),(2170,'Free license is activated successfully'),(2175,'Free license key for this email is already registered'),(3747,'Free shipping'),(3751,'Free shipping tooltip text'),(3758,'Freight'),(3757,'Freight fixed fee'),(3837,'Froala Editor settings'),(761,'From'),(108,'From computer'),(769,'From email'),(3934,'From these categories'),(1830,'Front page'),(2764,'Front page title'),(3185,'Full Name'),(770,'Full description'),(771,'Full name'),(2018,'G'),(3025,'GDlib extension'),(772,'General'),(773,'General Settings'),(774,'General info'),(2768,'General options'),(775,'General settings'),(4161,'General tax rates'),(3475,'Generate XML-Sitemap'),(3502,'Generate cache on the fly'),(2364,'Generate resized images'),(2365,'Generate resized images help text'),(3474,'Generate sitemap'),(4096,'Geo settings & company info are all set. Congrats!'),(3766,'Geolocation header promo'),(1601,'Get CSV'),(3465,'Get X off for order amount over Y'),(2731,'Get a more customizeable PDF invoice solution for your store'),(2728,'Get a more powerful banner system for your store'),(2724,'Get information[TT]'),(3516,'Get params'),(2556,'Get shipping rates from major shipping carrier companies.'),(4218,'Get started Now! Click here to create your PITNEY BOWES Postage Account'),(776,'Give buyers a way to pay by adding an alternative payment method.'),(777,'Give buyers another way to pay by adding an alternative payment method'),(1887,'Global'),(2155,'Global & Classes attributes'),(1886,'Global attributes'),(3250,'Global eGood settings'),(3489,'Global product tabs'),(3494,'Global tab label'),(3493,'Global tab not found'),(4121,'Go on, make your first sale.'),(778,'Go to Marketplace'),(779,'Go to checkout'),(48,'Go to checkout as a New customer'),(3778,'Go to comparison table'),(3693,'Go to different page to edit the content'),(4273,'Go to payment details page'),(3597,'Go to see the review [in the Admin area]'),(4445,'Go to your account settings on www.stripe.com'),(4085,'Good job! You company logo is added'),(63,'Grand total'),(2852,'Greeting'),(192,'Greetings, X'),(780,'Grid'),(781,'Group options'),(2268,'Group {{value}} does not exists and will be created'),(3891,'Groups'),(4468,'HPP Key'),(783,'HTML title (\'title\' tag)'),(3031,'HTTPS bouncers'),(784,'HTTPS check'),(1902,'HTTPS option has been disabled'),(1901,'HTTPS option has been successfully enabled'),(785,'HTTPS settings'),(2551,'Handling fee'),(1767,'Hard reset (disables all modules and runs application)'),(2884,'Hard reset. Disable all addons except those provided by X-Cart Team'),(3515,'Hash'),(2454,'Hash file for installed entry \"{{entry}}\" doesn\'t exist or is not readable'),(789,'Have a discount coupon?'),(3193,'Have more coupons?'),(2615,'Haven\'t found what you\'re looking for? View more shipping modules'),(2854,'Header'),(2850,'Header, greeting & signature'),(2055,'Height'),(790,'Height (px)'),(247,'Hello, user'),(125,'Help'),(791,'Help zone'),(792,'Here are shown only the methods enabled on the configuration page'),(782,'Here is a new link for access to your information: X'),(4086,'Here is the way it looks like on desktop & mobile devices. Do you like it?'),(793,'Here you can define how your payment methods will look in customer area'),(1552,'Here you can define how your payment methods will look in customer area.'),(4103,'Here you can manually define your shipping rates and etc.'),(2575,'Here you can provide general information about the shipping method and configure a table defining how shipping rates for this method should be calculated.'),(3890,'Here you can view and manage the MailChimp news lists and groups of the user.'),(4001,'Hidden X messages'),(3506,'Hidden from products filter'),(794,'Hide'),(4457,'Hide \"How to use\" instruction'),(2708,'Hide all warnings/errors'),(2785,'Hide and make them available only via a direct link'),(1199,'Hide common settings'),(4002,'Hide message history'),(4204,'Hide the carrier shipping charge on the label'),(4203,'Hide total carrier charge'),(795,'Hide trailing zeros in fractional part'),(4024,'Hide vendor’s products in the order'),(3780,'High - Low'),(3690,'Highlight labels'),(796,'History'),(3265,'History of downloads'),(797,'Home'),(2772,'Home page title and meta'),(2523,'How do I move X-Cart?'),(3561,'How do you rate this item?'),(798,'How to'),(799,'How to back up your store database'),(2576,'How to define shipping rates'),(800,'How to define shipping zones'),(3047,'How to set up free shipping help'),(2451,'Human readable and SEO friendly web address for the page.'),(198,'I accept Terms and Conditions'),(801,'I agree that these addons may require an adaptation.'),(3335,'I agree with PayPal terms & conditions'),(2293,'I confirm that I have created backups of my store\'s files and database before upgrading the store'),(3060,'I have a license key'),(4100,'I sell digital goods or services and do not need to set up shipping'),(2116,'I understand that the following disabled modules will be removed.'),(4243,'I want to use this credit card for my future orders in this shop.'),(4076,'I\'ll do it later'),(2006,'IN'),(3314,'IPN HTTP error'),(3313,'IPN verification failed'),(802,'Icons'),(803,'Identity'),(3168,'If a category has subcategories, the value in brackets shows the overall number of products in both that category and all its subcategories.'),(804,'If there are some critical errors occurred you can do the following'),(805,'If you choose the second option, you can download the file from the server later on and delete it from the server by clicking on the \'Delete SQL file\' button.'),(1560,'If you choose to create SQL file, you will be able to download the file from the server later and after that delete it from the server by clicking on the \"Delete SQL file\" button.'),(806,'If you do not have an account, you can easily'),(4480,'If you do not have seller account, you can register here: USA UK Germany'),(807,'If you don\'t have a moneybookers account yet, please sign up for a free moneybookers account at: http://www.skrill.com'),(808,'If you have a license key for a commercial module, you can enter it here to register the purchase of the appropriate module.'),(809,'If you have a plugin in the .tar format, you can install it by uploading it here'),(1573,'If you have multiple products sharing the same set of attributes, it makes sence to make them to be of the same product type and create the attributes on the product type level.'),(2510,'If you purchased a template but do not see it here, activate the license key that was provided to you.'),(2885,'If you still need help, please, feel free to contact X-Cart Help Desk at helpdesk@x-cart.com.'),(311,'If you store product images in the database, they are included in the SQL dump file'),(3232,'If you want the coupon discount to be applied only to products from specific categories, specify these categories here.'),(4384,'If you want to enable merchant registration wizard once again, please click on the following link'),(1558,'If you want to upload the backup of another X-Cart installation, ensure that you have completed the steps described here'),(2034,'If your store is crashed after upgrade, you can recover it'),(2786,'Ignore membership'),(810,'Image'),(210,'Image X'),(811,'Image border will not be displayed in customer\'s frontend'),(812,'Image has been identified as a duplicate and has not been imported'),(3081,'Image quality after resize'),(2148,'Image resized: X out of Y'),(2152,'Image resized: X out of Y with errors'),(3103,'Image resizing requires libraries'),(139,'Images'),(2362,'Images resized'),(2378,'Images resized: {{count}}'),(813,'Import'),(814,'Import / Export'),(3175,'Import and Export'),(1527,'Import by CSV'),(815,'Import from file'),(2153,'Import has been cancelled.'),(2425,'Import language'),(1966,'Import language from CSV file'),(278,'Import mechanism does not know the field of X and it can not be imported'),(1980,'Import mode'),(1983,'Import mode comment'),(816,'Import of orders is not supported.'),(4223,'Import payment methods'),(2787,'Import results'),(1519,'Import settings'),(817,'Import/Export'),(2386,'Import/Export guide'),(818,'Important'),(4260,'Important!'),(2356,'Imported'),(2357,'Importing data...'),(275,'Importing will overwrite the existing product information. This operation cannot be undone.'),(2281,'In advanced mode you can choose specific modules for upgrade.'),(3430,'In catalog only'),(819,'In category'),(1553,'In order to accept credit cards payments you should install the necessary payment module from our Marketplace.'),(2678,'In progress[S]'),(820,'In stock'),(3501,'In stock only'),(4357,'In store currency (0 - do not use coverage)'),(2453,'In this section you can review the recent payment transactions that have taken place at your store'),(3941,'In this section you can select other special offers that will prevent this offer from being applied.'),(821,'Inactive'),(2660,'Inactive license key ({{key}})'),(822,'Incl. X'),(4172,'Include response in hash'),(268,'Including X'),(1587,'Including subcategories'),(1724,'Incomplete'),(823,'Incompleted'),(2739,'Incorrect amount'),(299,'Incorrect owner of X directory'),(301,'Incorrect owner of X file'),(2489,'Incorrect password. Please try again.'),(2738,'Incorrect permissions'),(4162,'Individual settings for every rate'),(2788,'Info'),(3760,'Information'),(2176,'Information about free license key has been sent'),(2679,'Initialized[S]'),(2789,'Initializing...'),(3692,'Inline editor'),(3640,'Inline editor is unavailable due to TinyMCE'),(824,'InnoDB engine support enabled'),(2127,'Input data'),(825,'Install'),(3703,'Install Google Tag Manager'),(3898,'Install Mailchimp addon'),(3143,'Install TaxJar integration'),(826,'Install add-on'),(1968,'Install addons'),(2833,'Install anyway'),(827,'Install updates'),(2427,'Installation date'),(828,'Installation directory'),(2989,'Installation script'),(2530,'Installation warnings'),(829,'Installed'),(3171,'Installed Addons'),(830,'Installed Modules'),(831,'Installed modules'),(1661,'Installed version'),(3149,'Installing addons'),(832,'Installing updates, please wait...'),(4200,'Insurance value'),(2613,'Integration with'),(2932,'Integrity check'),(2943,'Integrity check has been completed successfully.'),(2944,'Integrity check has been stopped.'),(2942,'Integrity has not yet been checked. Initiate an integrity check by clicking the button \"Refresh integrity status\".'),(4130,'International: phone'),(833,'Invalid login or password'),(3820,'Inventory'),(1903,'Inventory has been successfully updated'),(834,'Inventory status'),(835,'Inventory tracking'),(3409,'Inventory tracking for product X will not be imported'),(836,'Inventory tracking for this product is'),(2790,'Inventory tracking is'),(2179,'Inventory tracking options'),(837,'Invoice'),(1839,'Invoice #{{orderId}}, {{time}}'),(226,'Invoice X'),(2060,'Invoice number prefix'),(4197,'Irregular parcel girth'),(1808,'Issue no'),(838,'It is impossible to delete or create user accounts because your store currently works as an integration with Drupal and shares users with Drupal. Deleting/creating user accounts is possible via Drupal administrator interface.'),(839,'It is impossible to edit some user profile fields because your store currently works as an integration with Drupal and shares users with Drupal. Modifying these fields is possible via Drupal administrator interface.'),(1507,'It\'s impossible to detect valid SSL certificate availability on your server because curl extension is not installed.'),(4141,'It\'s recommended to limit the length of invoice prefix to 9 characters'),(1930,'Item'),(840,'Item description'),(841,'Item has been deleted from cart'),(1849,'Item has not been deleted from cart'),(2841,'Item list'),(842,'Item name'),(2228,'Item not found ({{keys}})'),(232,'Items'),(843,'Items per page'),(2566,'Items range'),(384,'JANUARY'),(390,'JULY'),(389,'JUNE'),(844,'Join forces with your bank'),(2926,'Just enter email address'),(845,'K'),(2017,'KG'),(4268,'KOUNT Antifraud screening result'),(1482,'Key is validated, but the module X was not found'),(126,'Knowledge Base'),(4126,'Knowledge base'),(2015,'LB'),(1924,'Label'),(4201,'Label format'),(156,'Label name'),(4202,'Label size'),(1916,'Labels'),(3644,'Labels editor'),(846,'Language'),(847,'Language labels'),(163,'Language name in X'),(120,'Language options'),(1590,'Language:'),(124,'Languages'),(1748,'Last 24 hours'),(1749,'Last 7 days'),(3044,'Last element of category path should be same as name'),(848,'Last logged in'),(849,'Last login'),(1750,'Last month'),(850,'Last name'),(2303,'Last three numbers on the back side of your card'),(2875,'Last time re-deployed at'),(2457,'Last week'),(2459,'Last year'),(3801,'Lastname'),(4119,'Launch (Paypal Onboarding)'),(3333,'Launch PayPal'),(2216,'Layout'),(3691,'Layout block'),(3642,'Layout editor'),(3654,'Layout editor allows you to change the position of the blocks in drag-n-drop fashion'),(3646,'Layout editor is'),(3653,'Layout editor is disabled'),(3652,'Layout editor is enabled'),(2514,'Layout has been changed. Review the updated storefront.'),(2506,'Layout type'),(2312,'Learn More'),(3700,'Learn more about Google Tag Manager'),(104,'Learn more about the top banner and how it shows in the page layout'),(4395,'Leave at door'),(2503,'Leave blank to use category name as Page Title.'),(3744,'Leave blank to use news title as Page Title.'),(3458,'Leave blank to use page name as Page Title.'),(2491,'Leave blank to use product name as Page Title.'),(2053,'Length'),(1577,'Length x Width x Height'),(1785,'Less search options'),(3140,'Let TaxJar automate your sales tax calculations, reporting, and filings in minutes.'),(3712,'Letter center'),(4061,'Let’s setup your store'),(30,'License activation is not available'),(1488,'License is not received'),(2437,'License key'),(2433,'License key has been successfully verified and activated for \"{{name}}\" module by \"{{author}}\" author.'),(851,'License key has been successfully verified for \"{{name}}\" module by \"{{author}}\" author'),(2663,'License key is missing'),(3064,'License key registration'),(2659,'License warning'),(2426,'License: trial version'),(852,'Lifetime'),(3209,'Limit number of uses'),(853,'Limit the number of uses'),(2145,'Lines checked: X out of Y'),(2146,'Lines imported: X out of Y'),(2150,'Lines imported: X out of Y with errors'),(2149,'Lines verified: X out of Y with errors'),(854,'Link'),(855,'List'),(856,'List of states'),(3863,'List rating'),(1995,'Live'),(2084,'Live mode'),(1881,'Loading the database from file .'),(857,'Loading...'),(858,'Localization'),(3764,'Location was successfully set'),(2092,'Locked'),(2417,'Log files not found'),(859,'Log in'),(2730,'Log in as this admin'),(258,'Log off'),(860,'Log out'),(861,'Logged as'),(3450,'Logged in users only'),(257,'Logged in!'),(862,'Login'),(1800,'Login Here'),(2420,'Login dates'),(863,'Login here'),(864,'Login history'),(2791,'Login is locked out'),(2927,'Login to your account'),(1933,'Login/E-mail'),(3439,'Logo'),(3452,'Logo & Favicon'),(2983,'Logout this user'),(865,'Look & Feel'),(1695,'Loopback test'),(3781,'Low - High'),(339,'Low inventory products'),(866,'Low limit notification for this product is'),(867,'Low limit quantity'),(868,'Low stock'),(2458,'Low stock info'),(3833,'Low stock notification to admin'),(3832,'Low stock warning on product page'),(869,'M'),(386,'MARCH'),(3379,'MATCH_CRITERIA_DISABLED'),(3376,'MATCH_CRITERIA_HELP'),(3377,'MATCH_CRITERIA_NAME'),(3378,'MATCH_CRITERIA_NONE'),(388,'MAY'),(4138,'MD5 Hash protection'),(4170,'MD5 hash value'),(2003,'MM'),(377,'MO'),(2299,'MONTH'),(3838,'MailChimp'),(3839,'MailChimp Integration with E-commerce support'),(3844,'MailChimp Lists'),(3842,'MailChimp is an email marketing service with powerful tools to manage your email campaigns and subscribers while gathering advanced analytics information on your campaign performance.'),(3887,'MailChimp list group names'),(3886,'MailChimp list groups'),(3845,'MailChimp list segments'),(3882,'MailChimp lists update'),(3846,'MailChimp segment settings'),(4374,'Mailing tube'),(144,'Main categories'),(870,'Maintenance'),(871,'Maintenance and operation'),(2844,'Major improvements and new features'),(2843,'Major upgrade'),(2499,'Make a discount available to all customers or only to specific membership levels;'),(872,'Make back-up of your store database'),(3730,'Make mutual relations'),(3164,'Make sure the URL is correct and the file referenced by the URL is a PNG/JPG/JPEG'),(1879,'Making backup of the current database state ... '),(880,'Manage admins'),(1876,'Manage attribute groups'),(873,'Manage catalog'),(874,'Manage categories'),(362,'Manage category (X)'),(875,'Manage customer and administrator accounts'),(3487,'Manage global tabs'),(1686,'Manage groups'),(876,'Manage layout'),(877,'Manage orders'),(878,'Manage orders placed at your store'),(1572,'Manage product classes'),(879,'Manage users'),(4113,'Manage your payment options'),(881,'Manage your product inventory'),(2792,'Manage zones'),(882,'Mandatory fields are marked with an asterisk'),(4366,'Manifest ID'),(4365,'Manifests'),(3513,'Manual'),(3412,'Manually'),(883,'Manually defined shipping methods'),(4031,'Mark all'),(4032,'Mark selected'),(884,'Mark, the search engines you want to inform of the structure of your site using the site map'),(885,'Market price'),(2793,'Marketing'),(886,'Marketplace'),(887,'Marketplace [check_addon_key]: the \"{{url}}\" URL requested'),(888,'Marketplace [check_for_updates]: the \"{{url}}\" URL requested'),(889,'Marketplace [check_for_updates]: valid response received'),(890,'Marketplace [get_hosting_score]: response has an invalid format'),(891,'Marketplace [get_hosting_score]: the \"{{url}}\" URL requested'),(2287,'Marketplace-Vendor'),(892,'Markup per item'),(893,'Markup per weight unit'),(1781,'Max'),(3972,'Max allowed file size is X'),(2847,'Maximum items in box'),(1578,'Maximum number of items per box'),(3210,'Maximum number of uses'),(3205,'Maximum order subtotal must be greater than minimum order subtotal'),(3217,'Maximum order subtotal the coupon can be applied to'),(296,'Maximum size of the file to upload is N'),(1877,'Measuring productivity in manual mode failed.'),(3864,'Members count'),(894,'Membership'),(895,'Membership access'),(896,'Membership levels'),(897,'Membership name'),(898,'Memberships'),(3002,'Memory limit'),(2090,'Menu'),(3442,'Menu links help text'),(899,'Menus'),(3303,'Merchant login'),(4382,'Merchant registration wizard'),(225,'Merge with Registered'),(900,'Message'),(3182,'Message has been sent'),(3995,'Message not found'),(3994,'Messages'),(106,'Meta desc'),(901,'Meta description'),(902,'Meta keywords'),(105,'Meta tags'),(2410,'Method name'),(903,'Methods'),(3204,'Minimum order subtotal must be less than maximum order subtotal'),(3216,'Minimum order subtotal the coupon can be applied to'),(2794,'Minimum value is X'),(2845,'Minor improvements'),(2842,'Minor update'),(2939,'Modified files'),(1575,'Modifiers'),(904,'Modify'),(905,'Modify \"{{name}}\" option group'),(906,'Modify category'),(907,'Modify option groups exceptions'),(908,'Modify root category (the front shop page)'),(2385,'Module Marketplace. Terms of use'),(152,'Module available editions 3'),(153,'Module available editions 4'),(909,'Module has been successfully installed'),(1872,'Module packing is available in the DEVELOPER mode only. Check etc/config.php file'),(2395,'Module page'),(4105,'Module settings (shipping_rates)'),(1502,'Module with ID X is not found'),(1666,'Module\'s page'),(2795,'Modules'),(1493,'Modules have been successfully installed'),(1904,'Modules license agreements'),(4013,'Monitoring of communication related to oder #X has been disabled'),(4012,'Monitoring of communication related to oder #X has been enabled'),(403,'Month'),(1820,'More'),(1970,'More actions for selected'),(911,'More add-ons'),(2603,'More attributes'),(912,'More details'),(2041,'More info is available in X-Cart\'s Knowledge Base article \'What to do if you cannot access your store...\''),(610,'More information about clean urls in X-Cart is available in '),(663,'More information on Clean URL problems on your system'),(4093,'More localisation settings'),(1786,'More search options'),(2637,'More shipping solutions'),(913,'Most Popular'),(914,'Most Rated'),(915,'Move'),(4408,'Move item'),(3830,'Move to'),(2011,'Mr.'),(2013,'Mrs.'),(2012,'Ms.'),(3288,'Multiple top-level domains'),(3718,'Mutual link'),(3728,'Mutual link head help'),(916,'My account'),(3094,'My addons'),(3761,'My location'),(3098,'My profile'),(3107,'My purchases'),(4104,'My shipping'),(3023,'MySQL cache'),(917,'MySQL server'),(3019,'MySQL version'),(148,'N it.'),(118,'N items found'),(147,'N items total'),(394,'NOVEMBER'),(918,'Name'),(1921,'Name asc'),(1922,'Name desc'),(922,'Name of account holder'),(919,'Name of address field'),(920,'Name of purchaser'),(1571,'Name, e.g. Apparel'),(1049,'Name-sort-option'),(164,'Native language name'),(3343,'Near \"Add to cart\" button'),(3344,'Near \"Checkout\" button'),(3136,'Need a customizable contact us form with location map? [Get it now!]'),(42,'Need a license key?'),(3078,'Need a way to set multicurrency prices? [Install the addon]'),(3079,'Need a way to set up product variants? [Install the addon]'),(3080,'Need a way to set wholesale prices? [Install the addon]'),(2512,'Need custom design? We can modify this template or create a completely unique design for you'),(4122,'Need help setting up your store?'),(1688,'Need license key?'),(1554,'Need more payment methods?'),(923,'Never'),(1620,'New Export'),(2397,'New access codes were generated.'),(925,'New access key will also be sent to the Site administrator\'s email address'),(924,'New access link'),(2376,'New account'),(1546,'New address'),(926,'New address field'),(3421,'New arrivals'),(1685,'New attribute'),(142,'New category'),(2691,'New customer note'),(927,'New discount coupon'),(1619,'New group'),(928,'New image'),(3635,'New images'),(1513,'New import'),(929,'New item'),(133,'New membership'),(4030,'New message'),(4003,'New message for order'),(4022,'New messages'),(2119,'New module version available for core versions X'),(2461,'New modules'),(3733,'New news message'),(930,'New page'),(4409,'New parcel'),(931,'New product class'),(932,'New product has been added successfully'),(3588,'New product reviews'),(933,'New rate'),(934,'New role'),(1765,'New safe mode access key has been generated'),(4163,'New sale tax rate'),(3922,'New special offer'),(2193,'New staff note'),(3481,'New tab'),(4044,'New tag'),(1312,'New tax class'),(2543,'New to Avalara?'),(47,'New to our store?'),(1746,'New user registered'),(1618,'New value'),(188,'New zone has been created successfully'),(3422,'New!'),(935,'Newest'),(936,'Newest first'),(3734,'News'),(3849,'News list subscriptions'),(3732,'News message'),(3731,'News messages'),(3742,'News page title'),(3743,'News title'),(3796,'Newsletters'),(937,'Next'),(3738,'Next news'),(3076,'Next order'),(938,'Next page'),(55,'Next product'),(99,'Next wizard'),(939,'No'),(1421,'No Curl extension for PHP error'),(1422,'No OpenSSL extension for PHP error'),(3401,'No PIN codes found.'),(1420,'No Phar extension for PHP error'),(2925,'No account yet?'),(2611,'No accounting system has been selected yet. Choose your accounting system below and configure it.'),(4277,'No active X-Payments payment methods, or saving credit cards is not activated.'),(1585,'No attributes'),(1687,'No attributes are defined for the product class yet.'),(1586,'No attributes assigned'),(2959,'No category assigned'),(1862,'No category defined'),(2167,'No class'),(3713,'No confirmation'),(940,'No countries found'),(2001,'No delimiter'),(4352,'No events found'),(941,'No featured products defined for this category'),(3161,'No file was uploaded'),(3669,'No flexy-templates found.'),(1584,'No group'),(942,'No image'),(943,'No images uploaded'),(2401,'No items found'),(944,'No items found.'),(4425,'No items have been selected for return.'),(414,'No membership'),(945,'No merchant account required'),(517,'No merchant account required. Simple onboarding for you and easy checkout for your customers.'),(2402,'No model selected'),(1657,'No modules found'),(119,'No modules found for search_string'),(946,'No order have been placed yet'),(346,'No order on last day'),(349,'No order on last lifetime'),(348,'No order on last month'),(347,'No order on last week'),(350,'No orders'),(3680,'No orders available. Please create at least one order.'),(947,'No orders have been placed yet'),(123,'No other languages defined'),(1852,'No payment method selected'),(1853,'No payment methods found based on the selected criteria'),(948,'No payment modules installed'),(3404,'No pin codes are bought yet'),(1570,'No product class assigned'),(1659,'No products found'),(4039,'No products have been selected for comparison.'),(3914,'No products matching the current filtering criteria were found. Try clearing filters.'),(3498,'No products matching your criteria found. Please try again with different parameters.'),(949,'No products sold yet'),(1660,'No profiles found'),(2339,'No promotion modules installed'),(2524,'No region'),(2839,'No results found.'),(3575,'No reviews.'),(3130,'No roundup'),(950,'No states found'),(3861,'No subscription'),(1548,'No such user'),(951,'No tax rate defined'),(1186,'No tracking numbers are defined'),(1658,'No users found'),(3390,'No valid code found.'),(4205,'Non delivery option'),(952,'Non-administrator'),(249,'None'),(2960,'Not assigned'),(1697,'Not detected'),(2030,'Not enough disk space. Required: {{req}} (+{{reserve}} reserve). Available: {{avail}}'),(953,'Not finished'),(954,'Not numeric'),(3576,'Not rated yet'),(2609,'Not seeing your accounting software here? Let us know'),(1602,'Not selected'),(3831,'Not set'),(4387,'Not specified'),(955,'Note'),(4278,'Note: No payment methods here because the module is not configured. Please finalize settings at '),(2052,'Note: a new window will be opened'),(956,'Notes'),(2332,'Notification'),(2369,'Notification headers and signatures can be set using variables. A list of supported variables and their respective values is provided in the table below'),(2857,'Notification state'),(2705,'Notify administrator if the stock quantity of this product goes below a certain limit'),(957,'Notify administrator inactivity help'),(2208,'Notify customer'),(1732,'Now disabled'),(4111,'Now you can define how shipping rates should be calculated based on  delivery time, weight and other parameters.'),(1592,'Number of ignored rows:'),(3933,'Number of items to buy'),(3937,'Number of items to discount'),(393,'OCTOBER'),(1677,'OR'),(2016,'OZ'),(2767,'Object name (category, product, etc)'),(2759,'Object name order first'),(2760,'Object name order last'),(3369,'Obtaining your live PayPal credentials'),(958,'Off'),(3924,'Offer type'),(959,'Official website'),(4115,'Offline method'),(960,'Offline methods'),(4462,'Ogone PSPID'),(4466,'Ogone settings note'),(4465,'Ogone signup'),(4257,'Ok'),(3051,'Ok, Got it'),(2690,'Old customer note'),(961,'Old price'),(2192,'Old staff note'),(962,'On'),(963,'On all catalog pages'),(3714,'On call air'),(3431,'On catalog and product pages'),(2897,'On category and product details page'),(2896,'On category listing'),(4378,'On delivery'),(4377,'On exception'),(3566,'On moderation'),(964,'On product details only'),(3435,'On sale'),(4376,'On shipment'),(2851,'On this page you can edit the header, greeting and signature used by all the email notifications sent by your store (separately for admin and customer users).'),(1301,'Once links are regenerated, they will be sent to store administrator email.'),(4232,'Once the connection is verified, you should proceed to the'),(3805,'One Page checkout'),(2220,'One column'),(3287,'One domain with multiple subdomains'),(3715,'One time pickup'),(965,'Online catalog structure setup'),(4116,'Online method'),(455,'Online methods'),(2138,'Online orders'),(2706,'Only X left in stock'),(3571,'Only customers who purchased this product can leave feedback on this product'),(136,'Only disabled'),(135,'Only enabled'),(1871,'Only enabled modules can be packed'),(2895,'Only orders awaiting processing'),(966,'Only small letter, digits and undescore sign are allowed'),(1940,'Open'),(967,'Open Graph meta tags'),(4290,'Open X-Payments dashboard to configure'),(4019,'Open a dispute'),(4008,'Open dispute'),(3454,'Open graph image'),(968,'Open graph tags'),(3694,'Open home or category pages for more opportunities to adjust the website structure'),(3865,'Open rate'),(969,'Open storefront'),(3698,'Open the storefront while logged in as administrator to change the look & feel of the store.'),(4283,'Open your X-Payments dashboard'),(2537,'Operate as user'),(970,'Operating system'),(4481,'Operation mode'),(971,'Option group'),(4134,'Option values has been successfully updated.'),(2796,'Options'),(972,'Options have been successfully changed'),(2391,'Options:'),(3115,'Or add a video review powered by ShopperApproved'),(4236,'Or fill in the settings manually'),(3355,'Or register with'),(3354,'Or sign in the classic way'),(3358,'Or use your social account'),(973,'Order'),(974,'Order #'),(284,'Order #X, Y'),(1961,'Order #{{id}}'),(1971,'Order #{{id}} details'),(975,'Order ID'),(2654,'Order QTY'),(976,'Order Total'),(318,'Order Total X'),(285,'Order X'),(2978,'Order X has been confirmed as delivered to the customer'),(1528,'Order by'),(1828,'Order can not be placed because not all required fields are completed. Please check the form and try again.'),(3810,'Order cannot be placed because some steps are not completed'),(2797,'Order cannot be placed because there is no shipping methods available.'),(2209,'Order changes cannot be saved due to negative total value'),(3138,'Order customer notes changed'),(2651,'Order date'),(977,'Order date from'),(978,'Order date through'),(3397,'Order deleted'),(979,'Order details'),(2428,'Order failed'),(3269,'Order fulfilment status changed from {{oldStatus}} to {{newStatus}} by file download'),(3139,'Order has been edited'),(1927,'Order history'),(980,'Order id'),(3315,'Order id prefix'),(3242,'Order is not processed'),(337,'Order is placed'),(2203,'Order item attributes are out-of-date and cannot be edited'),(2916,'Order item modifier not found'),(981,'Order items'),(2907,'Order modifier not found'),(1851,'Order not found'),(982,'Order note'),(3806,'Order note. Any special needs?'),(1793,'Order number'),(2798,'Order number or email'),(983,'Order page'),(1779,'Order payment'),(2124,'Order payment status changed from {{oldStatus}} to {{newStatus}}'),(4175,'Order prefix'),(984,'Order review'),(2125,'Order shipping status changed from {{oldStatus}} to {{newStatus}}'),(3137,'Order staff notes changed'),(985,'Order statistics'),(986,'Order status'),(2109,'Order status changed from {{oldStatus}} to {{newStatus}}'),(4309,'Order status mapping rules'),(3962,'Order statuses'),(1183,'Order tracking information'),(2920,'Order transaction status not found'),(2922,'Order transaction type not found'),(2204,'Order will be delivered to the billing address.'),(2749,'OrderBy position number must be specified as a non-negative integer.'),(364,'OrderID or email, ID1-ID2 for range'),(4489,'OrderId prefix'),(3259,'Ordered files'),(4405,'Ordered qty'),(987,'Orders'),(2893,'Orders awaiting processing'),(988,'Orders count'),(2657,'Orders has been deleted successfully'),(3964,'Orders have this status tooltip'),(3852,'Orders last month'),(2379,'Orders list'),(3997,'Orders with any messages'),(3996,'Orders with unread messages'),(2634,'Origin address'),(246,'Other'),(183,'Other items'),(131,'Our Blog'),(3921,'Our special offers'),(1818,'Out of Stock'),(989,'Out of stock'),(4375,'Oversized'),(3008,'PDO extension'),(1699,'PHP \'gd\' extension is not installed.'),(2994,'PHP version'),(3391,'PIN'),(3406,'PIN code'),(3407,'PIN codes'),(3405,'PIN codes data have been successfully updated'),(3393,'PIN codes enabled'),(3410,'PIN codes generation method'),(4364,'PO Number'),(1082,'PO number'),(2139,'POS orders'),(3370,'PRIMARYRECEIVER'),(4467,'PS Store ID'),(990,'Pack it'),(1672,'Package'),(2075,'Package dimensions (inches)'),(2070,'Package properties'),(2047,'Package subtotal'),(2048,'Package subtotal (X)'),(2045,'Package weight'),(2046,'Package weight (X)'),(2074,'Packaging'),(2650,'Packing date'),(2648,'Packing slip'),(991,'Page'),(992,'Page URL'),(993,'Page name'),(994,'Page not found'),(2773,'Page title format'),(995,'Pages'),(996,'Paid'),(4358,'Parcel'),(4367,'Parcel characteristics'),(4196,'Parcel dimensions'),(4398,'Parcel is cannot be transmitted - wrong quote type'),(4397,'Parcel is cannot be voided or transmitted - wrong quote type'),(4356,'Parcel options'),(4194,'Parcel type'),(4195,'Parcel weight'),(4414,'Parcels have been successfully updated'),(997,'Parent category'),(2947,'Parent category name'),(2766,'Parent category path'),(373,'Partially refunded'),(3301,'Partner name'),(237,'Password'),(998,'Password and its confirmation do not match'),(397,'Past'),(4447,'Past Webhook URL to the field and press Create Webhook URL button'),(3631,'Path for using in custom CSS'),(999,'Pattern search'),(4490,'Pay with Amazon'),(4241,'Pay with previously used credit card'),(3360,'PayPal'),(3345,'PayPal API (Merchant API) will work for most merchants; however, some merchants may have access only to Payflow API.'),(3334,'PayPal Credit is'),(3296,'PayPal ID / Email'),(3336,'PayPal account email'),(516,'PayPal all-in-one solutions'),(3305,'PayPal recommends entering a User Login here instead of your Merchant Login'),(3364,'PayerID value was not returned by PayPal. Please try again. If the problem persists, contact the administrator.'),(3323,'Payflow API'),(2873,'Payment'),(4496,'Payment capture error: {{error}}'),(1006,'Payment data ({{method}})'),(1000,'Payment gateways'),(4502,'Payment has been authorized successfully.'),(3348,'Payment has been captured successfully'),(4495,'Payment has been captured successfully.'),(4503,'Payment has been declined.'),(3346,'Payment has been refunded successfully'),(4499,'Payment has been refunded successfully.'),(3347,'Payment has been voided successfully'),(4497,'Payment have been voided successfully.'),(1001,'Payment info'),(4307,'Payment information'),(1002,'Payment instructions'),(2382,'Payment is not required'),(1003,'Payment method'),(1005,'Payment method data'),(4299,'Payment method for card setup'),(2528,'Payment method has been added'),(1875,'Payment method has been added successfully'),(331,'Payment method has been disabled successfully'),(330,'Payment method has been enabled successfully'),(332,'Payment method has been removed successfully'),(333,'Payment method has not been configured properly'),(2342,'Payment method is disabled'),(2341,'Payment method is enabled'),(2418,'Payment method settings'),(2529,'Payment method was not added'),(1004,'Payment methods'),(327,'Payment methods appearance description'),(4297,'Payment methods have been imported successfully'),(4437,'Payment processed with errors. Please, try again or ask administrator'),(4501,'Payment refund error: {{error}}'),(4337,'Payment return page requested without expected parameters'),(1007,'Payment settings'),(2120,'Payment status'),(2906,'Payment status not found, \"Awaiting payment\" will be used for order'),(3966,'Payment status not found, new status will be created'),(3960,'Payment statuses'),(1008,'Payment transaction ID'),(320,'Payment transaction X issued'),(4504,'Payment transaction is in progress...'),(1009,'Payment transactions'),(4498,'Payment void error: {{error}}'),(319,'Payment was not finished'),(1010,'Payments'),(3322,'Paypal API'),(3321,'Paypal API solution'),(3371,'Paypal Credit'),(3362,'Paypal capture warning message'),(1011,'Pending'),(253,'Pending membership'),(1012,'Pending memberships'),(2681,'Pending[S]'),(1013,'Per item markup'),(1014,'Per weight unit markup'),(1015,'Percent'),(3917,'Percent discount (%)'),(3468,'Percent discount value cannot exceed 100%'),(1016,'Percent markup'),(1017,'Percent off'),(1018,'Perform order search'),(1019,'Performance'),(2886,'Performing task...'),(3203,'Period end date must be later than period start date'),(3202,'Period start date must be sooner than period end date'),(1020,'Permissions'),(1021,'Permissions checking failed'),(1022,'Personal info'),(1328,'Personal info: The new password must not coincide with the current password for your account.'),(3028,'Phar extension'),(1023,'Phone'),(1024,'Pick address from address book'),(3619,'Pick template from page element'),(3688,'Pick templates from page'),(3295,'Pin It'),(1025,'Place order'),(200,'Place order X'),(2187,'Placed by NAME'),(2186,'Placed by _NAME_'),(1676,'Placed on'),(2185,'Placed on DATE'),(316,'Placed on X by Y'),(317,'Placed on X by Y link'),(1925,'Plain field'),(1655,'Please'),(1026,'Please accept the Terms and Conditions to continue'),(3779,'Please add another product to comparison'),(2951,'Please be warned that proper operation of the site after an upgrade is not guaranteed if you choose to upgrade only some of the components listed below.'),(1027,'Please choose the appropriate action'),(1593,'Please confirm if you want proceed with the import otherwise cancel the operation.'),(1293,'Please contact the module developers to make sure that these modules are compatible with the upcoming upgrade'),(2128,'Please create a new password'),(1028,'Please enable JavaScript in your web browser.'),(3181,'Please enter the correct captcha'),(1720,'Please enter the correct file location or set correct file permissions.'),(4435,'Please enter your encryption password (This is different from your merchant password). More info on encryption passwords is available <here>'),(1029,'Please identify yourself'),(1538,'Please make sure that \"min weight\", \"min total\", \"min items\", \"shipping zone\", \"shipping method\" fields do not overlap with other shipping rates.'),(1599,'Please make sure your file format is as described.'),(4380,'Please note that rates are calculated for shipping from Canadian locations only.'),(1030,'Please note that some of these modules are definitely incompatible with the upcoming upgrade and will be disabled in order to prevent the system crash'),(2375,'Please note that the following modules will also be enabled'),(4214,'Please note: the USPS Web tools APIs print labels without postage.'),(3068,'Please register your license key now or purchase a premium license to skyrocket your business.'),(2436,'Please renew your access to upgrades to get new superior features from the latest releases.'),(3599,'Please review purchased product {{product}}'),(3601,'Please review purchased products'),(1031,'Please run the benchmark test in order to estimate your server performance'),(1032,'Please save the soft reset and hard reset links so that you can use them later in case the website crash happens'),(3169,'Please select'),(411,'Please select a date range'),(410,'Please select a date range between %d and %d days'),(409,'Please select a date range less than %d days'),(408,'Please select a date range longer than %d days'),(1033,'Please select one'),(416,'Please select one ...'),(417,'Please select option'),(1845,'Please select other attribute'),(2307,'Please select the countries first'),(2656,'Please select the orders first'),(1831,'Please select the products first'),(3585,'Please select the reviews first'),(2174,'Please select the states first'),(4046,'Please select the tags first'),(3544,'Please sign in to add review'),(172,'Please specify a pattern to find the required labels'),(1484,'Please specify non-empty key'),(151,'Please specify text labels for each language'),(2799,'Please wait'),(244,'Please, clarify your search request or search in Marketplace'),(243,'Please, clarify your search request. Suggest your idea or contact us to get free quote for custom service'),(1418,'Please, contact administrator'),(1727,'Please, enter a valid IP address'),(1726,'Please, enter a valid e-mail address'),(1710,'Please, enter unique membership name'),(1637,'Please, make sure that the following modules are installed and enabled:'),(3398,'Please, type in the new PIN codes one per line.'),(1665,'Popularity'),(1034,'Pos'),(1035,'Pos.'),(1036,'Pos.:'),(1037,'Position'),(2163,'Possible import file names are:'),(2165,'Possible reasons of data not found in import file'),(2050,'Postal Code'),(2056,'Postal/ZIP Code'),(1040,'Pre upgrade disabled modules hooks message body'),(1043,'Pre upgrade disabled modules hooks message footer'),(1039,'Pre upgrade disabled modules hooks message head'),(2594,'Pre-upgrade hooks cannot be run'),(1042,'Pre-upgrade off'),(1041,'Pre-upgrade on'),(1038,'Prefix'),(2166,'Premium license modules warning'),(1044,'Prev'),(1567,'Preview product page'),(3679,'Preview template'),(401,'Previous'),(3737,'Previous news'),(3075,'Previous order'),(1045,'Previous page'),(54,'Previous product'),(241,'Price'),(3821,'Price and membership'),(1919,'Price asc'),(1920,'Price desc'),(1046,'Price modifier'),(3500,'Price range'),(1048,'Price-sort-option'),(1047,'Price: Not a numeric'),(2800,'Prices & Inventory'),(4176,'Pricing currency'),(1050,'Primary menu'),(1996,'Print'),(2616,'Print Shipping labels'),(4207,'Print custom message 1'),(4209,'Print custom message 2'),(1051,'Print invoice'),(2649,'Print packing slip'),(1997,'Print selected'),(2113,'Priority'),(2065,'Private'),(1522,'Proceed import'),(2868,'Proceed to payment'),(201,'Proceed to payment X'),(4056,'Proceed to the next step'),(1052,'Processed'),(1053,'Processed/Completed'),(2974,'Processing categories...'),(2361,'Processing products...'),(3524,'Product'),(1773,'Product ID'),(1054,'Product Name'),(1055,'Product SKU'),(1056,'Product Title'),(1057,'Product added to bag'),(2158,'Product attributes values'),(2160,'Product attributes values (Plain text) has been imported'),(2161,'Product attributes values (Textarea) has been imported'),(2159,'Product attributes values (Yes/No) has been imported'),(2400,'Product attributes values has been imported'),(1058,'Product class'),(1895,'Product class have been updated successfully'),(1896,'Product class name is empty'),(2267,'Product class {{value}} does not exists and will be created'),(1059,'Product classes'),(1060,'Product has been added to cart'),(4040,'Product has been removed from comparison table.'),(1848,'Product has not been added to cart'),(1061,'Product images'),(1062,'Product info'),(1063,'Product info has been updated successfully'),(1064,'Product is out of stock'),(3829,'Product list'),(242,'Product name'),(3413,'Product not found'),(1065,'Product on sale'),(1066,'Product options'),(3774,'Product or product variant with SKU \"{{value}}\" not found'),(1067,'Product page title'),(1068,'Product prices are defined including this tax calculated for'),(3240,'Product removed'),(3525,'Product reviews'),(3484,'Product tabs'),(4045,'Product tags'),(2261,'Product with SKU \"{{value}}\" does not exists'),(3771,'Product with SKU \"{{value}}\" not found'),(2190,'Product with selected properties cannot be purchased'),(3537,'Product, SKU or customer info'),(1897,'Product-Specific'),(1898,'Product-Specific attributes'),(2260,'ProductSKU is empty'),(1069,'Products'),(3773,'Products and product variants updated'),(1531,'Products found'),(1908,'Products imported'),(1070,'Products in bag'),(2963,'Products in this class: {{X}}'),(2424,'Products information has been successfully deleted'),(1071,'Products information has been successfully updated'),(2360,'Products processed'),(2147,'Products processed: X out of Y'),(2151,'Products processed: X out of Y with errors'),(2377,'Products processed: {{count}}'),(4344,'Products return X'),(3526,'Products reviews'),(2698,'Products search'),(3769,'Products updated'),(1072,'Products with low inventory'),(2979,'Products with no assigned categories'),(1073,'Profile'),(2984,'Profile actions'),(3049,'Profile details'),(1074,'Profile has been created successfully'),(1075,'Profile has been deleted successfully'),(1958,'Profile has been modified successfully'),(1076,'Profile has been updated successfully'),(2131,'Profile is not defined'),(2403,'Profile is not selected'),(1077,'Profile settings'),(1078,'Promotions'),(1079,'Properties'),(2408,'Public ID'),(2409,'Public id'),(4459,'Publishable key'),(4460,'Publishable key (test mode)'),(3543,'Published'),(1080,'Purchase'),(1081,'Purchase SSL certificate'),(3059,'Purchase a premium license key'),(2083,'Purchase description'),(2658,'Purchase license'),(37,'Purchase premium license'),(1663,'Purchased'),(3106,'Purchased addons'),(3436,'Put all for sale'),(3433,'Put up for sale'),(1083,'Put up selected for sale'),(1084,'Qty'),(1085,'Qty.'),(228,'Quantity'),(3384,'Quantity in stock'),(3402,'Quantity in stock is determined by the amount of the remaining PIN codes'),(3399,'Quantity in stock is determined by the amount of the remaining PIN codes.'),(1086,'Quantity: high to low'),(1087,'Quantity: low to high'),(404,'Quarter'),(1529,'Query'),(1088,'Queued'),(1089,'Quick and easy setup'),(3099,'Quick menu'),(2865,'Quick view'),(2538,'Quit'),(2392,'RSS feed'),(1090,'Rate'),(3569,'Rate asc'),(3570,'Rate desc'),(3568,'Rate sort'),(1091,'Rates'),(1092,'Rates / Conditions'),(3535,'Rating'),(3551,'Rating of votes'),(3589,'Ratings and Reviews of X'),(3581,'Ratings only'),(1093,'Raw online rate (on-line rate)'),(1094,'Re-build cache'),(2674,'Re-check'),(2471,'Re-deploy the store'),(2472,'Re-deploy the store help text'),(1095,'Re-generate access key'),(1581,'Re-generate links'),(4222,'Re-import payment methods'),(1096,'Re-order'),(3264,'Re-upload file'),(2441,'Re-validate license keys'),(3992,'Read'),(3567,'Read all reviews about the product'),(4078,'Ready to delete demo products?'),(4021,'Reason'),(2888,'Recalculate ViewLists'),(2889,'Recalculate ViewLists text'),(2206,'Recalculate this value automatically'),(2801,'Recalculate totals'),(2802,'Recent orders only'),(3170,'Recently installed addons'),(2419,'Recently installed modules'),(3423,'Recently viewed'),(3600,'Recently, you have made a purchase from our company:'),(1918,'Recommended'),(3897,'Reconnect with your MailChimp account'),(238,'Recover password'),(3224,'Redeem'),(1097,'Redirect customers to HTTPS'),(3057,'Refer to X-Cart license agreement for further details.'),(4310,'Refer to on-line manual'),(1099,'Referer'),(3127,'Refresh consistency status'),(2937,'Refresh integrity status'),(4184,'Refresh list of available methods'),(4452,'Refresh token'),(2106,'Refund'),(4500,'Refund is in progress...'),(2723,'Refund multiple[TT]'),(2722,'Refund partially[TT]'),(371,'Refund requested'),(3380,'Refund status:'),(4494,'Refund status: {{status}}'),(2721,'Refund[TT]'),(372,'Refunded'),(1835,'Refunded amount'),(2618,'Refunds'),(1100,'Register'),(3073,'Register license key'),(1759,'Register user'),(3356,'Register with'),(3353,'Register with PayPal or go to checkout as a New customer'),(4485,'Register your website as an application on the Login with Amazon App Console.'),(1101,'Registered'),(2135,'Registered (access level)'),(222,'Registered Customer'),(223,'Registered Customer, _Anonymous Customer with the same email_'),(2023,'Registered Customers'),(3579,'Registered users only'),(3572,'Registered users who purchased product'),(3372,'Registering your application with PayPal'),(3594,'Reject'),(3717,'Related products'),(3719,'Related products page'),(4142,'Relay Response URL note'),(3396,'Remaining PINs'),(3058,'Remind me on next sign-in'),(44,'Removal of this message is allowed only through activation of a free or premium license.'),(1102,'Remove'),(3503,'Remove cache when attribute, tag or product data is changed'),(2210,'Remove data'),(3668,'Remove flexy-templates'),(3505,'Remove product filter cache'),(3504,'Remove product filter cache tooltip'),(2671,'Remove unlicensed modules'),(3226,'Removed coupons'),(2940,'Removed files'),(2202,'Removed items'),(1614,'Removing this attribute will affect all the products. Leave this blank to hide this option for the product.'),(1692,'Removing this message without buying a Full license is prohibited and will result in legal proceedings.'),(1201,'Rename label'),(2440,'Renew your access to new features'),(1740,'Replace all modified files with the unmodified newer versions'),(4229,'Replace payment methods'),(3826,'Replace with'),(128,'Report a bug'),(2350,'Request for upgrade'),(4226,'Request payment methods'),(2080,'Request type must be POST'),(4442,'Requested amount: X; real amount: Y'),(4443,'Requested currency: X; real currency: Y'),(4441,'Requested transaction type: X; real transaction type: Y'),(1967,'Requested zone does not exists'),(1427,'Require to change password on next log in'),(1103,'Required'),(1711,'Required field'),(280,'Required field X is not defined or empty'),(1104,'Required php extensions is not loaded: X'),(2957,'Required state_id checkbox help text'),(1105,'Requires registered merchant account'),(2699,'Requires shipping'),(2662,'Requires {{list}} edition'),(1106,'Rerun benchmark'),(1107,'Resend secret link to renew the access'),(3912,'Reset all filters'),(3497,'Reset filter'),(1999,'Residential'),(2363,'Resizing images...'),(2449,'Resolve the conflict'),(3608,'Response date is in wrong format'),(4324,'Response from ePDQ is not trusted (SHA checking is failed)'),(1108,'Response from marketplace is not received'),(1109,'Response from marketplace: '),(1483,'Response from marketplace: X'),(1110,'Restore'),(1111,'Restore database'),(1112,'Restore from server'),(1113,'Restore last backup'),(1114,'Restore links'),(3616,'Restore this version'),(786,'Restores to current state of active addons (use in case of emergency)'),(1884,'Restoring database from the backup .'),(2446,'Result'),(1728,'Result pages'),(4265,'Result payment status'),(4423,'Return'),(4410,'Return #'),(4400,'Return products'),(4406,'Return qty'),(4346,'Return quantity'),(1115,'Return to Drupal'),(1885,'Return to admin interface'),(3802,'Return to cart'),(3767,'Return to default database'),(4363,'Return tracking pin'),(1523,'Reupload files'),(1116,'Revenue'),(3765,'Revert to default database'),(3583,'Review'),(2697,'Review & Submit order'),(3530,'Review has been created'),(3531,'Review has been deleted'),(3532,'Review has not been created since product is not found'),(3533,'Review has not been updated since product is not found'),(3615,'Review it.'),(3167,'Review modules'),(1117,'Review statistics on various aspects of your store\'s operation'),(3534,'Reviewer'),(3558,'Reviews'),(3587,'Reviews about product'),(3580,'Reviews and ratings'),(3523,'Reviews for product'),(3536,'Reviews imported'),(3582,'Reviews only'),(3559,'Reviews: X'),(1118,'Role'),(1119,'Roles'),(2744,'Roles cannot be changed for your profile via import'),(1120,'Root Level'),(1121,'Root access'),(1678,'Root categories'),(1122,'Root category'),(2143,'Root category listings format'),(250,'Root level'),(3129,'RoundUp'),(1977,'Row {{number}}'),(1978,'Row(s) {{numbers}}'),(4270,'Rules triggered'),(1123,'Run Benchmark again'),(1124,'Run benchmark'),(382,'SA'),(3373,'SECONDARYONLY'),(3374,'SENDER'),(3591,'SEO'),(1158,'SEO settings'),(392,'SEPTEMBER'),(4463,'SHA-IN passphrase'),(4464,'SHA-OUT passphrase'),(2584,'SHIPPING = flat + ITEMS*per_item + SUBTOTAL*(% of subtotal)/100 + WEIGHT*per_weight;'),(53,'SKU'),(2404,'SKU is not selected'),(2803,'SKU length must be less then {{length}}'),(3610,'SKU or Product name'),(2805,'SKU or SKU1, SKU2'),(1125,'SKU: a-z'),(1126,'SKU: z-a'),(1127,'SMTP server'),(1869,'SQL file was deleted successfully'),(1423,'SSL Error'),(1128,'STORE SETUP'),(383,'SU'),(1129,'SYSTEM SETTINGS'),(1130,'Safe mode'),(1131,'Safe mode access key'),(1863,'Safe mode access key has been re-generated'),(2027,'Safe mode links were emailed'),(4430,'Sage Pay password'),(4432,'Sage Pay pricing currency'),(4429,'Sage Pay processing mode'),(4428,'Sage Pay vendor name'),(4431,'Sage pay invoice number prefix'),(4434,'SagePay Form admin description'),(1132,'Sale'),(1133,'Sale price'),(2455,'Sale statistics'),(1134,'Sale statistics from the opening of the store'),(2714,'Sale[TT]'),(1135,'Sales'),(4129,'Sales & Customer Service:'),(4131,'Sales & Customer Service: [phone]'),(3189,'Sales asc'),(2688,'Sales calculation'),(3093,'Sales channels'),(3190,'Sales desc'),(3188,'Sales sort'),(1136,'Sales tax'),(1521,'Samples of the file structures'),(150,'Save'),(3451,'Save & Close'),(4055,'Save and go to the next step'),(1137,'Save as new'),(4251,'Save cards'),(1138,'Save changes'),(4258,'Save credit card'),(4311,'Save credit card setup'),(2640,'Save filter'),(3763,'Save location'),(2207,'Save the existing value without re-calculating'),(1139,'Save zone details'),(4255,'Saved credit cards'),(3101,'Saving'),(1140,'Savings'),(4215,'Savings - Up to 49% off retail USPS postage rates'),(2858,'Scheme'),(4269,'Score'),(3573,'Score: X. Votes: Y'),(98,'Search'),(3666,'Search flexy-templates'),(1141,'Search for modules'),(1142,'Search for orders'),(4413,'Search for returns'),(2481,'Search for transactions by date'),(1143,'Search for users'),(1144,'Search for users that are'),(422,'Search in'),(1145,'Search in subcategories'),(2142,'Search items...(customer header search form)'),(418,'Search keywords'),(419,'Search payment method'),(1146,'Search product'),(1147,'Search profiles'),(1148,'Search result'),(1149,'Search results'),(2136,'Search total'),(2838,'Searching...'),(2882,'Second, try to disable all non-X-Cart modules by using the links below:'),(4483,'Secret Access Key'),(4149,'Secret Word'),(2108,'Secret key'),(4461,'Secret key (test mode)'),(2093,'Secret word'),(1150,'Secure connection cannot be established.'),(2294,'Secure credit card payment'),(1151,'Security'),(2302,'Security code'),(2460,'Security issue'),(1152,'Security settings'),(1823,'See comparison chart'),(4282,'See how'),(2168,'See log file for details'),(4128,'See the tutorials and documentation about X-Cart store customization.'),(3857,'Segment condition'),(310,'Select a country or a state from a list, specify the zone'),(1744,'Select all'),(3850,'Select box'),(1153,'Select country'),(115,'Select file'),(4340,'Select issuer'),(122,'Select language'),(2806,'Select language to edit'),(245,'Select one'),(1154,'Select options'),(1860,'Select products from the list'),(1155,'Select status'),(3592,'Select the review that should be included into the rich snippet shown for the page of this product when the page appears in search results by Google and other major search engines'),(3867,'Selected by default'),(764,'Selected countries'),(763,'Selected countries:'),(3584,'Selected reviews have been deleted'),(3586,'Selected reviews have been updated'),(766,'Selected states'),(4047,'Selected tags have been deleted'),(374,'Selected:'),(1707,'Semicolon'),(1156,'Send'),(3187,'Send a message'),(2988,'Send reset link'),(1157,'Send test email'),(1185,'Send tracking info'),(2807,'Separate box'),(1159,'Service name'),(1160,'Service name of address field'),(1161,'Set'),(2500,'Set a single discount or add multiple volume discounts.'),(2498,'Set absolute or %-based discount rates;'),(4102,'Set flat shipping rates for your store'),(4473,'Set the Response Method setting to Sent to your server as a POST.'),(1162,'Set the sale price'),(167,'Set this language as default for customer zone'),(4118,'Set up offline & online payments'),(4054,'Set up payment gateways'),(4099,'Set up shipping'),(4053,'Set up shipping methods'),(4094,'Set your company info'),(3178,'Setting up Canadian taxes'),(3176,'Setting up VAT / GST'),(3177,'Setting up sales tax'),(3179,'Setting up tax classes'),(1163,'Settings'),(1164,'Setup _address zones_ and _taxes_'),(2188,'Setup store price: X'),(2655,'Ship QTY'),(1563,'Ship in a separate box'),(2653,'Ship to'),(4360,'Shipment ID'),(4191,'Shipment Id'),(4416,'Shipment cannot be created'),(4421,'Shipment cannot be transmitted'),(4418,'Shipment cannot be voided'),(4190,'Shipment has been created successfully'),(4415,'Shipment has been created with errors'),(4419,'Shipment has been tranmitted with errors'),(4420,'Shipment has been transmitted successfully'),(4189,'Shipment has been voided successfully'),(4417,'Shipment has been voided with errors'),(4359,'Shipment info'),(2071,'Shipment options'),(4361,'Shipment status'),(4422,'Shipments'),(368,'Shipped'),(3441,'Shipping'),(1165,'Shipping & Taxes'),(1314,'Shipping / Payment info'),(1166,'Shipping address'),(1838,'Shipping address is invalid'),(1167,'Shipping address is not completly defined yet'),(1168,'Shipping address is not defined'),(1169,'Shipping address is not defined yet'),(2582,'Shipping charge based on a percentage of the order subtotal.'),(1545,'Shipping charges'),(64,'Shipping cost'),(3752,'Shipping freight'),(3755,'Shipping freight + regular shipping rate'),(3754,'Shipping freight only'),(3756,'Shipping freight tooltip text'),(1671,'Shipping has been calculated based on the following split of the products into packages:'),(1170,'Shipping info'),(4193,'Shipping label'),(4211,'Shipping label sender signature'),(1171,'Shipping markup has been created successfully'),(1172,'Shipping markups have been updated'),(1173,'Shipping method'),(2808,'Shipping method / cost'),(1174,'Shipping method has been added'),(2546,'Shipping method is not configured.'),(2557,'Shipping method name'),(1175,'Shipping methods'),(1176,'Shipping methods are not available'),(185,'Shipping methods have been updated'),(1537,'Shipping rate cannot be added'),(1536,'Shipping rate has been added successfully'),(1177,'Shipping rates'),(2578,'Shipping rates are calculated by the following formula:'),(1178,'Shipping settings'),(2636,'Shipping solutions'),(2121,'Shipping status'),(2905,'Shipping status not found, \"New\" will be used for order'),(3967,'Shipping status not found, new status will be created'),(3961,'Shipping statuses'),(2869,'Shipping to'),(1179,'Shipping zones'),(1193,'Shopping bag'),(3495,'Shopping options'),(3945,'Short promo text'),(396,'Shortcuts'),(2025,'Show'),(4456,'Show \"How to use\" instruction'),(101,'Show Category title'),(3341,'Show above products'),(3661,'Show all'),(117,'Show all labels'),(3499,'Show all products in this category'),(4242,'Show all saved credit cards'),(2707,'Show all warnings/errors'),(3342,'Show below products'),(217,'Show filter options'),(2809,'Show in all the sections'),(2704,'Show low stock warning on product page'),(2774,'Show object name in page title'),(2810,'Show only in categories and search listings'),(3496,'Show products'),(2981,'Show products with no assigned category'),(1194,'Show social buttons'),(3048,'Show states for selected countries only'),(4023,'Show vendor’s products in the order'),(2811,'Show:'),(2313,'Sign Up'),(3352,'Sign Up Now'),(1195,'Sign in'),(2864,'Sign in / sign up'),(1196,'Sign out'),(3889,'Sign up for <Company name> news, sales and deals'),(3142,'Sign up for TaxJar'),(3888,'Sign up for news and updates from your favorite store. Be the first to know about exclusive sales, offers and deals.'),(3787,'Sign up for {{companyName}} news'),(2855,'Signature'),(4137,'Signature  key'),(36,'Simplify tax compilance process and reduce the sales tax audit risk with AvaTax Sales Tax Automation'),(1716,'Single quote'),(3471,'Site map has not been registred in X'),(3472,'Site map successfully registred on X'),(3759,'Sitemap'),(3477,'Sitemap generation has been completed successfully.'),(3478,'Sitemap generation has been stopped.'),(3476,'Sitemap generation...'),(1197,'Size'),(4101,'Skip Shipping Step'),(4058,'Skip this step'),(4148,'Skrill Customer ID'),(4155,'Skrill Quick Checkout description'),(4153,'Skrill settings'),(2812,'Soft and Hard reset links for your store'),(1768,'Soft reset (disables all modules except ones that were downloaded from marketplace)'),(2883,'Soft reset. Turn off all addons except those provided by X-Cart Team & Qualiteam'),(3385,'Sold'),(3395,'Sold PINs'),(3648,'Some'),(1738,'Some files are modified'),(3991,'Some files haven`t been attached'),(3671,'Some flexy-templates cannot be removed. Please correct file permissions or remove them manually'),(2435,'Some of these updates are not available for you at the moment.'),(4117,'Some people simply prefer to place their orders by phone — let them do that.'),(283,'Some products could have been imported incorrectly'),(4335,'Something wrong in the iDEAL payment module settings. Please try later or use other payment option.'),(3234,'Sorry, the coupon has expired'),(3235,'Sorry, the coupon use limit has been reached'),(3236,'Sorry, the coupon you entered cannot be applied to the items in your cart'),(3233,'Sorry, the coupon you entered is invalid. Make sure the coupon code is spelled correctly'),(3237,'Sorry, the coupon you entered is not valid for your membership level. Contact the administrator'),(3230,'Sorry, this coupon cannot be combined with the coupon already applied. Revome the previously applied coupon and try again.'),(2647,'Sorry, your order cannot be placed as there are no shipping methods available.'),(1801,'Sorry, your order payment is canceled.'),(1802,'Sorry, your order payment is failed.'),(252,'Sort by'),(2813,'Sort by:'),(2814,'Sort settings'),(2340,'Sorting & Descriptions'),(2049,'Source address'),(2002,'Space'),(3916,'Special Offer discount'),(3953,'Special Offers promo: Buy X Get Y description'),(3955,'Special Offers promo: Common description'),(3957,'Special Offers promo: Coupon Roulette short'),(3958,'Special Offers promo: Loyalty Program short'),(3959,'Special Offers promo: Popup Anywhere short'),(3954,'Special Offers promo: Spend X Get Y description'),(3956,'Special Offers promo: You may also like'),(3923,'Special offer'),(3932,'Special offer conditions'),(3927,'Special offer dates'),(3938,'Special offer discount amount'),(3939,'Special offer discount type'),(3940,'Special offer exclusions'),(3936,'Special offer reward'),(3944,'Special offer title'),(3925,'Special offer type'),(3920,'Special offers'),(4198,'Special services'),(448,'Specification'),(4237,'Specify the URL of your X-Payments installation. Copy and paste Store ID, Public key, Private key and Private key password from X-Payments Online Store Details page.'),(1203,'Specify your _store information_'),(2815,'Specify your _store information_\', {\'URL\': url(\'settings\', \''),(1204,'Speed up your store'),(2205,'Staff note'),(2630,'Stamps.com'),(2505,'Standard'),(2892,'Start'),(1622,'Start Export'),(4281,'Start FREE Trial'),(1512,'Start Import'),(3317,'Start accepting Express Checkout payments immediately by simply plugging in the email address where you would like to receive payments.'),(1806,'Start date'),(1205,'Start selling!'),(3541,'Start typing customer email or name'),(3539,'Start typing product name or SKU'),(1206,'State'),(1500,'State cannot be created with unknown country code X'),(1207,'States'),(1208,'States have been deleted successfully'),(1209,'States have been updated successfully'),(2173,'States information has been successfully deleted'),(3859,'Static'),(1210,'Statistics'),(1211,'Status'),(3174,'Status comment (reason)'),(2405,'Status is not defined'),(4449,'Status: Connected'),(353,'Steps to complete your store for real sales'),(1932,'Stock'),(1212,'Store Maintenance'),(1213,'Store currency'),(1214,'Store info'),(1215,'Store is closed'),(1216,'Store is open'),(1751,'Store lifetime'),(1217,'Store setup'),(1218,'Storefront'),(1939,'Storefront is closed'),(1941,'Storefront is open'),(3807,'Street address'),(143,'Subcat'),(1219,'Subcategories'),(363,'Subcategories for'),(1220,'Subject'),(3456,'Submenu'),(58,'Submit'),(2863,'Subscribe'),(3885,'Subscribe by default'),(3848,'Subscribe to our news list and be in touch with our latest offers.'),(3793,'Subscriber with email {{email}} already subscribed'),(3789,'Subscribers'),(3792,'Subscribers imported'),(3847,'Subscription'),(1221,'Substring'),(66,'Subtotal'),(4164,'Subtotal + Shipping cost'),(2564,'Subtotal range'),(1222,'Subtotal range (begin)'),(1223,'Subtotal range (end)'),(1669,'Success'),(2680,'Success[S]'),(1224,'Successfully imported X new products'),(1225,'Successfully imported X new products and upgraded Y old products'),(1226,'Successfully upgraded Y old products'),(1227,'Suffix'),(127,'Suggest an idea'),(3716,'Suggested retail rates'),(1510,'Support'),(3118,'Surcharges'),(2946,'Switch to Category search'),(2945,'Switch to Category tree'),(2877,'Switcher NO'),(2876,'Switcher YES'),(1228,'Synchronous'),(3097,'System logs'),(1229,'System settings'),(3965,'System status tooltip'),(3096,'System tools'),(1855,'System will download and install this module from marketplace. Continue?'),(380,'TH'),(378,'TU'),(1708,'Tab'),(1230,'Table'),(2558,'Table based on'),(3480,'Tabs'),(3485,'Tabs imported'),(4043,'Tag'),(3701,'Tag Manager Dashboard'),(5,'Tags'),(2230,'Tags are not allowed in the column \"{{column}}\" and will be stripped'),(67,'Tax'),(1568,'Tax class'),(1892,'Tax classes'),(1231,'Tax disabled'),(1232,'Tax enabled'),(1233,'Tax has been disabled successfully'),(1234,'Tax has been enabled successfully'),(1236,'Tax rate has been deleted successfully'),(1237,'Tax rate has not been deleted successfully'),(4166,'Tax rates for shipping charges have not yet been created.'),(1235,'Tax rates have been updated successfully'),(4167,'Tax rates have not yet been created.'),(4168,'Tax rates on shipping cost'),(1238,'Tax title'),(3145,'TaxJar Category'),(3144,'TaxJar Dashboard'),(3141,'TaxJar enabled'),(4165,'Taxable base'),(1239,'Taxes'),(1240,'Teaser'),(3622,'Template'),(3643,'Template editor'),(3665,'Template is converted'),(3453,'Terms and conditions'),(1498,'Terms and conditions text'),(1998,'Test'),(4379,'Test Canada Post rates calculation'),(1241,'Test email configuration'),(1760,'Test email notification'),(1761,'Test email notification:'),(2073,'Test mode'),(2183,'Test mode: Live'),(2182,'Test mode: Test'),(2588,'Test rates'),(1242,'Test shipping rates'),(4246,'Test transaction completed successfully'),(4256,'Test transaction completed successfully for API version X'),(4247,'Test transaction failed. Please check the X-Payment Connector settings and try again. If all options is ok review your X-Payments settings and make sure you have properly defined shopping cart properties.'),(2082,'Test/Live mode'),(2727,'Test[TT]'),(1243,'Tester'),(1244,'Text'),(87,'Text labels have been deleted'),(83,'Text labels have been updated successfully'),(88,'Text labels have not been deleted: no text labels have been found or specified'),(85,'Text labels have not been updated successfully: the default application language has been set as the translation language'),(86,'Text labels have not been updated successfully: the translation language has not been found'),(84,'Text labels have not been updated successfully: the translation language has not been specified'),(3432,'Text links'),(3607,'Text of response'),(3542,'Text of review'),(1926,'Textarea'),(262,'Thank you for registering a customer account, your profile has been created successfully'),(3788,'Thank you for subscribing to the newsletter! We hope you enjoy shopping at {{companyName}}'),(214,'Thank you for using company services'),(1245,'Thank you for your order'),(314,'Thank you for your order FOOTER'),(3548,'Thank your for sharing your opinion with us!'),(4181,'The \"Approved URL\" value must be exact as this'),(4477,'The \"Pay With Amazon\" feature is not configured and cannot be used.'),(4478,'The \"Pay with Amazon\" feature requires https to be properly set up for your store.'),(4180,'The \"Pricing currency\" value must be exactly the same as on it.'),(2835,'The \"{{file}}\" file is not allowed and was not uploaded. Allowed extensions are: {{extensions}}'),(3455,'The \"{{file}}\" file is not allowed image and was not uploaded. Allowed images are: {{extensions}}'),(1829,'The \"{{file}}\" file was not uploaded'),(1867,'The \"{{file}}\" is not CSV or archive'),(2227,'The \"{{value}}\" category does not exist'),(2258,'The \"{{value}}\" group is not created'),(2225,'The \"{{value}}\" image does not exist'),(2222,'The \"{{value}}\" membership does not exist'),(2223,'The \"{{value}}\" product class does not exist'),(2224,'The \"{{value}}\" tax class does not exist'),(3459,'The AppleIcon image could not be uploaded (Unallowed image type. Must be a .png image with the resolution of 192x192 px)'),(4471,'The Approved URL value must be exact as this:'),(2444,'The Clean URL entered is a redirect to object.'),(2758,'The Clean URL entered is already in use by target alias.'),(2443,'The Clean URL entered is already in use.'),(4472,'The Declined URL value must be exact as this:'),(2112,'The English language cannot be removed as it is primary language for all texts.'),(1260,'The HTTPS protocol is enabled for your website'),(1246,'The SSL certificate installed for your custom website domain is not valid.'),(1247,'The SSL certificate installed on your server is not valid. Although you can switch the store to use the secure protocol for the website pages, most Internet browsers will likely display a warning message scaring your website visitors away.'),(4470,'The Store ID and HPP Key value must be exactly the same as on it.'),(286,'The X field is empty'),(1248,'The X language has been added and enabled successfully'),(76,'The X language has been added successfully'),(78,'The X language has been deleted successfully'),(81,'The X language has been disabled successfully'),(82,'The X language has been enabled successfully'),(177,'The X module has been installed incorrectly. Please see the logs for more information'),(175,'The X module has been installed successfully'),(176,'The X module has been installed with errors: the DB has not been modified correctly'),(178,'The X module has been installed, but the module has a wrong module control class'),(1950,'The address field has been added'),(1949,'The address field has been updated'),(1249,'The attachment has been added successfully'),(3279,'The attachment has been successfully re-upload'),(1944,'The attribute group has been added'),(1943,'The attribute group has been updated'),(1952,'The attribute has been added'),(1951,'The attribute has been updated'),(1946,'The attribute option has been added'),(1945,'The attribute option has been updated'),(213,'The benchmark evaluates server environment'),(2320,'The body template may include other templates to generate the email notification. To customize it, please, copy appropriate templates to \"skins/theme_tweaker/mail/\"'),(2189,'The button is inactive either because no changes have been detected on the current page or because the order totals need to be recalculated before the order can be updated.'),(2686,'The calculation completed'),(2685,'The calculation failed'),(2478,'The calculation of quick data has been completed successfully.'),(2479,'The calculation of quick data has been stopped.'),(1948,'The category has been added'),(1947,'The category has been updated'),(1250,'The changes will be applied to all selected products'),(2445,'The clean URL will be generated automatically.'),(2412,'The common notification fields has been updated'),(4042,'The comparison table has been cleared.'),(215,'The confirmation URL link was mailed to email'),(2129,'The confirmation URL link will be emailed to you shortly'),(2934,'The core may be checked only if a valid license key is present.'),(2748,'The count of categories specified for a product and the count of orderBy position numbers describing the position of the product within these categories must be the same.'),(1873,'The countries list for zone is empty. Please specify it.'),(2879,'The countries to which the selected states belong will be added to the zone automatically.'),(3207,'The coupon has been added'),(3200,'The coupon has been applied to your order'),(3208,'The coupon has been updated'),(1883,'The database has not been restored because of the errors'),(3614,'The database stores different version of the custom changes.'),(80,'The default interface language cannot be disabled'),(1251,'The detailed image has been added successfully'),(1252,'The detailed image has been deleted'),(1893,'The detailed image has not been deleted'),(1253,'The detailed images have been updated successfully'),(1562,'The directory \'var/backup/\' does not exist or is not writable.'),(3634,'The directory {{dir}} does not exist or is not writable.'),(3206,'The discount should be less than 100%'),(4011,'The dispute has been closed'),(2646,'The download should start automatically. Click the link if does not start.'),(95,'The edited language has not been found'),(216,'The email with your account information was mailed to email'),(1254,'The exceptions have been updated successfully'),(1769,'The export is complete.'),(3998,'The field Body may not be blank'),(2606,'The file extension is forbidden'),(2737,'The file extension is forbidden ({{file}}'),(303,'The file was not loaded because of a failure on the server'),(1891,'The file was not loaded because of a failure on the server.'),(3633,'The file {{file}} does not exist or is not writable.'),(3979,'The files have been attached successfully'),(1256,'The following add-on(s) must be disabled'),(1255,'The following add-on(s) must be enabled'),(1257,'The following categories were selected to be removed'),(1258,'The following dependent add-ons will be disabled  automatically'),(1504,'The following expected input data have wrong format or empty: X'),(1621,'The following files are too large to be included in the archive'),(2345,'The following modules currently do not have a version compatible with the X-Cart version to which you are upgrading'),(154,'The following modules will be disabled'),(2374,'The following selected modules cannot be disabled due to architecture limitations'),(2371,'The following selected modules cannot be disabled or uninstalled as they have dependent modules'),(2372,'The following selected modules cannot be enabled as they depend on disabled modules which cannot be enabled'),(1859,'The form could not be identified as a form generated by X-Cart'),(1957,'The front page has been updated'),(2366,'The generation of resized images has been completed successfully.'),(2367,'The generation of resized images has been stopped.'),(3267,'The history of downloads feature for this product is disabled. You can enable it here'),(1259,'The image has been updated'),(2368,'The image resizing process may take a while to complete. Please do not close this page until the process is fully completed.'),(1261,'The import is in progress'),(2982,'The import process has been canceled'),(1262,'The importing starts immediately upon selecting the data file. No additional confirmation prompts will appear.'),(2434,'The key does not allow getting new features and upgrades.'),(1595,'The language CSV file should be a text file which contains 3 columns per row (columns are separated by comma:'),(96,'The language data has been saved'),(79,'The language has not been found'),(1589,'The language labels have been successfully imported:'),(75,'The language you want to add has already been added'),(74,'The language you want to add has not been found'),(77,'The language you want to delete has not been found'),(1263,'The language you want to delete is the default application language and cannot be deleted'),(1264,'The language you want to delete is the default interface language and cannot be deleted'),(3191,'The length of X field must be greater than Y'),(3192,'The length of X field must be less than Y'),(2232,'The length of value for the column \"{{column}}\" exceeds length of field and will be cut'),(71,'The link was copied to your clipboard'),(97,'The maximum file size that can be uploaded: X'),(1265,'The maximum number of uses'),(3238,'The maximum number of uses per user'),(1709,'The membership name cannot contain such symbols as \\, \' and \". Also, it cannot exceed 32 characters.'),(3446,'The menu has been added'),(3445,'The menu has been updated'),(1836,'The method is not configured and cannot be used'),(1486,'The module X has been uninstalled successfully'),(1266,'The module has been partially uninstalled'),(174,'The module has been uninstalled successfully'),(1734,'The module is incompatible with the new core version going to be installed'),(1267,'The module is not released for your X-Cart version'),(2935,'The module may be checked only if a valid license key is present.'),(2373,'The module may not be disabled due to the limitations of the module architecture.'),(173,'The module to uninstall has not been found'),(2118,'The module version is incompatible with your core version and cannot be enabled. Minimum core version required for this module is X.'),(2117,'The module version is incompatible with your core version and cannot be installed. Minimum core version required for this module is X.'),(179,'The modules have been updated'),(2250,'The name is empty'),(3087,'The name will be changed globally'),(4075,'The newly created product is already in your [storefront]. Have a look! Ready to delete demo products?'),(3740,'The news message has been added'),(3739,'The news message has been updated'),(2413,'The notification has been updated'),(2229,'The number of values in the row does not match the number of column headers for this CSV file'),(1837,'The only remaining active administrator profile cannot be deleted.'),(1936,'The order subtotal exceeds the maximum allowed value ({{max_order_amount}})'),(1986,'The order subtotal exceeds the maximum allowed value ({{max_order_amount}}), please remove some items from the cart.'),(1937,'The order subtotal less than the minimum allowed value ({{min_order_amount}})'),(1987,'The order subtotal less than the minimum allowed value ({{min_order_amount}}), please add some items to the cart.'),(1268,'The page has been added'),(3447,'The page has been updated'),(1757,'The password is the one you specified during checkout.'),(1758,'The password is the one you specified.'),(358,'The process of export is complete. You can follow this_link to check the results and download the files containing data.'),(1632,'The process of export may take much time. Please do not close this page until the export is complete'),(1631,'The process of export may take much time. You may close the page, the operation will be in progress as background. If the operation takes long enough, we will send you a notification when it is complete.'),(1525,'The process of import may take much time. Please do not close this page until the import is complete'),(1524,'The process of import may take much time. You may close the page, the operation will be in progress as background. If the operation takes long enough, we will send you a notification when it is complete.'),(2477,'The process of quick data calculation may take a while to complete. Please do not close this page until the process is fully completed.'),(2687,'The process of sales calculation may take a while to complete. Please do not close this page until the process is fully completed.'),(3479,'The process of sitemap generation may take a while to complete. Please do not close this page until the process is fully completed.'),(3724,'The product SKU#\"X\" is already set as Related for the product'),(2068,'The product SKU#\"X\" is already set as featured for the category'),(3721,'The product SKU#\"X\" is already set as related for the product'),(1954,'The product class has been added'),(1953,'The product class has been updated'),(2605,'The product for which you attempted to upload an attachment has not been found'),(2414,'The product has been added'),(4041,'The product has been added to the comparison table.'),(2169,'The product has been updated'),(1269,'The product option group has been added successfully'),(1270,'The product option group has been updated successfully'),(1271,'The product option groups have been updated successfully'),(1272,'The product option groups have not been successfully updated'),(1956,'The product selection has been added'),(1955,'The product selection has been updated'),(3483,'The product tab has been added'),(3482,'The product tab has been updated'),(2221,'The product with \"{{value}}\" SKU does not exist'),(2986,'The product you are trying to add to cart is unavailable'),(3266,'The product\'s history of downloads is empty'),(4424,'The products return has been registered.'),(1497,'The profile has been registered. The password has been sent to the user\'s email address'),(1496,'The profiles have been merged'),(1588,'The provided file contains the following language labels:'),(4267,'The related payment not found. Apparently it was deleted.'),(1273,'The requested page could not be found.'),(1274,'The restoration procedure is irreversible and erases all data tables from your store database. It is highly recommended that you back your present database data up before restoring one of the previous states from a back-up.'),(3463,'The role has been added'),(3462,'The role has been updated'),(1275,'The same as shipping'),(3278,'The same file can not be assigned to one product'),(1976,'The script found {{number}} errors during import'),(3770,'The script found {{number}} errors during update inventory'),(1975,'The script found {{number}} errors during verification'),(2816,'The secure protocol for your website is disabled.'),(2817,'The secure protocol for your website is enabled.'),(2522,'The secure protocol is enabled for your website. But X-Cart hasn\'t found the valid SSL certificate on your server.'),(2980,'The selected categories have been deleted. There are products with no assigned category.'),(1858,'The selected payment method is obsolete or invalid. Select another payment method'),(1276,'The selected shipping markups have been deleted successfully'),(184,'The selected shipping method has been deleted successfully'),(186,'The selected zones have been deleted successfully'),(2184,'The service name X is reserved and cannot be used for an address field.'),(2856,'The settings in this section determine the content of email notifications sent to admin.'),(2853,'The settings in this section determine the content of email notifications sent to customer.'),(1866,'The settings of payment method successfully updated'),(2191,'The specified amount of product exceeds maximum amount of product in stock'),(1277,'The state has been added successfully'),(279,'The string is different from that of the title number of columns - X instead of Y'),(2388,'The system detects that some updates are available for enabled modules. It is strongly recommended to have all enabled modules updated to latest version for better compatibility before the install new ones from Marketplace.'),(2501,'The system has been restored to the selected snapshot of X'),(2664,'The system has detected one or more problems with some of the modules at your store:'),(1739,'The system has detected that some custom modifications were made by editing core and module files, not by writing new modules. In order to proceed with the upgrade you should decide what to do with the modifications'),(2672,'The system has detected that the license key that was activated for your store is invalid.'),(2502,'The system has failed to restore because there was no snapshot of X'),(1960,'The tax class has been added'),(1959,'The tax class has been updated'),(3628,'The template has been added'),(3627,'The template has been updated'),(3683,'The test email notification has been sent to X'),(93,'The text label has been added successfully'),(89,'The text label has been deleted'),(94,'The text label has been modified successfully'),(91,'The text label has not been added, because its name has not been specified'),(1278,'The text label has not been added, because its translation to the default application language has not been specified'),(1279,'The text label has not been added, because its translation to the default interface language has not been specified'),(92,'The text label has not been added, because such a text label already exists'),(90,'The text label has not been deleted: it has been either not found or not specified'),(1280,'The text label has not been modified, because its translation to the default application language has not been specified'),(1281,'The text label has not been modified, because its translation to the default interface language has not been specified'),(3088,'The totals have been recalculated. Press \"Save changes\" to adjust the order'),(4263,'The transaction will be marked as'),(1282,'The upgrade is completed. Please, do not close this page until you check your web site and check that everything works properly'),(4059,'The uploaded image is too large.'),(224,'The user will be registered; a password will be sent to the user via email'),(2231,'The value in the column \"{{column}}\" will be adjusted according to HTML specification to prevent potential XSS attack'),(2712,'The value must be greater than the current maximum order number in the order list'),(1712,'The value must be in range'),(289,'The value of the X field has an incorrect format'),(287,'The value of the X field must be greater than Y'),(288,'The value of the X field must be less than Y'),(290,'The value of the X field should not be longer than Y'),(1542,'The values are average'),(3618,'Theme tweaker'),(3120,'There are %model% with missing %another_model%'),(3119,'There are %model% without valid %another_model% relation'),(2466,'There are no activated license keys'),(1283,'There are no categories'),(3595,'There are no comments yet. Be the first to leave a comment'),(1569,'There are no images loaded for this product'),(3128,'There are no inconsistencies found'),(1501,'There are no labels translated to X'),(1284,'There are no markups selected'),(4248,'There are no payment configurations for this store.'),(2740,'There are no permissions to import user access level'),(2742,'There are no permissions to import user roles'),(1285,'There are no rates available for specified source/destination and/or package measurements/weight.'),(1796,'There are no shipping methods available'),(1644,'There are no shipping methods defined for this carrier'),(3655,'There are some custom CSS styles in your store. These styles may affect the look of the installed template. Review the custom styles and disable them if necessary.'),(3656,'There are some custom templates in your store that may contain skin dependent code.'),(2520,'There are unsaved changes on the page. If you choose to continue, these changes will be lost. Do you want to proceed?'),(1181,'There is a maximum purchase limit of MaxQuantity'),(1180,'There is a minimum purchase limit of MinQuantity'),(196,'There is already an account with your email address. You can sign in or continue as guest'),(2874,'There is already state with code {{code}} in {{country}}'),(3198,'There is no such a coupon, please check the spelling: X'),(1287,'There is no user with specified email address'),(3125,'There is one valid root category, however there are multiple root category candidates'),(1288,'There were no orders placed'),(4505,'There were problems with the payment method.'),(427,'There\'s no payment method available'),(4349,'There\'s no post offices available'),(3294,'These Open Graph meta tags were generated automatically based on general product information.'),(1992,'These attributes can be applied to all the products in the store.'),(1990,'These attributes can be applied to the \"{{name}}\" product class.'),(1991,'These attributes can only be applied to this particular product.'),(1289,'These components require your attention'),(1290,'These components will be updated'),(1291,'These instructions will appear below the order invoice on the page which customers see after they confirm their order.'),(1292,'These links were already provided to you after this store was installed and will be emailed to you again after you start the upgrade process'),(2028,'These links were already provided to you after this store was installed and will be emailed to you again after you start the upgrade process.'),(2776,'These options separated by X, you can change it by modify X label'),(4220,'These payment methods were imported from your X-Payments. You can add them to your store at the '),(3673,'This action will remove all flexy-templates. Are you sure to proceed?'),(1814,'This address was used as a'),(1294,'This address was used as a billing address during the recent purchase'),(1295,'This address was used as a shipping address during the recent purchase'),(3220,'This comment will be visible to shop administrators only'),(1296,'This component is automatically calculated by shipping add-on module and cannot be edited'),(3229,'This coupon cannot be combined with other coupons'),(1297,'This e-mail address is already in use by another user.'),(1298,'This email address is used for an existing account. Enter another email address or sign in'),(2452,'This feature is available only for paid (non-free) X-Cart license plans'),(3835,'This feature is not yet available. You will be redirected to the feature request page where you can vote to have this feature implemented in one of the upcoming versions.'),(3753,'This field can be used to set a fixed shipping fee for the product. Make sure the field value is a positive number (greater than zero).'),(208,'This field is required'),(3180,'This field is required.'),(1299,'This is a default zone which covers all addresses. It\'s impossible to edit this zone\'s countries, states etc'),(240,'This is a demo store with powerful X-Cart engine inside'),(4210,'This is a user specified message that gets printed on the bottom of the label. A string of up to 50 characters can be printed on the label.'),(4208,'This is a user specified message that gets printed on the face of the label. A string of up to 50 characters can be printed on the label.'),(3304,'This is the login name you created when signing up for PayPal Payments Advanced.'),(3311,'This is the login name you created when signing up for Payflow.'),(3312,'This is the password you created when signing up for PayPal Payflow or the password you created for API calls.'),(3306,'This is the password you created when signing up for PayPal Payments Advanced or the password you created for API calls.'),(424,'This language is added by module and cannot be removed.'),(3056,'This message can be removed only through activation of a free or premium license.'),(1639,'This method does not support the current store currency and is not available for customers'),(2689,'This method is displayed because you are logged in as admin and operating as another user'),(1640,'This method is in test mode'),(338,'This module is available for X-Cart hosted stores only.'),(2044,'This module uses PHP\'s cURL functions which are disabled on your web server'),(1300,'This month'),(1792,'This operation is irreversible. Are you sure you want to proceed?'),(4151,'This options is relevant only if you share your Skrill account with other online shops.'),(2818,'This order was not checked by the AntiFraud service!'),(2331,'This page allows you to adjust the types of email notifications your store sends to users'),(1544,'This page allows you to configure Shipping methods, zones and charges.'),(1551,'This page allows you to edit global attributes, which are available for all products in your store, and attributes specific for classes of your products.'),(2492,'This page is intended for the creation and management of discount coupons.'),(2497,'This page is intended for the management of volume discounts based on the order subtotal.'),(1642,'This payment method cannot be enabled until you configure it'),(2308,'This payment method is Active.'),(2309,'This payment method is Inactive.'),(2819,'This payment method is not configured.'),(2887,'This process may take much time. Please do not close this page until the task is complete'),(189,'This product has been added to your bag'),(61,'This product is out of stock or it has been disabled for sale'),(3425,'This product will be shown in coming soon section'),(3424,'This product will be shown in new arrivals'),(1307,'This quarter'),(1303,'This section displays 10 top-selling products for today, this week and this month'),(1304,'This section displays order placement statistics'),(1540,'This section displays order processing statistics'),(3331,'This setting determines whether or not the \"Buy Now with PayPal\" button should be displayed on product list pages (in list view) and product details pages.'),(2590,'This shipping method is'),(2591,'This shipping method is not configured.'),(3310,'This should be the same partner name that is used when logging into your PayPal Payflow account.'),(1305,'This site requires JavaScript to function properly.'),(2487,'This tool allows you to get rid of any content that might have been created in your store for testing purposes and which you no longer need.'),(197,'This user name is used for an existing account. Enter another user name or sign in'),(4173,'This value must be set in exactly the same way as it is set on the payment gateway end.'),(1306,'This week'),(359,'This will increase the shipping cost by XX'),(1308,'This year'),(2219,'Three columns'),(1309,'Through'),(1310,'Thumbnail'),(2820,'Time left'),(1424,'Timeout error'),(1311,'Title'),(33,'To activate your X-Cart license, enter your secret key into the field below and click Activate.'),(34,'To activate your X-Cart or commercial module license, enter your license key into the field below and click Activate.'),(4225,'To be able to use the payment methods defined in X-Payments you should import information about them from X-Payments. Click the button below and X-Payments will return a list of payment methods available for this shopping cart.'),(291,'To boost your sales try to use Discounts coupons, Sale, Product Advisor, Volume discounts addons. Also you may be interested in all Marketing extensions from our Marketplace'),(1764,'To change the password, log into your company account and use the \'Modify profile\' link'),(1603,'To change the roles of your profile, contact the store administrator'),(1315,'To contact us please fill the form below'),(1416,'To continue, please, sign in'),(1316,'To email'),(352,'To enable secure protocol for your website pages you need a valid SSL certificate purchased for the website domain and installed on your server.'),(3367,'To enable this payment method, you need <Multi-vendor> module installed.'),(3366,'To enable this payment method, you need Multi-vendor module installed.'),(293,'To fix this problem, do the following: 3 points'),(276,'To get the format of the import data you can export your products to a file'),(1550,'To have attributes specific for product classes, define product classes first.'),(351,'To make the online store use the secure protocol you need an SSL certificate purchased for the website domain and installed on your server.'),(2515,'To make your changes visible in the customer area, cache rebuild is required. It will take several seconds. You don’t need to close the storefront, the operation is executed in the background.'),(3785,'To move your existing subscribers to MailChimp lists, <export your subscribers data> from X-Cart and use the import feature under your MailChimp account.'),(1317,'To place the order please accept Terms and Conditions'),(1318,'To place the order please complete the previous steps first'),(4154,'To process your customers\' payments with Skrill, you need a Skrill account. If you do not have one yet, you can sign up for free at http://www.skrill.com'),(1319,'To recover your password, please type in the valid e-mail address you use as a login'),(4345,'To request a return please fill the form below'),(3146,'To send email asynchronously and improve website performance we recommend to set up queues in on your server. [Learn how to do it].'),(4177,'To set up the integration you should follow '),(4469,'To set up the integration, go to the _Site management_'),(35,'To setup Tax Rates, find and install the appropriate addons from Marketplace'),(2821,'To setup Tax Rates, find and install the appropriate addons from Marketplace\', {\'url\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Taxes'),(4383,'To start registration process for Canada Post merchant account click on the \"Register\" button.'),(3212,'To use the coupon, your order subtotal must be at least X'),(3211,'To use the coupon, your order subtotal must be between X and Y'),(3213,'To use the coupon, your order subtotal must not exceed Y'),(1320,'Today'),(3469,'Too large value for absolute discount'),(2675,'Tools'),(3735,'Top News'),(211,'Top X products'),(103,'Top banner'),(1321,'Top sellers'),(1322,'Top selling products'),(229,'Total'),(3854,'Total amount of orders'),(4368,'Total items weight'),(4407,'Total weight'),(1770,'Totals'),(1184,'Track package'),(4412,'Tracking details'),(1192,'Tracking information has been sent'),(4188,'Tracking information was updated successfully'),(2411,'Tracking number'),(1190,'Tracking number is changed from \"{{old_number}}\" to \"{{new_number}}\"'),(1187,'Tracking numbers'),(4362,'Tracking pin'),(4350,'Tracking pins'),(3289,'Traditional'),(2416,'Transaction'),(2822,'Transaction ID'),(2087,'Transaction amount mismatch'),(3165,'Transaction is in progress'),(4136,'Transaction key'),(4266,'Transaction result'),(2057,'Transaction type'),(2638,'Transactions details'),(1323,'Translation driver'),(129,'Translations'),(4403,'Transmit shipment'),(3072,'Trial has expired!'),(322,'Trial period X days'),(1994,'Trial period expires today'),(1993,'Trial period is expired'),(3913,'Try clearing filters or different search terms.'),(1790,'Try search-as-you-type feature...'),(1856,'Try to change the search criteria or find the needed solution in marketplace'),(2823,'Try to change the search criteria or find the needed solution in marketplace\', {\'URL\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Payment processing'),(1857,'Try to search worldwide or find the needed solution in marketplace'),(2824,'Try to search worldwide or find the needed solution in marketplace\', {\'URL\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Payment processing'),(1464,'Try to unpack them manually'),(292,'Trying to access the shop at X'),(2596,'Trying to run pre-upgrade hooks while not all archives were unpacked'),(4312,'Trying to use unaccepted template change.'),(3292,'Tweet'),(3664,'Twig-template path'),(1324,'Twitter'),(2218,'Two columns with left sidebar'),(2217,'Two columns with right sidebar'),(1325,'Type'),(1326,'Type of Account'),(4488,'Type of authorization request'),(3841,'Type: checkbox'),(3840,'Type: select box'),(4182,'U.S.P.S. module allows you to use online shipping rates calculation via USPS Web Tools Ecommerce API.'),(2631,'UPS'),(3704,'UPS module allows to use online shipping rates calculation via UPS service.'),(3632,'URL'),(4455,'URL is copied'),(1625,'URLs'),(2632,'USPS'),(4187,'USPS Shipments'),(1868,'Unable to delete file'),(1487,'Unable to delete module X files: some dirs have no writable permissions: Y'),(2735,'Unable to download the contents of {{url}}'),(2736,'Unable to get at the contents of {{url}}'),(297,'Unable to install module X because some modules, which it depends on, have not been installed or activated yet'),(3659,'Unable to save edited content. Errors: '),(2734,'Unable to write data to file {{file}}'),(2670,'Unallowed modules will be disabled automatically on the next visit any page in the administrator interface.'),(2066,'Unavailable'),(1329,'Uncheck all'),(116,'Undelete'),(1330,'Understanding Online Payments'),(1331,'Unexpected error: version value is not passed'),(4325,'Unexpected result was received from ePDQ (transaction status is not set)'),(4336,'Unexpected result was received from iDEAL (transaction status is not set)'),(1415,'Unfortunately, you don\'t have permissions to access this page.'),(3350,'Unfortunately, your API credentials could not be obtained from your PayPal account automatically.'),(1332,'Uninstall'),(1333,'Units & Formats'),(1334,'Units of measurement'),(3290,'Universal Analytics'),(1335,'Unknown'),(2933,'Unknown core version'),(1505,'Unknown language: X'),(4341,'Unknown payment transaction'),(2171,'Unknown payment. If you see this message after returning from the payment page, please contact the store administrator for information about the status of your payment.'),(3660,'Unknown temporary file'),(2091,'Unlimited'),(4373,'Unpackaged'),(1336,'Unpacking archives, please wait...'),(3993,'Unread'),(1745,'Unselect all'),(1337,'Unset'),(3980,'Unsupported file extension'),(62,'Update'),(3843,'Update MailChimp Lists'),(4240,'Update default card'),(1338,'Update exceptions'),(1982,'Update existing items, but skip new items'),(1339,'Update module'),(2834,'Update modules'),(1340,'Update product'),(1341,'Update profile'),(3768,'Update quantity'),(3775,'Update quantity import guide'),(1342,'Updated components'),(1343,'Updates are available'),(1344,'Updates for the X-Cart core and/or installed modules are available'),(1345,'Updates for your version ({{version}})'),(2825,'Updating data from the marketplace...'),(1346,'Upgrade'),(2467,'Upgrade access level cannot be changed for default free license'),(2463,'Upgrade access level has been successfully assigned to your license keys'),(2464,'Upgrade access level tooltip message'),(1347,'Upgrade available'),(1348,'Upgrade core'),(1731,'Upgrade for X-Cart core is available'),(1349,'Upgrade module'),(2848,'Upgrade not allowed'),(2344,'Upgrade note'),(3052,'Upgrade phar warning'),(1350,'Upgrade to version {{version}}'),(1351,'Upload'),(4087,'Upload a new logo'),(1352,'Upload add-on'),(1353,'Upload and restore'),(4051,'Upload company logo'),(1354,'Upload file'),(3012,'Upload file size limit'),(1520,'Upload files'),(1555,'Upload from server'),(1556,'Upload from your computer'),(3893,'Upload store data to MailChimp'),(110,'Upload via URL'),(4082,'Upload your company logo'),(3326,'Use PayPal authentication method'),(4234,'Use X-Payments configuration bundle'),(3270,'Use X-Sendfile to facilitate the download of large file attachments (100 Mb and larger) by customers:'),(1355,'Use a merchant account from your financial institution or choose a bundled payment solution to accept credit cards and other methods of payment on your website.'),(1356,'Use a merchant account from your financial institution to accept online payments'),(3613,'Use custom css'),(1357,'Use custom js'),(1361,'Use default logo'),(1363,'Use dynamic image help'),(1362,'Use dynamic image resizing'),(3361,'Use existing PayPal account'),(3359,'Use existing account from'),(1360,'Use images lazy load help'),(1359,'Use images lazy load placeholder'),(1358,'Use images lazy load preloaded'),(4171,'Use of Restriction key must be disabled in your Quantum Gateway merchant center account at all times.'),(3383,'Use of the unsupported Payment Data Transfer (PDT) method has been detected'),(4274,'Use one of the following cards to'),(2039,'Use our new nifty module to automatically backup your store and be able to restore it if anything crops up.'),(3699,'Use the Google Tag Manager addon for more flexibility when adding JS code to your web pages.'),(1364,'Use the category name'),(1766,'Use the following key to access safe mode'),(2283,'Use the form below to provide your license information.'),(1365,'Use the navigation bar above this dialog to navigate through the catalog categories'),(4169,'Use the same tax rates for all user membership levels'),(4206,'Use this field for instructions in case the package is not delivered.'),(1366,'Use this section to back the database of your online store up. Please note that the database backup procedure can take up to several minutes.'),(1559,'Use this section to back up the database of your online store. Please note that the database backup procedure can take up to several minutes.'),(1367,'Use this section to define shipping zones.'),(1368,'Use this section to define your store\'s shipping methods.'),(1369,'Use this section to manage the list of existing countries. This list is used in the shipping settings and calculations, and in the registration form at the Customer Front-end.'),(1370,'Use this section to manage the lists of counties, provinces, regions and states of different countries. The lists are used in shipping settings and calculations, and in the registration form at the Customer Front-end.'),(1371,'Use this section to restore the database of your online store. Please note that the database restoration procedure can take up to several minutes'),(1372,'Use this section to review the list of existing membership levels and add new ones'),(4238,'Used credit cards'),(2085,'User'),(260,'User X is logged in'),(1729,'User activity'),(1772,'User filled in Contact Us form'),(4125,'User manuals, release notes, modules, videos and more.'),(1373,'User membership'),(1374,'User type'),(1375,'Username or e-mail'),(1376,'Users'),(3102,'Users list'),(1377,'Uses count'),(1378,'Uses left'),(2667,'Using the modules with this type of license violation is illegal'),(2300,'VALID THRU'),(1379,'VAT'),(1380,'Validate key'),(1381,'Value'),(2226,'Variant attribute \"{{column}}\" cannot be empty'),(1526,'Verification results'),(2358,'Verified'),(4052,'Verify geo settings'),(2359,'Verifying data before importing...'),(1382,'Version'),(1383,'Version change'),(109,'Via URL'),(1938,'View all addons'),(1752,'View all low inventory products'),(1384,'View all open orders'),(2144,'View all ordered items'),(235,'View cart'),(107,'View image'),(1664,'View in list'),(1385,'View logs'),(2462,'View more addons in Marketplace'),(2694,'View order history'),(4272,'View payment information'),(1386,'View profile'),(2381,'View storefront'),(1387,'View system logs'),(1388,'View update log'),(3444,'Visible for'),(3507,'Visible in products filter'),(1389,'Visit module details page'),(1390,'Visit storefront'),(2508,'Visit the template store'),(2105,'Void'),(2720,'Void multiple[TT]'),(2719,'Void partially[TT]'),(4401,'Void shipment'),(2684,'Void[S]'),(2718,'Void[TT]'),(1391,'Volume discounts'),(3574,'Votes: X'),(1679,'WARNING! There are no more available administrators\' profiles. You will not be able to manage your store after you delete this profile.'),(379,'WE'),(3291,'Want help with SEO? Ask X-Cart Guru'),(2610,'Want to change or add another accounting system? Choose the accounting system you require below and configure it.'),(3116,'Want to customize review surveys and display video testimonials? Try Shopper Approved and collect up to 70x more ratings and reviews'),(1392,'Warning'),(1698,'Warning!'),(1718,'Warning! CSV file was not specified.'),(1696,'Warning! InnoDB engine is not supported. It is required for software operation'),(1654,'Warning! Installing this module will overwrite all language labels translated to the appropriate language.'),(4339,'Warning! Please re-check public and private key values!'),(1721,'Warning! The file you have specified in the \'File (CSV) for upload\' field has not been uploaded to the server.'),(1719,'Warning! The file you have specified in the \'File (CSV) local\' field does not exist or cannot be read.'),(3074,'Warning! The image cannot be resized to reduce capacity for better site performance.'),(2488,'Warning! The selected types of content data will be deleted permanently.'),(1393,'Warning! There is not enough product items in stock to process the order'),(4338,'Warning! This payment method requires OpenSSL extension. Please install and enable this extension in your PHP configuration.'),(1557,'Warning: The restoration procedure is irreversible and erases all the data tables from the store database. It is highly recommended that you back up your current database before restoring one of the previous states from a back-up.'),(1394,'Warning: this operation can not be reverted!'),(2710,'Warnings'),(328,'Watch this short video and learn the basics of how online payment processing works'),(1395,'Watch video'),(1503,'We are already aware of this problem and working on it. If you would like to get in touch, feel free to contact us via our Help center at _URL_'),(3186,'We are always glad to help you.'),(2038,'We are doing our best to make your upgrade process not only easy to do, but safe.'),(3123,'We couldn\'t find one correct root category'),(3124,'We couldn\'t find one correct root category, however there are possible candidates'),(1509,'We have found a valid SSL certificate installed on the server. Now you can switch the store to use the secure protocol for the store back-end and checkout, sign-in and profile pages.'),(3293,'We recommend to use share button instead of like'),(3560,'We use this email in case we need additional information on your review. We do not use it for any kind of mailing lists or spam subscriptions'),(4261,'We will authorize'),(2040,'We will email you with emergency links to disable custom modules and stay only with original add-ons.'),(4095,'We will use this info to create invoices, send emails and calculate shipping rates for your customers.'),(4091,'We\'ve tried to guess your country, currency and weight. Verify, please.'),(3862,'Web ID'),(1396,'Web server'),(3969,'Web server max upload file size limit is X'),(4454,'Webhook URL is your store\'s URL through which Stripe informs your store about any changes in the order'),(3624,'Webmaster Mode allows you to change the storefront design in click-and-edit mode'),(3621,'Webmaster mode'),(3626,'Webmaster mode is disabled'),(3625,'Webmaster mode is enabled'),(1747,'Website'),(402,'Week'),(49,'Weight'),(50,'Weight X'),(1397,'Weight modifier'),(2565,'Weight range'),(1605,'Welcome'),(227,'Welcome to X-Cart'),(1398,'What is benchmark?'),(1611,'What to export'),(2553,'What type of shipping rates would you like to use?'),(324,'What\'s new'),(4132,'When AustraliaPost returns shipping methods which does not exists in the available methods list, these methods will be created in the list automatically'),(1399,'When the export is completed, you will be prompted to download the product data file'),(1888,'Widgets cache has been cleaned'),(1889,'Widgets cache has not been cleaned completely'),(2054,'Width'),(1400,'Width (px)'),(3085,'Will be added globally'),(3086,'Will be added to the product class'),(2958,'Will be available if core update is selected'),(2393,'Will be deleted:'),(1733,'Will be installed'),(2390,'Will be updated if core update is selected'),(2625,'Win app'),(4018,'Write your message'),(3562,'Write your review'),(2264,'Wrong \"default\" format ({{value}}). Value should be one of \"Yes\" or \"No\"'),(2263,'Wrong \"owner\" format ({{value}}). Value should be one of \"Yes\" or \"No\"'),(2265,'Wrong \"priceModifier\" format ({{value}}). Correct examples: +1, +1%, -1, -1%'),(2262,'Wrong \"type\" value ({{value}}). This should be \"C\", \"S\" or \"T\"'),(2266,'Wrong \"weightModifier\" format ({{value}}). Correct examples: +1, +1%, -1, -1%'),(2741,'Wrong access level format'),(2271,'Wrong added format'),(2901,'Wrong address same format'),(2900,'Wrong anonymous format'),(2243,'Wrong arrival date format'),(2278,'Wrong billing address format'),(2253,'Wrong box height format'),(2252,'Wrong box length format'),(2251,'Wrong box width format'),(4185,'Wrong container type selected: {{value}}. For large package size only the following types are allowed: RECTANGULAR, NONRECTANGULAR, VARIABLE'),(2279,'Wrong country code format'),(2904,'Wrong currency format'),(2244,'Wrong date format'),(2239,'Wrong enabled format'),(2272,'Wrong first login date format'),(2255,'Wrong format of Clean URL value (allowed alpha-numeric, \"_\" and \"-\" chars)'),(2442,'Wrong format: Field contains unallowed characters'),(3749,'Wrong free shipping format'),(3750,'Wrong freight fixed fee format'),(2246,'Wrong inventory tracking format'),(2917,'Wrong item order modifier format'),(2254,'Wrong items per box format'),(2276,'Wrong language format'),(2273,'Wrong last login date format'),(2270,'Wrong login format'),(2249,'Wrong low limit level format'),(2248,'Wrong low stock notification format'),(1401,'Wrong method_id specifed'),(2909,'Wrong order item format'),(2911,'Wrong order item name format'),(2912,'Wrong order item price format'),(2915,'Wrong order item quantity format'),(2910,'Wrong order item sku format'),(2913,'Wrong order item subtotal format'),(2914,'Wrong order item total format'),(2908,'Wrong order modifier format'),(2899,'Wrong order number format'),(2924,'Wrong order transaction currency format'),(2918,'Wrong order transaction format'),(2923,'Wrong order transaction id format'),(2919,'Wrong order transaction method format'),(2921,'Wrong order transaction value format'),(2257,'Wrong position format'),(2238,'Wrong price format'),(3772,'Wrong product quantity value format (\"{{value}}\")'),(2275,'Wrong referer format'),(2743,'Wrong role format'),(2241,'Wrong shippable format'),(2277,'Wrong shipping address format'),(2269,'Wrong show title format'),(2280,'Wrong state id format'),(2274,'Wrong status format'),(2247,'Wrong stock level format'),(2902,'Wrong subtotal format'),(3363,'Wrong token of Express Checkout. Please try again. If the problem persists, contact the administrator.'),(2903,'Wrong total format'),(2259,'Wrong type format'),(2245,'Wrong update date format'),(2242,'Wrong use separate box format'),(3514,'Wrong useClasses format'),(1402,'Wrong value is specified for arrival date field. The field was not updated.'),(2240,'Wrong weight format'),(267,'X GB'),(162,'X Language (Code: Y)'),(266,'X MB'),(3403,'X PIN Codes were not assigned.'),(3386,'X PIN code duplicates ignored.'),(3387,'X PIN codes created successfully.'),(3388,'X PIN codes longer than Y characters ignored.'),(3109,'X addon'),(1499,'X addon(s) selected'),(3110,'X addons'),(3111,'X addons (5)'),(336,'X attributes in group'),(264,'X bytes'),(3197,'X code is already used for other coupon, please specify a different code'),(3196,'X coupon(s) has been created'),(3195,'X coupon(s) has been removed'),(3069,'X day left'),(271,'X days'),(3070,'X days left'),(3071,'X days left (5)'),(309,'X entities has been created'),(308,'X entities has been removed'),(2172,'X expired shopping cart(s) have been successfully removed'),(209,'X field is required'),(1494,'X file type'),(3977,'X file(s) attached'),(272,'X hours'),(281,'X image unable to load'),(231,'X item'),(304,'X item available'),(181,'X item in bag'),(193,'X items'),(4436,'X items ($)'),(305,'X items available'),(182,'X items in bag'),(2846,'X items selected'),(265,'X kB'),(121,'X labels'),(426,'X language labels have been removed'),(425,'X languages have been removed'),(329,'X methods available'),(273,'X minutes'),(212,'X module settings'),(2346,'X module will be disabled'),(2348,'X module will be upgraded'),(2486,'X modules selected'),(2347,'X modules will be disabled'),(2349,'X modules will be upgraded'),(270,'X months'),(4004,'X new message for order'),(4029,'X new messages'),(3225,'X off'),(256,'X orders'),(340,'X orders on last day'),(342,'X orders on last month'),(341,'X orders on last week'),(307,'X product(s) has been created'),(306,'X product(s) has been removed'),(360,'X products'),(261,'X products found'),(4033,'X products selected'),(254,'X results found'),(343,'X revenue on last day'),(345,'X revenue on last month'),(344,'X revenue on last week'),(274,'X seconds'),(437,'X shipping methods have been created'),(438,'X shipping methods have been removed'),(3521,'X star_1'),(3520,'X stars_2'),(3519,'X stars_3'),(3518,'X stars_4'),(3517,'X stars_5'),(429,'X states have been removed'),(430,'X states have been successfully created'),(4000,'X unread messages'),(269,'X years'),(431,'X zones have been removed'),(432,'X zones have been successfully created'),(4060,'X% Wizard completion'),(354,'X, including images and file attachments'),(1403,'X-Cart'),(3065,'X-Cart Business trial will expire in X day'),(3066,'X-Cart Business trial will expire in X days'),(3067,'X-Cart Business trial will expire in X days (5)'),(130,'X-Cart News'),(2880,'X-Cart Team have done their best to make your upgrade process as enjoyable as possible.'),(4231,'X-Cart automatically checks the connection to X-Payments after the settings are saved.<br/> If the module is configured properly, a \"Test transaction completed successfully\" message is displayed at the top of the page.'),(2534,'X-Cart could not find a valid SSL certificate on your server X.'),(2533,'X-Cart could not find a valid SSL certificate on your server.'),(2532,'X-Cart could not find a valid SSL certificate on your server. Although you can switch the store to use the secure protocol for the website pages, most Internet browsers will likely display a warning message scaring your website visitors away.'),(2164,'X-Cart could not find data in your file.'),(2521,'X-Cart found some issues with installed SSL certificate'),(2431,'X-Cart license key has been successfully verified'),(2432,'X-Cart license key has been successfully verified and activated. But this key has expired and do not allow upgrade store.'),(1404,'X-Cart online store builder'),(4124,'X-Cart professionals will easily materialize just about any idea you’ve got.'),(1405,'X-Cart shopping cart software'),(2849,'X-Cart v5.3 requires PHP version 5.4 or better. Please update the PHP version installed on your server before you proceed.'),(4285,'X-Payments'),(4313,'X-Payments Dashboard'),(4228,'X-Payments configuration ID'),(4314,'X-Payments considers this transaction as potentially fraudlent.'),(4227,'X-Payments returned the following payment methods for your shopping cart:'),(4250,'X-Payments transaction'),(3036,'XML extensions support'),(1406,'XML parser'),(1407,'XML sitemap'),(3473,'XML sitemap URL: X'),(2301,'YEAR'),(1408,'Yahoo!'),(1409,'Yandex'),(405,'Year'),(2110,'Year when store started its operation'),(1410,'Yes'),(1411,'Yes, I agree with License agreement'),(2387,'Yes, I agree with License agreements'),(2037,'Yes, I have made the full backup of my store files and database'),(4098,'Yes, I sell tangible goods that needed to be shipped'),(1931,'Yes/No'),(2456,'Yesterday'),(4005,'You Have No Messages'),(159,'You are going to delete the X language'),(2540,'You are logged in as: user'),(1412,'You are not allowed to access this resource!'),(3636,'You are now in layout editing mode'),(3637,'You are now in preview mode'),(2536,'You are operating as:'),(2539,'You are operating as: user'),(1775,'You are sure to clear your cart?'),(2669,'You can also contact our CR department for help with this issue'),(3971,'You can attach X file(s)'),(3970,'You can attach X more file(s)'),(1690,'You can build your web-site during FREE evaluation, but you cannot use this installation for real sales without buying a license.'),(2215,'You can change the CSV delimiter for all subsequent imports and exports using this link'),(2214,'You can change the charset for all subsequent imports and exports using this link'),(312,'You can choose if to download your database data'),(2930,'You can continue as guest or create an account'),(3299,'You can define an order id prefix, which would precede each order number in your shop, to make it unique'),(4150,'You can define an order id prefix, which would precede each order number in your shop, to make it unique (each transaction id must be unique for a Skrill account)'),(2579,'You can define the following values:'),(2639,'You can find the failed transaction here'),(2531,'You can get more information using this service: '),(155,'You can install these updates after purchasing and activating your X-Cart license key'),(1763,'You can now use the following credentials to access your account'),(2826,'You can purchase AntiFraud Service subscription'),(2577,'You can set up different shipping rates depending on the weight, price or quantity of items in the order.'),(294,'You can upload the database data directly from your local computer'),(4081,'You can view the newly created product in your [storefront] or add a few [more products] to your catalog.'),(3720,'You cannot choose this product'),(1561,'You cannot save database data to a file on the web server (\'var/backup/sqldump.sql.php\').'),(2747,'You cannot update administrator profile ({{value}}). Row is skipped'),(2746,'You cannot update administrator profile ({{value}}). Row will be skipped'),(3173,'You don’t have any notifications right now.'),(4074,'You have added 1 product'),(3545,'You have already reviewed this product'),(3199,'You have already used the coupon'),(1850,'You have an unpaid order #{{ORDER}}'),(3795,'You have configured MailChimp as your primary email newsletter tool. New subscribers will be added directly to your MailChimp lists (this X-Cart list will be skipped). You can manage your subscriber lists under your MailChimp account'),(1638,'You have no payment methods enabled in your shop'),(1419,'You have selected to delete your profile. Please, confirm you want to proceed'),(4146,'You have sent a request for activation on the X.'),(1604,'You have the following roles:'),(3989,'You have to attach file'),(3988,'You have to attach file to product'),(3639,'You have unsaved changes. Are you really sure to exit the preview?'),(3697,'You have unsaved changes. Are you really sure to exit?'),(3777,'You just added'),(3055,'You must register your X-Cart installation before using it for real sales. Activate your existing license key or purchase a premium license to skyrocket your business.'),(43,'You must register your installation before you can use it for real sales'),(2033,'You need hard and soft reset links in case some 3rd party module crashes your web-store'),(2827,'You need these links in case you want to recover your store'),(4315,'You should accept the changes at the'),(2527,'You should check available free disk space yourself before continuing installation'),(2526,'You should check available free disk space yourself before continuing upgrade'),(2343,'You should confirm that you have created backup before upgrading the store.'),(1847,'You tried to buy more items of \"{{product}}\" product {{description}} than are in stock. We have {{amount}} item(s) only. Please adjust the product quantity.'),(3400,'You will be able to add pin codes after saving changes.'),(1564,'You will be able to provide additional product info (images, attributes, etc.) after you submit this form.'),(4110,'You\'ve successfully set up shipping areas and rates for your store'),(2130,'Your \"Password reset key\" has expired. Please enter the email address associated with your user account to get a new \"Password reset key\".'),(3349,'Your API credentials have been successfully obtained from your PayPal account and saved for use by your X-Cart store.'),(1822,'Your Account'),(3183,'Your Message'),(3162,'Your PHP version is outdated'),(3163,'Your PHP version is outdated and no longer supported'),(3320,'Your PayPal Publisher ID is X'),(4453,'Your Stripe account is no longer accessible. Please connect with Stripe once again.'),(3054,'Your X-Cart Business trial has expired!'),(1689,'Your X-Cart installation is licensed for evaluation purposes only.'),(1413,'Your access link has been expired'),(3089,'Your access to X-Cart Business features expires in X day'),(3090,'Your access to X-Cart Business features expires in X days'),(3091,'Your access to X-Cart Business features expires in X days (5)'),(325,'Your account email is X.'),(1429,'Your account information will be e-mailed to you shortly'),(1430,'Your account information will be e-mailed to you shortly.'),(326,'Your account password is X.'),(3300,'Your account settings'),(3365,'Your address data was not received from PayPal. Please try again. If the problem persists, contact the administrator.'),(239,'Your cart'),(4245,'Your configuration string is not correct'),(1414,'Your custom addons were prepared for certain core version'),(3617,'Your custom file is successfully saved'),(1431,'Your e-mail'),(3552,'Your email'),(440,'Your first name'),(441,'Your last name'),(1432,'Your name'),(1762,'Your new password'),(1972,'Your order details will be sent to your e-mail address'),(3816,'Your order details will be sent to your email address'),(3302,'Your partner name is PayPal'),(3104,'Your payment has been processed; now the addon can be installed.'),(3105,'Your payment is being processed. The addon license key will be sent to your email address as soon as the processing has been completed. You will be able to use this key to install the addon at any time. '),(3262,'Your payment module to accept payments for digital items. [Get it now]!'),(3549,'Your product rating is saved. Thank you!'),(1433,'Your products will be exported as a CSV file.'),(1771,'Your profile modified'),(2351,'Your request has been sent successfully'),(3563,'Your review'),(3550,'Your review has been updated. Thank your for sharing your opinion with us!'),(190,'Your shopping bag - X item'),(191,'Your shopping bag - X items'),(1434,'Your shopping bag is empty'),(1435,'Your state'),(1436,'Your store'),(1508,'Your store is configured to use the secure protocol for the store back-end and checkout, sign-in and profile pages.'),(1437,'Your store is currently unable to calculate taxes'),(2355,'Your version (X) can be upgraded to'),(3783,'Z - A'),(205,'Zero cannot be used'),(1438,'Zip code'),(1439,'Zip/postal code masks'),(3808,'Zipcode'),(1441,'Zone'),(436,'Zone address masks help'),(435,'Zone city masks help'),(187,'Zone details have been updated successfully'),(1442,'Zone name'),(1495,'Zone not found (X)'),(434,'Zone zipcode masks help'),(1443,'Zones'),(2383,'Zoom image'),(3381,'[BT] In progress'),(2765,'[Edit]'),(3894,'_MailChimp ecommerce info text_'),(194,'_X_ item'),(195,'_X_ items'),(3382,'__pdt-paypal-warning__'),(2061,'a side box'),(3428,'a2cp-source-code-PAB'),(3723,'a2cp-source-code-REL'),(1817,'address during the recent purchase'),(2097,'always'),(1444,'and'),(1776,'attributes'),(3083,'attributes_popover_text'),(4140,'authorize_key_help'),(4139,'authorize_md5_key_help'),(1815,'billing'),(4509,'braintree_merchant_account_id_help'),(1445,'by'),(1425,'cURL error'),(1702,'cannot create directory'),(298,'cannot set X permissions'),(2337,'checkbox.firstlast.off'),(2336,'checkbox.firstlast.on'),(2335,'checkbox.onoff.off'),(2334,'checkbox.onoff.on'),(2008,'cm'),(2992,'config_file.error_message_1'),(2993,'config_file.label_message'),(3908,'cs_categories'),(3911,'cs_did_you_mean'),(3910,'cs_manufacturers'),(3909,'cs_pages'),(3907,'cs_products'),(3904,'cs_see_details'),(3905,'cs_see_more_results_for'),(3903,'cs_showing_results_for'),(3906,'cs_suggestions'),(3553,'customers'),(2099,'daily'),(1600,'default'),(678,'default-meta-description'),(2763,'default-meta-keywords'),(2762,'default-site-title'),(1506,'deleted'),(2548,'deliveryTime.help'),(4391,'deposit your items at a Post Office'),(1446,'details'),(1674,'dimensions'),(1447,'disabled'),(3647,'disabled blocks'),(2009,'dm'),(3040,'doc_blocks_support.error_message_1'),(3041,'doc_blocks_support.error_message_2'),(3042,'doc_blocks_support.label_message'),(1880,'done'),(1448,'downloads'),(3900,'e-Commerce Analytics disable warning'),(2633,'eBay'),(4321,'ePDQ Currency'),(4323,'ePDQ Enable logging of ePDQ transactions'),(4322,'ePDQ Invoice number prefix'),(4318,'ePDQ PSPID'),(4319,'ePDQ SHA-IN pass phrase'),(4320,'ePDQ SHA-OUT pass phrase'),(4317,'ePDQ settings note'),(2095,'each'),(1612,'editable'),(447,'email@example.com'),(2317,'emailNotificationAdminHeader'),(2318,'emailNotificationAdminSignature'),(2314,'emailNotificationCustomerHeader'),(2316,'emailNotificationCustomerSignature'),(2315,'emailNotificationGreeting'),(1717,'empty'),(4385,'enable merchant wizard'),(1449,'enabled'),(2063,'expired'),(3277,'fedex.CODStatusOptionComment'),(1704,'file does not exist'),(3016,'file_permissions.error_message_1'),(3017,'file_permissions.error_message_2'),(3018,'file_permissions.kb_message'),(2567,'flat rate'),(4275,'for this order'),(762,'from'),(1450,'from URL'),(1451,'from local computer'),(1452,'from local server'),(2022,'g'),(1453,'hard reset'),(3858,'here'),(2354,'hide list'),(2098,'hourly'),(3776,'https://kb.x-cart.com/modules/update_inventory.html'),(3032,'https_bouncer.error_message_1'),(3033,'https_bouncer.error_message_2'),(3035,'https_bouncer.kb_message'),(3034,'https_bouncer.label_message'),(4332,'iDEAL Currency'),(4334,'iDEAL Enable logging of iDEAL transactions'),(4333,'iDEAL Invoice number prefix'),(4326,'iDEAL Merchant ID'),(4330,'iDEAL Private Key'),(4331,'iDEAL Private Key Password'),(4328,'iDEAL Public Certificate File'),(4329,'iDEAL Public Key'),(4327,'iDEAL SubID'),(1668,'if you have any questions'),(2519,'imgsize-category-Default'),(2516,'imgsize-product-Default'),(2517,'imgsize-product-LGThumbnailGrid'),(2518,'imgsize-product-LGThumbnailList'),(4284,'in'),(1454,'in description'),(1455,'in title'),(2665,'inactive license key(s);'),(2010,'inches'),(2990,'install_script.error_message_1'),(2666,'installed module(s) not allowed by the type of X-Cart license activated at your store.'),(1489,'invalid module ID passed: X'),(1456,'is available'),(1675,'item(s)'),(1774,'item(s) in stock'),(233,'items'),(1457,'items available'),(2971,'itemslist.admin.category.blank'),(3239,'itemslist.admin.coupon.blank'),(2972,'itemslist.admin.membership.blank'),(3461,'itemslist.admin.menu.blank'),(3745,'itemslist.admin.news_message.blank'),(2967,'itemslist.admin.order.blank'),(2966,'itemslist.admin.order.search.blank'),(3460,'itemslist.admin.page.blank'),(2970,'itemslist.admin.product.blank'),(2969,'itemslist.admin.product.search.blank'),(3598,'itemslist.admin.review.blank'),(2985,'itemslist.admin.subcategory.blank'),(3794,'itemslist.admin.subscribers.blank'),(4049,'itemslist.admin.tag.blank'),(3687,'itemslist.admin.template.blank'),(2968,'itemslist.admin.transaction.blank'),(3470,'itemslist.admin.volume_discounts.blank'),(2021,'kg'),(1597,'label name,'),(1598,'label translation.'),(3834,'label.coming_soon'),(1591,'labels count:'),(1596,'language code,'),(2019,'lbs'),(3490,'learn more'),(1458,'less'),(3257,'less one hour'),(1626,'local files'),(3895,'mailchimp_settings_promo_text'),(2965,'mbstring.extension.alert'),(2007,'mm'),(1491,'module version X is not equal to the core one (Y)'),(4,'module-sort-Alphabetically'),(2,'module-sort-Most popular'),(3,'module-sort-Newest'),(1459,'modules'),(2101,'monthly'),(2693,'more'),(1460,'ms'),(1613,'multi value'),(3024,'mysql_cache.error_message_1'),(3020,'mysql_version.error_message_1'),(3021,'mysql_version.error_message_2'),(3022,'mysql_version.error_message_3'),(68,'n/a'),(2729,'na_admin'),(2701,'na_customer'),(1461,'never'),(3108,'new core'),(3112,'new core and X addon'),(3113,'new core and X addons'),(3114,'new core and X addons (5)'),(2197,'no comments'),(1462,'none'),(1463,'not all archives were unpacked'),(449,'not all upgrade packs were downloaded'),(1465,'not available for sale'),(1466,'not installed'),(1467,'not ready to download packs. Please, try again'),(2861,'notification.section.administrator'),(2860,'notification.section.customer'),(1730,'now disabled'),(1468,'of'),(4262,'on your credit card in order to attach this credit card to your account. The amount will be released back to your card after a while.'),(4067,'onboarding.add_product.heading'),(4069,'onboarding.add_product.import'),(4068,'onboarding.add_product.text'),(4066,'onboarding.intro.disable_button'),(4062,'onboarding.intro.heading'),(4065,'onboarding.intro.later_button'),(4064,'onboarding.intro.next_button'),(4063,'onboarding.intro.text'),(1469,'options'),(1470,'or'),(4106,'or choose a shipping carrier to provide your customers with real-time quotes'),(3357,'or go to checkout as a New customer'),(2929,'or proceed with'),(2828,'or use the form below'),(3555,'out of'),(1662,'outdated'),(2020,'oz'),(4221,'page.'),(2310,'paymentStatus.Active'),(2311,'paymentStatus.Inactive'),(3332,'paypal_welcome_text'),(2568,'per item'),(255,'per page'),(2569,'per weight unit'),(315,'percent X off'),(3000,'php_disabled_functions.error_message_1'),(3001,'php_disabled_functions.label_message'),(3006,'php_file_uploads.error_message_1'),(3007,'php_file_uploads.label_message'),(3026,'php_gdlib.error_message_1'),(3027,'php_gdlib.error_message_2'),(3003,'php_memory_limit.error_message_1'),(3004,'php_memory_limit.label_message'),(3009,'php_pdo_mysql.error_message_1'),(3011,'php_pdo_mysql.kb_message'),(3010,'php_pdo_mysql.label_message'),(3029,'php_phar.error_message_1'),(3030,'php_phar.label_message'),(3013,'php_upload_max_file_size.error_message_1'),(3014,'php_upload_max_file_size.label_message'),(2995,'php_version.error_message_1'),(2996,'php_version.error_message_2'),(2997,'php_version.error_message_3'),(2998,'php_version.label_message'),(1417,'please sign in'),(2288,'price-All'),(2290,'price-Free'),(2289,'price-Paid'),(1682,'products'),(1471,'proxy'),(4143,'relay_response_help'),(1935,'requested for'),(1534,'requested once or twice'),(1533,'requested only once'),(157,'required'),(3590,'reviewMetaDescription'),(1472,'sale'),(2871,'same as shipping'),(2096,'save'),(4233,'section.'),(3901,'send all discount coupons'),(3902,'send only discount coupons with matched rules'),(4390,'shipments are picked up by Canada Post'),(1816,'shipping'),(2574,'shippingFormula.Free'),(2571,'shippingFormula.Items'),(2570,'shippingFormula.Shipping'),(2572,'shippingFormula.Subtotal'),(2573,'shippingFormula.Weight'),(2592,'shippingStatus.Active'),(2593,'shippingStatus.Inactive'),(2562,'shippingTableType.All'),(2561,'shippingTableType.Items'),(2559,'shippingTableType.Subtotal'),(2560,'shippingTableType.Weight'),(1473,'should be performed manually'),(2398,'show list'),(1474,'soft reset'),(3602,'star_tooltip_1'),(3603,'star_tooltip_2'),(3604,'star_tooltip_3'),(3605,'star_tooltip_4'),(3606,'star_tooltip_5'),(1703,'subdirectories problems'),(59,'submit_restore_pass'),(4280,'tab and get back here to configure methods.'),(2549,'tableType.help'),(9,'tag-Accounting'),(10,'tag-Administration'),(8,'tag-All'),(7,'tag-All tags'),(2291,'tag-Catalog Management'),(25,'tag-Checkout'),(11,'tag-Delivery'),(12,'tag-Development'),(27,'tag-Fraud prevention'),(13,'tag-Fulfillment'),(14,'tag-Marketing'),(23,'tag-Migration'),(21,'tag-Orders'),(15,'tag-Payment processing'),(24,'tag-Price modifiers'),(26,'tag-Products'),(20,'tag-Sales Channels'),(2292,'tag-Search and Navigation'),(22,'tag-Security'),(16,'tag-Statistics'),(17,'tag-Translation'),(18,'tag-User experience'),(19,'tag-Website design'),(2495,'the categories and product classes to which the coupon may be applied;'),(1741,'the custom modifications will be lost'),(2493,'the dates the coupon should be valid for;'),(2062,'the main column'),(2494,'the order subtotal range for which the coupon can be used;'),(2829,'the same as billing'),(3696,'themetweaker.shortcut.save'),(3695,'themetweaker.shortcut.switcher'),(2761,'title-delimiter'),(3166,'to be uninstalled'),(2928,'to enjoy checkout'),(1475,'trying to install a non-marketplace module: X'),(1476,'trying to unpack non-downloaded archives'),(1490,'unable to add module entry to the installation list: X'),(1477,'unable to install: not all archives were unpacked. Please, try again'),(1478,'unable to test files: not all archives were unpacked'),(1492,'unable to upload module'),(2485,'unavailable'),(2094,'units'),(1479,'unknown'),(1874,'unknown error'),(3132,'up to 1 decimal'),(3134,'up to 10'),(3135,'up to 100'),(3131,'up to 2 decimals'),(3133,'up to integer'),(1656,'upgrade core'),(2962,'upgrade_warning_text'),(3705,'ups.CODStatusOptionComment'),(4183,'usps.CODStatusOptionComment'),(1694,'verified version'),(2353,'view list'),(3557,'votes'),(4369,'warning: parcel is overweight'),(3630,'webmasterMode.Disabled'),(3629,'webmasterMode.Enabled'),(2100,'weekly'),(1673,'weight'),(2496,'whether the coupon may be used by everyone or only by users with specific memberships.'),(4288,'with'),(3686,'xlite-translation-popover.help'),(3037,'xml_support.error_message_1'),(3038,'xml_support.label_message'),(2102,'yearly'),(1480,'you save'),(1743,'your web site may crash'),(1973,'{{count}} created'),(1974,'{{count}} updated'),(2804,'{{field}} length must be less then {{length}}'),(2733,'{{file}} file could not be copied to a new location {{newPath}}'),(1905,'{{module}} license agreement'),(1988,'{{name}} attributes'),(1864,'{{paymentMethod}} settings'),(4186,'{{value}} is an invalid container type for a REGULAR package. Valid Container is: VARIABLE');
CREATE TABLE `xlite_clean_urls` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `page_id` int(10) unsigned DEFAULT NULL,
  `news_message_id` int(10) unsigned DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `category_id` int(10) unsigned DEFAULT NULL,
  `cleanURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_F2542545C4663E4` (`page_id`),
  KEY `IDX_F2542545BF05C450` (`news_message_id`),
  KEY `IDX_F25425454584665A` (`product_id`),
  KEY `IDX_F254254512469DE2` (`category_id`),
  KEY `cleanURL` (`cleanURL`),
  CONSTRAINT `FK_F254254512469DE2` FOREIGN KEY (`category_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_F25425454584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_F2542545BF05C450` FOREIGN KEY (`news_message_id`) REFERENCES `xlite_news` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_F2542545C4663E4` FOREIGN KEY (`page_id`) REFERENCES `xlite_pages` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_clean_urls` VALUES (1,1,NULL,NULL,NULL,'terms-and-conditions.html'),(2,2,NULL,NULL,NULL,'shipping.html'),(3,NULL,NULL,1,NULL,'mordorable-fitted-ladies-tee.html'),(4,NULL,NULL,2,NULL,'octopus-cardigan.html'),(5,NULL,NULL,3,NULL,'spiderman-selfie-ladies-tee.html'),(6,NULL,NULL,4,NULL,'star-wars-tissue-weight-fitted-ladies-tee.html'),(7,NULL,NULL,5,NULL,'wonder-woman-hockey-stripe-ladies-tee.html'),(8,NULL,NULL,6,NULL,'star-trek-command-cycle-jersey.html'),(9,NULL,NULL,7,NULL,'star-trek-uniform-polos.html'),(10,NULL,NULL,8,NULL,'bow-ties-are-cool.html'),(11,NULL,NULL,9,NULL,'star-trek-tng-uniform-tee.html'),(12,NULL,NULL,10,NULL,'ewok-ladies-hooded-tank-top.html'),(13,NULL,NULL,11,NULL,'dota-2-series-3-micro-plush-blind-box.html'),(14,NULL,NULL,12,NULL,'minions-pop-vinyl-figures.html'),(15,NULL,NULL,13,NULL,'vinyl-idolz-ghostbusters.html'),(16,NULL,NULL,14,NULL,'dota-2-sniper-plush.html'),(17,NULL,NULL,15,NULL,'soft-kitty-singing-plush.html'),(18,NULL,NULL,16,NULL,'avengers-age-of-ultron-fabrikations-plush.html'),(19,NULL,NULL,17,NULL,'ollie-the-app-controlled-robot.html'),(20,NULL,NULL,18,NULL,'powerup-r-3-0-smartphone-controlled-paper-airplane.html'),(21,NULL,NULL,19,NULL,'chocolate-covered-edible-bugs-gift-pack.html'),(22,NULL,NULL,20,NULL,'canned-unicorn-meat.html'),(23,NULL,NULL,21,NULL,'the-thinkgeek-annoy-a-tron.html'),(24,NULL,NULL,22,NULL,'legendary-hero-8-bit-heart-bouquet.html'),(25,NULL,NULL,23,NULL,'executive-building-brick-set-chrome-.html'),(26,NULL,NULL,24,NULL,'blizzard-diablo-goblin-bank-with-sound.html'),(27,NULL,NULL,25,NULL,'ghostbusters-stay-puft-marshmallow-face-mug.html'),(28,NULL,NULL,26,NULL,'build-on-brick-mug.html'),(29,NULL,NULL,27,NULL,'superhero-mom-mug.html'),(30,NULL,NULL,28,NULL,'olloclip-iphone-macro-3-in-1-lens-system.html'),(31,NULL,NULL,29,NULL,'gunnar-vayper-gaming-glasses.html'),(32,NULL,NULL,30,NULL,'astro-a50-halo-edition.html'),(33,NULL,NULL,31,NULL,'cup-of-mojo-bluetooth-speaker.html'),(34,NULL,NULL,32,NULL,'jbl-pebbles-pc-speakers.html'),(35,NULL,NULL,33,NULL,'bright-idea-usb-powered-light-bulb.html'),(36,NULL,NULL,34,NULL,'mj-technology-android-tablet-with-built-in-hdtv-tuner.html'),(37,NULL,NULL,35,NULL,'bactrack-vio-bluetooth-app-enabled-breathalyzer.html'),(38,NULL,NULL,36,NULL,'coffee-cup-power-inverter-v2-0.html'),(39,NULL,NULL,37,NULL,'apple-iphone-6-16gb.html'),(40,NULL,NULL,38,NULL,'canon-ef-24-105mm-f-4l-is-usm.html'),(41,NULL,NULL,39,NULL,'apple-watch-sport-42mm-with-sport-band.html'),(42,NULL,NULL,40,NULL,'astro-a30-system.html'),(43,NULL,NULL,41,NULL,'apple-iphone-6-plus-options-amp-attributes-.html'),(44,NULL,NULL,42,NULL,'apple-iphone-5s.html'),(45,NULL,NULL,NULL,1,'catalog'),(46,NULL,NULL,NULL,2,'igoods'),(47,NULL,NULL,NULL,3,'electronics'),(48,NULL,NULL,NULL,4,'apparel'),(49,NULL,NULL,NULL,5,'toys'),(50,NULL,NULL,NULL,6,'geek-toys'),(51,NULL,NULL,NULL,7,'office-pranks-and-cube-warfare'),(52,NULL,NULL,NULL,8,'home-and-office');
CREATE TABLE `xlite_category_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(10) unsigned DEFAULT NULL,
  `alt` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_3EDA5C4B12469DE2` (`category_id`),
  CONSTRAINT `FK_3EDA5C4B12469DE2` FOREIGN KEY (`category_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_category_images` VALUES (1,2,'',434,555,NULL,1,'igoods.png','','image/png','r',265767,1394109447),(2,3,'',434,555,NULL,1,'igoods.png','','image/png','r',265767,1394109447),(3,4,'',600,640,NULL,1,'1814_star_trek_command_cycle_jersey.jpeg','','image/jpeg','r',56283,1278412215),(4,5,'',600,590,NULL,1,'ijrm_back_to_the_future_vinyl_idols.png','','image/png','r',276157,1523959642),(5,6,'',600,590,NULL,1,'ijrm_back_to_the_future_vinyl_idols.png','','image/png','r',276157,1523959642),(6,7,'',600,481,NULL,1,'ivvg_beer_briefcase_1.jpeg','','image/jpeg','r',54394,1523959642),(7,8,'',600,600,NULL,1,'17f0_3d_bmo_mug_1.jpeg','','image/jpeg','r',38929,1523959643);
CREATE TABLE `xlite_payment_method_settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `method_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`setting_id`),
  KEY `IDX_33B9DA0019883967` (`method_id`),
  KEY `mn` (`method_id`,`name`),
  CONSTRAINT `FK_33B9DA0019883967` FOREIGN KEY (`method_id`) REFERENCES `xlite_payment_methods` (`method_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_payment_method_settings` VALUES (1,8,'vendor',''),(2,8,'user',''),(3,8,'pwd',''),(4,8,'partner','PayPal'),(5,8,'prefix','mystore_'),(6,8,'transaction_type','S'),(7,8,'mode','test'),(8,8,'buyNowEnabled','1'),(9,9,'vendor',''),(10,9,'user',''),(11,9,'pwd',''),(12,9,'partner','PayPal'),(13,9,'prefix','mystore_'),(14,9,'transaction_type','S'),(15,9,'mode','test'),(16,10,'vendor',''),(17,10,'user',''),(18,10,'pwd',''),(19,10,'partner','PayPal'),(20,10,'prefix','mystore_'),(21,10,'transaction_type','S'),(22,10,'mode','test'),(23,10,'buyNowEnabled','1'),(24,11,'account',''),(25,11,'description',''),(26,11,'prefix','mystore_'),(27,11,'mode','test'),(28,12,'api_type','email'),(29,12,'email',''),(30,12,'api_solution','paypal'),(31,12,'vendor',''),(32,12,'user',''),(33,12,'pwd',''),(34,12,'partner','PayPal'),(35,12,'api_username',''),(36,12,'api_password',''),(37,12,'auth_method','signature'),(38,12,'signature',''),(39,12,'certificate',''),(40,12,'prefix','mystore_'),(41,12,'transaction_type','S'),(42,12,'mode','test'),(43,12,'merchantId',''),(44,12,'buyNowEnabled','1'),(45,13,'enabled','1'),(46,13,'agreement','N'),(47,13,'email',''),(48,13,'publisherId',''),(49,13,'bannerOnHomePage','D'),(50,13,'bannerOnCategoryPages','D'),(51,13,'bannerOnProductDetailsPages','A'),(52,13,'bannerOnCartPage','C'),(53,14,'app_id',''),(54,14,'api_username',''),(55,14,'api_password',''),(56,14,'signature',''),(57,14,'paypal_login',''),(58,14,'partner','PayPal'),(59,14,'feesPayer','PRIMARYRECEIVER'),(60,14,'matchCriteria','name'),(61,14,'prefix','mystore_'),(62,14,'transaction_type','S'),(63,14,'mode','test'),(64,14,'buyNowEnabled','1'),(65,16,'login',''),(66,16,'key',''),(67,16,'signature',''),(68,16,'type','sale'),(69,16,'test','1'),(70,16,'prefix','xcart'),(71,16,'hash_key',''),(72,16,'hash_type','sha512'),(73,48,'login',''),(74,48,'prefix','xcart'),(75,48,'hash',''),(76,48,'include_response','N'),(77,49,'account',''),(78,49,'secret',''),(79,49,'language','en'),(80,49,'mode','test'),(81,49,'prefix','xcart'),(82,49,'currency','USD'),(83,51,'pspid',''),(84,51,'sha_in',''),(85,51,'sha_out',''),(86,51,'currency','GBP'),(87,51,'test','1'),(88,51,'prefix','xcart_'),(89,51,'debug_enabled','0'),(90,52,'merchant_id',''),(91,52,'subid','0'),(92,52,'pub_cert','rabobank.cer'),(93,52,'pub_key',''),(94,52,'private_key',''),(95,52,'private_key_pass',''),(96,52,'currency','EUR'),(97,52,'test','Y'),(98,52,'prefix','xcart_'),(99,52,'debug_enabled','0'),(100,53,'vendorName',''),(101,53,'password',''),(102,53,'type','sale'),(103,53,'test','1'),(104,53,'prefix','xcart'),(105,54,'publishKey',''),(106,54,'accessToken',''),(107,54,'publishKeyTest',''),(108,54,'accessTokenTest',''),(109,54,'mode','live'),(110,54,'type','sale'),(111,54,'prefix','xcart'),(112,54,'userId',''),(113,54,'refreshToken',''),(114,55,'pspid',''),(115,55,'shaIn',''),(116,55,'shaOut',''),(117,55,'prefix','xcart'),(118,55,'mode','test'),(119,56,'store_id',''),(120,56,'hpp_key',''),(121,56,'mode','test'),(122,56,'prefix','xcart'),(123,56,'currency','USD'),(124,57,'merchant_id',''),(125,57,'mode',''),(126,57,'access_key',''),(127,57,'secret_key',''),(128,57,'client_id',''),(129,57,'region','USD'),(130,57,'capture_mode','C'),(131,57,'sync_mode','S'),(132,57,'order_id_prefix',''),(133,58,'prefix',''),(134,58,'merchantId',''),(135,58,'accessToken',''),(136,58,'refreshToken',''),(137,58,'merchantAccountId',''),(138,58,'kountMerchantId',''),(139,58,'isAutoSettle',''),(140,58,'testMode','1'),(141,58,'isPayPal','0'),(142,58,'paypalButtonColor','gold'),(143,58,'paypalButtonShape','pill'),(144,58,'is3dSecure','0'),(145,58,'isAcceptNo3dSecure','0'),(146,58,'is3dSecureForVault','0'),(147,58,'isUseVault','1'),(148,58,'isShowSaveCardBox','1');
CREATE TABLE `xlite_entity_type_versions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entityType` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `version` char(36) COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:guid)',
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_4A1BBA741F08814A` (`entityType`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_entity_type_versions` VALUES (6,'XLite\\Model\\Currency','6bd16a1e-9fe9-4ab3-b44e-edf32ae48e1e'),(7,'XLite\\Model\\CurrencyTranslation','d027ab96-e39c-46e1-a6b0-f695fc58aa4c'),(8,'XLite\\Model\\Membership','c355170e-f4c3-4a25-9ffa-f716d54db6a4'),(9,'XLite\\Model\\MembershipTranslation','f75106cb-89ce-4782-82b0-207e2abba0db'),(10,'XLite\\Model\\Language','2eada268-5a8e-43dd-9775-6b387317f755'),(11,'XLite\\Model\\LanguageTranslation','57e998fa-d7bd-43ae-8b7a-aaaeb2c3af2e'),(15,'XLite\\Model\\Country','e403e3ac-4980-4295-a81c-ce36b46e542e'),(16,'XLite\\Model\\CountryTranslation','c8f3d689-24f2-4dde-9e1f-8f862012c055'),(17,'XLite\\Model\\State','35ea7f82-fc4b-4fc1-ab69-4e0a2e3e23b1'),(18,'XLite\\Model\\Region','20812050-147d-41d5-9e6d-3b21307a826f'),(20,'XLite\\Model\\Zone','71ad8557-d81b-4fbb-8240-9c56af10a546'),(21,'XLite\\Model\\ZoneElement','eb003c01-2522-46e4-8663-cca61755c80d'),(29,'XLite\\Model\\AddressField','503538a7-8057-4eb8-af6c-1405bb39e420'),(30,'XLite\\Model\\AddressFieldTranslation','bc024cfd-77c1-445b-8d3f-ed641675e9a1'),(32,'XLite\\Model\\Order\\Status\\Payment','d8a8eae1-ec31-4086-aedf-551eb2ee736d'),(33,'XLite\\Model\\Order\\Status\\PaymentTranslation','cc74b420-abae-4243-a1f4-722cf9e1a43f'),(34,'XLite\\Model\\Order\\Status\\Shipping','79341314-55ae-4ef9-80d7-b2cbf6450507'),(35,'XLite\\Model\\Order\\Status\\ShippingTranslation','1771ffe8-cd8f-4d65-bf05-6070ebe3d2f8'),(36,'XLite\\Model\\Order\\Status\\Property','6f79eff1-c126-4242-b7da-d3b70ab60b82'),(40,'XLite\\Model\\SearchFilter','1123cc41-d4c5-4b32-b995-ba464ee5ab12'),(41,'XLite\\Model\\SearchFilterTranslation','3c80fb2d-96d9-43c0-bf71-69f0dd398288'),(42,'XLite\\Model\\AccessControlEntityType','ff5e43cf-3def-4933-a707-bb97bc8e022d'),(43,'XLite\\Model\\AccessControlZoneType','eb11b1c4-4736-4cd3-9e41-76154bfe3b51'),(128,'XLite\\Model\\MoneyModificator','0ded9fbd-c4a7-4193-871b-89a67a8c0b56'),(139,'XLite\\Module\\CDev\\SimpleCMS\\Model\\Page','14a760fd-d447-4143-8f6f-ad05f9aa2d50'),(141,'XLite\\Module\\CDev\\SimpleCMS\\Model\\PageTranslation','697d5900-1afb-4abc-883f-c8f46a10efba'),(154,'XLite\\Model\\Role','9c537f95-01a7-42dc-bc3f-f995dbe940b0'),(155,'XLite\\Model\\RoleTranslation','2ba0491f-da83-44af-a114-b1919c66d37a'),(226,'XLite\\Model\\ImageSettings','4f2d0c2b-d1bb-486f-bf69-7c299a2ea319'),(242,'XLite\\Model\\Task','1c8622a7-11bd-444a-9871-9526c9dcd1d7'),(268,'XLite\\Model\\Role\\Permission','6ea59fd0-f82c-48ef-9b03-44a9f38d0997'),(276,'XLite\\Model\\Role\\PermissionTranslation','48588f3f-260f-420d-96a4-0f10979cdb40'),(311,'XLite\\Model\\Order\\Modifier','7dc6daf7-10b7-4fd4-b58a-6af3afc80b76'),(353,'XLite\\Model\\Notification','fe2eb017-1daa-47fc-b80e-ffa9edb3757c'),(354,'XLite\\Model\\NotificationTranslation','b0841de7-9f9a-4308-b8fe-4a8786702db7'),(382,'XLite\\Model\\Payment\\Method','e3c659ae-258c-4cf6-88fa-135f1bb4d862'),(383,'XLite\\Model\\Payment\\MethodTranslation','45662e10-3fd1-4b1a-91be-0ef9aed5a218'),(384,'XLite\\Model\\Payment\\MethodSetting','ad0b14ac-d709-429c-8afd-d725539edeb9'),(385,'XLite\\Model\\LanguageLabel','72e8dc29-111a-40cd-b081-fd90ff93ad03'),(386,'XLite\\Model\\LanguageLabelTranslation','ef99bd26-467e-4adc-962d-531dc674cd29'),(596,'XLite\\Model\\ProductTranslation','b992432d-1e87-4b9e-be43-89a6f18e33f3'),(647,'XLite\\Model\\Image\\Category\\Banner','9f5984a4-ca78-4d9b-a5fe-95fd2e84655c'),(675,'XLite\\Model\\CleanURL','74838109-9eef-442d-a32a-1196ecbcfb42'),(676,'XLite\\Model\\Image\\Category\\Image','10848bf3-86f1-408e-a3b3-6b62031e96ad'),(677,'XLite\\Model\\CategoryTranslation','995270ff-c504-4752-ad7c-b7b17cb67f39'),(680,'XLite\\Model\\CategoryProducts','7b4a6492-c224-4e4e-9b96-3cb28aca4828'),(681,'XLite\\Model\\Category\\QuickFlags','596f54f7-e6b7-45e7-8707-17a3792f07ab'),(682,'XLite\\Model\\Config','6e8169be-3a20-44df-b2d1-71d0111e5a3f'),(683,'XLite\\Model\\ConfigTranslation','e81d627e-8cde-4f99-9dda-c234c88e5326'),(684,'XLite\\Model\\Shipping\\Method','cb13bcd7-8764-48cc-b153-f7ff2f950c04'),(685,'XLite\\Model\\Shipping\\MethodTranslation','fc12ac19-c05a-487c-ae41-d276c51ee2e2'),(686,'XLite\\Model\\Shipping\\Markup','81e7442a-f9dc-4f6f-aa83-feb6a7bae92e'),(687,'XLite\\Model\\BannerRotationSlide','bfbed167-6a03-4d3f-a453-54ad45cae5f3'),(688,'XLite\\Model\\Image\\BannerRotationImage','b15ef4a9-58ab-427c-b87a-d52af694801a'),(697,'XLite\\Module\\XC\\CustomProductTabs\\Model\\Product\\CustomGlobalTab','fdfee118-f691-4d31-af23-9f329d7e730d'),(699,'XLite\\Model\\Product\\GlobalTabProvider','dadf5547-1546-4649-858b-7525c42f3b06'),(700,'XLite\\Module\\XC\\CustomProductTabs\\Model\\Product\\CustomGlobalTabTranslation','72443e0a-af3d-48c7-a73b-5304da333dc0'),(701,'XLite\\Model\\Product\\GlobalTab','656eb6bc-0823-496f-a33a-661a8a35c10d'),(709,'XLite\\Module\\CDev\\FeaturedProducts\\Model\\FeaturedProduct','da1d39f9-32bb-4cf0-ba3c-c1be4e7b920e'),(726,'XLite\\Module\\CDev\\SimpleCMS\\Model\\MenuTranslation','28d5c8c3-ab7b-4621-bd9d-e236d3f47896'),(727,'XLite\\Module\\CDev\\SimpleCMS\\Model\\Menu\\QuickFlags','d934c5a2-6302-41cd-8a9c-6cde1ddb3b6b'),(776,'XLite\\Model\\Category','a13ff5fa-13bd-4d77-8b70-9306222d6aa9'),(811,'XLite\\Model\\Payment\\TransactionData','645aac2e-08bf-4b6a-86d6-6d9ca1f813d9'),(816,'XLite\\Model\\Profile','94496811-0117-4461-b8e6-9f697b3afa6f'),(817,'XLite\\Model\\Address','05923ae1-ba95-47bb-b29b-ae4586324384'),(818,'XLite\\Model\\AddressFieldValue','f652b3f9-aec7-4608-bb90-7a0d8dc5147d'),(819,'XLite\\Model\\Payment\\Transaction','7208567a-153d-4bb2-9920-2dccbc46f2fc'),(821,'XLite\\Model\\Order','245fba2a-a76e-4845-9198-4670622b81a7'),(822,'XLite\\Model\\OrderItem','13077a22-dd56-4a95-9ceb-a936a3b34af6'),(823,'XLite\\Model\\Order\\Surcharge','176a16e8-aa12-401b-b21d-bc3df8d10a5a'),(824,'XLite\\Model\\OrderHistoryEvents','57171eeb-0c4a-42bb-9abb-3d8d16cd661a'),(846,'XLite\\Model\\Product','1d3d04cd-6528-4bb9-91a7-d1a82310b9ff'),(847,'XLite\\Model\\QuickData','368abc7e-8137-4383-99f2-3b537fb8df6f'),(913,'XLite\\Module\\CDev\\SimpleCMS\\Model\\Menu','c1113d87-e58a-4e13-9427-c8028de4e327'),(914,'XLite\\Model\\ViewList','cea454f1-6945-4f7c-b182-eab7fe0e0248'),(915,'XLite\\Model\\Module','c73200de-61d9-4a0b-8704-31d0470844e8'),(916,'XLite\\Model\\Image\\Product\\Image','ffb4d799-13b1-4f5a-bfff-1f736d742b4b');
CREATE TABLE `xlite_tax_classes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_usps_shipment` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `transactionId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `requestData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `responseData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `printDate` int(11) NOT NULL,
  `price` decimal(14,4) NOT NULL,
  `shipmentId` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `trackingNumber` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `trackingData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `labelURL` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `labelContent` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`),
  KEY `IDX_9426ED218D9F6D38` (`order_id`),
  CONSTRAINT `FK_9426ED218D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_zones` (
  `zone_id` int(11) NOT NULL AUTO_INCREMENT,
  `zone_name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `is_default` tinyint(1) NOT NULL,
  PRIMARY KEY (`zone_id`),
  KEY `zone_name` (`zone_name`),
  KEY `zone_default` (`is_default`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_zones` VALUES (1,'All Addresses (default zone)',1),(2,'United States',0),(3,'North of United States & Canada',0),(4,'Europe',0);
CREATE TABLE `xlite_special_offer_types` (
  `type_id` int(11) NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  `processorClass` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `viewModelClass` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`type_id`),
  KEY `type_id` (`type_id`),
  KEY `processorClass` (`processorClass`),
  KEY `position` (`position`),
  KEY `enabled` (`enabled`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_attribute_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_class_id` int(10) unsigned DEFAULT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_59E382E821B06187` (`product_class_id`),
  CONSTRAINT `FK_59E382E821B06187` FOREIGN KEY (`product_class_id`) REFERENCES `xlite_product_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_attribute_groups` VALUES (1,2,10),(2,2,20),(3,2,30);
CREATE TABLE `xlite_profile_addresses` (
  `address_id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) DEFAULT NULL,
  `state_id` int(11) DEFAULT NULL,
  `country_code` char(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `is_billing` tinyint(1) NOT NULL,
  `is_shipping` tinyint(1) NOT NULL,
  `isWork` tinyint(1) NOT NULL,
  `address_type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`address_id`),
  KEY `IDX_A6B45064CCFA12B8` (`profile_id`),
  KEY `IDX_A6B450645D83CC1` (`state_id`),
  KEY `IDX_A6B45064F026BB7C` (`country_code`),
  KEY `is_billing` (`is_billing`),
  KEY `is_shipping` (`is_shipping`),
  CONSTRAINT `FK_A6B45064F026BB7C` FOREIGN KEY (`country_code`) REFERENCES `xlite_countries` (`code`) ON DELETE SET NULL,
  CONSTRAINT `FK_A6B450645D83CC1` FOREIGN KEY (`state_id`) REFERENCES `xlite_states` (`state_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_A6B45064CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_profile_addresses` VALUES (1,1,NULL,'US',1,1,0,'R'),(2,2,NULL,'US',1,1,0,'R'),(3,3,NULL,'US',1,1,0,'R'),(4,4,NULL,'US',1,1,0,'R'),(5,5,NULL,'US',1,1,0,'R'),(6,6,NULL,'US',1,1,0,'R');
CREATE TABLE `xlite_mailchimp_segment_subscriptions` (
  `segment_id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `profile_id` int(11) NOT NULL,
  PRIMARY KEY (`segment_id`,`profile_id`),
  KEY `IDX_CE45B298DB296AAD` (`segment_id`),
  KEY `IDX_CE45B298CCFA12B8` (`profile_id`),
  CONSTRAINT `FK_CE45B298CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_CE45B298DB296AAD` FOREIGN KEY (`segment_id`) REFERENCES `xlite_mailchimp_list_segments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_stats` (
  `stat_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `viewed_product_id` int(10) unsigned DEFAULT NULL,
  `bought_product_id` int(10) unsigned DEFAULT NULL,
  `count` int(10) unsigned NOT NULL,
  PRIMARY KEY (`stat_id`),
  KEY `IDX_B01836BC658EF086` (`viewed_product_id`),
  KEY `IDX_B01836BC3BA20971` (`bought_product_id`),
  CONSTRAINT `FK_B01836BC3BA20971` FOREIGN KEY (`bought_product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_B01836BC658EF086` FOREIGN KEY (`viewed_product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_customer_attachments_storage` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) DEFAULT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_ACB714E4126F525E` (`item_id`),
  CONSTRAINT `FK_ACB714E4126F525E` FOREIGN KEY (`item_id`) REFERENCES `xlite_order_items` (`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_tabs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `global_tab_id` int(10) unsigned DEFAULT NULL,
  `position` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `link` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `product_global_tab` (`product_id`,`global_tab_id`),
  KEY `IDX_F5B7716D4584665A` (`product_id`),
  KEY `IDX_F5B7716D629D8673` (`global_tab_id`),
  CONSTRAINT `FK_F5B7716D629D8673` FOREIGN KEY (`global_tab_id`) REFERENCES `xlite_global_product_tabs` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_F5B7716D4584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_product_tabs` VALUES (1,1,5,-10,1,NULL),(2,2,5,-10,1,NULL),(3,3,5,-10,1,NULL),(4,4,5,-10,1,NULL),(5,5,5,-10,1,NULL),(6,6,5,-10,1,NULL),(7,7,5,-10,1,NULL),(8,8,5,-10,1,NULL),(9,9,5,-10,1,NULL),(10,10,5,-10,1,NULL),(11,11,5,-10,1,NULL),(12,12,5,-10,1,NULL),(13,13,5,-10,1,NULL),(14,14,5,-10,1,NULL),(15,15,5,-10,1,NULL),(16,16,5,-10,1,NULL),(17,17,5,-10,1,NULL),(18,18,5,-10,1,NULL),(19,19,5,-10,1,NULL),(20,20,5,-10,1,NULL),(21,21,5,-10,1,NULL),(22,22,5,-10,1,NULL),(23,23,5,-10,1,NULL),(24,24,5,-10,1,NULL),(25,25,5,-10,1,NULL),(26,26,5,-10,1,NULL),(27,27,5,-10,1,NULL),(28,28,5,-10,1,NULL),(29,29,5,-10,1,NULL),(30,30,5,-10,1,NULL),(31,31,5,-10,1,NULL),(32,32,5,-10,1,NULL),(33,33,5,-10,1,NULL),(34,34,5,-10,1,NULL),(35,35,5,-10,1,NULL),(36,36,5,-10,1,NULL),(37,37,5,-10,1,NULL),(38,38,5,-10,1,NULL),(39,39,5,-10,1,NULL),(40,40,5,-10,1,NULL),(41,41,5,-10,1,NULL),(42,42,5,-10,1,NULL),(64,1,6,-10,1,NULL),(65,2,6,-10,1,NULL),(66,3,6,-10,1,NULL),(67,4,6,-10,1,NULL),(68,5,6,-10,1,NULL),(69,6,6,-10,1,NULL),(70,7,6,-10,1,NULL),(71,8,6,-10,1,NULL),(72,9,6,-10,1,NULL),(73,10,6,-10,1,NULL),(74,11,6,-10,1,NULL),(75,12,6,-10,1,NULL),(76,13,6,-10,1,NULL),(77,14,6,-10,1,NULL),(78,15,6,-10,1,NULL),(79,16,6,-10,1,NULL),(80,17,6,-10,1,NULL),(81,18,6,-10,1,NULL),(82,19,6,-10,1,NULL),(83,20,6,-10,1,NULL),(84,21,6,-10,1,NULL),(85,22,6,-10,1,NULL),(86,23,6,-10,1,NULL),(87,24,6,-10,1,NULL),(88,25,6,-10,1,NULL),(89,26,6,-10,1,NULL),(90,27,6,-10,1,NULL),(91,28,6,-10,1,NULL),(92,29,6,-10,1,NULL),(93,30,6,-10,1,NULL),(94,31,6,-10,1,NULL),(95,32,6,-10,1,NULL),(96,33,6,-10,1,NULL),(97,34,6,-10,1,NULL),(98,35,6,-10,1,NULL),(99,36,6,-10,1,NULL),(100,37,6,-10,1,NULL),(101,38,6,-10,1,NULL),(102,39,6,-10,1,NULL),(103,40,6,-10,1,NULL),(104,41,6,-10,1,NULL),(105,42,6,-10,1,NULL),(127,1,7,-10,1,NULL),(128,2,7,-10,1,NULL),(129,3,7,-10,1,NULL),(130,4,7,-10,1,NULL),(131,5,7,-10,1,NULL),(132,6,7,-10,1,NULL),(133,7,7,-10,1,NULL),(134,8,7,-10,1,NULL),(135,9,7,-10,1,NULL),(136,10,7,-10,1,NULL),(137,11,7,-10,1,NULL),(138,12,7,-10,1,NULL),(139,13,7,-10,1,NULL),(140,14,7,-10,1,NULL),(141,15,7,-10,1,NULL),(142,16,7,-10,1,NULL),(143,17,7,-10,1,NULL),(144,18,7,-10,1,NULL),(145,19,7,-10,1,NULL),(146,20,7,-10,1,NULL),(147,21,7,-10,1,NULL),(148,22,7,-10,1,NULL),(149,23,7,-10,1,NULL),(150,24,7,-10,1,NULL),(151,25,7,-10,1,NULL),(152,26,7,-10,1,NULL),(153,27,7,-10,1,NULL),(154,28,7,-10,1,NULL),(155,29,7,-10,1,NULL),(156,30,7,-10,1,NULL),(157,31,7,-10,1,NULL),(158,32,7,-10,1,NULL),(159,33,7,-10,1,NULL),(160,34,7,-10,1,NULL),(161,35,7,-10,1,NULL),(162,36,7,-10,1,NULL),(163,37,7,-10,1,NULL),(164,38,7,-10,1,NULL),(165,39,7,-10,1,NULL),(166,40,7,-10,1,NULL),(167,41,7,-10,1,NULL),(168,42,7,-10,1,NULL),(190,37,NULL,0,1,'Privacy'),(191,42,NULL,0,1,'Privacy'),(192,1,1,-80,1,NULL),(193,2,1,-80,1,NULL),(194,3,1,-80,1,NULL),(195,4,1,-80,1,NULL),(196,5,1,-80,1,NULL),(197,6,1,-80,1,NULL),(198,7,1,-80,1,NULL),(199,8,1,-80,1,NULL),(200,9,1,-80,1,NULL),(201,10,1,-80,1,NULL),(202,11,1,-80,1,NULL),(203,12,1,-80,1,NULL),(204,13,1,-80,1,NULL),(205,14,1,-80,1,NULL),(206,15,1,-80,1,NULL),(207,16,1,-80,1,NULL),(208,17,1,-80,1,NULL),(209,18,1,-80,1,NULL),(210,19,1,-80,1,NULL),(211,20,1,-80,1,NULL),(212,21,1,-80,1,NULL),(213,22,1,-80,1,NULL),(214,23,1,-80,1,NULL),(215,24,1,-80,1,NULL),(216,25,1,-80,1,NULL),(217,26,1,-80,1,NULL),(218,27,1,-80,1,NULL),(219,28,1,-80,1,NULL),(220,29,1,-80,1,NULL),(221,30,1,-80,1,NULL),(222,31,1,-80,1,NULL),(223,32,1,-80,1,NULL),(224,33,1,-80,1,NULL),(225,34,1,-80,1,NULL),(226,35,1,-80,1,NULL),(227,36,1,-80,1,NULL),(228,37,1,-80,1,NULL),(229,38,1,-80,1,NULL),(230,39,1,-80,1,NULL),(231,40,1,-80,1,NULL),(232,41,1,-80,1,NULL),(233,42,1,-80,1,NULL),(255,1,2,-70,1,NULL),(256,2,2,-70,1,NULL),(257,3,2,-70,1,NULL),(258,4,2,-70,1,NULL),(259,5,2,-70,1,NULL),(260,6,2,-70,1,NULL),(261,7,2,-70,1,NULL),(262,8,2,-70,1,NULL),(263,9,2,-70,1,NULL),(264,10,2,-70,1,NULL),(265,11,2,-70,1,NULL),(266,12,2,-70,1,NULL),(267,13,2,-70,1,NULL),(268,14,2,-70,1,NULL),(269,15,2,-70,1,NULL),(270,16,2,-70,1,NULL),(271,17,2,-70,1,NULL),(272,18,2,-70,1,NULL),(273,19,2,-70,1,NULL),(274,20,2,-70,1,NULL),(275,21,2,-70,1,NULL),(276,22,2,-70,1,NULL),(277,23,2,-70,1,NULL),(278,24,2,-70,1,NULL),(279,25,2,-70,1,NULL),(280,26,2,-70,1,NULL),(281,27,2,-70,1,NULL),(282,28,2,-70,1,NULL),(283,29,2,-70,1,NULL),(284,30,2,-70,1,NULL),(285,31,2,-70,1,NULL),(286,32,2,-70,1,NULL),(287,33,2,-70,1,NULL),(288,34,2,-70,1,NULL),(289,35,2,-70,1,NULL),(290,36,2,-70,1,NULL),(291,37,2,-70,1,NULL),(292,38,2,-70,1,NULL),(293,39,2,-70,1,NULL),(294,40,2,-70,1,NULL),(295,41,2,-70,1,NULL),(296,42,2,-70,1,NULL),(318,1,3,-60,1,NULL),(319,2,3,-60,1,NULL),(320,3,3,-60,1,NULL),(321,4,3,-60,1,NULL),(322,5,3,-60,1,NULL),(323,6,3,-60,1,NULL),(324,7,3,-60,1,NULL),(325,8,3,-60,1,NULL),(326,9,3,-60,1,NULL),(327,10,3,-60,1,NULL),(328,11,3,-60,1,NULL),(329,12,3,-60,1,NULL),(330,13,3,-60,1,NULL),(331,14,3,-60,1,NULL),(332,15,3,-60,1,NULL),(333,16,3,-60,1,NULL),(334,17,3,-60,1,NULL),(335,18,3,-60,1,NULL),(336,19,3,-60,1,NULL),(337,20,3,-60,1,NULL),(338,21,3,-60,1,NULL),(339,22,3,-60,1,NULL),(340,23,3,-60,1,NULL),(341,24,3,-60,1,NULL),(342,25,3,-60,1,NULL),(343,26,3,-60,1,NULL),(344,27,3,-60,1,NULL),(345,28,3,-60,1,NULL),(346,29,3,-60,1,NULL),(347,30,3,-60,1,NULL),(348,31,3,-60,1,NULL),(349,32,3,-60,1,NULL),(350,33,3,-60,1,NULL),(351,34,3,-60,1,NULL),(352,35,3,-60,1,NULL),(353,36,3,-60,1,NULL),(354,37,3,-60,1,NULL),(355,38,3,-60,1,NULL),(356,39,3,-60,1,NULL),(357,40,3,-60,1,NULL),(358,41,3,-60,1,NULL),(359,42,3,-60,1,NULL),(381,1,4,-30,1,NULL),(382,2,4,-30,1,NULL),(383,3,4,-30,1,NULL),(384,4,4,-30,1,NULL),(385,5,4,-30,1,NULL),(386,6,4,-30,1,NULL),(387,7,4,-30,1,NULL),(388,8,4,-30,1,NULL),(389,9,4,-30,1,NULL),(390,10,4,-30,1,NULL),(391,11,4,-30,1,NULL),(392,12,4,-30,1,NULL),(393,13,4,-30,1,NULL),(394,14,4,-30,1,NULL),(395,15,4,-30,1,NULL),(396,16,4,-30,1,NULL),(397,17,4,-30,1,NULL),(398,18,4,-30,1,NULL),(399,19,4,-30,1,NULL),(400,20,4,-30,1,NULL),(401,21,4,-30,1,NULL),(402,22,4,-30,1,NULL),(403,23,4,-30,1,NULL),(404,24,4,-30,1,NULL),(405,25,4,-30,1,NULL),(406,26,4,-30,1,NULL),(407,27,4,-30,1,NULL),(408,28,4,-30,1,NULL),(409,29,4,-30,1,NULL),(410,30,4,-30,1,NULL),(411,31,4,-30,1,NULL),(412,32,4,-30,1,NULL),(413,33,4,-30,1,NULL),(414,34,4,-30,1,NULL),(415,35,4,-30,1,NULL),(416,36,4,-30,1,NULL),(417,37,4,-30,1,NULL),(418,38,4,-30,1,NULL),(419,39,4,-30,1,NULL),(420,40,4,-30,1,NULL),(421,41,4,-30,1,NULL),(422,42,4,-30,1,NULL);
CREATE TABLE `xlite_mailchimp_lists` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `date_created` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `date_updated` int(11) NOT NULL,
  `list_rating` decimal(3,2) NOT NULL,
  `subscribe_url_short` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `subscribe_url_long` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `member_count` int(11) NOT NULL,
  `open_rate` decimal(5,2) NOT NULL,
  `click_rate` decimal(5,2) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `subscribeByDefault` tinyint(1) NOT NULL,
  `isRemoved` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `briefDescription` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTags` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `metaDesc` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  KEY `name` (`name`),
  CONSTRAINT `FK_F48089BABF396750` FOREIGN KEY (`id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_product_translations` VALUES (1,1,'Mordorable! Fitted Ladies\' Tee','<h4 class=\"prodheader\">TALK ABOUT PRECIOUSSSSS!</h4>\n<p>One does not simply walk into Mordor. It\'s best if one <em>skips</em>. Holding hands and singing showtunes, preferably. This shirt features a montage of all the cuteness that\'s to be had when you visit Mordor. There\'s little Gollum waving hello or goodbye or something to The One Ring. Isn\'t it preciousssss? A big ol\' snuggledy battle troll waits patiently to give out \"Free Hugs,\" and an Uruk-hai says \"o hai!\" over his shoulder. In the distance, there\'s Mount Doom with its explosion of lava (read: candy) and happy, puffy clouds of vog. Through the sky flies a friendly Nazgul on his Fell Beast (rawr!). The whole scene is watched over by the big, blinky eye of Sauron perched between the pinnacles of Barad-dûr. Face it. It\'s Mordorable.</p>\n<p>All the cuteness of Mordor is captured on this teal babydoll shirt. Fitted in juniors sizes. Despite the above description, ThinkGeek warns of the potential risks of traveling to Mordor and urges caution when traveling there. And you should definitely be up on your immunizations.</p>','<p>Who doesn\'t want to go to Mordor? With its mountain vistas and minimalist landscapes, your vacation photos are sure to turn out great. (Did we mention black is slimming?) Ancient castles to visit. New species to observe. It\'s the adventure of a lifetime</p>','','Who doesn\'t want to go to Mordor? With its mountain vistas and minimalist landscapes, your vacation photos are sure to turn out great. (Did we mention black is slimming?) Ancient castles to visit. New species to observe. It\'s the adventure of a lifetime','','en'),(2,2,'Octopus Cardigan','<h4 class=\"prodheader\">FOR HUMANS</h4>\n<p>What would you do with eight arms? At first, we thought, \"FOUR LAPTOPS!\" Then we realized that we still only had one pair of eyes. Now we\'re thinking two laptops, an iPod, some knitting, and one arm left for scratching any itches that arise. (Ever notice how you always get itchy whenever your hands are full or nail polish is drying? Pesky!)</p>\n<p>This Octopus Cardigan is for two-armed lifeforms, specifically humanoid. It is 100% cotton black colored cardigan with green Octopus design. See the chart below to select your size.</p>\n<table><tbody><tr><td> </td>\n<td>S</td>\n<td>M</td>\n<td>L</td>\n<td>XL</td>\n</tr><tr><td>Chest</td>\n<td>34 in.</td>\n<td>36 in.</td>\n<td>38 in.</td>\n<td>41 in.</td>\n</tr><tr><td>Length</td>\n<td>16 in.</td>\n<td>16 1/4 in.</td>\n<td>16 1/2 in.</td>\n<td>16 3/4 in.</td>\n</tr></tbody></table>','<p>No, no, not a cardigan FOR an octopus. This one only has two arms, so it\'s for a human. Of course, if you knew a cold octopus, this could warm two of its limbs.</p>','','No, no, not a cardigan FOR an octopus. This one only has two arms, so it\'s for a human. Of course, if you knew a cold octopus, this could warm two of its limbs.','','en'),(3,3,'Spiderman Selfie Ladies\' Tee','<h4 class=\"prodheader\">SELFIE SENSES TINGLING</h4>\n<p>Being a photojournalist for the <em>Daily Bugle</em>, you\'d think Peter Parker would understand how selfies work. Although maybe he\'s taking this shot in a mirror and he\'s going to scan the finished product and post it to Facebook. Or maybe the word \"FLASH!\" in the burst is actually a tip that The Flash is just off the side of this image taking a picture with his phone of Spidey with his camera. Although that would be comic book universes colliding.... Maybe we think about things too much.</p>\n<p>Spiderman taking a photo with the hashtag #amazing beneath on the front of this black, 100% cotton ladies\' shirt. Machine wash cold. Tumble dry low or lay flat to dry. Imported.</p>\n<p><em>Please note that the model is wearing a size medium.</em></p>\n<p>Sizing Table</p>\n<table><tbody><tr><td> </td>\n<td>S</td>\n<td>M</td>\n<td>L</td>\n<td>XL</td>\n<td>2X</td>\n<td>3X</td>\n<td> </td>\n</tr><tr><td>Chest</td>\n<td>32 in.</td>\n<td>34 in.</td>\n<td>36 in.</td>\n<td>38 in.</td>\n<td>40 in.</td>\n<td>42 in.</td>\n<td>  </td>\n</tr><tr><td>Body Length</td>\n<td>25 3/4 in.</td>\n<td>26 1/2 in.</td>\n<td>27 1/4 in.</td>\n<td>28 in.</td>\n<td>28 3/4 in.</td>\n<td>30 in.</td>\n</tr></tbody></table>','<p>We\'ll just warn you that if you check this hashtag your mileage may vary. What people think is \"amazing\" differs vastly.</p>','','We\'ll just warn you that if you check this hashtag your mileage may vary. What people think is \"amazing\" differs vastly.','','en'),(4,4,'Star Wars Tissue-Weight Fitted Ladies\' Tee','<h4 class=\"prodheader\">ARE YOU A FAN?</h4>\n<p>As female Star Wars fans, our cosplay options were previously fairly limited. Leia, Slave Leia, maybe a Twi\'lek if you had the patience to paint yourself blue. But thanks to some brave pioneers, crossplay is alive and well in the Star Wars fandom, so we can freely be totally awesome versions of Han Solo, Boba Fett, or even Chewbacca. We\'ve tailored our costumes to meet the needs of our bodies <em>and</em> our fandom. The same should go for our t-shirts, right?</p>\n<p>Star Wars printed in white on a tissue-weight, heather plum, 65% cotton / 35% polyester babydoll (fitted) shirt.</p>\n<p>Note: Please reference the table below to choose your size.</p>\n<table><tbody><tr><td> </td>\n<td>S</td>\n<td>M</td>\n<td>L</td>\n<td>XL</td>\n<td>2X</td>\n</tr><tr><td>Chest</td>\n<td>32 1/2 in.</td>\n<td>34 1/2 in.</td>\n<td>36 1/2 in.</td>\n<td>39 1/2 in.</td>\n<td>41 1/2 in.</td>\n</tr><tr><td>Body Length</td>\n<td>25 in.</td>\n<td>26 in.</td>\n<td>27 in.</td>\n<td>28 in.</td>\n<td>29 in.</td>\n</tr></tbody></table>','<h4 class=\"prodheader\">ARE YOU A FAN?</h4>\n<p>Here is something made especially for all those women who are Star Wars fans! It is cool, it is feminine, and it shows that you are a true fan!</p>','','ARE YOU A FAN?\nHere is something made especially for all those women who are Star Wars fans! It is cool, it is feminine, and it shows that you are a true fan!','','en'),(5,5,'Wonder Woman Hockey Stripe Ladies\' Tee','<div id=\"proddescription\">\n<h4 class=\"prodheader\">*CUE THE THEME MUSIC*</h4>\n<p>Ever notice that nearly every heroine has the superpower of Awesome Hair? Seriously, not a strand out of place, even when they\'re flying, kicking the crap out of someone, or running through a sewer. Perfect. Hair. *sigh* We\'re so jealous.</p>\n<p>Well, heroines and Thor.</p>\n<p>Wonder Woman\'s logo on the front of this blue, 50% cotton / 50% polyester ladies\' shirt. Sleeves have white and blue stripes. Machine wash cold. Tumble dry low or lay flat to dry. Imported.</p>\n<p><em>Please note that the model is wearing a size medium.</em></p>\n<table><tbody><tr><td> </td>\n<td>S</td>\n<td>M</td>\n<td>L</td>\n<td>XL</td>\n<td>2X</td>\n</tr><tr><td>Chest</td>\n<td>30 in.</td>\n<td>32 in</td>\n<td>34 in.</td>\n<td>36 in.</td>\n<td>38 in.</td>\n</tr><tr><td>Waist</td>\n<td>28 in.</td>\n<td>30 in.</td>\n<td>32 in.</td>\n<td>34 in.</td>\n<td>36 in.</td>\n</tr><tr><td>Body Length</td>\n<td>24 in.</td>\n<td>25 in.</td>\n<td>26 in.</td>\n<td>27 in.</td>\n<td>28 in.</td>\n</tr><tr><td>Sleeve Length</td>\n<td>9 3/4 in.</td>\n<td>10 in.</td>\n<td>10 1/4 in.</td>\n<td>10 1/2 in.</td>\n<td>10 3/4 in.</td>\n</tr></tbody></table></div>\n<div id=\"bullets\"> </div>\n<div id=\"olapic_specific_widget\" class=\"olapic olapic-widget-rendered olapic-chrome olapic_items_0 olapic_slide_horizontal\"> </div>','<h4 class=\"prodheader\">*CUE THE THEME MUSIC*</h4>\n<p>If you spin around really fast in this shirt, you won\'t turn into Wonder Woman. But you might get vertigo and fall over. So it\'s probably best if you don\'t do that.</p>','','*CUE THE THEME MUSIC*\nIf you spin around really fast in this shirt, you won\'t turn into Wonder Woman. But you might get vertigo and fall over. So it\'s probably best if you don\'t do that.','','en'),(6,6,'Star Trek Command Cycle Jersey','<h4 class=\"prodheader\">BOLDLY GO! ON YOUR LEFT...</h4>\n<p>Star Trek fans are doctors, lawyers, politicians, coders, engineers, artists, and athletes. They are everywhere, and they are legion. Recognizing each other by their clothes, jewelry, bags, and bumper stickers, they greet each other with a lift of an eyebrow, and a traditional Vulcan salute, answering \"Peace and Long Life\" with the venerated \"Live Long and Prosper.\"</p>\n<p>Once shunted into the back-alleys of fandom, Star Trek fans are now coming out of the woodwork, wearing their pride openly and declaring to the world, \"I\'m a Trekkie. You\'ll have to deal with it.\"</p>\n<p>And you don\'t have to pilot a starship to be a Star Trek fan! You can trade in your warp nacelles for two wheels, and hit the dusty streets and trails of planet Earth. Our new bicycle jersey is made of space-age AIRpass-Pro fiber, which wicks away moisture.</p>\n<p>Product Specifications</p>\n<ul><li>Space-age bicycle jersey is science fact</li>\n<li>Officially-licensed Star Trek merchandise</li>\n<li>Command gold pattern on sleeves and sides made up of alternating Starfleet badges</li>\n<li>Great for the Trek-fan biker in your life</li>\n<li>AIRpass-Pro moisture wicking technology</li>\n<li>UV protection</li>\n<li>Wicks away moisture, keeping you cool and dry</li>\n<li>Hidden, full-length YKK zipper</li>\n<li>3 pockets with reinforced stitching</li>\n<li>Silicon Gripper bottom in rear</li>\n<li>Form-fitting for maximum comfort</li>\n<li>Materials: 100% polyester</li>\n<li>Hand wash, lay flat to dry.</li>\n<li>Made in China</li>\n<li>Please reference the table below to determine your size. Note: Front length does not include collar.</li>\n</ul><p> </p>\n<table><tbody><tr><td>\n<p> </p>\n</td>\n<td>\n<p>S</p>\n</td>\n<td>\n<p>M</p>\n</td>\n<td>\n<p>L</p>\n</td>\n<td>\n<p>XL</p>\n</td>\n<td>\n<p>2XL</p>\n</td>\n<td>\n<p>3XL</p>\n</td>\n</tr><tr><td>\n<p>Chest</p>\n</td>\n<td>\n<p>37 - 39\"</p>\n</td>\n<td>\n<p>39 - 41\"</p>\n</td>\n<td>\n<p>41 - 43\"</p>\n</td>\n<td>\n<p>43 - 45\"</p>\n</td>\n<td>\n<p>45 - 47\"</p>\n</td>\n<td>\n<p>47 - 49\"</p>\n</td>\n</tr><tr><td>\n<p>Waist</p>\n</td>\n<td>\n<p>31 - 33\"</p>\n</td>\n<td>\n<p>33 - 36\"</p>\n</td>\n<td>\n<p>37 - 39\"</p>\n</td>\n<td>\n<p>40 - 43\"</p>\n</td>\n<td>\n<p>44 - 46\"</p>\n</td>\n<td>\n<p>47 - 49\"</p>\n</td>\n</tr><tr><td>\n<p>Front Length</p>\n</td>\n<td>\n<p>19\"</p>\n</td>\n<td>\n<p>22\"</p>\n</td>\n<td>\n<p>24\"</p>\n</td>\n<td>\n<p>26\"</p>\n</td>\n<td>\n<p>28\"</p>\n</td>\n<td>\n<p>30\"</p>\n</td>\n</tr></tbody></table>','<h4 class=\"prodheader\">BOLDLY GO! ON YOUR LEFT...</h4>\n<ul><li>Space-age bicycle jersey is science fact</li>\n<li>Officially-licensed Star Trek merchandise</li>\n<li>Command gold pattern on sleeves and sides made up of alternating Starfleet badges</li>\n</ul>','','BOLDLY GO! ON YOUR LEFT...\nSpace-age bicycle jersey is science fact\nOfficially-licensed Star Trek merchandise\nCommand gold pattern on sleeves and sides made up of alternating Starfleet badges\n','','en'),(7,7,'Star Trek Uniform Polos','<h4 class=\"prodheader\">FROM THE FINAL FRONTIER TO THE OFFICE</h4>\n<blockquote><em>Kirk to Scotty: Meet me at the water cooler. We should talk about the game.</em></blockquote>\n<p>Not everyone in Starfleet worked on the bridge of a spaceship. Some of them were computer programmers, IT workers, and engineers, and they worked in a great office with a ping-pong table and casual Friday.</p>\n<p>Join in the fun with a Star Trek uniform polo shirt! Each different color is embroidered with the appropriate symbol from the Original Series: choose between blue (science), red (operations/engineering), and gold (command).</p>\n<p>Product Specifications</p>\n<ul><li>Polo with embroidered Star Trek insignia</li>\n<li>Corporate casual for Starfleet and your office</li>\n<li>Officially licensed STAR TREK product</li>\n<li>Choose between blue, gold and red</li>\n<li>Materials: 50% cotton, 50% polyester</li>\n<li>Custom embroidery approx. 3 inches tall on left chest</li>\n</ul>','<h4 class=\"prodheader\">FROM THE FINAL FRONTIER TO THE OFFICE</h4>\n<p>These Star Trek uniform polo shirts are perfect for the corporate-casual trekkie in all of us. They\'re made from 50% cotton and 50% polyester and feature embroidered science, engineering or command insignia. All you need to do is choose a color!</p>','','FROM THE FINAL FRONTIER TO THE OFFICE\nThese Star Trek uniform polo shirts are perfect for the corporate-casual trekkie in all of us. They\'re made from 50% cotton and 50% polyester and feature embroidered science, engineering or command insignia. All you need to do is choose a color!','','en'),(8,8,'Bow Ties Are Cool [Unlimited QTY]','<div id=\"proddescription\">\n<h4 class=\"prodheader\">NO TYING REQUIRED.</h4>\n<p>There\'s a long history regarding bow ties, neckties, and doctors. Did you know that pediatricians wear bow ties to avoid being strangled by grabby babies? In fact, neckties are such a danger to doctors and patients that British hospitals banned the wearing of neckties in 2007. \"Colonized by pathogens\" was the exact phrase. Yuck.</p>\n<p>Our Doctor, on the other hand, acquired his signature bow tie in an English hospital, where perhaps it once graced the neck of a cardiologist. (It\'s a pity they never met; that would have been a fun EKG.) We\'re not sure if The Doctor chose it for its fashionable qualities or its utilitarian nature, but he\'s succeeded on both counts.</p>\n<p>\"Bow Ties Are Cool\" printed on a navy blue, 100% cotton t-shirt in the classic \"Keep Calm\" font, topped with a bow tie you don\'t ever have to tie.</p>\n</div>','<h4 class=\"prodheader\">NO TYING REQUIRED.</h4>\n<p>Turns out, The Doctor is quite the influential figure in fashion. In the month after the episode <em>The Eleventh Hour</em> aired, bow tie sales at one UK menswear shop grew by 94%. Who knew?</p>','','NO TYING REQUIRED.\nTurns out, The Doctor is quite the influential figure in fashion. In the month after the episode The Eleventh Hour aired, bow tie sales at one UK menswear shop grew by 94%. Who knew?','','en'),(9,9,'Star Trek TNG Uniform Tee','<h4 class=\"prodheader\">CAPTAIN ON THE BRIDGE</h4>\n<p>We all have questions about Deanna Troi\'s uniform choices. Why doesn\'t she have to wear Starfleet standard issue? Why did she choose that weird asymmetrical blue dress? And why, exactly, is Enterprise the only ship in the fleet with a psychic counselor at the captain\'s left hand?</p>\n<p>All of these problems could be solved pretty quickly with this Star Trek uniform tee, inspired by the TNG uniforms. If Counselor Troi had seen the comfort and quality of these casual Starfleet duds, she would have ditched her pastel dresses in a minute.</p>\n<p>Each TNG Uniform Tee is made from 100% cotton high-quality cut-and-sew construction. Sparkly comm badges and pips are screenprinted. Imported.</p>','<h4 class=\"prodheader\">CAPTAIN ON THE BRIDGE</h4>\n<p>Dress like your favorite Enterprise-D crew member! The Star Trek: The Next Generation uniform t-shirts are constructed just for this purpose, the high quality Picard would demand from his crew. Pips and sparkly comm badges are screen-printed on.</p>','','CAPTAIN ON THE BRIDGE\nDress like your favorite Enterprise-D crew member! The Star Trek: The Next Generation uniform t-shirts are constructed just for this purpose, the high quality Picard would demand from his crew. Pips and sparkly comm badges are screen-printed on.','','en'),(10,10,'Ewok Ladies Hooded Tank Top','<h4 class=\"prodheader\">EWOK THE WALK</h4>\n<p>Are you curious? Do you love the forest? Do you express your enjoyment of something through singing and dancing? If you answered yes to all these questions, you, too, might be an Ewok. We didn\'t recognize you without your ears.</p>\n<p>Get this hooded tank top to show everybody your inner Ewok. We\'re going to bypass the ceremony of the Festival of Hoods and just say you\'ve earned this orange hood, complete with little, fuzzy Ewok ears. There are various shades of Ewok brown printed on the front and back of this 100% cotton ladies\' tank top. Back is racerback-style. Machine wash cold. Tumble dry low or lay flat to dry. Imported.</p>\n<p><em>Please note that the model is wearing a size medium. This tank does run small, we recommend going up one size.</em></p>\n<p>Please reference the table below to choose your size. These are the measurements of the body type that will fit each size, not the actual garment.</p>\n<p>Sizing Table</p>\n<table><tbody><tr><td> </td>\n<td>S</td>\n<td>M</td>\n<td>L</td>\n<td>XL</td>\n<td>XXL</td>\n<td>XXXL</td>\n</tr><tr><td>Chest</td>\n<td>34 in.</td>\n<td>36 in.</td>\n<td>37 in.</td>\n<td>38 in.</td>\n<td>39 in.</td>\n<td>41 in.</td>\n</tr><tr><td>Waist</td>\n<td>27 in.</td>\n<td>29 in.</td>\n<td>31 in.</td>\n<td>32 in.</td>\n<td>33 in.</td>\n<td>35 in.</td>\n</tr><tr><td>Hips</td>\n<td>36 in.</td>\n<td>38 in.</td>\n<td>40 in.</td>\n<td>41 in.</td>\n<td>42 in.</td>\n<td>44 in.</td>\n</tr><tr><td>Body Length</td>\n<td>26 1/2 in.</td>\n<td>27 in.</td>\n<td>27 1/2 in.</td>\n<td>28 in.</td>\n<td>28 1/2 in.</td>\n<td>29 in.</td>\n</tr></tbody></table>','<h4 class=\"prodheader\">EWOK THE WALK</h4>\n<ul><li>Makes you look like an Ewok</li>\n<li>Standard tank top in front, racerback-styling in back</li>\n<li>Don\'t make us poke you with the spear</li>\n</ul>','','EWOK THE WALK\nMakes you look like an Ewok\nStandard tank top in front, racerback-styling in back\nDon\'t make us poke you with the spear\n','','en'),(11,11,'DOTA 2 - Series 3 Micro Plush Blind Box','<h4 class=\"prodheader\">FUZZY WUZZY RETURNS</h4>\n<p>Maybe tiny plush isn\'t the first product that comes to mind when you\'re thinking of merchandising your multiplayer online battle arena game. \"Aren\'t you just the cutest little Strygwyr EVAR? Yes you are. Who\'s Daddy\'s little bloodseeker?\" But we all know Valve doesn\'t play by the same rules as other video game companies, so who are we to be surprised?<br /><br />These Series 3 DOTA 2 Microplushes feature 11 different designs to collect: Brewmaster, Dark Seer, Invoker, Jakiro, Juggernaut, Lina, Necrophos, Razor, Staglift, Storm Spirit, and Sven. The 10 commons come with come with an unlock code for \"Imbued Lockless Luckvase 2015.\" Staglift is rare and comes with an additional in-game card.<br /><br />Please note: Digital items are currently limited to one copy per Steam account. If you have previously registered a key for this item to your account, you will be unable to receive a second copy.</p>\n<p>Product Specifications </p>\n<ul><li>DOTA 2 - Series 3 Micro Plush Blind Box</li>\n<li>Officially-licensed <em>Defense of the Ancients 2</em> merchandise</li>\n<li>Blind boxed for maximum surprise (see FAQ below for more info) </li>\n<li>11 different plushes to collect (Brewmaster, Dark Seer, Invoker, Jakiro, Juggernaut, Lina, Necrophos, Razor, Staglift, Storm Spirit, and Sven)</li>\n<li>1 rare in mix: Staglift </li>\n<li>10 commons come with unlock code for \"Imbued Lockless Luckvase 2015\" in DOTA 2</li>\n<li>Staglift comes with an additional in-game card</li>\n<li>Elastic loop on top makes them easy to hang</li>\n<li>Dimensions: 4 1/2\" - 5\" tall</li>\n</ul><p><span style=\"color:#384245;font-family:Lato, Helvetica, Arial, sans-serif;font-size:14.3999996185303px;line-height:22.3999996185303px;\"> </span></p>','<h4 class=\"prodheader\">FUZZY WUZZY RETURNS</h4>\n<ul><li>11 different DOTA 2 Microplushes to collect</li>\n<li>Brewmaster, Dark Seer, Invoker, Jakiro, Juggernaut, Lina, Necrophos, Razor, Staglift, Storm Spirit, Sven</li>\n<li>Each comes with an unlock code for Imbued Lockless Luckvase 2015</li>\n</ul>','','FUZZY WUZZY RETURNS\n11 different DOTA 2 Microplushes to collect\nBrewmaster, Dark Seer, Invoker, Jakiro, Juggernaut, Lina, Necrophos, Razor, Staglift, Storm Spirit, Sven\nEach comes with an unlock code for Imbued Lockless Luckvase 2015\n','','en'),(12,12,'Minions Pop Vinyl Figures','<h4 class=\"prodheader\">CAUSE THEY WEREN\'T CUTE ENOUGH?</h4>\n<p>We hear these little guys are on the lookout for a new evil overlord to follow. Is it you? If so, they\'re guaranteed to make your collectibles shelf at least 27% more mysterious.*</p>\n<p>More Minions have been added to Funko\'s already extensive POP! lineup, this time from the <em>Minions</em> movie. Choose Au Naturel; Eye, Matie; or King Bob.</p>\n<p>*Your collectibles\' mysteriousness not guaranteed to increase in value. Call now. Operators are standing by.</p>\n<p>Product Specifications  </p>\n<p> </p>\n<ul><li>Super-cute Funko POP! versions of Minions</li>\n<li>Officially-licensed Minions movie merchandise</li>\n<li>Choose Au Naturel; Eye, Matie; or King Bob </li>\n<li>Materials: Vinyl</li>\n<li>Dimensions: 3 3/4\" tall (King Bob\'s a little taller overall because of his crown)</li>\n<li>Ages 3+</li>\n<li>WARNING - SMALL PARTS - Not intended for children under 3 years of age</li>\n</ul>','<h4 class=\"prodheader\">CAUSE THEY WEREN\'T CUTE ENOUGH?</h4>\n<ul><li>Super-cute Funko POP! versions of Minions</li>\n<li>Choose Au Naturel; Eye, Matie; or King Bob</li>\n<li>BANANA!!!!</li>\n</ul>','','CAUSE THEY WEREN\'T CUTE ENOUGH?\nSuper-cute Funko POP! versions of Minions\nChoose Au Naturel; Eye, Matie; or King Bob\nBANANA!!!!\n','','en'),(13,13,'Vinyl Idolz: Ghostbusters','<h4 class=\"prodheader\">WHO YOU GONNA SMALL?</h4>\n<p>Are you troubled by strange noises in the middle of the night? Do you experience feelings of dread in your basement or attic? Have you or any member of your family ever seen a spook, specter, or ghost? If the answer is yes, then don\'t wait another minute. Pick up your mouse and order these Vinyl Idolz: Ghostbusters. They\'re ready to believe you!<br /><br />Vinyl Sugar has made tiny versions of your favorite protectors from the paranormal. Choose Dr. Peter Venkman, Dr. Egon Spengler, or Dr. Raymond Stantz. Get these Vinyl Idolz: Ghostbusters some s\'mores, and recreate the movie you love to love. Just don\'t cross the streams. Because that would be bad. <br /><br />Product Specifications  </p>\n<ul><li>Vinyl Idolz: Ghostbusters</li>\n<li>Officially-licensed <em>Ghostbusters</em> merchandise</li>\n<li>Choose Dr. Peter Venkman, Dr. Egon Spengler, or Dr. Raymond Stantz</li>\n<li>Part of the Vinyl Idolz line from Vinyl Sugar (basically Funko) &amp; A Large Evil Corporation</li>\n<li>Materials: Vinyl</li>\n<li>Dimensions: 8\" tall</li>\n</ul>','<h4 class=\"prodheader\">WHO YOU GONNA SMALL?</h4>\n<ul><li>Ghostbusters vinyl figures from the Vinyl Idolz line</li>\n<li>Choose Dr. Peter Venkman, Dr. Egon Spengler, or Dr. Raymond Stantz</li>\n<li>We\'re holding out for the cartoon-y Ecto-1</li>\n</ul>','','WHO YOU GONNA SMALL?\nGhostbusters vinyl figures from the Vinyl Idolz line\nChoose Dr. Peter Venkman, Dr. Egon Spengler, or Dr. Raymond Stantz\nWe\'re holding out for the cartoon-y Ecto-1\n','','en'),(14,14,'DOTA 2 Sniper Plush','<h4 class=\"prodheader\">THIS PLUSH IS ALSO VERY SQUISHY</h4>\n<p>If there\'s one thing we can all agree on, it\'s that Kardel Sharpeye is pretty annoying unless you\'re the one playing him. If we hear \"You got peep\'d!\" one more time, or that inane \"Hee hee hee!\"</p>\n<p>Come here, Dota 2 Sniper Plush. We feel the need to throttle you, and with this convenient little plush, we can totally do it....</p>\n<p>Product Specifications  </p>\n<p> </p>\n<ul><li><em>DOTA 2 </em>Sniper Plush</li>\n<li>Officially-licensed <em>DOTA 2</em> merchandise</li>\n<li> Comes with unlock code for \"Imbued Lockless Luckvessel\" in <em>DOTA 2</em></li>\n<li>Goggles are NOT removable (we might have ripped the eyeballs off our plush checking for you)</li>\n<li>Materials: 100% polyester</li>\n<li>Care Instructions: Spot clean with a damp cloth and mild detergent </li>\n<li>Imported</li>\n<li>Dimensions: </li>\n<li>Ages 13+</li>\n<li>WARNING - SMALL PARTS - Not intended for children under 3 years of age</li>\n</ul>','<h4 class=\"prodheader\">THIS PLUSH IS ALSO VERY SQUISHY</h4>\n<ul><li>Be sure to max out Shrapnel</li>\n<li>Or don\'t</li>\n<li>Comes with an unlock code for Imbued Lockless Luckvessel</li>\n</ul>','','THIS PLUSH IS ALSO VERY SQUISHY\nBe sure to max out Shrapnel\nOr don\'t\nComes with an unlock code for Imbued Lockless Luckvessel\n','','en'),(15,15,'Soft Kitty Singing Plush [Sale] [Reviews]','<h4 class=\"prodheader\">HEAR KITTY, KITTY, KITTY</h4>\n<p>We love \"Soft Kitty,\" but there\'s a problem inherent with the song. In order to sing it properly, you have to be in the presence of a sick person (or, well, Shel-bot). A sick person with a highly-contagious illness. On the sickie\'s behalf, we\'ll also point out that sometimes when you\'re sick, you just don\'t want to see other humans. You feel horrible. You look horrible. You just want to burrow in your blanket cave and be left alone. That\'s when the Soft Kitty Singing Plush comes in handy. It\'s the perfect proxy. Just squeeze its front left paw to get it to sing \"Soft Kitty.\" Best of all, it never gets frustrated when you tell it it has to start over. In fact, every time you press its paw, it starts from the beginning. Good kitty.</p>\n<blockquote>Soft kitty, warm kitty<br />Little ball of fur<br />Happy kitty, sleepy kitty<br />Purr purr purr</blockquote>\n<p> </p>\n<p>Soft Kitty Singing Plush</p>\n<ul><li>10-inches long.</li>\n<li>Collar has a little Bohr-model atom tag with the <em>Big Bang Theory</em> logo.</li>\n<li>Requires 3x 1.5V button-cell batteries (included).</li>\n<li>Pull the clear plastic tab from the battery compartment to activate.</li>\n<li>Sings \"Soft Kitty.\"</li>\n<li>Polyester fiber. All new material.</li>\n<li>Do not machine wash. Surface clean with a damp cloth.</li>\n<li>For ages 3+.</li>\n</ul>','<h4 class=\"prodheader\">HEAR KITTY, KITTY, KITTY</h4>\n<ul><li>Officially-licensed <em>Big Bang Theory</em> product.</li>\n<li>Sings \"Soft Kitty\" when paw is pressed.</li>\n<li>Guaranteed to make you feel better.</li>\n</ul>','','HEAR KITTY, KITTY, KITTY\nOfficially-licensed Big Bang Theory product.\nSings \"Soft Kitty\" when paw is pressed.\nGuaranteed to make you feel better.\n','','en'),(16,16,'Avengers: Fabrikations Plush [Related Products]','<h4 class=\"prodheader\">HUG THE AVENGERS!</h4>\n<p>We\'ve all seen it before. Sometimes when superheroes become established they go soft. They coast on their reputation, remembering past good deeds instead of undertaking new ones. But nobody would accuse the Avengers of such shenanigans - until now.</p>\n<p>They\'ve all gone soft, or, well, at least some of the guys have. Choose Captain America, Hulk, Iron Man, or Thor. Each of these Avengers: Age of Ultron Fabrikations soft-sculpt figures from Funko has only one point of articulation. Their heads turn, as if to say, \"No, we have NOT gone soft. We have gone plushy. It\'s different.\" Take it from our tiny genius, billionaire, playboy, plushanthropist.</p>\n<div id=\"proddescription\">\n<p>Product Specifications  </p>\n<ul><li>Avengers Fabrikations soft-sculpt figures from Funko</li>\n<li>Officially-licensed <em>Avengers: Age of Ultron</em> merchandise</li>\n<li>Choose Captain America, Hulk, Iron Man, or Thor </li>\n<li>Features rotating head</li>\n<li>Flat-bottomed and weighted feet for easy display</li>\n<li>Embroidered details and vinyl accessories</li>\n<li>Care Instructions: Spot clean with a damp cloth and mild detergent </li>\n<li>Imported</li>\n<li>Dimensions: ~6\" tall</li>\n<li>Age 14+</li>\n<li>WARNING - SMALL PARTS - Not intended for children under 3 years of age</li>\n</ul></div>','<h4 class=\"prodheader\">HUG THE AVENGERS!</h4>\n<p>Choose one of these Avengers: Age of Ultron Fabrikations soft-sculpt figures from Funko: Captain America, Hulk, Iron Man, or Thor.</p>','','HUG THE AVENGERS!\nChoose one of these Avengers: Age of Ultron Fabrikations soft-sculpt figures from Funko: Captain America, Hulk, Iron Man, or Thor.','','en'),(17,17,'Ollie - The App Controlled Robot','<h4 class=\"prodheader\">TUBULAR!</h4>\n<p>One of the pieces of feedback the creators of <a href=\"http://www.thinkgeek.com/ed94\">Sphero</a> got about their popular R/C robot was that it could do really cool things, but the users wished it could go faster. So they created Ollie.</p>\n<p>Ollie\'s a cylinder. He can\'t do all the things that his spherical counterpart can do, but he can do one thing particularly well: go fast. How fast? 14 miles an hour. And his wheels spin independently, which basically makes him a tiny skateboarding genius. He can spin, drift, flip, turn, and tumble when you tell him to via an app on your smartphone. He pairs with a touch and works up to 98 ft. away (which is good for a little guy who can escape at a speed of 14 mph). While they were testing him, the creators managed to get one to jump off a ramp over 6 ft. high. Basically over a person. Boo. Yah.</p>\n<p>He\'ll run for an hour (and recharges via micro USB cable, included, which takes 3 hours). That means that on a single charge, we could theoretically drive our Ollie all the way from ThinkGeek World Domination HQ to the Pentagon. Which we\'re sure wouldn\'t raise any eyebrows or cause security alerts. Do not try this at home with your own Ollie. If you do, do not blame us.</p>\n<p>Product Specifications</p>\n<ul><li>Smartphone-controlled robot shaped like a cylinder</li>\n<li>Compatible with iOS 7.0+ and Android 4.4.2+</li>\n<li>Super-fast - top speed of 14 mph</li>\n<li>Wheels spin independently of each other</li>\n<li>Spin, drift, flip, turn, and tumble with app-powered tricks</li>\n<li>Connects to your smartphone via Bluetooth™ LE (pairs via touch)</li>\n<li>Wireless Range: 98 ft.</li>\n<li>Check to see if your device is compatible <a href=\"http://www.gosphero.com/c/#ollie-identifier\">here</a></li>\n<li>4 separate apps for different functions (driving, programming, etc.)</li>\n<li>Automatic firmware updates</li>\n<li>SDK available in <a href=\"https://developer.gosphero.com/\">14 coding languages</a></li>\n<li>Set it to open or closed spaces, hard or soft surfaces</li>\n<li>Future accessories include alternate wheels, tires, hubcaps, and smartramps</li>\n<li>Has LED \"running lights\" that react</li>\n<li>Materials: High-grade polycarbonate body</li>\n<li>Batteries: Rechargeable - charges via micro USB cable (included)</li>\n<li>Runs for 1 hr. on charge; charging takes 3 hrs.</li>\n<li>Dimensions: 9.9\" x 4.8\" x 4.3\"</li>\n<li>Weight: 1.4 lbs.</li>\n<li>Includes Ollie, 2 Nubby Tires (all-terrain), 2 Hubcaps, micro USB charging cable, and a quick start guide</li>\n<li>Note: Unlike <a href=\"http://www.thinkgeek.com/ed94\">Sphero</a>, Ollie is NOT waterproof</li>\n</ul>','<h4 class=\"prodheader\">TUBULAR!</h4>\n<ul><li>Colorful cylinder with a tiny robot inside</li>\n<li>Spin, drift, flip, turn, and tumble with app-powered tricks</li>\n<li>Compatible with iOS and Android devices</li>\n</ul>','','TUBULAR!\nColorful cylinder with a tiny robot inside\nSpin, drift, flip, turn, and tumble with app-powered tricks\nCompatible with iOS and Android devices\n','','en'),(18,18,'PowerUp® 3.0 Smartphone Controlled Paper Airplane','<h4 class=\"prodheader\">TURN ANY PAPER AIRPLANE INTO AN R/C AIRPLANE!</h4>\n<p>Paper airplanes are awesome for relieving office boredom, attacking a coworker or sibling, or sending messages around the Ministry of Magic. But sometimes paper airplanes need just a little more oomph - a little more power. Well, the time has come to easily add that extra power and control the plane with your smartphone with the PowerUp® 3.0 Smartphone Controlled Paper Airplane.</p>\n<p>First, make your airplane. Oooo, nice one. Then, you just slip your PowerUp® 3.0 Smartphone Controlled Paper Airplane propeller-stalk thing onto your paper airplane. It clips to the front, with the prop sticking out the back. Twenty minutes of USB charging, and you\'ll have ten minutes of flight time! Load up the app in your iPhone or Android device, and you\'ll be able to control the paper airplane right from your phone! Control the thrust with a virtual throttle and tilt your phone for steering. Get yerself a PowerUp® 3.0 Smartphone Controlled Paper Airplane, and you will be the ruler of the air!</p>\n<p>Product Specifications  </p>\n<p> </p>\n<ul><li>For Ages 14 and Up</li>\n<li>Turn any paper airplane into a smartphone controlled R/C airplane!</li>\n<li>Connects via Bluetooth</li>\n<li>Features:\n<ul><li>180 feet range</li>\n<li>Crash-proof bumper</li>\n<li>10 minutes of flight on one 20 minute charge</li>\n<li>Crash-proof carbon fiber frame</li>\n<li>Automatic thrust to assist when turning</li>\n<li>Precision control for easy flying</li>\n</ul></li>\n<li>App features:\n<ul><li>Magnetic compass</li>\n<li>Charging status indicator</li>\n<li>Thrust level indicator</li>\n<li>Ascend/Descend lever</li>\n<li>Artificial horizon</li>\n<li>Battery level indicator</li>\n<li>Range indicator</li>\n</ul></li>\n<li>Includes: PowerUp® 3.0 Smart Module, Micro USB cable, Spare propeller, Spare rudder, Display case and mount, 4 PowerUp® paper templates, Waterproof paper template, PowerUp® 3.0 user guide</li>\n<li>Free app available for iOS and Android devices</li>\n<li>Dimensions: approx. 8.25\" long</li>\n</ul>','<h4 class=\"prodheader\">TURN ANY PAPER AIRPLANE INTO AN R/C AIRPLANE!</h4>\n<ul><li>Add to your paper plane to make it propeller driven and smartphone controlled</li>\n<li>Connects via Bluetooth to your smartphone (because wires would be silly)</li>\n<li>20 minute charge gives you 10 minutes of flight!</li>\n</ul>','','TURN ANY PAPER AIRPLANE INTO AN R/C AIRPLANE!\nAdd to your paper plane to make it propeller driven and smartphone controlled\nConnects via Bluetooth to your smartphone (because wires would be silly)\n20 minute charge gives you 10 minutes of flight!\n','','en'),(19,19,'Chocolate-Covered Edible Bugs Gift Pack','<h4 class=\"prodheader\">BUGS PLUS CHOCOLATE EQUALS YUMMY!</h4>\n<p>Get ready to have your mind blown: we\'ve taken the five second rule and plugged it into Einstein\'s General Theory of Relativistic Theories on Stuff and Things. The result is this: as a food falls to the ground, the five second rule countdown starts. BUT (and this is the most important part), if the food started off on the ground, then the five second rule becomes infinite. What does that mean? You can eat bugs any time you want, since technically they never fell to the ground to begin with!! Cover \'em with chocolate, and you\'ve got our <em>Chocolate-Covered Edible Bugs Gift Pack</em>.</p>\n<p>Each <em>Chocolate-Covered Edible Bugs Gift Pack</em> is a trio of dark chocolate-covered insects, full of protein and crunch and yumminess. Scorpions, superworms, and silkworms all await your eager palate. We like to say they are enrobed in chocolate, because that makes them a sexier food. The <em>Chocolate-Covered Edible Bugs Gift Pack</em> makes a perfect present for the person who thinks they have everything, an instant appetizer sampler for adventurous entertaining, and/or a protein-packed snack any time you need it. Entomophagist-a-licious!</p>\n<p>Chocolate-Covered Edible Bugs Gift Pack</p>\n<ul><li>A trio of dark chocolate-covered ex-creepy crawlies await your mouth and tasting/eating parts.</li>\n<li>You\'ll get three cans - one of each (dark chocolate covered): Armor Tail Scorpions (<em>Mesobuthus martensii</em>), Superworms (<em>Zophobas morio</em>), and Silkworms (<em>Bombyx mori</em>).</li>\n<li>Ingredients: bug, sugar, vegetable fat, cocoa powder, emulsifier, and vanillin.</li>\n<li>Insect Roll Call:\n<ul><li>Scorpions - 2 per tin.</li>\n<li>Superworms - 12 per tin.</li>\n<li>Silkworms - 12 per tin.</li>\n</ul></li>\n<li>Tin Dimensions: 2.5\" diameter x 1.5\" tall.</li>\n</ul>','<h4 class=\"prodheader\">BUGS PLUS CHOCOLATE EQUALS YUMMY!</h4>\n<ul><li>Three different bugs (each in its own tin) covered in delectable chocolate.</li>\n<li>Scorpions, superworms, and silkworms.</li>\n<li>And chocolate. Yum!</li>\n</ul>','','BUGS PLUS CHOCOLATE EQUALS YUMMY!\nThree different bugs (each in its own tin) covered in delectable chocolate.\nScorpions, superworms, and silkworms.\nAnd chocolate. Yum!\n','','en'),(20,20,'Canned Unicorn Meat','<h4 class=\"prodheader\">NO FOOLIN\' - UNICORN MEAT IS REAL!</h4>\n<p><em>Excellent source of sparkles!</em></p>\n<p>Unicorns, as we all know, frolic all over the world, pooping rainbows and marshmallows wherever they go. What you don\'t know is that when unicorns reach the end of their lifespan, they are drawn to County Meath, Ireland. The Sisters at Radiant Farms have dedicated their lives to nursing these elegant creatures through their final days. Taking a cue from the Kobe beef industry, they massage each unicorn\'s coat with Guinness daily and fatten them on a diet comprised entirely of candy corn. As the unicorn ages, its meat becomes fatty and marbled and the living bone in the horn loses density in a process much like osteoporosis. The horn\'s outer layer of keratin begins to develop a flavor very similar to candied almonds. Blending the crushed unicorn horn into the meat adds delightful, crispy flavor notes in each bite. We are confident you will find a world of bewilderment in every mouthful of scrumptious unicorn meat.</p>\n<p>Unfortunately, due to restrictions on the importation of mythical processed meatstuff, we are unable to bring you Canned Unicorn Meat in the way the Sisters of Radiant Farms intended. When you open your can, you will find one tiny unicorn which has been appropriately sliced into its main cuts of meat. Simply use your Growth Ray to re-embiggen the unicorn before skinning it and processing its flesh. Or if you\'re lazy, just bring it to your local Mad Scientist-Butcher. He\'ll know what to do.</p>\n<p><strong>Radiant Farms Canned Unicorn Meat Specifications</strong></p>\n<ul class=\"floatfix\"><li>14 ounces of delicious unicorn meat, canned for your convenience</li>\n<li>Imported from a small independent cannery in County Meath, Ireland</li>\n<li>Crunchy horn bits in every bite - an excellent source of Calcium</li>\n<li>Tastes like rotisserie chicken but with a hint of marshmallow sweetness</li>\n<li>Easily spreadable for sandwiches, hors d\'oeuvres, and more</li>\n<li>Sparkly meat lends the unmistakable air of class and sophistication to your parties</li>\n<li>Unlike other meats, unicorn fat is polyunsaturated and lowers your LDL cholesterol</li>\n<li>Not yet approved by the USDA or FDA, but the nuns have eaten it for centuries and they\'re healthy as horses</li>\n<li>Okay, for real: you can\'t eat this. It\'s a dismembered stuffed unicorn in a can.</li>\n<li>The bottom of the tin is easily removable to gain access to the mini dead unicorn inside. No can opener needed!</li>\n</ul>','<h4 class=\"prodheader\">NO FOOLIN\' - UNICORN MEAT IS REAL!</h4>\n<ul><li>14 ounces of delicious unicorn meat, canned for your convenience</li>\n<li>Imported from a small independent cannery in County Meath, Ireland</li>\n<li>Okay, for real: you can\'t eat this. It\'s a dismembered stuffed unicorn in a can.</li>\n</ul>','','NO FOOLIN\' - UNICORN MEAT IS REAL!\n14 ounces of delicious unicorn meat, canned for your convenience\nImported from a small independent cannery in County Meath, Ireland\nOkay, for real: you can\'t eat this. It\'s a dismembered stuffed unicorn in a can.\n','','en'),(21,21,'The ThinkGeek Annoy-a-tron','<h4 class=\"prodheader\">DRIVE YOUR \"FRIENDS\" CRAZY - AGAIN</h4>\n<p>Now that they\'ve mostly recovered from the twisted mind maze that was the original Annoy-a-tron, send them on a new journey of \"self discovery\" with the latest version featuring 6 sound choices, it\'s at least twice as fun (and annoying) as the original. For effective deployment, we humbly suggest the following sounds and locations, but you can conduct your own field research for more insight.</p>\n<p>The cricket chirping sound is interesting because someone will instinctively look near the ground when trying to locate a cricket. So, placing the Annoy-a-tron several feet or more above the ground will help to obscure its location. The 15kHz sound is also interesting because this frequency range of sound cannot be heard by everyone. In older adults or those with deteriorated hearing (a condition known as presbycusis) this high frequency sound will not be audible, while others will clearly hear the sound and find it quite annoying. They also might think they are going crazy because people nearby will report that they don\'t hear anything.</p>\n<p>Assuming you have done your part in selecting a suitable hiding location for the Annoy-a-tron, it will do its part to drive your co-workers slowly mad with its short and seemingly random beeps. And when someone does locate the Annoy-a-tron, they\'re not going to know what it is - which is almost as much fun as watching them search for it. Muahaha...</p>\n<p>** - The 15kHz \'Teen Buzz Tone\' is a frequency that young people can hear but older folks cannot. Sometimes younger folks cannot hear it and sometimes older folks can hear it, but, in general, it\'s called the \'Teen Buzz\' tone. When you can hear it, trust us, it\'s annoying. Dogs agree.</p>\n<p>The ThinkGeek Annoy-a-tron Features: <br /><br /></p>\n<ul><li>Amazingly small</li>\n<li>Six sounds choices:\n<ul><li>Beep</li>\n<li>12kHz electronic noise sound</li>\n<li>15kHz \'Teen Buzz Tone\' electronic noise sound</li>\n<li>Cricket</li>\n<li>Doorbell</li>\n<li>Random/Alternating sound mode</li>\n</ul></li>\n<li>Battery included (lasts 1 month+ of continuous use)</li>\n<li>Embedded Rare-earth Magnet for easy hiding</li>\n<li>Single push button to change sounds</li>\n<li>Please note: after removing battery tab you may need to push down slightly on the magnet to re-seat the battery correctly (you may even hear a small click)</li>\n<li>Battery: CR2032</li>\n</ul>','<h4 class=\"prodheader\">DRIVE YOUR \"FRIENDS\" CRAZY - AGAIN</h4>\n<ul><li>Tiny device produces six annoying noises</li>\n<li>Turn it on, hide it, and watch the fun begin</li>\n<li><em>As seen on NCIS!</em></li>\n</ul>','','DRIVE YOUR \"FRIENDS\" CRAZY - AGAIN\nTiny device produces six annoying noises\nTurn it on, hide it, and watch the fun begin\nAs seen on NCIS!\n','','en'),(22,22,'Legendary Hero 8-Bit Heart Bouquet','<h4 class=\"prodheader\">BE MY PLAYER 2</h4>\n<p>Life was simpler in 8-bit. Sidescrolling was the name of the game and came with none of the potential motion-sickness that today\'s immersion games can cause. There were clear-cut good guys and bad guys. There was a princess to rescue. There was one hero, and it was you.</p>\n<p>And back in those days, Valentines were handmade from construction paper. Everybody got one. And when you wrote \"love,\" it meant \"love\" as in \"I\'d love another cookie.\" Life was simpler.</p>\n<div id=\"proddescription\">\n<p>Do you have somebody in your life who deserves your heart... or three? Celebrate the simplicity of old-school gaming with our 8-bit Legendary Hero. This foam cutout comes with a cardboard fold-out stand or can be hung from the wall. Great as decoration on a table, it says, \"Be my Player 2\" better than any stupid flowers ever could.</p>\n<p><strong>Product Specifications</strong></p>\n<ul><li>8-bit Legendary Hero</li>\n<li>A ThinkGeek creation and exclusive!</li>\n<li>3D construction with 3 layers of depth</li>\n<li>Includes fold-out stand for displaying on a desk or table</li>\n<li>Holes in back for wall mounting</li>\n<li>Materials: Durable EVA foam</li>\n<li>Dimensions: 11\" tall x 5 1/2\" wide x 3\" deep assembled</li>\n</ul></div>','<h4 class=\"prodheader\">BE MY PLAYER 2</h4>\n<ul><li>3D foam cutout brings back old-school memories</li>\n<li>Includes fold-out stand for displaying on a desk or table</li>\n<li>A ThinkGeek creation and exclusive!</li>\n</ul>','','BE MY PLAYER 2\n3D foam cutout brings back old-school memories\nIncludes fold-out stand for displaying on a desk or table\nA ThinkGeek creation and exclusive!\n','','en'),(23,23,'Executive Building Brick Set (Chrome)','<h4 class=\"prodheader\">BUILDING BRICKS ALL GROWN UP</h4>\n<div class=\"right\"> </div>\n<p>We here at ThinkGeek World Domination HQ have long been of the philosophy that building bricks are for all ages, but some people seem to think they\'re just for kids. These are the same sorts of people who give us the hairy eyeball when we venture into the brick store at the mall or when we put a pack of Fun Dip in our cart with every intention of eating it ourselves. Possibly before we get to the register. Slightly damp UPCs are still scannable, right?</p>\n<p>Why should you stop having fun because some people have no imagination? You shouldn\'t! This Executive Building Brick Set is the perfect answer to those spoilsports. With 8 2x4 stud building bricks, this set can be incorporated with your other bricks to build all sorts of shiny custom creations. With their clean and crisp lines, these metal bricks look perfect gracing your modern office or coffee table. Leave them out and see who can\'t resist.</p>\n<p><strong>Product Specifications </strong> </p>\n<p> </p>\n<ul><li>Executive Building Brick Set</li>\n<li>Includes 8 2x4 stud building bricks</li>\n<li>Chrome-plated solid metal construction</li>\n<li>Combine with your other bricks</li>\n<li>Compatible with other popular building sets</li>\n<li>Materials: Chrome-plated base metal</li>\n<li>Weight: 6 1/2 oz. </li>\n<li>Ages 14+</li>\n</ul>','<h4 class=\"prodheader\">BUILDING BRICKS ALL GROWN UP</h4>\n<ul><li>Set includes 8 2x4 stud building bricks</li>\n<li>Chrome-plated solid metal construction</li>\n<li>Compatible with other popular building sets</li>\n</ul>','','BUILDING BRICKS ALL GROWN UP\nSet includes 8 2x4 stud building bricks\nChrome-plated solid metal construction\nCompatible with other popular building sets\n','','en'),(24,24,'Blizzard Diablo Goblin Bank with Sound','<h4 class=\"prodheader\">OMGOBLIN!</h4>\n<p>Diablo III\'s Treasure Goblins. Enigmatically, they\'re creatures which cannot deal damage to your character but are the most likely to be the reason for your character\'s untimely demise. There\'s something about them (could it be all the LOOT?!) that makes all reason go out the door. Even in hardcore, we occasionally accidentally chase them right into the midst of elite mob packs. That rarely ends well.</p>\n<p>You don\'t have to worry about that happening with this Diablo Treasure Goblin Bank with Sound, and we promise this one won\'t teleport out on you with 3% health left. He\'s going to stay right where you put him. Just don\'t put him down next to a portal, okay? Fill his bag with loot and listen to him cackle happily as he takes your money. And you don\'t have to beat the candy out of him to get your money back - there\'s a coin removal door on the bottom of the bank. If only in-game Treasure Goblins were this simple....</p>\n<p><strong>Product Specifications</strong>   </p>\n<ul><li>Diablo Treasure Goblin Bank with Sound</li>\n<li>Officially-licensed <em>Diablo III</em> merchandise</li>\n<li>A ThinkGeek creation &amp; exclusive</li>\n<li>Cackles happily as he takes your money</li>\n<li>When you drop a coin in, one of six sounds plays</li>\n<li>Coin removal door on the bottom (so you don\'t have to beat the candy out of him - unless you just want to)</li>\n<li>Note: Does not drop legendary items (unless you fill it with legendary items)</li>\n<li>Batteries: 3 AAA 1.5V LR03 (not included)</li>\n<li>Dimensions: 9\" deep x 4 1/2\" wide x 8\" tall </li>\n<li>Weight: 12 oz. (without batteries)</li>\n<li><strong>Ages 6+</strong></li>\n</ul>','<h4 class=\"prodheader\">OMGOBLIN!</h4>\n<ul><li>Diablo Treasure Goblin Bank with Sound</li>\n<li>Cackles happily as he takes your money</li>\n<li>A ThinkGeek creation &amp; exclusive</li>\n</ul>','','OMGOBLIN!\nDiablo Treasure Goblin Bank with Sound\nCackles happily as he takes your money\nA ThinkGeek creation &amp; exclusive\n','','en'),(25,25,'Ghostbusters Stay Puft Marshmallow Face Mug','<h4 class=\"prodheader\">I AIN\'T AFRAID OF NO COFFEE</h4>\n<div class=\"right\"> </div>\n<blockquote>I tried to think of the most harmless thing. Something I loved from my childhood. Something that could never ever possibly destroy us. Mr. Stay Puft!<br />- Ray</blockquote>\n<p>This mug lets you decide how your day\'s going to go. On one side, it features the sweet Stay Puft Marshmallow Man\'s smiling face, the one Ray remembers from his childhood. On the other, it features evil Stay Puft Marshmallow Man, destroyer of worlds, the one who\'s come to terrorize New York City. Which side will you drink from today?</p>\n<p><strong>Product Specifications</strong>   </p>\n<ul><li>A two-sided mug featuring the Stay Puft Marshmallow Man\'s countenance</li>\n<li>Happy mascot on one side; paranormal monster on the other</li>\n<li>Officially-licensed Ghostbusters merchandise</li>\n<li>Capacity: 20 oz.</li>\n<li>Materials: Ceramic</li>\n<li>Dimensions: 3 3/4\" tall x 4\" wide</li>\n<li>Not microwave safe</li>\n<li>Not dishwasher safe</li>\n<li><strong>Ages 12+</strong></li>\n</ul>','<h4 class=\"prodheader\">I AIN\'T AFRAID OF NO COFFEE</h4>\n<ul><li>If you are not afraid of any ghosts, this is the mug for you</li>\n<li>Holds 20 ounces of your favorite beverage</li>\n<li>(Presumably cocoa with marshmallows)</li>\n</ul>','','I AIN\'T AFRAID OF NO COFFEE\nIf you are not afraid of any ghosts, this is the mug for you\nHolds 20 ounces of your favorite beverage\n(Presumably cocoa with marshmallows)\n','','en'),(26,26,'Build-On Brick Mug','<h4 class=\"prodheader\">BUILD UP YOUR COFFEE!</h4>\n<p><span style=\"color:#ff0000;\"><em>Important Note: The Brick Mug does not come with any bricks. You need to provide your own. However we\'re confident you\'ve got a variety of compatible building sets at your house already. Oh... also you don\'t get coffee, you need to brew that or something. In short, you get the mug. Okay, we\'re done here.</em></span></p>\n<p>Morning meetings suck. We\'re lucky at ThinkGeek because generally a \"morning\" meeting starts at 11, so you\'ve got some time to get a cup of coffee in before you have to brain too hard. If you\'re in a climate where 9 am meetings are the norm, you\'re going to need more than caffeine to stay awake.</p>\n<p>Enter the Build-On Brick Mug. It\'s a coffee mug and construction set all in one! Bring along a handful of your favorite building blocks - it\'s compatible with LEGO™, PixelBlocks, Mega Bloks, KRE-O, or K\'NEX Bricks™ - and tinker with a creation while your upper management drones on about things they think are important. What will your mug become? That\'s up to you! Be sure to send us your Action Shots!</p>\n<p><strong>Product Specifications</strong></p>\n<ul><li>Drink your coffee and build something, too!</li>\n<li>Choose from black, grey, or red</li>\n<li>Mug with exterior building surface compatible with most bricks</li>\n<li>Compatibility:\n<ul><li>LEGO™</li>\n<li>PixelBlocks</li>\n<li>Mega Bloks</li>\n<li>KRE-O</li>\n<li>K\'NEX Bricks™</li>\n</ul></li>\n<li><strong>Note</strong>: This mug is not officially licensed by LEGO™, PixelBlocks, Mega Bloks, KRE-O, or K\'NEX Bricks™. It just happens to be compatible with them all.</li>\n<li>Not Microwave safe (but fine for hot coffee)</li>\n<li><strong>Materials</strong>: BPA-free plastic</li>\n<li><strong>Capacity</strong>: 12 ounces</li>\n<li><strong>Washing</strong>: Hand wash</li>\n</ul>','<h4 class=\"prodheader\">BUILD UP YOUR COFFEE!</h4>\n<ul><li>Have your coffee and build it too!</li>\n<li>Compatible with most construction bricks</li>\n<li>May cause distraction at morning meetings</li>\n</ul>','','BUILD UP YOUR COFFEE!\nHave your coffee and build it too!\nCompatible with most construction bricks\nMay cause distraction at morning meetings\n','','en'),(27,27,'Superhero Mom Mug','<h4 class=\"prodheader\">YEAH, YOU\'RE SUPER!</h4>\n<p>You may not always have the cape on, but you really are super. Your kids think so. We think so. We also think you should let the world know. You could always wear a shirt or a sandwich board proclaiming your super-ness, but we think the best way is with a super mug. A Superhero Mom Mug, to be precise.</p>\n<p>Each Superhero Mom Mug features all the molded on details you\'d expect from a super mug: cape, belt (to keep the superpants up), arms akimbo, and emblem on the chest (featuring a big M for Mom). And the arms akimbo aren\'t just a posture choice - they actually form two handles! The Superhero Mom Mug will hold 15 oz. of your favorite beverage and is dishwasher and microwave safe. The only thing the Superhero Mom Mug can\'t do is fly. We\'ll leave that up to you!</p>\n<p>Also great for anyone whose name starts with the letter M.</p>\n<p><strong>Product Specifications</strong>  </p>\n<ul><li>Superhero Mom Mug</li>\n<li>This mug is ready for justice</li>\n<li>The arms (gallantly akimbo) are the handles of this super mug</li>\n<li>A ThinkGeek creation and exclusive!</li>\n<li>Dishwasher safe</li>\n<li>Microwave safe</li>\n<li>Capacity: 15 oz.</li>\n<li>Materials: Ceramic</li>\n<li>Dimensions: approx. 3.75\" x 6.75\" x 4\"</li>\n</ul>','<h4 class=\"prodheader\">YEAH, YOU\'RE SUPER!</h4>\n<ul><li>The perfect mug for SuperMoms everywhere</li>\n<li>Holds 15 oz of any super beverage</li>\n<li>A ThinkGeek creation and exclusive!</li>\n</ul>','','YEAH, YOU\'RE SUPER!\nThe perfect mug for SuperMoms everywhere\nHolds 15 oz of any super beverage\nA ThinkGeek creation and exclusive!\n','','en'),(28,28,'Olloclip iPhone Macro 3-in-1 Lens System','<h4 class=\"prodheader\">MACROCOSMIC</h4>\n<p>Compatible with the iPhone 5/5S or the 5th gen iPod Touch (using the included adapter), the Olloclip Macro 3-in-1 is a quick-connect lens system that includes 7x, 14x, and 21x lenses in a tiny and convenient package.</p>\n<p>Using Olloclip is easy! Slide it on over your iPhone\'s rear camera lens, and you\'re ready to take amazing photos and videos. With that 21x lens, what you have is a very basic microscope, one which runs on your iPhone and snags amazing pictures of your \"slides.\" The 14x and 21x also come with hoods designed to diffuse light and set you up for success by providing the optimum distance from the object being photographed. Olloclip\'s storage bag even doubles as a microfiber cleaning cloth for the ultimate in convenience.</p>\n<p>Product Specifications</p>\n<ul><li>Quick-connect lens system for iPhone 5/5S</li>\n<li>Comes with 7x, 14x, and 21x macro lens options</li>\n<li>Slides on to the corner of your iPhone and automatically aligns itself</li>\n<li>The camera will autofocus as normal with the Olloclip on, don\'t worry!</li>\n<li>Works for still photos, videos, even super-detailed Facetime</li>\n<li>Lenses made with precision-ground glass, multi-element optics</li>\n<li>Barrels made from aircraft-grade anodized aluminum</li>\n<li>Soft plastic material on clip protects your iPhone from scratches</li>\n<li>Included in the Olloclip package:\n<ul><li>3 macro lenses (7x, 14x, and 21x)</li>\n<li>2 InstaFocus hoods for steadier shots at the perfect distance and diffused light</li>\n<li>Microfiber lens cleaning cloth storage bag</li>\n<li>5th gen iPod Touch adapter</li>\n</ul></li>\n<li>Note: The Olloclip is specifically designed for the shape and size of the iPhone 5 and 5S. It will not fit any other device besides the iPod touch model mentioned above.</li>\n</ul>','<h4 class=\"prodheader\">MACROCOSMIC</h4>\n<ul><li>Quick-connect lens system for iPhone 5/5S</li>\n<li>Includes 7x, 14x, and 21x macro lenses</li>\n<li>Works for still photos, videos, even super-detailed Facetime</li>\n</ul>','','MACROCOSMIC\nQuick-connect lens system for iPhone 5/5S\nIncludes 7x, 14x, and 21x macro lenses\nWorks for still photos, videos, even super-detailed Facetime\n','','en'),(29,29,'Gunnar Vayper Gaming Glasses','<div id=\"productimage\">\n<div class=\"prod_gallery\">\n<div id=\"image\"><strong>REDUCE EYESTRAIN WITH SCIENCE!</strong></div>\n</div>\n</div>\n<div class=\"contentblob\">\n<div> </div>\n<div id=\"proddescription\">The human eye is a magnificent device. Refined over millions of years of evolution, it\'s a highly specialized and effective organ that helps us hunt prey, spot berries, and notice and dodge swinging clubs. As humanity continued to evolve, however, we relied more on the tools we manufactured rather than the ones with which we were born.<br /><br />Now we have more so-called \"knowledge-workers\" than ever, spending all day tied to desks, and staring at computer screens. We\'ve traded sore backs and calluses for headaches and dry and tired eyes. You rub your eyes, and drip drops into them, but that doesn\'t really help, does it?<br /><br />You see, high-efficiency fluorescent lighting and computer monitors in our offices are highly shifted towards the blue-end of the spectrum. The problem is, blue light focuses differently on the retina than the rest of the spectrum. Ever look at a blue LED and noticed a halo around the light? Staring at it gives you a headache, doesn\'t it? Guess why! Your eyes are straining to try and bring that fuzzy spot into focus, and they just can\'t!<br /><br />What you need is a way to filter out some of those blues that give your eyes so much trouble. With amber lenses, Gunnar Computer Glasses shift that light to the warmer end of the spectrum, giving your tired eyes a chance to recover. Not only do they filter blue light, they also reduce glare, helping with eye strain even more.<br /><br />Be more productive, working longer and harder than the other guys, and maybe you\'ll get that promotion before Doofus McDumbPants across the hall does. We hate that guy.<br /><br /><strong>Product Specifications  </strong><br /><ul><li>Glasses specifically designed to reduce computer-related eyestrain</li>\n<li>Onyx-colored, injection-polymer frame</li>\n<li>Adjustable silicone nose pads provide a customizable fit</li>\n<li>Fastener-free hinge design and high tensile steel construction</li>\n<li>Gently-curved, ultra-slim temples distribute headphone pressure to ensure headset compatibility</li>\n<li>One piece front construction eliminates all welds, screws and other potential points of failure</li>\n<li>Flexible temples conform and ergonomically fit a wide range of head and face shapes</li>\n<li>Wide format lenses create a panoramic viewing field for high resolution viewing</li>\n<li>58mm lens width x 15mm nose x 130mm temple</li>\n<li>Note: These will not fit over your current glasses. However, you can custom order them <a href=\"http://www.gunnars.com/rx/\">with your prescription lenses.</a></li>\n</ul></div>\n</div>','<h4 class=\"prodheader\">REDUCE EYESTRAIN WITH SCIENCE!</h4>\n<ul><li>Glasses reduce computer-related eyestrain</li>\n<li>Great for code monkeys and gamers</li>\n<li>Onyx-colored, injection-polymer frame</li>\n</ul>','','REDUCE EYESTRAIN WITH SCIENCE!\nGlasses reduce computer-related eyestrain\nGreat for code monkeys and gamers\nOnyx-colored, injection-polymer frame\n','','en'),(30,30,'Astro A50 Halo Edition','<h4 class=\"prodheader\">HEADPHONES FOR THE MASTER CHIEF IN YOU!</h4>\n<p>When it\'s game time, you slip on your headphones and disappear into whatever world you\'re gaming in. It\'s important that these headphones are quality for many reasons. First, you want to make sure you hear everything: from explosions to enemies to spells to conversation with other online players. And second, you want to make sure other players hear you! Time to power up your gaming experience to a whole new level with the Astro A50 Halo Edition.</p>\n<p>With the Astro A50 Halo Edition, you can experience the world of the Master Chief with Dolby 7.1 Surround Sound, without being tied down by cords. The uni-directional microphone delivers absolute vocal clarity for distortion-free communication with your teammates. Using top of the line wireless technology, the Astro A50 Halo Edition employs three different EQ modes, allowing you to customize your audio experience for movies, hardcore gaming, or competitive shooters. And thanks to the Astro A50 Halo Edition\'s adjustable size and plush cushions, you can game comfortably all through the night. Because sometimes, the war never ends.</p>\n<p><strong>Product Specifications</strong>  </p>\n<ul><li>These wireless headphones are at the pinnacle of gaming headphone technology</li>\n<li>Master Chief color and detailing</li>\n<li>Wireless 5.8 GHz</li>\n<li>Dolby 7.1</li>\n<li>EQ presets</li>\n<li>Flip-up to mute mic</li>\n<li>Compatibility: Xbox One (also works with PS4, PS3, 360*, PC)\n<ul><li>* For 360, voice chat requires XBL Controller Cable (Sold Separately)</li>\n</ul></li>\n<li>Astro A50 Specs:\n<ul><li>Transducer Principle: Open Air</li>\n<li>Frequency Response: 20 - 21,000 Hz</li>\n<li>Distortion: THD &lt; 1%</li>\n<li>Microphone: 6.0mm unidirectional with noise gate</li>\n<li>Nominal Impedance: 48 Ohms</li>\n<li>Headband Pressure: 2.6N</li>\n<li>Ear Coupling: Over-Ear</li>\n<li>Weight w/o Cable: 363 g</li>\n<li>Connection: 2.5mm Xbox Live Chat Port, Micro-USB Port</li>\n</ul></li>\n<li>MixAmp Tx Specs:\n<ul><li>Wireless: 5.8GHz w/ KleerNet</li>\n<li>Audio Fidelity: 48kHz 16-bit</li>\n<li>Mic Fidelity: 48kHz 16-bit</li>\n<li>Channels: Stereo w/ Dolby</li>\n<li>Input: Micro-USB Power &amp; Voice, Optical In, AUX In (3.5mm)</li>\n<li>Output: Optical Passthrough, USB Charging Port</li>\n<li>Power: USB</li>\n<li>Surround Technology: Dolby PLIIx, Dolby Headphone</li>\n</ul></li>\n<li>Includes:\n<ul><li>A50 Wireless Headset</li>\n<li>MixAmp Tx </li>\n<li>AG1</li>\n<li>Display Stand</li>\n<li>Headset Cables: 0.5m Micro-USB Cable</li>\n<li>MixAmp Cables: 1.0m Micro-USB Cable, 1.0m TOSlink Optical Cable</li>\n</ul></li>\n</ul>','<h4 class=\"prodheader\">HEADPHONES FOR THE MASTER CHIEF IN YOU!</h4>\n<ul><li>The zenith of Astro headphones: the A50!</li>\n<li>Dolby Digital 7.1 sound and wireless 5.8GHz technology</li>\n<li>Master Chief color and detailing</li>\n</ul>','','HEADPHONES FOR THE MASTER CHIEF IN YOU!\nThe zenith of Astro headphones: the A50!\nDolby Digital 7.1 sound and wireless 5.8GHz technology\nMaster Chief color and detailing\n','','en'),(31,31,'Cup of Mojo Bluetooth Speaker','<h4 class=\"prodheader\">A TINY SHOT OF BIG SOUND</h4>\n<p>Mojo is some powerful stuff. They say either you have it or you don\'t, but if you\'ve had it in the past and are just running low now, you can get it back. You know what our favorite way to get our mojo is? Wirelessly, because then we can share it with everyone in the room. See, this kind of mojo connects to our smartphone and plays our music for all to hear. No, we\'re not crazy - we\'re using the Cup of Mojo Bluetooth Speaker!</p>\n<p>Available in many stunning colors that are fun and bold, the Cup of Mojo Bluetooth Speaker is the perfect accompaniment to any smartphone, tablet, computer, or anything else with Bluetooth. Enjoy the loud, clear, acoustics whether you\'re at home, by the BBQ, in the park, or in your local coffee shop (possibly annoying many other patrons). Clip the Cup of Mojo Bluetooth Speaker anywhere with the integrated handle carabiner clip, and you\'ll always have your tunes when you need them most (especially, during afternoon tea).</p>\n<p><strong>Product Specifications</strong>   </p>\n<ul><li>A little cup is really a portable bluetooth speaker!</li>\n<li>Clip your Cup of Mojo Speaker anywhere with the carabiner handle clip</li>\n<li>Stream music from any Bluetooth 3.0 device (smartphones, tablets, computers, etc.)</li>\n<li>Boosted bass for even bass-ier bass</li>\n<li>Rubber bottom to protect surfaces (and prevent slippage)</li>\n<li>One button operation (for ease power on/off and Bluetooth pairing)</li>\n<li>Range: Up to 32.8 feet (depending on line of sight)</li>\n<li>Batteries: Rechargeable lithium-ion battery via micro-USB cable (included)</li>\n<li>Battery Life: Up to 4 hours</li>\n<li>Includes: Cup of Mojo Bluetooth Speaker, USB Charge-Cable, and Quick Start Guide </li>\n<li>It looks like a mug, but it is not microwave or dishwasher safe</li>\n<li>Dimensions: approx. 2.3\" x 3.25\" x 2.4\"</li>\n<li>Weight: approx. 3.7 oz</li>\n</ul>','<h4 class=\"prodheader\">A TINY SHOT OF BIG SOUND</h4>\n<ul><li>A little Bluetooth speaker that looks like a cup of mojo</li>\n<li>Boosted bass for a fuller sound</li>\n<li>Carabiner handle clip will make sure you have a speaker whenever you need it</li>\n</ul>','','A TINY SHOT OF BIG SOUND\nA little Bluetooth speaker that looks like a cup of mojo\nBoosted bass for a fuller sound\nCarabiner handle clip will make sure you have a speaker whenever you need it\n','','en'),(32,32,'JBL Pebbles PC Speakers','<h4 class=\"prodheader\">THESE SPEAKERS GO BAMM-BAMM!</h4>\n<p>Some things in life are very complicated. And many times, those complicated things don\'t work out as well as they should (based on their complexity). Well, to all those complicated things that aren\'t good, we say, \"SHAME!\" And to further shame them, we use a pair of JBL Pebbles PC Speakers. Why? Because they are super easy, yet pump out sound like a complicated speaker system.</p>\n<p>Simply connect your JBL Pebbles PC Speakers via USB plug-and-play and transform your laptop entertainment into a unique 2.0 stereo sound experience. The USB provides audio information AND power, so there\'s no extra AC adapter to worry about. Plus, the cords wrap around the base, to minimize the cable clutter. One of the JBL Pebbles PC Speakers has an integrated volume knob (the whole center of the speaker is a big dial), so you can quickly and easily adjust the loud-i-tude of your tunes. Upgrade your computer\'s sound system with the JBL Pebbles PC Speakers. Your music will thank you.</p>\n<p><strong>Product Specifications</strong>  </p>\n<ul><li>Stylish pair of USB plug-and-play speakers for your computer</li>\n<li>USB powered - USB audio transfer</li>\n<li>Integrated cords wrap around base for less wire clutter; stores in base for easy portability</li>\n<li>Integrated volume/power control</li>\n<li>Auxiliary input for connecting other devices</li>\n<li>Choice of Color: Black or White</li>\n<li>Includes:\n<ul><li>1 pair JBL Pebbles USB digital speakers, with built-in USB</li>\n<li>Audio cable</li>\n<li>Quick-start guide</li>\n</ul></li>\n<li>Dimensions: 6\" diameter x 2.75\" wide (each)</li>\n<li>Weight: 1.18 lbs (each)</li>\n</ul>','<h4 class=\"prodheader\">THESE SPEAKERS GO BAMM-BAMM!</h4>\n<ul><li>Stylish USB speakers are plug-and-play</li>\n<li>USB powered, so AC adapter needed</li>\n<li>Integrated volume control in the center of one speaker</li>\n</ul>','','THESE SPEAKERS GO BAMM-BAMM!\nStylish USB speakers are plug-and-play\nUSB powered, so AC adapter needed\nIntegrated volume control in the center of one speaker\n','','en'),(33,33,'Bright Idea - USB-Powered Light Bulb','<h4 class=\"prodheader\">SHED SOME LIGHT ON THE SUBJECT</h4>\n<p>There are a lot of USB-powered devices that aren\'t terribly useful. See: USB Humping Dog, <a href=\"http://www.thinkgeek.com/c208\">USB Pet Rock</a>, <a href=\"http://www.thinkgeek.com/ede3\">USB Squirming Tentacle</a>. They\'re all, shall we say, ornamental. Like rhinestones on a phone case, they\'re purely decorative additions to your space, which is just what you need sometimes.</p>\n<p>However, this USB-Powered Light Bulb won\'t ever fall into that category. See, when it\'s plugged into a USB port it gives off a frosted, soft blue light, and when it\'s not it glows in the dark.</p>\n<p>It\'s perfect for working late at night. Sure, your laptop is backlit, but sometimes it\'s not just the screen you need to see. And the shiny, adjustable cable is definitely artsy and clever. Plug it into an <a href=\"http://www.thinkgeek.com/eb7b\">iGeek</a> or a similar charger and have your own portable, crazy-looking lamp. It\'d be great around a pool or at an outdoor venue where you need light for a little while but may not have a convenient outlet.</p>\n<p><strong>Product Specifications</strong></p>\n<ul><li>Light bulb powered by USB (gives off a frosted, soft blue light from an LED)</li>\n<li>Glows in the dark when not powered</li>\n<li>Compatible with all standard USB ports</li>\n<li>Adjustable gooseneck arm is 9 1/2\" of shiny metal</li>\n<li>Good for considerate roommates (inconsiderate roommates need not apply)</li>\n<li>Materials: Plastic? Resin? Not glass, at the very least.</li>\n<li>Dimensions: 2 1/2\" wide x 2 1/2\" deep, 9 1/2\" cable</li>\n<li>It\'s basically the size of a standard incandescent bulb, although the base is a bit smaller.</li>\n<li>Weight: just over 2 oz.</li>\n</ul>','<h4 class=\"prodheader\">SHED SOME LIGHT ON THE SUBJECT</h4>\n<ul><li>Light bulb powered by USB</li>\n<li>Great for situations where you need just a bit more light</li>\n<li>Glows in the dark when not plugged in</li>\n</ul>','','SHED SOME LIGHT ON THE SUBJECT\nLight bulb powered by USB\nGreat for situations where you need just a bit more light\nGlows in the dark when not plugged in\n','','en'),(34,34,'MJ Technology Android Tablet with Built-in HDTV Tuner','<h4 class=\"prodheader\">MORE PORTS THAN AN IPAD</h4>\n<p>Okay, so almost ANY ports is more than an iPad, so that isn\'t really an accomplishment, but we still figured it was worth pointing out, because we always end up frustrated when we end up troubleshooting someone\'s iPad (despite having bought them AppleCare and having previously escorted them to the Genius Bar) and realize we have to transfer something large we have on this laptop next to us to the iPad via the Internet. <br /><br />None of that with this new Android tablet with built-in HDTV tuner from MJ Technology. You might recognize MJ Technology\'s name because of the talk about their Ubuntu tablets coming out. This 7\" one instead runs Android 4.1 (Jelly Bean) on its 1.5GHz dual cortex A9 processor. To get a good grasp of this tablet, imagine everything you expect out of an Android tablet. Now add in the ability to pick up an over-the-air HDTV television signal. Voila. With just a 7\" screen diagonal, it\'s not clunky but neither is it the torture of trying to navigate a spreadsheet on your phone. Goldilocks, we think it\'s just right.<br /><br /><strong>Product Specifications  </strong></p>\n<ul><li>Android Tablet with Built-in HDTV Tuner</li>\n<li>Choose black, white, or gray</li>\n<li>Runs Android 4.1 (Jelly Bean)</li>\n<li>7\" diagonal LCD screen with 1024 x 600 resolution (720P)</li>\n<li>1.5GHz dual cortex A9 processor</li>\n<li>8GB storage built-in</li>\n<li>Ports for the included 3G antenna, a micro-SD (supports up to 64GB), microphone, headphone jack, and micro-USB </li>\n<li>Built-in cameras (front-facing 0.3 + 2 megapixel rear-facing)</li>\n<li>802.1 b/g/n wi-fi connection</li>\n<li>5 points multi-touch capacitive touch screen</li>\n<li>Built-in speakers with Dolby Digital Audio</li>\n<li>Retractable external ATSC antenna for over-the-air digital television</li>\n<li>Batteries: Built-in rechargeable Li-Poly battery</li>\n<li>One charge provides 4-6 hours of HDTV-tuned TV or 8 hours of tablet/general use</li>\n<li>Includes tablet, microUSB to standard USB adapter, 3G antenna, and a wall charger</li>\n<li>Dimensions: 8 1/2\" long x 5 1/4\" wide x 1\" thick</li>\n<li>Weight: 11 oz.</li>\n</ul>','<h4 class=\"prodheader\">MORE PORTS THAN AN IPAD</h4>\n<ul><li>7\" diagonal LCD screen with 1024 x 600 resolution (720P)</li>\n<li>1.5GHz dual cortex A9 processor</li>\n<li>Retractable external ATSC antenna for over-the-air digital television</li>\n</ul>','','MORE PORTS THAN AN IPAD\n7\" diagonal LCD screen with 1024 x 600 resolution (720P)\n1.5GHz dual cortex A9 processor\nRetractable external ATSC antenna for over-the-air digital television\n','','en'),(35,35,'BACtrack Vio - Bluetooth App Enabled Breathalyzer','<h4 class=\"prodheader\">THREE SPREADSHEETS TO THE WIND</h4>\n<p>All adults who drink have their own sobriety self-tests. Some of us start slurring our words. Others get more clumsy than usual (which takes skill). Some of us who are introverts can tell we\'re drunk when we\'re talking to strangers without being acutely aware of it. But, of course, none of these is an accurate test for whether or not it\'s safe to hit the road.</p>\n<p>The BACtrack Vio is a wireless, app-enabled breathalyzer. It uses Bluetooth 4.0 LE to sync with your device. You breathe into the device; your phone tells you your blood alcohol content level, from 0.000 - 0.400%. But wait. There\'s more. Because this breathalyzer has your smartphone powering it, it can do a few more things. For instance, it can track your drinking over time. It can tell you at what time you\'ll be sober (15 more minutes of ill-advised karaoke or are you down for a movie?). It allows you to easily share via SMS or social your details and location with someone who\'s not with you so you can get home safely. And it\'ll let you guess your BAC, so you\'ll know how good your self-test really is.</p>\n<p>One final note. For anybody who\'s argued with a drunk friend in a parking lot before, this app is great for using science to prove to them that you need to take the wheel for everyone\'s sake. And it comes with three replaceable mouthpieces so you can test multiple friends once they see how cool your little gadget is.</p>\n<p><strong>Product Specifications</strong></p>\n<ul><li>Detects blood alcohol content from 0.000 - 0.400% BAC</li>\n<li>Compatible with iPhone 5/5S, 5C, 4S; iPad Air, 4, 3, Mini 1 and 2; Samsung Galaxy S5, S4, S3 (some other devices running Android 4.3 equipped with Bluetooth 4.0)</li>\n<li>Wirelessly syncs with your iPhone or Android smartphone via Bluetooth 4.0 LE</li>\n<li>Free BACtrack app estimates when your BAC will return to 0.00%, lets you guess your BAC, tracks your drinking over time, and even lets you easily share details including location and time via SMS or social (if you\'re calling friends for a ride, make it easy on them)</li>\n<li>More accurate results than standard semiconductor sensors</li>\n<li>Warm-up Time: 10 seconds</li>\n<li>Blowing Time: 5 seconds</li>\n<li>In under 30 seconds, you can know whether you should ride with a friend or call a cab</li>\n<li>Batteries: 1 AAA battery (included)</li>\n<li>Dimensions: 0.95\" x 2.85\" x 0.65\"</li>\n<li>Weight: 2 oz. (including battery)</li>\n<li>Includes BACtrack, battery, 3 replaceable mouthpieces, and manual</li>\n</ul>','<h4 class=\"prodheader\">THREE SPREADSHEETS TO THE WIND</h4>\n<ul><li>Detects blood alcohol content from 0.000 - 0.400%</li>\n<li>Fits easily into a pocket or purse</li>\n<li>Compatible with iPhone 5/5S, Samsung Galaxy S5, S4, and more</li>\n</ul>','','THREE SPREADSHEETS TO THE WIND\nDetects blood alcohol content from 0.000 - 0.400%\nFits easily into a pocket or purse\nCompatible with iPhone 5/5S, Samsung Galaxy S5, S4, and more\n','','en'),(36,36,'Coffee Cup Power Inverter V2.0','<div id=\"proddescription\">\n<h4 class=\"prodheader\">LIKE A CAFFEINE BOOST FOR YOUR ELECTRONICS!</h4>\n<p>When you start to feel a little low on energy you can turn to that terrific alkaloid, caffeine. Available from many sources like Bawls and, of course, that tried and true hot beverage, coffee. Reaching for your coffee cup to get an energy boost when you\'re tired is pretty much second nature. Well, now your gadgets can turn to a coffee cup of their own when they need an energy recharge.</p>\n<p>The Coffee Cup Power Inverter V2.0 is a conveniently shaped power source that coverts your car\'s DC power into two 120-volt AC outlets. Perfect for powering or charging smartphones, tablets, DVD players, televisions, game consoles, and tons of other portable electronics. This new version of the coffee cup also has an upgraded USB charging port providing 2.1 amps of power. The unique coffee cup shape fits nicely in today\'s auto/boat/truck cup holders, preventing it from moving around inside your vehicle.</p>\n<p> </p>\n</div>\n<div id=\"bullets\">\n<ul><li>200 Watt inverter with 2 AC plugs and USB power port</li>\n<li>New and improved version of one of our favorites</li>\n<li>2.1 amp USB port for extra charging power (previously 500mAh)</li>\n<li>Provides 120 Volt AC power from any cigarette lighter socket</li>\n<li>200W continuous/400W peak</li>\n<li>Fits into standard cup holders</li>\n<li>18\" cord</li>\n<li>Overload protection and low battery shut-off</li>\n<li>Power 3 devices at once</li>\n<li>One year warranty</li>\n<li>Dimensions: 6\" tall x 3.5\" dia</li>\n</ul></div>','<h4 class=\"prodheader\">LIKE A CAFFEINE BOOST FOR YOUR ELECTRONICS!</h4>\n<ul><li>200 watt inverter with 2 AC plugs with new 2.1 amp USB port</li>\n<li>Fits into standard cup holders in your car</li>\n<li>Keep all of your gear up and running</li>\n</ul>','','LIKE A CAFFEINE BOOST FOR YOUR ELECTRONICS!\n200 watt inverter with 2 AC plugs with new 2.1 amp USB port\nFits into standard cup holders in your car\nKeep all of your gear up and running\n','','en'),(37,37,'Apple iPhone 6S [Options & Attributes] [Custom tabs]','<div class=\"features\">\n<div class=\"feature media-block\">\n<div class=\"content\"><br /><p>iPhone 6S isn’t simply bigger — it’s better in every way. Larger, yet dramatically thinner. More powerful, but remarkably power efficient. With a smooth metal surface that seamlessly meets the new Retina HD display. It’s one continuous form where hardware and software function in perfect unison, creating a new generation of iPhone that’s better by any measure.</p>\n<h4>iPhone at its largest. And thinnest.</h4>\n<p>Developing an iPhone with a larger, more advanced display meant pushing the edge of design. From the seamless transition of glass and metal to the streamlined profile, every detail was carefully considered to enhance your experience. So while its display is larger, iPhone 6 feels just right.</p>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"media\"> </div>\n<div class=\"content\">\n<h4>Not just a bigger display. A better display.</h4>\n<p>It’s one thing to make a bigger display. It’s something else entirely to make a bigger MultiTouch display with brilliant colors and higher contrast at even wider viewing angles. But that’s exactly what we did with the new Retina HD display.</p>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"media\"> </div>\n<div class=\"content\">\n<h4>Hugely powerful. Enormously efficient.</h4>\n<p>Built on 64-bit desktop-class architecture, the new A8 chip delivers more power, even while driving a larger display. The M8 motion coprocessor efficiently gathers data from advanced sensors and a new barometer. And with increased battery life, iPhone 6 lets you do more, for longer than ever.</p>\n</div>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"media\"> </div>\n<div class=\"content\">\n<h4>The camera that changed photos now does the same for video.</h4>\n<p>More people take more photos with iPhone than with any other camera. And now the iSight camera has a new sensor with Focus Pixels and new video features, like 1080p HD at 60 fps, slo-mo at 240 fps, and time-lapse video mode. So you’ll have more reasons to capture more moments on video, too.</p>\n</div>\n</div>\n<div class=\"gs grid-9of20\">\n<div class=\"in-the-box\">\n<div> </div>\n<div class=\"content\">\n<h4>What’s in the box</h4>\n<ul class=\"ul\"><li>iPhone 6S</li>\n<li>Apple EarPods with Remote and Mic</li>\n<li>Lightning to USB Cable</li>\n<li>5W USB Power Adapter</li>\n</ul></div>\n</div>\n</div>\n<div style=\"padding:24px 24px 24px 21px;display:block;\">This site is a demo site only. This product is not available for sale at our site. <br />But you can buy it at <a style=\"color:#1e7ec8;text-decoration:underline;\" title=\"Apple Store\" href=\"http://store.apple.com/us/buy-iphone/iphone6\">Apple Store</a>, this is where we took description from.</div>','','','\niPhone 6S isn’t simply bigger — it’s better in every way. Larger, yet dramatically thinner. More powerful, but remarkably power efficient. With a smooth metal surface that seamlessly meets the new Retina HD display. It’s one continuous form where hardware and software function in perfect unison, creating a new generation of iPhone that’s better by any measure.\niPhone at its largest. And thinnest.\nDeveloping an iPhone with a larger, more advanced display meant pushing the edge of design. From the seamless transition of glass and metal to the streamlined profile, every detail was carefully considered to enhance your experience. So while its display is larger, iPhone 6 feels just right.\n\n\n\n \n\nNot just a bigger display. A better display.\nIt’s one thing to make a bigger display. It’s something else entirely to make a bigger MultiTouch display with brilliant colors and higher contrast at even wider viewing angles. But that’s exactly what we did with the new Retina HD display.\n\n\n\n \n\nHugely powerful. Enormously efficient.\nBuilt on 64-bit desktop-class architecture, the new A8 chip delivers more power, even while driving a larger display. The M8 motion coprocessor efficiently gathers data from advanced sensors and a new barometer. And with increased battery life, iPhone 6 lets you do more, for longer than ever.\n\n\n\n\n \n\nThe camera that changed photos now does the same for video.\nMore people take more photos with iPhone than with any other camera. And now the iSight camera has a new sensor with Focus Pixels and new video features, like 1080p HD at 60 fps, slo-mo at 240 fps, and time-lapse video mode. So you’ll have more reasons to capture more moments on video, too.\n\n\n\n\n \n\nWhat’s in the box\niPhone 6S\nApple EarPods with Remote and Mic\nLightning to USB Cable\n5W USB Power Adapter\n\n\n\nThis site is a demo site only. This product is not available for sale at our site. But you can buy it at Apple Store, this is where we took description from.','','en'),(38,38,'Canon EF 24-105mm f/4L IS USM','<p>This easy-to-use standard zoom lens can cover a large zoom area ranging from 24mm wide-angle to 105mm portrait-length telephoto, and its Image Stabilizer Technology steadies camera shake up to three stops. Constructed with one Super-UD glass element and three aspherical lenses, this lens minimizes chromatic aberration and distortion. The result is excellent picture quality, even at wide apertures. Canon\'s ring-type USM gives silent but quick AF, along with full-time manual focus. Moreover, with dust- and moisture-resistant construction, this is a durable yet sophisticated lens that meets the demands of advanced amateur photographers and professional photographers alike.</p>\n<ul class=\"propsInfo\"><li>Lens mount: Canon EF Mount</li>\n<li>24 mm - 105 mm, Aperture 1:4.0</li>\n<li>image stabilizer</li>\n<li>min. focal range 0.45 m</li>\n<li>Filter-Ø 77 mm, weatherproof</li>\n</ul>','','','This easy-to-use standard zoom lens can cover a large zoom area ranging from 24mm wide-angle to 105mm portrait-length telephoto, and its Image Stabilizer Technology steadies camera shake up to three stops. Constructed with one Super-UD glass element and three aspherical lenses, this lens minimizes chromatic aberration and distortion. The result is excellent picture quality, even at wide apertures. Canon\'s ring-type USM gives silent but quick AF, along with full-time manual focus. Moreover, with dust- and moisture-resistant construction, this is a durable yet sophisticated lens that meets the demands of advanced amateur photographers and professional photographers alike.\nLens mount: Canon EF Mount\n24 mm - 105 mm, Aperture 1:4.0\nimage stabilizer\nmin. focal range 0.45 m\nFilter-Ø 77 mm, weatherproof\n','','en'),(39,39,'Apple Watch Sport 42mm with Sport Band','<p>Every Apple Watch Sport comes with one year of hardware repair coverage through its <a href=\"http://www.apple.com/legal/warranty\" target=\"_blank\">limited warranty</a> and up to <a href=\"http://www.apple.com/support/complimentary\" target=\"_blank\">90 days of complimentary support</a>.</p>\n<h2 class=\"fwl\">What’s in the box</h2>\n<ul><li>Apple Watch</li>\n<li>Magnetic charging cable (2 m)</li>\n<li>USB power adapter (5W)</li>\n<li>Sport Band (includes band that can be configured for either S/M or M/L length)</li>\n<li>Quick start guide</li>\n</ul><p> </p>\n<h2 class=\"fwl\">Apple Watch Sport features</h2>\n<ul><li>Silver or space gray anodized aluminum case</li>\n<li>Ion-X glass</li>\n<li>Retina display with Force Touch</li>\n<li>Composite back</li>\n<li class=\"compact-right-10\">Sport Band with stainless steel pin</li>\n<li>Digital Crown</li>\n<li>Heart rate sensor, accelerometer, and gyroscope</li>\n</ul><ul><li>Ambient light sensor</li>\n<li>Speaker and microphone</li>\n<li>Wi-Fi (802.11b/g/n 2.4GHz)</li>\n<li>Bluetooth 4.0</li>\n<li>Up to 18 hours of battery life*</li>\n<li>Water resistant**</li>\n</ul><p> </p>\n<p class=\"disclaimer\">*Battery life varies by use and configuration; actual results will vary. See <a href=\"http://www.apple.com/batteries\" target=\"_blank\">www.apple.com/batteries</a> and <a href=\"http://www.apple.com/watch/battery.html\" target=\"_blank\">www.apple.com/watch/battery.html</a> for more information.</p>\n<p class=\"disclaimer\">**Apple Watch is splash and water resistant but not waterproof. You can, for example, wear and use Apple Watch during exercise, in the rain, and while washing your hands, but submerging Apple Watch is not recommended. Apple Watch has a water resistance rating of IPX7 under IEC standard 60529. The leather bands are not water resistant.</p>\n<p class=\"disclaimer\"><br />Features are subject to change and may not be available in all regions or all languages. Requires iPhone 5 or later.</p>\n<p> </p>','','','Every Apple Watch Sport comes with one year of hardware repair coverage through its limited warranty and up to 90 days of complimentary support.\nWhat’s in the box\nApple Watch\nMagnetic charging cable (2 m)\nUSB power adapter (5W)\nSport Band (includes band that can be configured for either S/M or M/L length)\nQuick start guide\n \nApple Watch Sport features\nSilver or space gray anodized aluminum case\nIon-X glass\nRetina display with Force Touch\nComposite back\nSport Band with stainless steel pin\nDigital Crown\nHeart rate sensor, accelerometer, and gyroscope\nAmbient light sensor\nSpeaker and microphone\nWi-Fi (802.11b/g/n 2.4GHz)\nBluetooth 4.0\nUp to 18 hours of battery life*\nWater resistant**\n \n*Battery life varies by use and configuration; actual results will vary. See www.apple.com/batteries and www.apple.com/watch/battery.html for more information.\n**Apple Watch is splash and water resistant but not waterproof. You can, for example, wear and use Apple Watch during exercise, in the rain, and while washing your hands, but submerging Apple Watch is not recommended. Apple Watch has a water resistance rating of IPX7 under IEC standard 60529. The leather bands are not water resistant.\nFeatures are subject to change and may not be available in all regions or all languages. Requires iPhone 5 or later.\n ','','en'),(40,40,'Astro A30 System','<h4 class=\"prodheader\">HEAR WHAT YOU\'VE BEEN MISSING</h4>\n<p>When it\'s game time, you slip on your headphones and disappear into whatever world you\'re gaming in. It\'s important that these headphones are quality for many reasons. First, you want to make sure you hear everything: from explosions to enemies to spells to conversation with other online players. And second, you want to make sure other players hear you! Time to power up your gaming experience to a whole new level with the Astro A30 System.</p>\n<p>The Astro A30 System brings the power Dolby 7.1 Surround Sound to the next generation of gaming by combining the power of the A30 headset with the MixAmp Pro. The preferred choice among cross-platform gamers, the A30 is highly portable, lightweight and comes fully equipped with three different audio cables for easy connection not just to your Xbox One, but with a variety of mobile devices and consoles. Easy size adjustment and breathable fabric cushions make this over-ear design so comfortable, you might even forget you’re wearing them. The MixAmp Pro brings the ultimate power of Dolby 7.1 Surround Sound to your favorite games and allows you to capture both voice and game audio through the Stream output. The Astro A30 System - more power for your ear holes!</p>\n<p>Product Specifications  </p>\n<ul><li>Don\'t just hear your games, aurally experience them with this awesome headphones set</li>\n<li>Color Choice: Black or White</li>\n<li>Compatibility: Xbox One/PS4/PS3/PC</li>\n<li>Astro A30 Specs:\n<ul><li>Transducer Principle: Dynamic, Closed</li>\n<li>Frequency Response: 20 - 21,000 Hz</li>\n<li>Distortion: Less than 0.1%</li>\n<li>Microphone: 6.0mm unidirectional with noise gate</li>\n<li>Nominal Impedance: 32 Ohms</li>\n<li>Headband Pressure: 2.0N</li>\n<li>Ear Coupling: On-Ear</li>\n<li>Weight w/o Cable: 188 grams</li>\n<li>Connection: 3.5mm 4-pole Jack</li>\n</ul></li>\n<li>MixAmp Pro Specs:\n<ul><li>Inputs Rear: 3.5mm Mini TOSlink, 3.5mm mp3 connector, USB mini-B (audio/power), 3.5mm Stream Output</li>\n<li>Frequency Response: 20-20,000 Hz</li>\n<li>Power Output: 70mW 32ohm per channel</li>\n<li>Inputs Front: Headset Connector, 2.5mm Xbox Live voice communication connector, Two daisy chain 3.5mm ports</li>\n</ul></li>\n<li>Includes: \n<ul><li>A30 Headset</li>\n<li>A30 Mic</li>\n<li>ASTRO Speaker Tags</li>\n<li>MixAmp Pro</li>\n<li>Headset Cables: 2.0M A30 Inline Mute Cable, 65mm PC Splitter Cable</li>\n<li>MixAmp Cables: 3.0M TOSlink Optical Cable, 3.0M Mini-USB Cable, 1.5M Xbox Live Chat Cable, 1.5M 3.5mm Audio Cable</li>\n</ul></li>\n</ul>','<h4 class=\"prodheader\">HEAR WHAT YOU\'VE BEEN MISSING</h4>\n<ul><li>Awesome, cross-platform, gaming headphones</li>\n<li>MixAmp Pro included for even more control</li>\n<li>Works with Xbox One, PS4, PS3, and PC</li>\n</ul>','','HEAR WHAT YOU\'VE BEEN MISSING\nAwesome, cross-platform, gaming headphones\nMixAmp Pro included for even more control\nWorks with Xbox One, PS4, PS3, and PC\n','','en'),(41,41,'Apple iPhone 6S Plus [Options & Attributes]','<ul class=\"propsInfo\"><li>Smartphone, Apple iOS 9</li>\n<li>Display: 11.9 cm (4.7\"), 8.0 MP camera</li>\n<li>CPU: 2x 1.40 GHz, 64.0 GB storage</li>\n<li>GPS</li>\n<li>LTE, WLAN, Bluetooth 4.0, NFC</li>\n</ul>','','','Smartphone, Apple iOS 9\nDisplay: 11.9 cm (4.7\"), 8.0 MP camera\nCPU: 2x 1.40 GHz, 64.0 GB storage\nGPS\nLTE, WLAN, Bluetooth 4.0, NFC\n','','en'),(42,42,'Apple iPhone SE [Options & Attributes] [Tabs]','<div class=\"features\">\n<div class=\"feature media-block\">\n<div class=\"content\">\n<div class=\"features\">\n<div class=\"feature media-block\">\n<div class=\"content\">\n<h4>All-new design.</h4>\n<p>At 7.6 mm and 113 grams,<span style=\"font-size:xx-small;\"> </span>iPhone SE has a remarkably thin and light design. It’s made from anodized aluminum. And the beveled edges are diamond cut for incredible precision.</p>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"media\"> </div>\n<div class=\"content\">\n<h4>Brilliant 4-inch Retina display.</h4>\n<p>4-inch (diagonal) LED-backlit widescreen Multi-Touch display with IPS technology</p>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"content\">\n<h4>Powerful A9 chip.</h4>\n<p>A9 chip with 64-bit architecture. Embedded M9 motion coprocessor</p>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"media\"> </div>\n<div class=\"content\">\n<h4>Ultrafast wireless.</h4>\n<p>With support for the latest wireless technologies, iPhone SE connects to more networks all over the world. And Wi-Fi is faster, too.</p>\n</div>\n</div>\n</div>\n<div class=\"gs grid-9of20\">\n<div class=\"in-the-box\">\n<div> </div>\n<div class=\"content\">\n<h4>What’s in the box</h4>\n<ul class=\"ul\"><li>iPhone SE with iOS 9.3</li>\n<li>Apple EarPods with Remote and Mic</li>\n<li>Lightning to USB Cable</li>\n<li>USB Power Adapter</li>\n</ul></div>\n</div>\n<div class=\"system-requirements\">\n<h4>Warranty</h4>\n<p>Every iPhone includes 90 days of free telephone technical support and a one-year limited warranty.</p>\n</div>\n</div>\n</div>\n</div>\n</div>\n<div class=\"gs grid-9of20\">\n<div class=\"system-requirements\">\n<p> </p>\n</div>\n</div>\n<div style=\"padding:24px 24px 24px 21px;display:block;\">This site is a demo site only. This product is not available for sale at our site. <br />But you can buy it at <a style=\"color:#1e7ec8;text-decoration:underline;\" title=\"Apple Store\" href=\"http://store.apple.com/us/buy/home/shop_iphone/family/iphone5\">Apple Store</a> , this is where we took description from.</div>','','','\n\n\n\n\nAll-new design.\nAt 7.6 mm and 113 grams, iPhone SE has a remarkably thin and light design. It’s made from anodized aluminum. And the beveled edges are diamond cut for incredible precision.\n\n\n\n \n\nBrilliant 4-inch Retina display.\n4-inch (diagonal) LED-backlit widescreen Multi-Touch display with IPS technology\n\n\n\n\nPowerful A9 chip.\nA9 chip with 64-bit architecture. Embedded M9 motion coprocessor\n\n\n\n \n\nUltrafast wireless.\nWith support for the latest wireless technologies, iPhone SE connects to more networks all over the world. And Wi-Fi is faster, too.\n\n\n\n\n\n \n\nWhat’s in the box\niPhone SE with iOS 9.3\nApple EarPods with Remote and Mic\nLightning to USB Cable\nUSB Power Adapter\n\n\n\nWarranty\nEvery iPhone includes 90 days of free telephone technical support and a one-year limited warranty.\n\n\n\n\n\n\n\n \n\n\nThis site is a demo site only. This product is not available for sale at our site. But you can buy it at Apple Store , this is where we took description from.','','en');
CREATE TABLE `xlite_vendor_convo_messages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `conversation_id` int(10) unsigned DEFAULT NULL,
  `profile_id` int(11) DEFAULT NULL,
  `date` int(10) unsigned NOT NULL,
  `body` longtext COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_329529AC0396` (`conversation_id`),
  KEY `IDX_32952CCFA12B8` (`profile_id`),
  CONSTRAINT `FK_32952CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_329529AC0396` FOREIGN KEY (`conversation_id`) REFERENCES `xlite_conversations` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_category_quick_flags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(10) unsigned DEFAULT NULL,
  `subcategories_count_all` int(11) NOT NULL,
  `subcategories_count_enabled` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_5BA9C50312469DE2` (`category_id`),
  CONSTRAINT `FK_5BA9C50312469DE2` FOREIGN KEY (`category_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_category_quick_flags` VALUES (1,1,4,3),(2,2,0,0),(3,3,0,0),(4,4,0,0),(5,5,3,3),(6,6,0,0),(7,7,0,0),(8,8,0,0);
CREATE TABLE `xlite_global_product_tab_provider` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tab_id` int(10) unsigned DEFAULT NULL,
  `code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_5120A7CB8D0C9323` (`tab_id`),
  CONSTRAINT `FK_5120A7CB8D0C9323` FOREIGN KEY (`tab_id`) REFERENCES `xlite_global_product_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_global_product_tab_provider` VALUES (1,1,'Core'),(2,2,'Core'),(3,3,'CDev\\GoSocial'),(4,4,'XC\\Reviews'),(5,5,'Core'),(6,6,'Core'),(7,7,'Core');
CREATE TABLE `xlite_profiles` (
  `profile_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `pending_membership_id` int(10) unsigned DEFAULT NULL,
  `socialLoginProvider` varchar(128) COLLATE utf8_unicode_ci DEFAULT NULL,
  `socialLoginId` varchar(128) COLLATE utf8_unicode_ci DEFAULT NULL,
  `gaClientId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `default_card_id` int(10) unsigned NOT NULL,
  `pending_zero_auth` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `pending_zero_auth_txn_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `pending_zero_auth_status` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `pending_zero_auth_interface` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `braintree_customer_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `saveCardBoxChecked` tinyint(1) NOT NULL,
  `conciergeUserId` varchar(128) COLLATE utf8_unicode_ci DEFAULT NULL,
  `login` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `password_hint` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `password_hint_answer` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `passwordResetKey` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `passwordResetKeyDate` int(11) NOT NULL,
  `access_level` int(11) NOT NULL,
  `cms_profile_id` int(11) NOT NULL,
  `cms_name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `added` int(11) NOT NULL,
  `first_login` int(11) NOT NULL,
  `last_login` int(11) NOT NULL,
  `status` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `statusComment` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `referer` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `language` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `last_shipping_id` int(11) DEFAULT NULL,
  `last_payment_id` int(11) DEFAULT NULL,
  `anonymous` tinyint(1) NOT NULL,
  `forceChangePassword` tinyint(1) NOT NULL,
  `dateOfLoginAttempt` int(10) unsigned NOT NULL,
  `countOfLoginAttempts` int(11) NOT NULL,
  `searchFakeField` longtext COLLATE utf8_unicode_ci,
  `xcPendingExport` tinyint(1) NOT NULL,
  `lastCheckoutEmail` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`profile_id`),
  UNIQUE KEY `UNIQ_13F3DB338D9F6D38` (`order_id`),
  KEY `IDX_13F3DB331FB354CD` (`membership_id`),
  KEY `IDX_13F3DB33CD228392` (`pending_membership_id`),
  KEY `cms_profile` (`cms_name`,`cms_profile_id`),
  KEY `login` (`login`),
  KEY `order_id` (`order_id`),
  KEY `password` (`password`),
  KEY `access_level` (`access_level`),
  KEY `first_login` (`first_login`),
  KEY `last_login` (`last_login`),
  KEY `status` (`status`),
  CONSTRAINT `FK_13F3DB33CD228392` FOREIGN KEY (`pending_membership_id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_13F3DB331FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_13F3DB338D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_profiles` VALUES (1,NULL,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1523959645,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(2,1,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1523959645,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(3,2,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1523959645,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(4,3,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1523959645,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(5,4,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1523959645,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(6,5,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1523959645,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,'');
CREATE TABLE `xlite_sales_tax_rates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tax_id` int(10) unsigned DEFAULT NULL,
  `zone_id` int(11) DEFAULT NULL,
  `tax_class_id` int(10) unsigned DEFAULT NULL,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `value` decimal(14,4) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  `noTaxClass` tinyint(1) NOT NULL,
  `taxableBase` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_1ACD2E0EB2A824D8` (`tax_id`),
  KEY `IDX_1ACD2E0E9F2C3FAB` (`zone_id`),
  KEY `IDX_1ACD2E0EA94AAAE` (`tax_class_id`),
  KEY `IDX_1ACD2E0E1FB354CD` (`membership_id`),
  CONSTRAINT `FK_1ACD2E0E1FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_1ACD2E0E9F2C3FAB` FOREIGN KEY (`zone_id`) REFERENCES `xlite_zones` (`zone_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_1ACD2E0EA94AAAE` FOREIGN KEY (`tax_class_id`) REFERENCES `xlite_tax_classes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_1ACD2E0EB2A824D8` FOREIGN KEY (`tax_id`) REFERENCES `xlite_sales_taxes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_review_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `keyValue` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `addedDate` int(11) NOT NULL,
  `sentDate` int(11) NOT NULL,
  `firstClickDate` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_3869BA7B8D9F6D38` (`order_id`),
  KEY `keyValue` (`keyValue`),
  KEY `addedDate` (`addedDate`),
  KEY `sentDate` (`sentDate`),
  CONSTRAINT `FK_3869BA7B8D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_tags` (
  `product_id` int(10) unsigned NOT NULL,
  `tag_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tag_id`),
  KEY `IDX_88C085284584665A` (`product_id`),
  KEY `IDX_88C08528BAD26311` (`tag_id`),
  CONSTRAINT `FK_88C08528BAD26311` FOREIGN KEY (`tag_id`) REFERENCES `xlite_tags` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_88C085284584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_money_modificators` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `modificator` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `validator` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  `behavior` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `purpose` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_money_modificators` VALUES (1,'XLite\\Logic\\AttributeSurcharge','modifyMoney','isApply',10,'','net'),(2,'XLite\\Module\\CDev\\Sale\\Logic\\SalePrice','modifyMoney','isApply',5,'','net'),(3,'XLite\\Module\\CDev\\Sale\\Logic\\PercentOff','modifyMoney','isApply',500,'','net');
CREATE TABLE `xlite_attribute_option_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_31550B83BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_attribute_options` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_attribute_option_translations` VALUES (1,1,'S','en'),(2,2,'M','en'),(3,3,'L','en'),(4,4,'XL','en'),(5,5,'XXL','en'),(8,8,'XXXL','en'),(109,109,'IndependentApparel','en'),(110,110,'YourStyle','en'),(111,111,'MyBestDress','en'),(112,112,'Toyty','en'),(113,113,'FunnyChildren','en'),(114,114,'MindSet','en'),(115,115,'GoodyBrand','en'),(116,116,'iBoutique','en'),(1001,1,'S','ru'),(1002,2,'M','ru'),(1003,3,'L','ru'),(1004,4,'XL','ru'),(1005,5,'XXL','ru'),(1008,8,'XXXL','ru'),(1109,109,'IndependentApparel','ru'),(1110,110,'YourStyle','ru'),(1111,111,'MyBestDress','ru'),(1112,112,'Toyty','ru'),(1113,113,'FunnyChildren','ru'),(1114,114,'MindSet','ru'),(1115,115,'GoodyBrand','ru'),(1116,116,'iBoutique','ru'),(1134,134,'Blue','en'),(1135,135,'Gold','en'),(1136,136,'Red','en'),(1143,143,'Blue','en'),(1144,144,'Gold','en'),(1145,145,'Red','en'),(1158,158,'Dr. Peter Venkman','en'),(1159,159,'Dr. Egon Spengler','en'),(1160,160,'Dr. Raymond Stantz','en'),(1161,161,'White','en'),(1162,162,'Black','en'),(1163,163,'Black','en'),(1164,164,'White','en'),(2001,1,'S','ru'),(2002,2,'M','ru'),(2003,3,'L','ru'),(2004,4,'XL','ru'),(2005,5,'XXL','ru'),(2008,8,'XXXL','ru'),(2109,109,'IndependentApparel','ru'),(2110,110,'YourStyle','ru'),(2111,111,'MyBestDress','ru'),(2112,112,'Toyty','ru'),(2113,113,'FunnyChildren','ru'),(2114,114,'MindSet','ru'),(2115,115,'GoodyBrand','ru'),(2116,116,'iBoutique','ru'),(3001,1,'S','ru'),(3002,2,'M','ru'),(3003,3,'L','ru'),(3004,4,'XL','ru'),(3005,5,'XXL','ru'),(3008,8,'XXXL','ru'),(3109,109,'IndependentApparel','ru'),(3110,110,'YourStyle','ru'),(3111,111,'MyBestDress','ru'),(3112,112,'Toyty','ru'),(3113,113,'FunnyChildren','ru'),(3114,114,'MindSet','ru'),(3115,115,'GoodyBrand','ru'),(3116,116,'iBoutique','ru'),(3134,134,'Синий','ru'),(3135,135,'Золотой','ru'),(3136,136,'Красный','ru'),(3143,143,'Синий','ru'),(3144,144,'Золотой','ru'),(3145,145,'Красный','ru'),(3158,158,'Питер Венкман','ru'),(3159,159,'Иган Спенглер','ru'),(3160,160,'Рэймонд Стэнтс','ru'),(3161,161,'Белый','ru'),(3162,162,'Черный','ru'),(3163,163,'Черный','ru'),(3164,164,'Белый','ru'),(3165,165,'16','en'),(3166,166,'64','en'),(3167,167,'128','en'),(3168,168,'Silver','en'),(3169,169,'Space Gray','en'),(3170,170,'Gold','en'),(3171,171,'A8 chip with 64‑bit architecture','en'),(3172,172,'Nano-SIM','en'),(3173,173,'Retina HD display','en'),(3174,174,'4.7','en'),(3175,175,'1334x750','en'),(3176,176,'Built-in rechargeable lithium-ion battery','en'),(3177,177,'Up to 14 hours on 3G','en'),(3178,178,'Up to 10 days (250 hours)','en'),(3179,179,'Up to 11 hours','en'),(3180,180,'Up to 50 hours','en'),(3181,181,'GSM/EDGE/LTE','en'),(3182,182,'802.11a/b/g/n/ac','en'),(3183,183,'Bluetooth 4.2','en'),(3184,184,'5.5','en'),(3185,185,'1920x1080','en'),(3186,186,'32','en'),(3187,187,'A7 chip with 64-bit architecture','en'),(3188,188,'White','en'),(3189,189,'Black','en'),(3190,190,'4','en'),(3191,191,'1136x640','en'),(3192,192,'Up to 10 hours on 3G','en'),(3193,193,'Up to 250 hours','en'),(3194,194,'Up to 10 hours','en'),(3195,195,'Up to 40 hours','en'),(3196,196,'GSM/EDGE','en'),(3197,197,'802.11a/b/g/n','en'),(3198,198,'Up to 24 hours on 3G','en'),(3199,199,'Up to 16 days (384 hours)','en'),(3200,200,'A9 chip with 64‑bit architecture','en'),(3201,201,'Purple','en'),(3202,202,'Green','en'),(3203,203,'Orange','en'),(3204,204,'Blue','en'),(3205,201,'Фиолетовый','ru'),(3206,202,'Зеленый','ru'),(3207,203,'Оранжевый','ru'),(3208,204,'Синий','ru'),(3209,205,'Rose Gold','en'),(3210,168,'Серебристый','ru'),(3211,169,'Серый космос','ru'),(3212,170,'Золотой','ru'),(3213,188,'Белый','ru'),(3214,189,'Черный','ru'),(3215,205,'Розовое золото','ru'),(3216,165,'16','ru'),(3217,166,'64','ru'),(3218,167,'128','ru'),(3219,186,'32','ru'),(3221,207,'Nano-SIM','ru'),(3223,209,'4','ru'),(3224,210,'1136x640','ru'),(3225,211,'Built-in rechargeable lithium-ion battery','ru'),(3226,212,'Up to 14 hours on 3G','ru'),(3227,213,'Up to 10 days (250 hours)','ru'),(3228,214,'Up to 10 hours','ru'),(3229,215,'Up to 40 hours','ru'),(3231,217,'802.11a/b/g/n/ac','ru');
CREATE TABLE `xlite_order_history_event_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_BAE0BB2471F7E88B` (`event_id`),
  KEY `en` (`event_id`,`name`),
  CONSTRAINT `FK_BAE0BB2471F7E88B` FOREIGN KEY (`event_id`) REFERENCES `xlite_order_history_events` (`event_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_category_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTags` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `metaDesc` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_9ED79EA5BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_category_translations` VALUES (1,1,'Catalog','<h1>Welcome to X-Cart Demo Store!</h1><p>It illustrates operation and features of X-Cart - all-in-one eCommerce solution for swift and easy launch of a professional online store. Orders placed here cannot be fulfilled as all the sample products listed in this store are for demonstration and testing purposes only.</p>','','','','en'),(2,2,'iGoods - Product Filter','','','','','en'),(3,3,'Electronics','','','','','en'),(4,4,'Apparel','','','','','en'),(5,5,'Toys','','','','','en'),(6,6,'Geek toys','','','','','en'),(7,7,'Office Pranks','','','','','en'),(8,8,'Home & office','','','','','en');
CREATE TABLE `xlite_special_offer_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `offer_id` int(11) DEFAULT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_5E1F169453C674EE` (`offer_id`),
  CONSTRAINT `FK_5E1F169453C674EE` FOREIGN KEY (`offer_id`) REFERENCES `xlite_special_offers` (`offer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_page_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `teaser` longtext COLLATE utf8_unicode_ci NOT NULL,
  `body` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaKeywords` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_D4ABAC0BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_pages` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_page_translations` VALUES (1,1,'Terms and conditions','Terms and conditions','<p>Terms and conditions text</p><p>To replace this text with the actual Terms and conditions, go to the \"Content -> Pages\" section, open the \"Terms &amp; Conditions\" page and edit the \"Content\" field.</p>','','','en'),(2,1,'Условия использования','Условия использования','<p>Чтобы разместить на этой странице Ваш собственный текст \"Условия использования\", перейдите в раздел \"Содержание -> Страницы\", откройте для редактирования страницу \"Условия использования\" и добавьте требуемый текст в поле \"Содержание\".</p>','','','ru'),(3,1,'条款约定','条款约定','<p>内容描述</p><p>要替代该条款内的内容，请到&ldquo;内容-网页&ldquo;中进行设置，打开页面编辑并在这里编辑内容栏目。</p>','','','zh'),(4,2,'Shipping','Shipping teaser','<p>This page is intended for your store\'s shipping policy.</p><p>Here you can provide general information about the available shipping options and rates, shipping turn-around times, size and weight limits for shipping, shipping restrictions, order tracking, and so on.</p><p></p><p>To replace this text with the actual delivery information, go to the \"Content -> Pages\" section, open the \"Shipping\" page and edit the \"Content\" field.</p>','','','en'),(5,2,'Доставка','Доставка','<p>Чтобы разместить на этой странице Ваш собственный текст \"Доставка\", перейдите в раздел \"Содержание -> Страницы\", откройте для редактирования страницу \"Доставка\" и добавьте требуемый текст в поле \"Содержание\".</p>','','','ru'),(6,2,'关于运输','关于运输','<p>关于运输的内容</p><p>要设置该页面的运输项目内容，请到&rdquo;内容-页面&rdquo;中打开关于运输页面进行修改。</p>','','','zh');
CREATE TABLE `xlite_menu_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_CC54E72BBF396750` FOREIGN KEY (`id`) REFERENCES `xlite_menus` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_menu_translations` VALUES (1,1,'Home','en'),(2,1,'Главная','ru'),(3,1,'主页','zh'),(4,3,'My Account','en'),(5,3,'Мой профиль','ru'),(6,3,'我的账户','zh'),(7,4,'My orders','en'),(8,4,'Мои заказы','ru'),(9,4,'订单（复数）','zh'),(10,5,'My address book','en'),(11,5,'Мои адреса','ru'),(12,5,'地址簿','zh'),(13,6,'Shipping','en'),(14,6,'Доставка','ru'),(15,7,'New!','en'),(16,7,'Новинки','ru'),(17,8,'Coming soon','en'),(18,8,'Скоро в продаже','ru'),(19,9,'Hot deals','en'),(20,9,'Акции','ru'),(21,10,'Sale','en'),(22,10,'Распродажа','ru'),(23,11,'Bestsellers','en'),(24,11,'Бестселлеры','ru'),(25,12,'Special offers','en'),(26,12,'Специальные предложения','ru'),(27,13,'Contact us','en'),(28,13,'Напишите нам','ru'),(29,14,'Categories','en'),(30,14,'Товары','ru'),(31,15,'Apparel','en'),(32,15,'Одежда','ru'),(33,16,'iGoods','en'),(34,16,'Электроника','ru'),(35,17,'Toys','en'),(36,17,'Игрушки','ru'),(37,18,'Offers','en'),(38,18,'Акции','ru'),(39,19,'Sale','en'),(40,19,'Распродажа','ru'),(41,20,'Coming soon','en'),(42,20,'Скоро в продаже','ru'),(43,21,'New!','en'),(44,21,'Новинки','ru'),(45,22,'Info links','en'),(46,22,'Информация','ru'),(47,23,'Shipping','en'),(48,23,'Правила доставки','ru'),(49,24,'Sitemap','en'),(50,24,'Карта сайта','ru'),(51,25,'Terms & Conditions','en'),(52,25,'Условия использования','ru'),(53,26,'Services','en'),(54,26,'Сервисы','ru'),(55,27,'Shipping info','en'),(56,27,'Доставка','ru'),(57,28,'Contact us','en'),(58,28,'Напишите нам','ru'),(59,29,'My X-Cart','en'),(60,29,'Мой X-Cart','ru'),(61,30,'Address book','en'),(62,30,'Мои адреса','ru'),(63,31,'Order list','en'),(64,31,'Мои заказы','ru'),(65,32,'Account details','en'),(66,32,'Личный кабинет','ru');
CREATE TABLE `xlite_custom_global_tabs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `global_tab_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_5C09BCAD629D8673` (`global_tab_id`),
  CONSTRAINT `FK_5C09BCAD629D8673` FOREIGN KEY (`global_tab_id`) REFERENCES `xlite_global_product_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_custom_global_tabs` VALUES (1,5),(2,6),(3,7);
CREATE TABLE `xlite_notifications` (
  `templatesDirectory` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `availableForAdmin` tinyint(1) NOT NULL,
  `availableForCustomer` tinyint(1) NOT NULL,
  `enabledForAdmin` tinyint(1) NOT NULL,
  `enabledForCustomer` tinyint(1) NOT NULL,
  `adminHeaderEnabled` tinyint(1) NOT NULL,
  `adminGreetingEnabled` tinyint(1) NOT NULL,
  `adminSignatureEnabled` tinyint(1) NOT NULL,
  `customerHeaderEnabled` tinyint(1) NOT NULL,
  `customerGreetingEnabled` tinyint(1) NOT NULL,
  `customerSignatureEnabled` tinyint(1) NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`templatesDirectory`),
  UNIQUE KEY `UNIQ_26039A9958BB5391` (`templatesDirectory`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_notifications` VALUES ('failed_admin_login',1,0,1,0,1,0,1,1,1,1,100),('failed_transaction',1,0,1,0,1,0,1,1,1,1,200),('low_limit_warning',1,0,1,0,1,0,1,1,1,1,300),('modules/CDev/ContactUs/message',0,0,1,0,1,0,1,1,1,1,500),('modules/CDev/Egoods/egoods_links',0,1,0,1,1,0,1,1,1,1,600),('modules/CDev/PINCodes/acquire_pin_codes_failed',1,0,1,0,1,0,1,1,1,1,700),('modules/XC/CanadaPost/return_approved',0,1,0,1,1,0,1,1,1,1,800),('modules/XC/CanadaPost/return_rejected',0,1,0,1,1,0,1,1,1,1,900),('modules/XC/Reviews/new_review',1,0,1,0,1,0,1,0,0,0,1000),('modules/XC/Reviews/review_key',0,0,0,1,0,0,0,1,1,1,0),('modules/XC/VendorMessages/new_message_notification',1,1,1,1,1,0,1,1,1,1,1200),('modules/XC/VendorMessages/notification',1,1,1,1,1,0,1,1,1,1,1100),('order_advanced_changed',0,1,0,1,0,0,1,0,1,1,1300),('order_canceled',1,1,1,1,0,0,1,0,1,1,1500),('order_changed',1,1,1,1,0,0,1,0,1,1,1400),('order_created',1,1,1,1,0,0,1,0,1,1,1600),('order_failed',1,1,1,1,0,0,1,0,1,1,1700),('order_processed',1,1,1,1,0,0,1,0,1,1,1800),('order_shipped',0,1,0,1,0,0,1,0,1,1,1900),('order_tracking_information',0,0,0,1,0,0,1,0,1,1,2000),('order_waiting_for_approve',0,1,0,1,0,0,1,0,1,1,2100),('profile_created',1,1,0,1,1,0,1,1,1,1,2200),('profile_deleted',1,0,0,0,1,0,1,1,1,1,2300),('profile_modified',1,1,0,1,1,0,1,1,1,1,2400),('recover_password_request',0,0,1,1,1,0,1,1,1,1,2500),('register_anonymous',0,1,0,1,1,0,1,1,1,1,2600);
CREATE TABLE `xlite_memberships` (
  `membership_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `position` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`membership_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_memberships` VALUES (1,10,1);
CREATE TABLE `xlite_language_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_610C29E2BF396750` (`id`),
  KEY `ci` (`code`,`id`),
  CONSTRAINT `FK_610C29E2BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_languages` (`lng_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_language_translations` VALUES (1,1,'Afar','en'),(2,2,'Abkhazian','en'),(3,3,'Afrikaans','en'),(4,4,'Akan','en'),(5,5,'Albanian','en'),(6,6,'Amharic','en'),(7,7,'Arabic','en'),(8,8,'Aragonese','en'),(9,9,'Armenian','en'),(10,10,'Assamese','en'),(11,11,'Avaric','en'),(12,12,'Avestan','en'),(13,13,'Aymara','en'),(14,14,'Azerbaijani','en'),(15,15,'Bashkir','en'),(16,16,'Bambara','en'),(17,17,'Basque','en'),(18,18,'Belarusian','en'),(19,19,'Bengali','en'),(20,20,'Bihari','en'),(21,21,'Bislama','en'),(22,22,'Bosnian','en'),(23,23,'Brazilian Portuguese','en'),(24,24,'British','en'),(25,25,'Bulgarian','en'),(26,26,'Burmese','en'),(27,27,'Catalan','en'),(28,28,'Chamorro','en'),(29,29,'Chechen','en'),(30,30,'Chinese','en'),(31,31,'Church Slavic','en'),(32,32,'Chuvash','en'),(33,33,'Cornish','en'),(34,34,'Corsican','en'),(35,35,'Cree','en'),(36,36,'Czech','en'),(37,37,'Danish','en'),(38,38,'Divehi','en'),(39,39,'Dutch','en'),(40,40,'Dzongkha','en'),(41,41,'English','en'),(42,42,'Esperanto','en'),(43,43,'Estonian','en'),(44,44,'Ewe','en'),(45,45,'Faroese','en'),(46,46,'Fijian','en'),(47,47,'Finnish','en'),(48,48,'French','en'),(49,49,'Western Frisian','en'),(50,50,'Fulah','en'),(51,51,'Georgian','en'),(52,52,'German','en'),(53,53,'Gaelic','en'),(54,54,'Irish','en'),(55,55,'Galician','en'),(56,56,'Manx','en'),(57,57,'Greek','en'),(58,58,'Guarani','en'),(59,59,'Gujarati','en'),(60,60,'Haitian','en'),(61,61,'Hausa','en'),(62,62,'Hebrew','en'),(63,63,'Herero','en'),(64,64,'Hindi','en'),(65,65,'Hiri Motu','en'),(66,66,'Croatian','en'),(67,67,'Hungarian','en'),(68,68,'Igbo','en'),(69,69,'Icelandic','en'),(70,70,'Ido','en'),(71,71,'Sichuan Yi','en'),(72,72,'Inuktitut','en'),(73,73,'Interlingue','en'),(74,74,'Interlingua','en'),(75,75,'Indonesian','en'),(76,76,'Inupiaq','en'),(77,77,'Italian','en'),(78,78,'Javanese','en'),(79,79,'Japanese','en'),(80,80,'Kalaallisut','en'),(81,81,'Kannada','en'),(82,82,'Kashmiri','en'),(83,83,'Kanuri','en'),(84,84,'Kazakh','en'),(85,85,'Khmer or Cambodian','en'),(86,86,'Kikuyu','en'),(87,87,'Kinyarwanda','en'),(88,88,'Kirghiz','en'),(89,89,'Komi','en'),(90,90,'Kongo','en'),(91,91,'Korean','en'),(92,92,'Kuanyama','en'),(93,93,'Kurdish','en'),(94,94,'Lao','en'),(95,95,'Latin','en'),(96,96,'Latvian','en'),(97,97,'Limburgan','en'),(98,98,'Lingala','en'),(99,99,'Lithuanian','en'),(100,100,'Luxembourgish','en'),(101,101,'Luba-Katanga','en'),(102,102,'Ganda','en'),(103,103,'Macedonian','en'),(104,104,'Marshallese','en'),(105,105,'Malayalam','en'),(106,106,'Maori','en'),(107,107,'Marathi','en'),(108,108,'Malay','en'),(109,109,'Malagasy','en'),(110,110,'Maltese','en'),(111,111,'Mongolian','en'),(112,112,'Nauru','en'),(113,113,'Navajo','en'),(114,114,'Ndebel','en'),(115,115,'Ndebel','en'),(116,116,'Ndonga','en'),(117,117,'Nepali','en'),(118,118,'Norwegian','en'),(119,119,'Chichewa','en'),(120,120,'Occitan','en'),(121,121,'Ojibwa','en'),(122,122,'Oriya','en'),(123,123,'Oromo','en'),(124,124,'Ossetian','en'),(125,125,'Panjabi','en'),(126,126,'Persian','en'),(127,127,'Pali','en'),(128,128,'Polish','en'),(129,129,'Portuguese','en'),(130,130,'Pushto','en'),(131,131,'Quechua','en'),(132,132,'Romansh','en'),(133,133,'Romanian','en'),(134,134,'Rundi','en'),(135,135,'Russian','en'),(136,136,'Sango','en'),(137,137,'Sanskrit','en'),(138,138,'Sinhala','en'),(139,139,'Slovak','en'),(140,140,'Slovenian','en'),(141,141,'Northern Sami','en'),(142,142,'Samoan','en'),(143,143,'Shona','en'),(144,144,'Sindhi','en'),(145,145,'Somali','en'),(146,146,'Soth','en'),(147,147,'Spanish','en'),(148,148,'Sardinian','en'),(149,149,'Serbian','en'),(150,150,'Swati','en'),(151,151,'Sundanese','en'),(152,152,'Swahili','en'),(153,153,'Swedish','en'),(154,154,'Tahitian','en'),(155,155,'Tamil','en'),(156,156,'Tatar','en'),(157,157,'Telugu','en'),(158,158,'Tajik','en'),(159,159,'Tagalog','en'),(160,160,'Thai','en'),(161,161,'Tibetan','en'),(162,162,'Tigrinya','en'),(163,163,'Tonga','en'),(164,164,'Tswana','en'),(165,165,'Tsonga','en'),(166,166,'Turkmen','en'),(167,167,'Turkish','en'),(168,168,'Twi','en'),(169,169,'Uighur','en'),(170,170,'Ukrainian','en'),(171,171,'Urdu','en'),(172,172,'Uzbek','en'),(173,173,'Venda','en'),(174,174,'Vietnamese','en'),(175,175,'Welsh','en'),(176,176,'Walloon','en'),(177,177,'Wolof','en'),(178,178,'Xhosa','en'),(179,179,'Yiddish','en'),(180,180,'Yoruba','en'),(181,181,'Zhuang','en'),(182,182,'Zulu','en');
CREATE TABLE `xlite_attribute_properties` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `attribute_id` int(10) unsigned DEFAULT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_3C3647F44584665A` (`product_id`),
  KEY `IDX_3C3647F4B6E62EFA` (`attribute_id`),
  CONSTRAINT `FK_3C3647F4B6E62EFA` FOREIGN KEY (`attribute_id`) REFERENCES `xlite_attributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_3C3647F44584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_class_coupons` (
  `coupon_id` int(10) unsigned NOT NULL,
  `class_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`coupon_id`,`class_id`),
  KEY `IDX_684B0DA666C5951B` (`coupon_id`),
  KEY `IDX_684B0DA6EA000B10` (`class_id`),
  CONSTRAINT `FK_684B0DA6EA000B10` FOREIGN KEY (`class_id`) REFERENCES `xlite_product_classes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_684B0DA666C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xlite_coupons` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_menu_quick_flags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menu_id` int(10) unsigned DEFAULT NULL,
  `submenus_count_all` int(11) NOT NULL,
  `submenus_count_enabled` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_B0327DB0CCD7E912` (`menu_id`),
  CONSTRAINT `FK_B0327DB0CCD7E912` FOREIGN KEY (`menu_id`) REFERENCES `xlite_menus` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_menu_quick_flags` VALUES (1,3,2,2),(3,1,0,0),(4,2,12,12),(5,4,0,0),(6,5,0,0),(8,6,0,0),(9,7,0,0),(10,8,0,0),(11,9,3,2),(12,10,0,0),(13,11,0,0),(14,12,0,0),(15,14,3,3),(16,13,0,0),(17,15,0,0),(18,16,0,0),(19,17,0,0),(20,18,3,3),(21,19,0,0),(22,20,0,0),(23,21,0,0),(24,22,3,3),(25,23,0,0),(26,24,0,0),(27,25,0,0),(28,26,2,2),(29,27,0,0),(30,28,0,0),(31,29,3,3),(32,30,0,0),(33,31,0,0),(34,32,0,0);
CREATE TABLE `xlite_roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_roles` VALUES (1,1),(2,1),(3,1),(4,1);
CREATE TABLE `xlite_payment_transaction_data` (
  `data_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `label` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `access_level` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`data_id`),
  KEY `IDX_BA8F92A12FC0CB0F` (`transaction_id`),
  KEY `tn` (`transaction_id`,`name`),
  CONSTRAINT `FK_BA8F92A12FC0CB0F` FOREIGN KEY (`transaction_id`) REFERENCES `xlite_payment_transactions` (`transaction_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_payment_transaction_data` VALUES (1,4,'test_mode','Test mode','A','1'),(2,4,'error_field_name_card.number','Error: field name','A','card.number'),(3,4,'error_field_code_card.number','Error: field code','A','country.bin.not.accepted'),(4,4,'error_field_message_card.number','Error: field message','A','Card bin Country rejected by acquirer'),(5,4,'cart_items','Cart items','A','a:1:{i:0;a:5:{s:4:\"name\";s:27:\"Ewok Ladies Hooded Tank Top\";s:3:\"sku\";s:6:\"100ewl\";s:5:\"price\";d:34.990000000000002;s:6:\"amount\";i:1;s:5:\"attrs\";a:0:{}}}'),(6,5,'test_mode','Test mode','A','1'),(7,5,'error_field_name_card.number','Error: field name','A','card.number'),(8,5,'error_field_code_card.number','Error: field code','A','card.expired'),(9,5,'error_field_message_card.number','Error: field message','A','Card has expired.'),(10,5,'cart_items','Cart items','A','a:1:{i:0;a:5:{s:4:\"name\";s:27:\"Ewok Ladies Hooded Tank Top\";s:3:\"sku\";s:6:\"100ewl\";s:5:\"price\";d:34.990000000000002;s:6:\"amount\";i:1;s:5:\"attrs\";a:0:{}}}');
CREATE TABLE `xlite_profile_roles` (
  `role_id` int(10) unsigned NOT NULL,
  `profile_id` int(11) NOT NULL,
  PRIMARY KEY (`role_id`,`profile_id`),
  KEY `IDX_7E99B5FD60322AC` (`role_id`),
  KEY `IDX_7E99B5FCCFA12B8` (`profile_id`),
  CONSTRAINT `FK_7E99B5FCCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_7E99B5FD60322AC` FOREIGN KEY (`role_id`) REFERENCES `xlite_roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_measure_dumps` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `data` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `text` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_coupon_categories` (
  `coupon_id` int(10) unsigned NOT NULL,
  `category_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`coupon_id`,`category_id`),
  KEY `IDX_2EB1BB6066C5951B` (`coupon_id`),
  KEY `IDX_2EB1BB6012469DE2` (`category_id`),
  CONSTRAINT `FK_2EB1BB6012469DE2` FOREIGN KEY (`category_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_2EB1BB6066C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xlite_coupons` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_capost_return_link_storage` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `linkId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_784CAF87AEC98E42` (`linkId`),
  CONSTRAINT `FK_784CAF87AEC98E42` FOREIGN KEY (`linkId`) REFERENCES `xlite_capost_return_links` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_items` (
  `item_id` int(11) NOT NULL AUTO_INCREMENT,
  `object_id` int(10) unsigned DEFAULT NULL,
  `order_id` int(11) DEFAULT NULL,
  `categoryAdded` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `xpcFakeItem` tinyint(1) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sku` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `price` decimal(14,4) NOT NULL COMMENT '(DC2Type:money)',
  `itemNetPrice` decimal(14,4) NOT NULL,
  `discountedSubtotal` decimal(14,4) NOT NULL,
  `amount` int(11) NOT NULL,
  `total` decimal(14,4) NOT NULL,
  `subtotal` decimal(14,4) NOT NULL,
  `object_type` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`item_id`),
  KEY `IDX_4693C0A18D9F6D38` (`order_id`),
  KEY `ooo` (`order_id`,`object_type`,`object_id`),
  KEY `object_id` (`object_id`),
  KEY `price` (`price`),
  KEY `amount` (`amount`),
  CONSTRAINT `FK_4693C0A18D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4693C0A1232D562B` FOREIGN KEY (`object_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_order_items` VALUES (1,13,1,'',0,'Vinyl Idolz: Ghostbusters','1204',19.9900,19.9900,16.9900,1,19.9900,19.9900,'product'),(2,3,2,'',0,'Spiderman Selfie Ladies\' Tee','12030',19.9900,19.9900,39.9800,2,39.9800,39.9800,'product'),(3,8,2,'',0,'Bow Ties Are Cool [Unlimited QTY]','12007',19.9900,14.9900,44.9700,3,44.9700,44.9700,'product'),(4,12,3,'',0,'Minions Pop Vinyl Figures','12022',9.9900,9.9900,59.9400,6,59.9400,59.9400,'product'),(5,17,3,'',0,'Ollie - The App Controlled Robot','12026',99.0000,99.0000,99.9900,1,99.0000,99.0000,'product'),(6,10,4,'',0,'Ewok Ladies Hooded Tank Top','100ewl',34.9900,34.9900,34.9900,1,34.9900,34.9900,'product'),(7,15,5,'',0,'Soft Kitty Singing Plush [Sale] [Reviews]','12029',29.9900,25.4900,305.8800,12,305.8800,305.8800,'product'),(8,27,5,'',0,'Superhero Mom Mug','12035',12.9900,6.4900,45.4300,7,45.4300,45.4300,'product');
CREATE TABLE `xlite_attribute_values_select_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_CDF9A7AFBF396750` FOREIGN KEY (`id`) REFERENCES `xlite_attribute_values_select` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_notification_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `customerSubject` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `customerText` longtext COLLATE utf8_unicode_ci NOT NULL,
  `adminSubject` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `adminText` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_3F6179FEBF396750` FOREIGN KEY (`id`) REFERENCES `xlite_notifications` (`templatesDirectory`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_notification_translations` VALUES (1,'failed_admin_login','Failed admin login','The notification is sent to the email address of the admin user for whose account failed login attempts have been detected several times in a row. A copy of the message is also sent to the store’s super admin user.','','','WARNING! Administrator login failure','Failed administrator login detected.','en'),(2,'failed_transaction','Failed transaction','This notification is sent to the administrator if payment transaction was failed','','','Failed transaction','','en'),(3,'low_limit_warning','Low limit warning','This message is used to notify the administrator when the stock level of a product reaches the low stock limit as specified in the product details.','','','Low stock warning','The inventory level of a product in your store has reached the low limit.','en'),(4,'order_advanced_changed','Order changed with advanced order management','This message is sent to notify the customer of any changes made to their order by an administrator using the advanced order management feature.','Your order has been changed','Your order has been changed by customer service. Here are the details of your order:','','','en'),(5,'order_changed','Order changed','This notification is sent to both the administrator and customer when the status of an order is updated - in the event that no other type of notification is sent.','Your order has been changed','Your order has been changed. Here are the details of your order:','Order has been changed','Order has been changed.','en'),(6,'order_canceled','Order canceled','This notification is sent to both the administrator and customer when an order gets the status Canceled.','Your order has been canceled','Your order has been canceled.','Order has been canceled','Order has been canceled.','en'),(7,'order_created','Order created','This notification is sent to both the administrator and customer when a new order is created (Disabled by default).','Order has been created','Thank you for shopping with us! We received your order.<br />You will receive an order confirmation once your order is processed.','Order has been created','Order has been created.','en'),(8,'order_failed','Order declined','This notification is sent to both the administrator and customer when an order gets the status Declined.','Your order has been declined','The status of your order has been changed to \"Declined\". This could be for one of the following reasons:<br />1) The order was declined by the store administrator.<br />2) The payment could not be processed at the time of order placement.<br />For more information, please contact the store administrator.','Order has been declined','Order has been declined.','en'),(9,'order_processed','Order processed','This notification is sent to both the administrator and customer when an order gets the status Paid.','Order confirmation','Your order has been processed. Thank you for your business.<br />We will notify you by email of any further order status updates.','Order has been processed','Order has been processed.','en'),(10,'order_shipped','Order shipped','This notification is sent to the customer when an order gets the status Shipped.','Your order has been shipped','Your order has been shipped. Thank you for your business.<br />Please come back soon!','','','en'),(11,'order_tracking_information','Order tracking information','This notification is sent to the customer when an administrator clicks the \"Send tracking information to customer\" button.','Your order tracking information','Here are the tracking details for your order','','','en'),(12,'order_waiting_for_approve','Order awaiting for approval','This notification is sent to the customer when an order gets the status Waiting for approve.','Order awaiting for approval','Thank you for your purchase. Our team will provide you with the download links in a couple of hours. Sorry for the inconveniences.','','','en'),(13,'profile_created','User profile created','This notification is sent to both the administrator and customer when a new customer profile is created.','Welcome!','Thank you for registering with us.','New user registration','A new user profile has been registered:','en'),(14,'profile_deleted','User profile deleted','This notification is sent to the administrator when a customer profile is deleted.','','','User profile has been deleted','The following user profile has been deleted:','en'),(15,'profile_modified','User profile modified','This notification is sent to both the administrator and customer when a user profile is updated.','Your profile has been modified','Your profile has been modified. To view your profile information, log in at our site.','User profile has been modified','The user profile has been modified.','en'),(16,'recover_password_request','Password reset request','This notification is sent to the user when a password reset is requested for their account.','Confirm password reset request','<p>You have received this message because you requested to reset your forgotten password.<br />If you did not submit such a request, it might mean that somebody was trying to gain access to your account.</p><p>To confirm that this request was submitted by you, click on the link below<br/>(If the link does not work, please copy and paste the entire URL into your browser\'s address bar and press Enter).</p>','Confirm password reset request','<p>You have received this message because you requested to reset your forgotten password.<br />If you did not submit such a request, it might mean that somebody was trying to gain access to your account.</p><p>To confirm that this request was submitted by you, click on the link below<br/>(If the link does not work, please copy and paste the entire URL into your browser\'s address bar and press Enter).</p>','en'),(17,'register_anonymous','User account created for guest buyer based on order info','This notification is sent to the customer when a customer profile is created for them by the store administrator based on a previously created order.','User account created','<p>Thank you for shopping with us! We noticed that one or more orders you made at our store were placed using guest checkout. We appreciate your business and look forward to continue serving you in the future. For your convenience, we created an account for you at our store. The account stores all the information about your previous orders with us.</p><p>To log in to your account, please use the following credentials:<br />(The password can be changed in your account profile.)</p>','','','en'),(18,'modules/CDev/ContactUs/message','Contact us form submitted (Contact us module)','This notification is sent to the administrator when someone submits a request via the \"Contact us\" form.','','','Someone has used the Contact us form','','en'),(19,'modules/CDev/ContactUs/message','Заполнена форма для связи с администрацией магазина (модуль Contact us)','Данное сообщение используется для оповещения администратора в случае поступления в адрес магазина обращения через форму для связи с администрацией.','','','Поступило обращение через форму для связи с администрацией магазина','','ru'),(20,'modules/CDev/Egoods/egoods_links','E-goods download links (E-goods module)','This notification is sent to the customer when their order containing egoods gets the status Paid.','Your download links','Your order has been processed. The files for the products you purchased can be downloaded at:','','','en'),(21,'modules/CDev/Egoods/egoods_links','Ссылки для скачивания файлов (модуль E-goods)','Данное сообщение отправляется покупателю, когда размещенный им заказ, содержащий электронные товары, получает статус \"Оплачен\".','Ваши ссылки для скачивания файлов','Благодарим Вас за своевременную оплату заказа. Файлы приобретенных Вами товаров могут быть загружены по следующим ссылкам:','','','ru'),(22,'modules/CDev/PINCodes/acquire_pin_codes_failed','PIN code generation failure (PIN codes module)','This notification is sent to the administrator in the event of an error in the process of generating PIN codes for one or more items - as a result of which the PIN codes have not been generated.','','','PIN code generation failure for one or more ordered items','Could not generate PIN codes for the following products:','en'),(23,'modules/CDev/PINCodes/acquire_pin_codes_failed','Ошибка создания пин-кода (модуль PIN codes)','Данное сообщение отправляется администратору в случае, когда при создании PIN-кодов для одного или нескольких товаров произошла ошибка, в результате которой PIN-код(ы) не были созданы.','','','Ошибка создания PIN-кода для одного или нескольких заказанных товаров','Не удалось создать PIN-коды для следующих товаров:','ru'),(24,'modules/XC/Reviews/new_review','New product review submitted - (Product Reviews module)','This message is used to notify the administrator when a customer submits a new product review.','','','A new review has been submitted','','en'),(25,'modules/XC/Reviews/new_review','Получен новый отзыв о товаре - (модуль Product Reviews)','Данное сообщение используется для уведомления администратора о том, что клиент оставил отзыв о каком-либо товаре.','','','Получен новый отзыв о товаре','','ru'),(26,'modules/XC/Reviews/review_key','Request to review purchased products - (Product Reviews module)','This message is used to invite customers to leave feedback on the products they have purchased.','Please review your purchase','','','','en'),(27,'modules/XC/Reviews/review_key','Приглашение оставить отзыв на купленные товары - (модуль Product Reviews)','Данное сообщение используется для отправки покупателю приглашения оставить отзыв о купленных им товарах.','Пожалуйста, оставьте отзыв о купленных товарах','','','','ru'),(28,'modules/XC/VendorMessages/notification','Order message (Order messages module)','This message will be sent to customer when a new message appears in the communication thread regarding an order','New message for order %order_number%','%company_link%\n<p>\nYou\'ve got a message regarding your order %order_messages_link%:\n</p>\n<p>\n%message%\n</p>','','','en'),(29,'modules/XC/VendorMessages/new_message_notification','New message (Order messages module)','This message will be sent to customer when a new message appears in the conversation','New message in conversation','%company_link%\n<p>\nYou\'ve got a new message in %conversation_link%:\n</p>\n<p>\n%message%\n</p>\n','','','en'),(30,'modules/XC/VendorMessages/notification','Новое сообщение по заказу (модуль Order messages)','Это уведомление будет отправлено покупателю, когда в контексте сделанного им заказа появится новое сообщение','Новое сообщение по заказу №%order_number%','%company_link%\n<p>\nВы получили новое сообщение по заказу %order_messages_link%:\n</p>\n<p>\n%message%\n</p>','','','ru'),(31,'modules/XC/VendorMessages/new_message_notification','Новое сообщение (модуль Order messages)','Это уведомление будет отправлено покупателю, когда в разговоре появится новое сообщение','Новое сообщение в разговоре','%company_link%\n<p>\nВы получили новое сообщение в %conversation_link%:\n</p>\n<p>\n%message%\n</p>','','','ru'),(32,'modules/XC/CanadaPost/return_approved','Return request approved (Canada Post module)','This notification is sent to the customer if their request to return a product via Canada Post is approved by the administrator.','Your return request has been approved','Your return request has been approved','','','en'),(33,'modules/XC/CanadaPost/return_approved','Запрос на возврат товара одобрен (модуль Canada Post)','Данное сообщение отправляется покупателю в случае, если его запрос на возврат товара с пересылкой службой Canada Post получает одобрение администратора.','Ваш запрос на возврат товара одобрен','Ваш запрос на возврат товара одобрен','','','ru'),(34,'modules/XC/CanadaPost/return_rejected','Return request rejected (Canada Post module)','This notification is sent to the customer if their request to return a product via Canada Post is rejected by the administrator.','Your return request has been rejected','Your return request has been rejected','','','en'),(35,'modules/XC/CanadaPost/return_rejected','Запрос на возврат товара отклонен (модуль Canada Post)','Данное сообщение отправляется покупателю в случае, если его запрос на возврат товара с пересылкой службой Canada Post отклоняется администратором.','Ваш запрос на возврат товара отклонен','Ваш запрос на возврат товара отклонен','','','ru');
CREATE TABLE `xlite_special_offer_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `shortPromoText` longtext COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `cartPromoText` longtext COLLATE utf8_unicode_ci NOT NULL,
  `cartAppliedText` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  KEY `title` (`title`),
  CONSTRAINT `FK_66B8A5A3BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_special_offers` (`offer_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_sales_tax_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_F11466F5BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_sales_taxes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_content_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_item_attribute_values` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) DEFAULT NULL,
  `attribute_value_checkbox_id` int(10) unsigned DEFAULT NULL,
  `attribute_value_select_id` int(10) unsigned DEFAULT NULL,
  `attribute_value_text_id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `value` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `attributeId` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_46E30CEA126F525E` (`item_id`),
  KEY `IDX_46E30CEA571B5A02` (`attribute_value_checkbox_id`),
  KEY `IDX_46E30CEAA16D6CC9` (`attribute_value_select_id`),
  KEY `IDX_46E30CEA27A31B4D` (`attribute_value_text_id`),
  CONSTRAINT `FK_46E30CEA27A31B4D` FOREIGN KEY (`attribute_value_text_id`) REFERENCES `xlite_attribute_values_text` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_46E30CEA126F525E` FOREIGN KEY (`item_id`) REFERENCES `xlite_order_items` (`item_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_46E30CEA571B5A02` FOREIGN KEY (`attribute_value_checkbox_id`) REFERENCES `xlite_attribute_values_checkbox` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_46E30CEAA16D6CC9` FOREIGN KEY (`attribute_value_select_id`) REFERENCES `xlite_attribute_values_select` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_capost_parcel_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `amount` int(11) NOT NULL,
  `parcelId` int(11) DEFAULT NULL,
  `orderItemId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_18699C805A9ACC87` (`parcelId`),
  KEY `IDX_18699C80BBF22A26` (`orderItemId`),
  CONSTRAINT `FK_18699C80BBF22A26` FOREIGN KEY (`orderItemId`) REFERENCES `xlite_order_items` (`item_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_18699C805A9ACC87` FOREIGN KEY (`parcelId`) REFERENCES `xlite_order_capost_parcels` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_shipping_status_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `customerName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_53DEE45BBF396750` FOREIGN KEY (`id`) REFERENCES `xlite_order_shipping_statuses` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_order_shipping_status_translations` VALUES (1,1,'New','New','en'),(2,2,'Processing','Processing','en'),(3,3,'Shipped','Shipped','en'),(4,4,'Delivered','Delivered','en'),(5,5,'Will Not Deliver','Will Not Deliver','en'),(6,6,'Returned','Returned','en'),(7,7,'Waiting for approve','Waiting for approve','en');
CREATE TABLE `xlite_membership_coupons` (
  `coupon_id` int(10) unsigned NOT NULL,
  `membership_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`coupon_id`,`membership_id`),
  KEY `IDX_560DE2166C5951B` (`coupon_id`),
  KEY `IDX_560DE211FB354CD` (`membership_id`),
  CONSTRAINT `FK_560DE211FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_560DE2166C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xlite_coupons` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_images_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `model` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `moduleName` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code_model_module` (`code`,`model`,`moduleName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_images_settings` VALUES (1,'Default','XLite\\Model\\Image\\Product\\Image','default',300,300),(2,'LGThumbnailList','XLite\\Model\\Image\\Product\\Image','default',160,160),(3,'LGThumbnailGrid','XLite\\Model\\Image\\Product\\Image','default',160,160),(4,'Default','XLite\\Model\\Image\\Category\\Image','default',160,160),(5,'Default','XLite\\Model\\Image\\Category\\Image','XC\\CrispWhiteSkin',100,120),(6,'LGThumbnailGrid','XLite\\Model\\Image\\Product\\Image','XC\\CrispWhiteSkin',262,280),(7,'LGThumbnailList','XLite\\Model\\Image\\Product\\Image','XC\\CrispWhiteSkin',262,280),(8,'Default','XLite\\Model\\Image\\Product\\Image','XC\\CrispWhiteSkin',366,440);
CREATE TABLE `xlite_product_classes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_product_classes` VALUES (1,0),(2,0);
CREATE TABLE `xlite_permission_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_98B75E86BF396750` (`id`),
  CONSTRAINT `FK_98B75E86BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_permission_translations` VALUES (1,1,'Root access','','en'),(2,2,'Manage catalog','','en'),(3,3,'Manage users','','en'),(4,4,'Manage administrators','','en'),(5,5,'Manage orders','','en'),(6,6,'Manage import','','en'),(7,7,'Manage export','','en'),(8,8,'Manage banners','','en'),(9,9,'Allow unfiltered HTML','','en'),(10,10,'Manage coupons','','en'),(11,10,'Управление купонами','','ru'),(12,11,'Manage custom pages','','en'),(13,12,'Manage menus','','en'),(14,13,'Manage volume discounts','','en'),(15,13,'Управление скидками','','ru'),(16,14,'Manage reviews','','en'),(17,14,'Управление отзывами','','ru'),(18,15,'Manage news','','en'),(19,15,'Управление новостями','','ru'),(20,16,'Manage conversations','','en'),(21,16,'Управление разговорами','','ru');
CREATE TABLE `xlite_conversations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_845131BB8D9F6D38` (`order_id`),
  CONSTRAINT `FK_845131BB8D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_attribute_values_checkbox` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `attribute_id` int(10) unsigned DEFAULT NULL,
  `value` tinyint(1) NOT NULL,
  `priceModifier` decimal(14,4) NOT NULL,
  `priceModifierType` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `weightModifier` decimal(14,4) NOT NULL,
  `weightModifierType` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `defaultValue` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`),
  KEY `attribute_id` (`attribute_id`),
  KEY `value` (`value`),
  CONSTRAINT `FK_3CA3503BB6E62EFA` FOREIGN KEY (`attribute_id`) REFERENCES `xlite_attributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_3CA3503B4584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_attribute_values_checkbox` VALUES (1,16,62,0,0.0000,'a',0.0000,'a',0),(2,16,63,1,19.9900,'a',0.0000,'a',0),(3,16,64,0,0.0000,'a',0.0000,'a',0),(4,16,65,0,0.0000,'a',0.0000,'a',0),(5,16,62,1,19.9900,'a',0.0000,'a',0),(7,16,64,1,19.9900,'a',0.0000,'a',0),(8,16,65,1,19.9900,'a',0.0000,'a',0),(9,31,66,1,0.0000,'a',0.0000,'a',0),(10,31,66,0,0.0000,'a',0.0000,'a',0),(11,31,67,1,0.0000,'a',0.0000,'a',0),(12,31,67,0,0.0000,'a',0.0000,'a',0),(13,31,68,1,0.0000,'a',0.0000,'a',0),(14,31,68,0,0.0000,'a',0.0000,'a',0),(15,42,86,1,0.0000,'p',0.0000,'p',0),(18,37,86,1,0.0000,'p',0.0000,'p',0),(19,41,86,1,0.0000,'p',0.0000,'p',0),(20,16,63,0,0.0000,'a',0.0000,'a',0);
CREATE TABLE `xlite_mailchimp_store` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `list_id` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `main` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_95CF70793DAE168B` (`list_id`),
  CONSTRAINT `FK_95CF70793DAE168B` FOREIGN KEY (`list_id`) REFERENCES `xlite_mailchimp_lists` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_mailchimp_list_group` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `list_id` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `title` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_2F783133DAE168B` (`list_id`),
  CONSTRAINT `FK_2F783133DAE168B` FOREIGN KEY (`list_id`) REFERENCES `xlite_mailchimp_lists` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_data_sources` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_shipping_method_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `deliveryTime` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_674AA5A0BF396750` (`id`),
  CONSTRAINT `FK_674AA5A0BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_shipping_methods` (`method_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_shipping_method_translations` VALUES (1,1,'FedEx','','en'),(2,2,'FedEx Europe First International Priority','','en'),(3,3,'FedEx 1Day<sup>&reg;</sup> Freight','','en'),(4,4,'FedEx 2Day<sup>&reg;</sup>','','en'),(5,5,'FedEx 2Day AM<sup>&reg;</sup>','','en'),(6,6,'FedEx 2Day<sup>&reg;</sup> Freight','','en'),(7,7,'FedEx 3Day<sup>&reg;</sup> Freight','','en'),(8,8,'FedEx Express Saver<sup>&reg;</sup>','','en'),(9,9,'FedEx First Freight<sup>&reg;</sup>','','en'),(10,10,'FedEx Ground<sup>&reg;</sup>','','en'),(11,11,'FedEx First Overnight<sup>&reg;</sup>','','en'),(12,12,'FedEx Home Delivery<sup>&reg;</sup>','','en'),(13,13,'FedEx International Distribution<sup>&reg;</sup> Freight','','en'),(14,14,'FedEx International Economy<sup>&reg;</sup>','','en'),(15,15,'FedEx International Economy Distribution<sup>&reg;</sup>','','en'),(16,16,'FedEx International Economy<sup>&reg;</sup> Freight','','en'),(17,17,'FedEx International First<sup>&reg;</sup>','','en'),(18,18,'FedEx International Priority<sup>&reg;</sup>','','en'),(19,19,'FedEx International Priority<sup>&reg;</sup> Distribution','','en'),(20,20,'FedEx International Priority Freight<sup>&reg;</sup>','','en'),(21,21,'FedEx Priority Overnight<sup>&reg;</sup>','','en'),(22,22,'FedEx SmartPost<sup>&reg;</sup>/FedEx SmartPost<sup>&reg;</sup> International','','en'),(23,23,'FedEx Standard Overnight<sup>&reg;</sup>','','en'),(24,24,'UPS','','en'),(25,25,'UPS Next Day Air&reg;','','en'),(26,26,'UPS 2nd Day Air&reg;','','en'),(27,27,'UPS Ground','','en'),(28,28,'UPS Worldwide Express','','en'),(29,29,'UPS Worldwide Expedited','','en'),(30,30,'UPS Standard','','en'),(31,31,'UPS 3 Day Select&reg;','','en'),(32,32,'UPS Next Day Air Saver&reg;','','en'),(33,33,'UPS Next Day Air&reg; Early A.M.','','en'),(34,34,'UPS Worldwide Express Plus','','en'),(35,35,'UPS 2nd Day Air A.M.&reg;','','en'),(36,36,'UPS Saver','','en'),(37,37,'UPS Today StandardSM','','en'),(38,38,'UPS Today Dedicated CourrierSM','','en'),(39,39,'UPS Today Intercity','','en'),(40,40,'UPS Today Express','','en'),(41,41,'UPS Today Express Saver','','en'),(42,42,'UPS WorldWide Express Freight','','en'),(43,43,'UPS Express','','en'),(44,44,'UPS Express Plus','','en'),(45,45,'UPS ExpeditedSM','','en'),(46,46,'UPS Worldwide ExpeditedSM','','en'),(47,47,'UPS Worldwide ExpressSM','','en'),(48,48,'UPS SaverSM','','en'),(49,49,'UPS Express Early A.M. SM','','en'),(50,50,'UPS Next Day Air&reg; Early A.M. SM','','en'),(51,51,'UPS Worldwide Express PlusSM','','en'),(52,52,'Free shipping','5 - 7 days','en'),(53,53,'Fixed rate shipping','5 - 7 days','en'),(54,52,'Бесплатная доставка','5 - 7 дней','ru'),(55,53,'Фиксированная стоимость доставки','5 - 7 дней','ru'),(56,54,'AustraliaPost','','en'),(57,55,'U.S.P.S','','en'),(58,56,'U.S.P.S. First Class Mail','','en'),(59,57,'U.S.P.S. Priority Mail','','en'),(60,58,'U.S.P.S. Priority Mail Express','','en'),(61,59,'U.S.P.S. Standard Post','','en'),(62,60,'U.S.P.S. Parcel Select','','en'),(63,61,'U.S.P.S. Media Mail','','en'),(64,62,'U.S.P.S. Library Mail','','en'),(65,63,'U.S.P.S. First Class International','','en'),(66,64,'U.S.P.S. First Class Package International Service','','en'),(67,65,'U.S.P.S. Priority Mail Express International','','en'),(68,66,'U.S.P.S. Priority Mail International','','en'),(69,67,'CanadaPost','','en'),(70,68,'Regular Parcel','','en'),(71,69,'Expedited Parcel','','en'),(72,70,'Xpresspost','','en'),(73,71,'Xpresspost Certified','','en'),(74,72,'Priority','','en'),(75,73,'Library Books','','en'),(76,74,'Expedited Parcel USA','','en'),(77,75,'Priority Worldwide Envelope USA','','en'),(78,76,'Priority Worldwide pak USA','','en'),(79,77,'Priority Worldwide Parcel USA','','en'),(80,78,'Small Packet USA Air','','en'),(81,79,'Tracked Packet – USA','','en'),(82,80,'Tracked Packet – USA (LVM)','','en'),(83,81,'Xpresspost USA','','en'),(84,82,'Xpresspost International','','en'),(85,83,'International Parcel Air','','en'),(86,84,'International Parcel Surface','','en'),(87,85,'Priority Worldwide Envelope International','','en'),(88,86,'Priority Worldwide pak International','','en'),(89,87,'Priority Worldwide parcel International','','en'),(90,88,'Small Packet International Air','','en'),(91,89,'Small Packet International Surface','','en'),(92,90,'Tracked Packet – International','','en'),(93,91,'Courier','2 - 4 days','en'),(94,91,'Доставка курьером','2 - 4 дня','ru'),(95,92,'Local shipping','up to one week','en'),(96,92,'Местная доставка','до одной недели','ru'),(97,93,'One day shipping','1 day','en'),(98,93,'Экспресс доставка','1 день','ru'),(99,94,'Local pickup','','en'),(100,94,'Самовывоз','','ru'),(101,95,'Free shipping on orders over $50','','en'),(102,95,'Бесплатная доставка при заказе от $50','','ru');
CREATE TABLE `xlite_product_attachment_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `title` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_C05C8533BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_product_attachments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_access_control_zones` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cell_id` int(10) unsigned DEFAULT NULL,
  `type_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cz` (`cell_id`,`type_id`),
  KEY `IDX_19AE0547CB39D93A` (`cell_id`),
  KEY `IDX_19AE0547C54C8C93` (`type_id`),
  CONSTRAINT `FK_19AE0547C54C8C93` FOREIGN KEY (`type_id`) REFERENCES `xlite_access_control_zone_types` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_19AE0547CB39D93A` FOREIGN KEY (`cell_id`) REFERENCES `xlite_access_control_cells` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_country_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` char(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `country` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `country` (`country`),
  KEY `id` (`id`),
  CONSTRAINT `FK_758727C3BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_countries` (`code`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_country_translations` VALUES (1,'AF','Afghanistan','en'),(2,'AX','Åland Islands','en'),(3,'AL','Albania','en'),(4,'DZ','Algeria','en'),(5,'AS','American Samoa','en'),(6,'AD','Andorra','en'),(7,'AO','Angola','en'),(8,'AI','Anguilla','en'),(9,'AQ','Antarctica','en'),(10,'AG','Antigua and Barbuda','en'),(11,'AR','Argentina','en'),(12,'AM','Armenia','en'),(13,'AW','Aruba','en'),(14,'AU','Australia','en'),(15,'AT','Austria','en'),(16,'AZ','Azerbaijan','en'),(17,'BS','Bahamas','en'),(18,'BH','Bahrain','en'),(19,'BD','Bangladesh','en'),(20,'BB','Barbados','en'),(21,'BY','Belarus','en'),(22,'BE','Belgium','en'),(23,'BZ','Belize','en'),(24,'BJ','Benin','en'),(25,'BM','Bermuda','en'),(26,'BT','Bhutan','en'),(27,'BO','Bolivia, Plurinational State of','en'),(28,'BQ','Bonaire, Sint Eustatius and Saba','en'),(29,'BA','Bosnia and Herzegowina','en'),(30,'BW','Botswana','en'),(31,'BV','Bouvet Island','en'),(32,'BR','Brazil','en'),(33,'IO','British Indian Ocean Territory','en'),(34,'BN','Brunei Darussalam','en'),(35,'BG','Bulgaria','en'),(36,'BF','Burkina Faso','en'),(37,'BI','Burundi','en'),(38,'KH','Cambodia','en'),(39,'CM','Cameroon','en'),(40,'CA','Canada','en'),(41,'CV','Cape Verde','en'),(42,'KY','Cayman Islands','en'),(43,'CF','Central African Republic','en'),(44,'TD','Chad','en'),(45,'CL','Chile','en'),(46,'CN','China','en'),(47,'CX','Christmas Island','en'),(48,'CC','Cocos (Keeling) Islands','en'),(49,'CO','Colombia','en'),(50,'KM','Comoros','en'),(51,'CG','Congo','en'),(52,'CD','Congo, the Democratic Republic of the','en'),(53,'CK','Cook Islands','en'),(54,'CR','Costa Rica','en'),(55,'CI','Côte d\'Ivoire','en'),(56,'HR','Croatia','en'),(57,'CU','Cuba','en'),(58,'CW','Curaçao','en'),(59,'CY','Cyprus','en'),(60,'CZ','Czech Republic','en'),(61,'DK','Denmark','en'),(62,'DJ','Djibouti','en'),(63,'DM','Dominica','en'),(64,'DO','Dominican Republic','en'),(65,'EC','Ecuador','en'),(66,'EG','Egypt','en'),(67,'SV','El Salvador','en'),(68,'GQ','Equatorial Guinea','en'),(69,'ER','Eritrea','en'),(70,'EE','Estonia','en'),(71,'ET','Ethiopia','en'),(72,'FK','Falkland Islands (Malvinas)','en'),(73,'FO','Faroe Islands','en'),(74,'FJ','Fiji','en'),(75,'FI','Finland','en'),(76,'FR','France','en'),(77,'GF','French Guiana','en'),(78,'PF','French Polynesia','en'),(79,'TF','French Southern Territories','en'),(80,'GA','Gabon','en'),(81,'GM','Gambia','en'),(82,'GE','Georgia','en'),(83,'DE','Germany','en'),(84,'GH','Ghana','en'),(85,'GI','Gibraltar','en'),(86,'GR','Greece','en'),(87,'GL','Greenland','en'),(88,'GD','Grenada','en'),(89,'GP','Guadeloupe','en'),(90,'GU','Guam','en'),(91,'GT','Guatemala','en'),(92,'GG','Guernsey','en'),(93,'GN','Guinea','en'),(94,'GW','Guinea-Bissau','en'),(95,'GY','Guyana','en'),(96,'HT','Haiti','en'),(97,'HM','Heard and McDonald Islands','en'),(98,'VA','Holy See (Vatican City State)','en'),(99,'HN','Honduras','en'),(100,'HK','Hong Kong','en'),(101,'HU','Hungary','en'),(102,'IS','Iceland','en'),(103,'IN','India','en'),(104,'ID','Indonesia','en'),(105,'IR','Iran, Islamic Republic of','en'),(106,'IQ','Iraq','en'),(107,'IE','Ireland','en'),(108,'IM','Isle of Man','en'),(109,'IL','Israel','en'),(110,'IT','Italy','en'),(111,'JM','Jamaica','en'),(112,'JP','Japan','en'),(113,'JE','Jersey','en'),(114,'JO','Jordan','en'),(115,'KZ','Kazakhstan','en'),(116,'KE','Kenya','en'),(117,'KI','Kiribati','en'),(118,'KP','Korea, Democratic People\'s Republic of','en'),(119,'KR','Korea, Republic of','en'),(120,'KW','Kuwait','en'),(121,'KG','Kyrgyzstan','en'),(122,'LA','Lao People\'s Democratic Republic','en'),(123,'LV','Latvia','en'),(124,'LB','Lebanon','en'),(125,'LS','Lesotho','en'),(126,'LR','Liberia','en'),(127,'LY','Libya','en'),(128,'LI','Liechtenstein','en'),(129,'LT','Lithuania','en'),(130,'LU','Luxembourg','en'),(131,'MO','Macao','en'),(132,'MK','Macedonia','en'),(133,'MG','Madagascar','en'),(134,'MW','Malawi','en'),(135,'MY','Malaysia','en'),(136,'MV','Maldives','en'),(137,'ML','Mali','en'),(138,'MT','Malta','en'),(139,'MH','Marshall Islands','en'),(140,'MQ','Martinique','en'),(141,'MR','Mauritania','en'),(142,'MU','Mauritius','en'),(143,'YT','Mayotte','en'),(144,'MX','Mexico','en'),(145,'FM','Micronesia, Federated States of','en'),(146,'MD','Moldova, Republic of','en'),(147,'MC','Monaco','en'),(148,'MN','Mongolia','en'),(149,'ME','Montenegro','en'),(150,'MS','Montserrat','en'),(151,'MA','Morocco','en'),(152,'MZ','Mozambique','en'),(153,'MM','Myanmar','en'),(154,'NA','Namibia','en'),(155,'NR','Nauru','en'),(156,'NP','Nepal','en'),(157,'NL','Netherlands','en'),(158,'NC','New Caledonia','en'),(159,'NZ','New Zealand','en'),(160,'NI','Nicaragua','en'),(161,'NE','Niger','en'),(162,'NG','Nigeria','en'),(163,'NU','Niue','en'),(164,'NF','Norfolk Island','en'),(165,'MP','Northern Mariana Islands','en'),(166,'NO','Norway','en'),(167,'OM','Oman','en'),(168,'PK','Pakistan','en'),(169,'PW','Palau','en'),(170,'PS','Palestinian Territory, Occupied','en'),(171,'PA','Panama','en'),(172,'PG','Papua New Guinea','en'),(173,'PY','Paraguay','en'),(174,'PE','Peru','en'),(175,'PH','Philippines','en'),(176,'PN','Pitcairn','en'),(177,'PL','Poland','en'),(178,'PT','Portugal','en'),(179,'PR','Puerto Rico','en'),(180,'QA','Qatar','en'),(181,'RE','Réunion','en'),(182,'RO','Romania','en'),(183,'RU','Russian Federation','en'),(184,'RW','Rwanda','en'),(185,'BL','Saint Barthélemy','en'),(186,'SH','Saint Helena, Ascension and Tristan da Cunha','en'),(187,'KN','Saint Kitts and Nevis','en'),(188,'LC','Saint Lucia','en'),(189,'MF','Saint Martin','en'),(190,'PM','Saint Pierre and Miquelon','en'),(191,'VC','Saint Vincent and the Grenadines','en'),(192,'WS','Samoa','en'),(193,'SM','San Marino','en'),(194,'ST','Sao Tome and Principe','en'),(195,'SA','Saudi Arabia','en'),(196,'SN','Senegal','en'),(197,'RS','Serbia','en'),(198,'SC','Seychelles','en'),(199,'SL','Sierra Leone','en'),(200,'SG','Singapore','en'),(201,'SX','Sint Maarten','en'),(202,'SK','Slovakia','en'),(203,'SI','Slovenia','en'),(204,'SB','Solomon Islands','en'),(205,'SO','Somalia','en'),(206,'ZA','South Africa','en'),(207,'GS','South Georgia and the South Sandwich Islands','en'),(208,'SS','South Sudan','en'),(209,'ES','Spain','en'),(210,'LK','Sri Lanka','en'),(211,'SD','Sudan','en'),(212,'SR','Suriname','en'),(213,'SJ','Svalbard and Jan Mayen','en'),(214,'SZ','Swaziland','en'),(215,'SE','Sweden','en'),(216,'CH','Switzerland','en'),(217,'SY','Syrian Arab Republic','en'),(218,'TW','Taiwan, Province of China','en'),(219,'TJ','Tajikistan','en'),(220,'TZ','Tanzania, United Republic of','en'),(221,'TH','Thailand','en'),(222,'TL','Timor-Leste','en'),(223,'TG','Togo','en'),(224,'TK','Tokelau','en'),(225,'TO','Tonga','en'),(226,'TT','Trinidad and Tobago','en'),(227,'TN','Tunisia','en'),(228,'TR','Turkey','en'),(229,'TM','Turkmenistan','en'),(230,'TC','Turks and Caicos Islands','en'),(231,'TV','Tuvalu','en'),(232,'UG','Uganda','en'),(233,'UA','Ukraine','en'),(234,'AE','United Arab Emirates','en'),(235,'GB','United Kingdom','en'),(236,'US','United States','en'),(237,'UM','United States Minor Outlying Islands','en'),(238,'UY','Uruguay','en'),(239,'UZ','Uzbekistan','en'),(240,'VU','Vanuatu','en'),(241,'VE','Venezuela, Bolivarian Republic of','en'),(242,'VN','Viet Nam','en'),(243,'VG','Virgin Islands, British','en'),(244,'VI','Virgin Islands, U.S.','en'),(245,'WF','Wallis And Futuna Islands','en'),(246,'EH','Western Sahara','en'),(247,'YE','Yemen','en'),(248,'ZM','Zambia','en'),(249,'ZW','Zimbabwe','en');
CREATE TABLE `xlite_category_class_links` (
  `category_id` int(10) unsigned NOT NULL,
  `class_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`category_id`,`class_id`),
  KEY `IDX_3F5DB31312469DE2` (`category_id`),
  KEY `IDX_3F5DB313EA000B10` (`class_id`),
  CONSTRAINT `FK_3F5DB313EA000B10` FOREIGN KEY (`class_id`) REFERENCES `xlite_product_classes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_3F5DB31312469DE2` FOREIGN KEY (`category_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_role_permissions` (
  `permission_id` int(10) unsigned NOT NULL,
  `role_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`role_id`),
  KEY `IDX_94D50124FED90CCA` (`permission_id`),
  KEY `IDX_94D50124D60322AC` (`role_id`),
  CONSTRAINT `FK_94D50124D60322AC` FOREIGN KEY (`role_id`) REFERENCES `xlite_roles` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_94D50124FED90CCA` FOREIGN KEY (`permission_id`) REFERENCES `xlite_permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_role_permissions` VALUES (1,1),(10,2),(11,3),(12,3),(13,4);
COMMIT;